namespace Dpaa.Clinica.Web.Controles.Usuario
{
	using System;
	using System.Data;
	using System.Drawing;
	using System.Web;
	using System.Web.UI.WebControls;
	using System.Web.UI.HtmlControls;

	public abstract class SitioCabecera : System.Web.UI.UserControl
	{
		protected System.Web.UI.WebControls.Button acceso;
		protected System.Web.UI.WebControls.Label bienvenido;

		private void Page_Load(object sender, System.EventArgs e)
		{
			bienvenido.Text = "Bienvenido/a, ";
			if (Session["email"]!=null)
			{
				bienvenido.Text += Session["nombre"].ToString();
				acceso.Text= "Salir";
				//acceso.NavigateUrl="/WebClinica/index.aspx";
			}	
			else
			{
				bienvenido.Text += "Invitado";
				acceso.Text = "Zona clientes";
				//acceso.NavigateUrl = "/WebClinica/login.aspx";
			}
			bienvenido.Text += ".";
		}

		#region Cdigo generado por el Diseador de Web Forms
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: llamada requerida por el Diseador de Web Forms ASP.NET.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Mtodo necesario para admitir el Diseador. No se puede modificar
		/// el contenido del mtodo con el editor de cdigo.
		/// </summary>
		private void InitializeComponent()
		{    
			this.acceso.Click += new System.EventHandler(this.acceso_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void acceso_Click(object sender, System.EventArgs e)
		{
			if (Session["email"]!=null)
			{
				Session.Abandon();				
				Response.Redirect("/WebClinica/index.aspx");
			}	
			else
			{
				
				Response.Redirect("/WebClinica/login.aspx");
			}
		}

	

	}
}
