using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using ClassLibraryClinica; 
namespace Dpaa.Clinica.Web.Paginas
{
	/// <summary>
	/// Descripcin breve de login.
	/// </summary>
	public class Login : Dpaa.Clinica.Web.PaginaBase
	{
		protected System.Web.UI.WebControls.Button btLogin;
		protected System.Web.UI.WebControls.TextBox txUsuario;
		protected System.Web.UI.WebControls.TextBox txPassword;
		protected Dpaa.Clinica.Web.Controles.Usuario.MenuPubl menuPub;
		protected Dpaa.Clinica.Web.Controles.Usuario.MenuPriPub menuPri;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// Introducir aqu el cdigo de usuario para inicializar la pgina
			if (Session["email"]!=null)
			{
				menuPri.Visible=true;
				menuPub.Visible=false;			
			}
			else
			{
				menuPri.Visible=false;
				menuPub.Visible=true;
			}
		}

		#region Cdigo generado por el Diseador de Web Forms
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: llamada requerida por el Diseador de Web Forms ASP.NET.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Mtodo necesario para admitir el Diseador. No se puede modificar
		/// el contenido del mtodo con el editor de cdigo.
		/// </summary>
		private void InitializeComponent()
		{    
			this.btLogin.Click += new System.EventHandler(this.btLogin_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void btLogin_Click(object sender, System.EventArgs e)
		{
			ClassLibraryClinica.Cliente cli = new Cliente();
			if(cli.Login(this.txUsuario.Text,this.txPassword.Text))
			{
				
				cli.CargarDB("where email='"+this.txUsuario.Text+"'");
				//cli.CargarDB("where idcliente=1");
				Session.Add("idCliente",cli.gsIdCliente);
				Session.Add("email",this.txUsuario.Text);
				Session.Add("password",this.txPassword.Text);
				Session.Add("nombre",cli.gsNombre);
				Response.Redirect("privado/index.aspx");
				
			}
			else
			{
				Response.Redirect("error.aspx");
			}
		}
	}
}
