using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace WebClinica
{
	/// <summary>
	/// Descripcin breve de listaCitas.
	/// </summary>
	public class listaCitas : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Repeater RepeaterCitas;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// Introducir aqu el cdigo de usuario para inicializar la pgina
			if (Session["email"]==null)
			{
				Response.Redirect("../login.aspx");
			}
			if(Request.QueryString["op"] == "1")
			{
				// eliminar el archivo
				int id = Convert.ToInt32(Request.QueryString["id_cita"]); 
				//Eliminarla
				ClassLibraryClinica.Citas cita=new ClassLibraryClinica.Citas();
				if(cita.EliminarDB(id))
					Response.Redirect("ok.aspx");
				else
					Response.Redirect("../error.aspx");
			}
			ClassLibraryClinica.Consulta lcitas=new ClassLibraryClinica.Consulta();
			DataSet ds = new DataSet();
			ds= lcitas.ExecDS("select idcita,fecha,hora,confirmada,realizada,duracionestimada,descripcion,empleado from citas c,empleados e where c.idempleado=e.idempleado and idcliente="+Session["idCliente"].ToString());

			RepeaterCitas.DataSource=ds;
			RepeaterCitas.DataBind();
		}

		protected string check(object chk)
		{
			
			if (chk.ToString()=="1")
				return "<input type=checkbox checked disabled>";
			else
				return "<input type=checkbox disabled>";
		}

		protected string fecha(object fechalarga)
		{	
			string ret=fechalarga.ToString();
			ret.Replace("0:00:00"," ");
			return ret;
		}

		#region Cdigo generado por el Diseador de Web Forms
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: llamada requerida por el Diseador de Web Forms ASP.NET.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Mtodo necesario para admitir el Diseador. No se puede modificar
		/// el contenido del mtodo con el editor de cdigo.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
