using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Data.Odbc;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace WebClinica.privado
{
	/// <summary>
	/// Descripcin breve de simulador_presupuestos.
	/// </summary>
	public class simulador_presupuestos : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.TextBox txDescripcion;
		protected System.Web.UI.WebControls.DropDownList cbProductos;
		protected System.Web.UI.WebControls.Label Label3;
		protected System.Web.UI.WebControls.TextBox txObservaciones;
		protected System.Web.UI.WebControls.CheckBoxList cblDependencias;
		protected System.Web.UI.WebControls.Button btCalcular;
		protected System.Web.UI.WebControls.Label Label2;
		protected System.Web.UI.WebControls.Label Label4;
		protected System.Web.UI.WebControls.CheckBoxList cblOpciones;
		protected System.Web.UI.WebControls.Label Label5;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// Introducir aqu el cdigo de usuario para inicializar la pgina
			if (Session["email"]==null)
			{
				Response.Redirect("../login.aspx");
			}
			if(!Page.IsPostBack)
			{
				System.Data.DataSet dsProd = new System.Data.DataSet();
				ClassLibraryClinica.Consulta con = new ClassLibraryClinica.Consulta();
				dsProd=con.ExecDS("select * from presupuestos");
				this.cbProductos.DataSource=dsProd;
				this.cbProductos.DataTextField=dsProd.Tables[0].Columns["presupuesto"].ToString();
				cbProductos.DataValueField=dsProd.Tables[0].Columns["idpresupuesto"].ToString();
				cbProductos.DataBind();
				cbProductos.Items.Insert(0,"seleccione producto");
				//cbProductos.SelectedIndex=0;
			}
			
			
		}

		#region Cdigo generado por el Diseador de Web Forms
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: llamada requerida por el Diseador de Web Forms ASP.NET.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Mtodo necesario para admitir el Diseador. No se puede modificar
		/// el contenido del mtodo con el editor de cdigo.
		/// </summary>
		private void InitializeComponent()
		{    
			this.cbProductos.SelectedIndexChanged += new System.EventHandler(this.cbProductos_SelectedIndexChanged);
			this.btCalcular.Click += new System.EventHandler(this.btCalcular_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void cbProductos_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			
			//Cargamos las dependencias
			this.cblDependencias.Items.Clear();
			System.Data.DataSet pres = new System.Data.DataSet();
			System.Data.DataSet dsProdDep = new System.Data.DataSet();
			ClassLibraryClinica.Consulta con = new ClassLibraryClinica.Consulta();
			dsProdDep=con.ExecDS("select p.producto as producto,pp.idproducto as idproducto,pp.cantidad as cantidad,pp.opcional as opcional from presupuestosproductos pp,productos p where pp.idproducto=p.idproducto and pp.opcional=false and pp.idpresupuesto= "+this.cbProductos.SelectedValue+";");
			//cblDependencias.DataSource=dsProdDep;
			foreach(System.Data.DataRow fila in dsProdDep.Tables[0].Rows)
			{
				ListItem nuevo= new ListItem(fila["producto"].ToString(),fila["idproducto"].ToString());
				//nuevo.Attributes.Add("1","true");
				nuevo.Selected=true;
				
				cblDependencias.Items.Add(nuevo);

			}
			//Cargamos las opciones
			this.cblOpciones.Items.Clear();
			System.Data.DataSet dsProdDepOPT = new System.Data.DataSet();
			ClassLibraryClinica.Consulta conOPT = new ClassLibraryClinica.Consulta();
			dsProdDepOPT=conOPT.ExecDS("select p.producto as producto,pp.idproducto as idproducto,pp.cantidad as cantidad,pp.opcional as opcional from presupuestosproductos pp,productos p where pp.idproducto=p.idproducto and pp.opcional=true and pp.idpresupuesto= "+this.cbProductos.SelectedValue+";");
			//cblOpciones.DataSource=dsProdDepOPT;
			foreach(System.Data.DataRow fila in dsProdDepOPT.Tables[0].Rows)
			{
				ListItem nuevo= new ListItem(fila["producto"].ToString(),fila["idproducto"].ToString());
				nuevo.Selected=false;
				
				cblOpciones.Items.Add(nuevo);

			}

			
			//Cargamos descripcion y oobservcaciones
			
			System.Data.Odbc.OdbcDataReader reader;
			reader=con.ExecR("select descripcion,observaciones from presupuestos where idpresupuesto="+this.cbProductos.SelectedValue+";");
			reader.Read();
			this.txDescripcion.Text=reader["descripcion"].ToString();
			this.txObservaciones.Text=reader["observaciones"].ToString();
		}

		private void btCalcular_Click(object sender, System.EventArgs e)
		{
			float total=0;
			string detalle="";
			
			foreach(ListItem item in cblDependencias.Items)
			{
                	detalle+=item.Text+"$";
					ClassLibraryClinica.Consulta cons=new ClassLibraryClinica.Consulta();
					float res=cons.ExecS("select precio from productos where idproducto="+item.Value+";");
					if(res<0)
						return;
					int cant=cons.ExecS("select cantidad from presupuestosproductos where idproducto="+item.Value+" and idpresupuesto="+this.cbProductos.SelectedValue+";");
					if(cant<0)
						return;
					total+=res*cant;
				
			}
			
			foreach(ListItem item in cblOpciones.Items)
			{
				
				if(item.Selected==true)
				{
					detalle+=item.Text+"$";
					ClassLibraryClinica.Consulta cons=new ClassLibraryClinica.Consulta();
					float res=cons.ExecS("select precio from productos where idproducto="+item.Value+";");
					if(res<0)
						return;
					int cant=cons.ExecS("select cantidad from presupuestosproductos where idproducto="+item.Value+" and idpresupuesto="+this.cbProductos.SelectedValue+";");
					if(cant<0)
						return;
					total+=res*cant;
				}
			}
			
			Response.Redirect("resultadosimulacion.aspx?total="+total.ToString()+"&detalle="+detalle+"&producto="+this.cbProductos.SelectedItem.Text+"&desc="+this.txDescripcion.Text+"&obs="+this.txObservaciones.Text);
		}


	}
}
