using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.Data.Odbc;
using ClassLibraryClinica;
using System.Web;

namespace WindowsApplicationClinica
{
	/// <summary>
	/// Descripcin breve de FormClientes.
	/// </summary>
	public class FormClientes : System.Windows.Forms.Form
	{
		private System.Windows.Forms.TabPage tabClientes;
		private System.Windows.Forms.TabControl tabControlClientes;
		private System.Windows.Forms.TabPage tabNuevo;
		private System.Windows.Forms.Button buttonModificar;
		private System.Windows.Forms.Button buttonEliminar;
		private System.Windows.Forms.Button buttonNuevo;
		private System.Windows.Forms.GroupBox groupBoxBusqueda;
		private System.Windows.Forms.GroupBox groupBoxVista;
		private System.Windows.Forms.PictureBox pictureBoxClientes;
		private System.Windows.Forms.Label labelMeses;
		private System.Windows.Forms.Button buttonCerrar;
		private System.Windows.Forms.GroupBox groupBoxDatos;
		private System.Windows.Forms.GroupBox groupBox1;
		private System.Windows.Forms.GroupBox groupBox2;
		private System.Windows.Forms.GroupBox groupBoxObservaciones;
		private System.Windows.Forms.TabPage tabFicha;
		private System.Windows.Forms.GroupBox groupBox4;
		private System.Windows.Forms.GroupBox groupBox5;
		private System.Windows.Forms.Label labelFichaProvincia;
		private System.Windows.Forms.Label labelFichaPoblacion;
		private System.Windows.Forms.Label labelFichaCorreo;
		private System.Windows.Forms.Label labelFichaMovil;
		private System.Windows.Forms.Label labelFichaTelefono;
		private System.Windows.Forms.Label labelFichaFechaNacimiento;
		private System.Windows.Forms.Label labelFichaCP;
		private System.Windows.Forms.Label labelFichaDireccion;
		private System.Windows.Forms.Label labelFichaNombre;
		private System.Windows.Forms.Label labelFichaDatoNombre;
		private System.Windows.Forms.Label labelFichaDatoDireccion;
		private System.Windows.Forms.Label labelFichaDatoPoblacion;
		private System.Windows.Forms.Label labelFichaDatoProvincia;
		private System.Windows.Forms.Label labelFichaDatoCP;
		private System.Windows.Forms.Label labelFichaDatoFechaNacimiento;
		private System.Windows.Forms.Label labelFichaDatoTelefono;
		private System.Windows.Forms.Label labelFichaDatoMovil;
		private System.Windows.Forms.Label labelFichaDatoCorreo;
		private System.Windows.Forms.GroupBox groupBoxFichaObservaciones;
		private System.Windows.Forms.Label labelClientesCP;
		private System.Windows.Forms.TextBox textBoxClientesCP;
		private System.Windows.Forms.Label labelClientesAntiguedad;
		private System.Windows.Forms.Label labelClientesPoblacion;
		private System.Windows.Forms.Label labelClientesNombre;
		private System.Windows.Forms.TextBox textBoxClientesPoblacion;
		private System.Windows.Forms.TextBox textBoxClientesNombre;
		private System.Windows.Forms.TextBox textBoxNuevoObservaciones;
		private System.Windows.Forms.TextBox textBoxNuevoProvincia;
		private System.Windows.Forms.Label labelNuevoProvincia;
		private System.Windows.Forms.TextBox textBoxNuevoPoblacion;
		private System.Windows.Forms.Label labelNuevoPoblacion;
		private System.Windows.Forms.TextBox textBoxNuevoMovil;
		private System.Windows.Forms.TextBox textBoxNuevoTelefono;
		private System.Windows.Forms.DateTimePicker dateTimePickerNuevoFechaNacimiento;
		private System.Windows.Forms.TextBox textBoxNuevoCP;
		private System.Windows.Forms.TextBox textBoxNuevoCorreo;
		private System.Windows.Forms.TextBox textBoxNuevoDireccion;
		private System.Windows.Forms.TextBox textBoxNuevoNombre;
		private System.Windows.Forms.Label labelNuevoCorreo;
		private System.Windows.Forms.Label labelNuevoMovil;
		private System.Windows.Forms.Label labelNuevoTelefono;
		private System.Windows.Forms.Label labelNuevoFechaNacimiento;
		private System.Windows.Forms.Label labelNuevoCP;
		private System.Windows.Forms.Label labelNuevoDireccion;
		private System.Windows.Forms.Label labelNuevoNombre;
		private System.Windows.Forms.GroupBox groupBoxFichaDatos;
		private System.Windows.Forms.Label labelFichaObservaciones;
		private System.Windows.Forms.Button buttonClientesImprimir;
		private System.Windows.Forms.Button buttonAceptar;
		private System.Windows.Forms.Button buttonCancelar;
		private System.Windows.Forms.Button buttonFichaImprimir;
		private System.Windows.Forms.PictureBox pictureBoxBotonera;
		
		/// <summary>
		/// Variable del diseador requerida.
		ClassLibraryClinica.Consulta cns;
		/// </summary>
		private System.ComponentModel.Container components = null;
		public int estado;	//0 Proceso de alta; 1 Proceso de modificacion
		public int codigo;
		private System.Data.Odbc.OdbcConnection odbcConnection1;
		private System.Windows.Forms.DataGrid dataGridClientes;
		private System.Windows.Forms.Label labelAntiguedad;
		private System.Windows.Forms.Label labelDatoFechaAlta;
		private System.Windows.Forms.Button buttonGenerarContrasea;
		private System.Windows.Forms.NumericUpDown numericUpDownNumericAntiguedad;

		public FormClientes()
		{
			//
			// Necesario para admitir el Diseador de Windows Forms
			//
			InitializeComponent();
			cns = new Consulta();
			//
			// TODO: agregar cdigo de constructor despus de llamar a InitializeComponent
			//
		}

		/// <summary>
		/// Limpiar los recursos que se estn utilizando.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Cdigo generado por el Diseador de Windows Forms
		/// <summary>
		/// Mtodo necesario para admitir el Diseador. No se puede modificar
		/// el contenido del mtodo con el editor de cdigo.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(FormClientes));
			this.tabControlClientes = new System.Windows.Forms.TabControl();
			this.tabClientes = new System.Windows.Forms.TabPage();
			this.buttonClientesImprimir = new System.Windows.Forms.Button();
			this.buttonModificar = new System.Windows.Forms.Button();
			this.buttonEliminar = new System.Windows.Forms.Button();
			this.buttonNuevo = new System.Windows.Forms.Button();
			this.pictureBoxClientes = new System.Windows.Forms.PictureBox();
			this.groupBoxVista = new System.Windows.Forms.GroupBox();
			this.dataGridClientes = new System.Windows.Forms.DataGrid();
			this.groupBoxBusqueda = new System.Windows.Forms.GroupBox();
			this.numericUpDownNumericAntiguedad = new System.Windows.Forms.NumericUpDown();
			this.labelClientesCP = new System.Windows.Forms.Label();
			this.textBoxClientesCP = new System.Windows.Forms.TextBox();
			this.labelMeses = new System.Windows.Forms.Label();
			this.labelClientesAntiguedad = new System.Windows.Forms.Label();
			this.labelClientesPoblacion = new System.Windows.Forms.Label();
			this.labelClientesNombre = new System.Windows.Forms.Label();
			this.textBoxClientesPoblacion = new System.Windows.Forms.TextBox();
			this.textBoxClientesNombre = new System.Windows.Forms.TextBox();
			this.tabNuevo = new System.Windows.Forms.TabPage();
			this.buttonGenerarContrasea = new System.Windows.Forms.Button();
			this.buttonAceptar = new System.Windows.Forms.Button();
			this.buttonCancelar = new System.Windows.Forms.Button();
			this.groupBoxObservaciones = new System.Windows.Forms.GroupBox();
			this.textBoxNuevoObservaciones = new System.Windows.Forms.TextBox();
			this.groupBoxDatos = new System.Windows.Forms.GroupBox();
			this.groupBox2 = new System.Windows.Forms.GroupBox();
			this.textBoxNuevoProvincia = new System.Windows.Forms.TextBox();
			this.labelNuevoProvincia = new System.Windows.Forms.Label();
			this.textBoxNuevoPoblacion = new System.Windows.Forms.TextBox();
			this.labelNuevoPoblacion = new System.Windows.Forms.Label();
			this.groupBox1 = new System.Windows.Forms.GroupBox();
			this.textBoxNuevoMovil = new System.Windows.Forms.TextBox();
			this.textBoxNuevoTelefono = new System.Windows.Forms.TextBox();
			this.dateTimePickerNuevoFechaNacimiento = new System.Windows.Forms.DateTimePicker();
			this.textBoxNuevoCP = new System.Windows.Forms.TextBox();
			this.textBoxNuevoCorreo = new System.Windows.Forms.TextBox();
			this.textBoxNuevoDireccion = new System.Windows.Forms.TextBox();
			this.textBoxNuevoNombre = new System.Windows.Forms.TextBox();
			this.labelNuevoCorreo = new System.Windows.Forms.Label();
			this.labelNuevoMovil = new System.Windows.Forms.Label();
			this.labelNuevoTelefono = new System.Windows.Forms.Label();
			this.labelNuevoFechaNacimiento = new System.Windows.Forms.Label();
			this.labelNuevoCP = new System.Windows.Forms.Label();
			this.labelNuevoDireccion = new System.Windows.Forms.Label();
			this.labelNuevoNombre = new System.Windows.Forms.Label();
			this.tabFicha = new System.Windows.Forms.TabPage();
			this.buttonFichaImprimir = new System.Windows.Forms.Button();
			this.groupBoxFichaObservaciones = new System.Windows.Forms.GroupBox();
			this.labelFichaObservaciones = new System.Windows.Forms.Label();
			this.groupBoxFichaDatos = new System.Windows.Forms.GroupBox();
			this.labelDatoFechaAlta = new System.Windows.Forms.Label();
			this.labelAntiguedad = new System.Windows.Forms.Label();
			this.labelFichaDatoCorreo = new System.Windows.Forms.Label();
			this.labelFichaDatoMovil = new System.Windows.Forms.Label();
			this.labelFichaDatoTelefono = new System.Windows.Forms.Label();
			this.labelFichaDatoFechaNacimiento = new System.Windows.Forms.Label();
			this.labelFichaDatoCP = new System.Windows.Forms.Label();
			this.labelFichaDatoProvincia = new System.Windows.Forms.Label();
			this.labelFichaDatoPoblacion = new System.Windows.Forms.Label();
			this.labelFichaDatoDireccion = new System.Windows.Forms.Label();
			this.labelFichaDatoNombre = new System.Windows.Forms.Label();
			this.labelFichaProvincia = new System.Windows.Forms.Label();
			this.labelFichaPoblacion = new System.Windows.Forms.Label();
			this.labelFichaCorreo = new System.Windows.Forms.Label();
			this.labelFichaMovil = new System.Windows.Forms.Label();
			this.labelFichaTelefono = new System.Windows.Forms.Label();
			this.labelFichaFechaNacimiento = new System.Windows.Forms.Label();
			this.labelFichaCP = new System.Windows.Forms.Label();
			this.labelFichaDireccion = new System.Windows.Forms.Label();
			this.labelFichaNombre = new System.Windows.Forms.Label();
			this.groupBox4 = new System.Windows.Forms.GroupBox();
			this.groupBox5 = new System.Windows.Forms.GroupBox();
			this.buttonCerrar = new System.Windows.Forms.Button();
			this.pictureBoxBotonera = new System.Windows.Forms.PictureBox();
			this.odbcConnection1 = new System.Data.Odbc.OdbcConnection();
			this.tabControlClientes.SuspendLayout();
			this.tabClientes.SuspendLayout();
			this.groupBoxVista.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.dataGridClientes)).BeginInit();
			this.groupBoxBusqueda.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.numericUpDownNumericAntiguedad)).BeginInit();
			this.tabNuevo.SuspendLayout();
			this.groupBoxObservaciones.SuspendLayout();
			this.groupBoxDatos.SuspendLayout();
			this.tabFicha.SuspendLayout();
			this.groupBoxFichaObservaciones.SuspendLayout();
			this.groupBoxFichaDatos.SuspendLayout();
			this.SuspendLayout();
			// 
			// tabControlClientes
			// 
			this.tabControlClientes.Controls.Add(this.tabClientes);
			this.tabControlClientes.Controls.Add(this.tabNuevo);
			this.tabControlClientes.Controls.Add(this.tabFicha);
			this.tabControlClientes.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.tabControlClientes.Location = new System.Drawing.Point(8, 8);
			this.tabControlClientes.Multiline = true;
			this.tabControlClientes.Name = "tabControlClientes";
			this.tabControlClientes.Padding = new System.Drawing.Point(50, 6);
			this.tabControlClientes.SelectedIndex = 0;
			this.tabControlClientes.Size = new System.Drawing.Size(568, 392);
			this.tabControlClientes.TabIndex = 0;
			// 
			// tabClientes
			// 
			this.tabClientes.Controls.Add(this.buttonClientesImprimir);
			this.tabClientes.Controls.Add(this.buttonModificar);
			this.tabClientes.Controls.Add(this.buttonEliminar);
			this.tabClientes.Controls.Add(this.buttonNuevo);
			this.tabClientes.Controls.Add(this.pictureBoxClientes);
			this.tabClientes.Controls.Add(this.groupBoxVista);
			this.tabClientes.Controls.Add(this.groupBoxBusqueda);
			this.tabClientes.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.tabClientes.ForeColor = System.Drawing.SystemColors.ControlText;
			this.tabClientes.Location = new System.Drawing.Point(4, 28);
			this.tabClientes.Name = "tabClientes";
			this.tabClientes.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.tabClientes.Size = new System.Drawing.Size(560, 360);
			this.tabClientes.TabIndex = 0;
			this.tabClientes.Text = "Clientes";
			// 
			// buttonClientesImprimir
			// 
			this.buttonClientesImprimir.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonClientesImprimir.ForeColor = System.Drawing.Color.Navy;
			this.buttonClientesImprimir.Image = ((System.Drawing.Image)(resources.GetObject("buttonClientesImprimir.Image")));
			this.buttonClientesImprimir.ImageAlign = System.Drawing.ContentAlignment.TopCenter;
			this.buttonClientesImprimir.Location = new System.Drawing.Point(480, 200);
			this.buttonClientesImprimir.Name = "buttonClientesImprimir";
			this.buttonClientesImprimir.Size = new System.Drawing.Size(72, 56);
			this.buttonClientesImprimir.TabIndex = 6;
			this.buttonClientesImprimir.Text = "Imprimir";
			this.buttonClientesImprimir.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
			this.buttonClientesImprimir.Click += new System.EventHandler(this.buttonClientesImprimir_Click);
			// 
			// buttonModificar
			// 
			this.buttonModificar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonModificar.ForeColor = System.Drawing.Color.Navy;
			this.buttonModificar.Image = ((System.Drawing.Image)(resources.GetObject("buttonModificar.Image")));
			this.buttonModificar.ImageAlign = System.Drawing.ContentAlignment.TopCenter;
			this.buttonModificar.Location = new System.Drawing.Point(480, 72);
			this.buttonModificar.Name = "buttonModificar";
			this.buttonModificar.Size = new System.Drawing.Size(72, 56);
			this.buttonModificar.TabIndex = 4;
			this.buttonModificar.Text = "Modificar";
			this.buttonModificar.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
			this.buttonModificar.Click += new System.EventHandler(this.buttonModificar_Click);
			// 
			// buttonEliminar
			// 
			this.buttonEliminar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonEliminar.ForeColor = System.Drawing.Color.Navy;
			this.buttonEliminar.Image = ((System.Drawing.Image)(resources.GetObject("buttonEliminar.Image")));
			this.buttonEliminar.ImageAlign = System.Drawing.ContentAlignment.TopCenter;
			this.buttonEliminar.Location = new System.Drawing.Point(480, 136);
			this.buttonEliminar.Name = "buttonEliminar";
			this.buttonEliminar.Size = new System.Drawing.Size(72, 56);
			this.buttonEliminar.TabIndex = 5;
			this.buttonEliminar.Text = "Eliminar";
			this.buttonEliminar.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
			this.buttonEliminar.Click += new System.EventHandler(this.buttonEliminar_Click);
			// 
			// buttonNuevo
			// 
			this.buttonNuevo.BackColor = System.Drawing.SystemColors.Control;
			this.buttonNuevo.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonNuevo.ForeColor = System.Drawing.Color.Navy;
			this.buttonNuevo.Image = ((System.Drawing.Image)(resources.GetObject("buttonNuevo.Image")));
			this.buttonNuevo.ImageAlign = System.Drawing.ContentAlignment.TopCenter;
			this.buttonNuevo.Location = new System.Drawing.Point(480, 8);
			this.buttonNuevo.Name = "buttonNuevo";
			this.buttonNuevo.Size = new System.Drawing.Size(72, 56);
			this.buttonNuevo.TabIndex = 3;
			this.buttonNuevo.Text = "Nuevo";
			this.buttonNuevo.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
			this.buttonNuevo.Click += new System.EventHandler(this.buttonNuevo_Click);
			// 
			// pictureBoxClientes
			// 
			this.pictureBoxClientes.Image = ((System.Drawing.Image)(resources.GetObject("pictureBoxClientes.Image")));
			this.pictureBoxClientes.Location = new System.Drawing.Point(480, 272);
			this.pictureBoxClientes.Name = "pictureBoxClientes";
			this.pictureBoxClientes.Size = new System.Drawing.Size(72, 80);
			this.pictureBoxClientes.TabIndex = 3;
			this.pictureBoxClientes.TabStop = false;
			// 
			// groupBoxVista
			// 
			this.groupBoxVista.Controls.Add(this.dataGridClientes);
			this.groupBoxVista.Location = new System.Drawing.Point(8, 8);
			this.groupBoxVista.Name = "groupBoxVista";
			this.groupBoxVista.Size = new System.Drawing.Size(464, 248);
			this.groupBoxVista.TabIndex = 1;
			this.groupBoxVista.TabStop = false;
			this.groupBoxVista.Text = "Vista";
			// 
			// dataGridClientes
			// 
			this.dataGridClientes.DataMember = "";
			this.dataGridClientes.HeaderFont = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.dataGridClientes.HeaderForeColor = System.Drawing.Color.Navy;
			this.dataGridClientes.Location = new System.Drawing.Point(8, 16);
			this.dataGridClientes.Name = "dataGridClientes";
			this.dataGridClientes.PreferredColumnWidth = 102;
			this.dataGridClientes.PreferredRowHeight = 20;
			this.dataGridClientes.ReadOnly = true;
			this.dataGridClientes.Size = new System.Drawing.Size(448, 224);
			this.dataGridClientes.TabIndex = 0;
			this.dataGridClientes.DoubleClick += new System.EventHandler(this.dataGridClientes_DoubleClick);
			// 
			// groupBoxBusqueda
			// 
			this.groupBoxBusqueda.Controls.Add(this.numericUpDownNumericAntiguedad);
			this.groupBoxBusqueda.Controls.Add(this.labelClientesCP);
			this.groupBoxBusqueda.Controls.Add(this.textBoxClientesCP);
			this.groupBoxBusqueda.Controls.Add(this.labelMeses);
			this.groupBoxBusqueda.Controls.Add(this.labelClientesAntiguedad);
			this.groupBoxBusqueda.Controls.Add(this.labelClientesPoblacion);
			this.groupBoxBusqueda.Controls.Add(this.labelClientesNombre);
			this.groupBoxBusqueda.Controls.Add(this.textBoxClientesPoblacion);
			this.groupBoxBusqueda.Controls.Add(this.textBoxClientesNombre);
			this.groupBoxBusqueda.Location = new System.Drawing.Point(8, 256);
			this.groupBoxBusqueda.Name = "groupBoxBusqueda";
			this.groupBoxBusqueda.Size = new System.Drawing.Size(464, 96);
			this.groupBoxBusqueda.TabIndex = 2;
			this.groupBoxBusqueda.TabStop = false;
			this.groupBoxBusqueda.Text = "Bsqueda";
			// 
			// numericUpDownNumericAntiguedad
			// 
			this.numericUpDownNumericAntiguedad.Location = new System.Drawing.Point(320, 64);
			this.numericUpDownNumericAntiguedad.Name = "numericUpDownNumericAntiguedad";
			this.numericUpDownNumericAntiguedad.Size = new System.Drawing.Size(88, 21);
			this.numericUpDownNumericAntiguedad.TabIndex = 7;
			this.numericUpDownNumericAntiguedad.ValueChanged += new System.EventHandler(this.textBoxClientesNombre_TextChanged);
			// 
			// labelClientesCP
			// 
			this.labelClientesCP.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelClientesCP.Location = new System.Drawing.Point(8, 69);
			this.labelClientesCP.Name = "labelClientesCP";
			this.labelClientesCP.Size = new System.Drawing.Size(24, 16);
			this.labelClientesCP.TabIndex = 4;
			this.labelClientesCP.Text = "C.P.";
			this.labelClientesCP.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// textBoxClientesCP
			// 
			this.textBoxClientesCP.Location = new System.Drawing.Point(72, 64);
			this.textBoxClientesCP.MaxLength = 5;
			this.textBoxClientesCP.Name = "textBoxClientesCP";
			this.textBoxClientesCP.Size = new System.Drawing.Size(112, 21);
			this.textBoxClientesCP.TabIndex = 5;
			this.textBoxClientesCP.Text = "";
			this.textBoxClientesCP.Validating += new System.ComponentModel.CancelEventHandler(this.textBoxClientesCP_Validating);
			this.textBoxClientesCP.TextChanged += new System.EventHandler(this.textBoxClientesNombre_TextChanged);
			// 
			// labelMeses
			// 
			this.labelMeses.ForeColor = System.Drawing.Color.DimGray;
			this.labelMeses.Location = new System.Drawing.Point(408, 69);
			this.labelMeses.Name = "labelMeses";
			this.labelMeses.Size = new System.Drawing.Size(48, 16);
			this.labelMeses.TabIndex = 8;
			this.labelMeses.Text = "(meses)";
			// 
			// labelClientesAntiguedad
			// 
			this.labelClientesAntiguedad.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelClientesAntiguedad.Location = new System.Drawing.Point(200, 69);
			this.labelClientesAntiguedad.Name = "labelClientesAntiguedad";
			this.labelClientesAntiguedad.Size = new System.Drawing.Size(112, 16);
			this.labelClientesAntiguedad.TabIndex = 6;
			this.labelClientesAntiguedad.Text = "Antigedad mayor a";
			this.labelClientesAntiguedad.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// labelClientesPoblacion
			// 
			this.labelClientesPoblacion.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelClientesPoblacion.Location = new System.Drawing.Point(8, 44);
			this.labelClientesPoblacion.Name = "labelClientesPoblacion";
			this.labelClientesPoblacion.Size = new System.Drawing.Size(56, 16);
			this.labelClientesPoblacion.TabIndex = 2;
			this.labelClientesPoblacion.Text = "Poblacin";
			this.labelClientesPoblacion.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// labelClientesNombre
			// 
			this.labelClientesNombre.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelClientesNombre.Location = new System.Drawing.Point(8, 20);
			this.labelClientesNombre.Name = "labelClientesNombre";
			this.labelClientesNombre.Size = new System.Drawing.Size(56, 16);
			this.labelClientesNombre.TabIndex = 0;
			this.labelClientesNombre.Text = "Nombre";
			this.labelClientesNombre.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// textBoxClientesPoblacion
			// 
			this.textBoxClientesPoblacion.Location = new System.Drawing.Point(72, 40);
			this.textBoxClientesPoblacion.MaxLength = 100;
			this.textBoxClientesPoblacion.Name = "textBoxClientesPoblacion";
			this.textBoxClientesPoblacion.Size = new System.Drawing.Size(384, 21);
			this.textBoxClientesPoblacion.TabIndex = 3;
			this.textBoxClientesPoblacion.Text = "";
			this.textBoxClientesPoblacion.TextChanged += new System.EventHandler(this.textBoxClientesNombre_TextChanged);
			// 
			// textBoxClientesNombre
			// 
			this.textBoxClientesNombre.Location = new System.Drawing.Point(72, 16);
			this.textBoxClientesNombre.MaxLength = 100;
			this.textBoxClientesNombre.Name = "textBoxClientesNombre";
			this.textBoxClientesNombre.Size = new System.Drawing.Size(384, 21);
			this.textBoxClientesNombre.TabIndex = 1;
			this.textBoxClientesNombre.Text = "";
			this.textBoxClientesNombre.TextChanged += new System.EventHandler(this.textBoxClientesNombre_TextChanged);
			// 
			// tabNuevo
			// 
			this.tabNuevo.Controls.Add(this.buttonGenerarContrasea);
			this.tabNuevo.Controls.Add(this.buttonAceptar);
			this.tabNuevo.Controls.Add(this.buttonCancelar);
			this.tabNuevo.Controls.Add(this.groupBoxObservaciones);
			this.tabNuevo.Controls.Add(this.groupBoxDatos);
			this.tabNuevo.Location = new System.Drawing.Point(4, 28);
			this.tabNuevo.Name = "tabNuevo";
			this.tabNuevo.Size = new System.Drawing.Size(560, 360);
			this.tabNuevo.TabIndex = 1;
			this.tabNuevo.Text = "Nuevo";
			// 
			// buttonGenerarContrasea
			// 
			this.buttonGenerarContrasea.ForeColor = System.Drawing.Color.Navy;
			this.buttonGenerarContrasea.Image = ((System.Drawing.Image)(resources.GetObject("buttonGenerarContrasea.Image")));
			this.buttonGenerarContrasea.ImageAlign = System.Drawing.ContentAlignment.BottomRight;
			this.buttonGenerarContrasea.Location = new System.Drawing.Point(8, 312);
			this.buttonGenerarContrasea.Name = "buttonGenerarContrasea";
			this.buttonGenerarContrasea.Size = new System.Drawing.Size(112, 40);
			this.buttonGenerarContrasea.TabIndex = 4;
			this.buttonGenerarContrasea.Text = "Generar contrasea";
			this.buttonGenerarContrasea.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.buttonGenerarContrasea.Click += new System.EventHandler(this.buttonGenerarContrasea_Click);
			// 
			// buttonAceptar
			// 
			this.buttonAceptar.ForeColor = System.Drawing.Color.Navy;
			this.buttonAceptar.Image = ((System.Drawing.Image)(resources.GetObject("buttonAceptar.Image")));
			this.buttonAceptar.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.buttonAceptar.Location = new System.Drawing.Point(352, 312);
			this.buttonAceptar.Name = "buttonAceptar";
			this.buttonAceptar.Size = new System.Drawing.Size(96, 40);
			this.buttonAceptar.TabIndex = 2;
			this.buttonAceptar.Text = "Aceptar ";
			this.buttonAceptar.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonAceptar.Click += new System.EventHandler(this.buttonAceptar_Click);
			// 
			// buttonCancelar
			// 
			this.buttonCancelar.ForeColor = System.Drawing.Color.Navy;
			this.buttonCancelar.Image = ((System.Drawing.Image)(resources.GetObject("buttonCancelar.Image")));
			this.buttonCancelar.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.buttonCancelar.Location = new System.Drawing.Point(456, 312);
			this.buttonCancelar.Name = "buttonCancelar";
			this.buttonCancelar.Size = new System.Drawing.Size(96, 40);
			this.buttonCancelar.TabIndex = 3;
			this.buttonCancelar.Text = "Cancelar";
			this.buttonCancelar.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonCancelar.Click += new System.EventHandler(this.buttonCancelar_Click);
			// 
			// groupBoxObservaciones
			// 
			this.groupBoxObservaciones.Controls.Add(this.textBoxNuevoObservaciones);
			this.groupBoxObservaciones.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.groupBoxObservaciones.Location = new System.Drawing.Point(8, 184);
			this.groupBoxObservaciones.Name = "groupBoxObservaciones";
			this.groupBoxObservaciones.Size = new System.Drawing.Size(544, 120);
			this.groupBoxObservaciones.TabIndex = 1;
			this.groupBoxObservaciones.TabStop = false;
			this.groupBoxObservaciones.Text = "Observaciones";
			this.groupBoxObservaciones.Enter += new System.EventHandler(this.groupBoxObservaciones_Enter);
			// 
			// textBoxNuevoObservaciones
			// 
			this.textBoxNuevoObservaciones.Location = new System.Drawing.Point(8, 16);
			this.textBoxNuevoObservaciones.Multiline = true;
			this.textBoxNuevoObservaciones.Name = "textBoxNuevoObservaciones";
			this.textBoxNuevoObservaciones.Size = new System.Drawing.Size(528, 96);
			this.textBoxNuevoObservaciones.TabIndex = 0;
			this.textBoxNuevoObservaciones.Text = "";
			// 
			// groupBoxDatos
			// 
			this.groupBoxDatos.Controls.Add(this.groupBox2);
			this.groupBoxDatos.Controls.Add(this.textBoxNuevoProvincia);
			this.groupBoxDatos.Controls.Add(this.labelNuevoProvincia);
			this.groupBoxDatos.Controls.Add(this.textBoxNuevoPoblacion);
			this.groupBoxDatos.Controls.Add(this.labelNuevoPoblacion);
			this.groupBoxDatos.Controls.Add(this.groupBox1);
			this.groupBoxDatos.Controls.Add(this.textBoxNuevoMovil);
			this.groupBoxDatos.Controls.Add(this.textBoxNuevoTelefono);
			this.groupBoxDatos.Controls.Add(this.dateTimePickerNuevoFechaNacimiento);
			this.groupBoxDatos.Controls.Add(this.textBoxNuevoCP);
			this.groupBoxDatos.Controls.Add(this.textBoxNuevoCorreo);
			this.groupBoxDatos.Controls.Add(this.textBoxNuevoDireccion);
			this.groupBoxDatos.Controls.Add(this.textBoxNuevoNombre);
			this.groupBoxDatos.Controls.Add(this.labelNuevoCorreo);
			this.groupBoxDatos.Controls.Add(this.labelNuevoMovil);
			this.groupBoxDatos.Controls.Add(this.labelNuevoTelefono);
			this.groupBoxDatos.Controls.Add(this.labelNuevoFechaNacimiento);
			this.groupBoxDatos.Controls.Add(this.labelNuevoCP);
			this.groupBoxDatos.Controls.Add(this.labelNuevoDireccion);
			this.groupBoxDatos.Controls.Add(this.labelNuevoNombre);
			this.groupBoxDatos.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.groupBoxDatos.Location = new System.Drawing.Point(8, 8);
			this.groupBoxDatos.Name = "groupBoxDatos";
			this.groupBoxDatos.Size = new System.Drawing.Size(544, 176);
			this.groupBoxDatos.TabIndex = 0;
			this.groupBoxDatos.TabStop = false;
			this.groupBoxDatos.Text = "Datos";
			// 
			// groupBox2
			// 
			this.groupBox2.Location = new System.Drawing.Point(8, 128);
			this.groupBox2.Name = "groupBox2";
			this.groupBox2.Size = new System.Drawing.Size(528, 8);
			this.groupBox2.TabIndex = 17;
			this.groupBox2.TabStop = false;
			// 
			// textBoxNuevoProvincia
			// 
			this.textBoxNuevoProvincia.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.textBoxNuevoProvincia.Location = new System.Drawing.Point(344, 64);
			this.textBoxNuevoProvincia.MaxLength = 100;
			this.textBoxNuevoProvincia.Name = "textBoxNuevoProvincia";
			this.textBoxNuevoProvincia.Size = new System.Drawing.Size(192, 21);
			this.textBoxNuevoProvincia.TabIndex = 9;
			this.textBoxNuevoProvincia.Text = "";
			// 
			// labelNuevoProvincia
			// 
			this.labelNuevoProvincia.Location = new System.Drawing.Point(288, 69);
			this.labelNuevoProvincia.Name = "labelNuevoProvincia";
			this.labelNuevoProvincia.Size = new System.Drawing.Size(56, 16);
			this.labelNuevoProvincia.TabIndex = 8;
			this.labelNuevoProvincia.Text = "Provincia";
			// 
			// textBoxNuevoPoblacion
			// 
			this.textBoxNuevoPoblacion.Location = new System.Drawing.Point(80, 64);
			this.textBoxNuevoPoblacion.MaxLength = 100;
			this.textBoxNuevoPoblacion.Name = "textBoxNuevoPoblacion";
			this.textBoxNuevoPoblacion.Size = new System.Drawing.Size(192, 21);
			this.textBoxNuevoPoblacion.TabIndex = 7;
			this.textBoxNuevoPoblacion.Text = "";
			// 
			// labelNuevoPoblacion
			// 
			this.labelNuevoPoblacion.Location = new System.Drawing.Point(8, 69);
			this.labelNuevoPoblacion.Name = "labelNuevoPoblacion";
			this.labelNuevoPoblacion.Size = new System.Drawing.Size(64, 16);
			this.labelNuevoPoblacion.TabIndex = 6;
			this.labelNuevoPoblacion.Text = "Poblacin";
			// 
			// groupBox1
			// 
			this.groupBox1.Location = new System.Drawing.Point(8, 88);
			this.groupBox1.Name = "groupBox1";
			this.groupBox1.Size = new System.Drawing.Size(528, 8);
			this.groupBox1.TabIndex = 10;
			this.groupBox1.TabStop = false;
			// 
			// textBoxNuevoMovil
			// 
			this.textBoxNuevoMovil.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.textBoxNuevoMovil.Location = new System.Drawing.Point(440, 104);
			this.textBoxNuevoMovil.MaxLength = 9;
			this.textBoxNuevoMovil.Name = "textBoxNuevoMovil";
			this.textBoxNuevoMovil.Size = new System.Drawing.Size(96, 21);
			this.textBoxNuevoMovil.TabIndex = 16;
			this.textBoxNuevoMovil.Text = "";
			this.textBoxNuevoMovil.Validating += new System.ComponentModel.CancelEventHandler(this.textBoxNuevoMovil_Validating);
			// 
			// textBoxNuevoTelefono
			// 
			this.textBoxNuevoTelefono.Location = new System.Drawing.Point(288, 104);
			this.textBoxNuevoTelefono.MaxLength = 9;
			this.textBoxNuevoTelefono.Name = "textBoxNuevoTelefono";
			this.textBoxNuevoTelefono.Size = new System.Drawing.Size(96, 21);
			this.textBoxNuevoTelefono.TabIndex = 14;
			this.textBoxNuevoTelefono.Text = "";
			this.textBoxNuevoTelefono.Validating += new System.ComponentModel.CancelEventHandler(this.textBoxNuevoTelefono_Validating);
			// 
			// dateTimePickerNuevoFechaNacimiento
			// 
			this.dateTimePickerNuevoFechaNacimiento.Format = System.Windows.Forms.DateTimePickerFormat.Short;
			this.dateTimePickerNuevoFechaNacimiento.Location = new System.Drawing.Point(120, 104);
			this.dateTimePickerNuevoFechaNacimiento.Name = "dateTimePickerNuevoFechaNacimiento";
			this.dateTimePickerNuevoFechaNacimiento.Size = new System.Drawing.Size(96, 21);
			this.dateTimePickerNuevoFechaNacimiento.TabIndex = 12;
			// 
			// textBoxNuevoCP
			// 
			this.textBoxNuevoCP.Location = new System.Drawing.Point(464, 40);
			this.textBoxNuevoCP.MaxLength = 5;
			this.textBoxNuevoCP.Name = "textBoxNuevoCP";
			this.textBoxNuevoCP.Size = new System.Drawing.Size(72, 21);
			this.textBoxNuevoCP.TabIndex = 5;
			this.textBoxNuevoCP.Text = "";
			this.textBoxNuevoCP.Validating += new System.ComponentModel.CancelEventHandler(this.textBoxNuevoCP_Validating);
			// 
			// textBoxNuevoCorreo
			// 
			this.textBoxNuevoCorreo.Location = new System.Drawing.Point(112, 144);
			this.textBoxNuevoCorreo.MaxLength = 100;
			this.textBoxNuevoCorreo.Name = "textBoxNuevoCorreo";
			this.textBoxNuevoCorreo.Size = new System.Drawing.Size(424, 21);
			this.textBoxNuevoCorreo.TabIndex = 19;
			this.textBoxNuevoCorreo.Text = "";
			this.textBoxNuevoCorreo.Validating += new System.ComponentModel.CancelEventHandler(this.textBoxNuevoCorreo_Validating);
			// 
			// textBoxNuevoDireccion
			// 
			this.textBoxNuevoDireccion.Location = new System.Drawing.Point(80, 40);
			this.textBoxNuevoDireccion.MaxLength = 100;
			this.textBoxNuevoDireccion.Name = "textBoxNuevoDireccion";
			this.textBoxNuevoDireccion.Size = new System.Drawing.Size(336, 21);
			this.textBoxNuevoDireccion.TabIndex = 3;
			this.textBoxNuevoDireccion.Text = "";
			// 
			// textBoxNuevoNombre
			// 
			this.textBoxNuevoNombre.Location = new System.Drawing.Point(80, 16);
			this.textBoxNuevoNombre.MaxLength = 100;
			this.textBoxNuevoNombre.Name = "textBoxNuevoNombre";
			this.textBoxNuevoNombre.Size = new System.Drawing.Size(456, 21);
			this.textBoxNuevoNombre.TabIndex = 1;
			this.textBoxNuevoNombre.Text = "";
			this.textBoxNuevoNombre.Validating += new System.ComponentModel.CancelEventHandler(this.textBoxNuevoNombre_Validating);
			// 
			// labelNuevoCorreo
			// 
			this.labelNuevoCorreo.Location = new System.Drawing.Point(8, 149);
			this.labelNuevoCorreo.Name = "labelNuevoCorreo";
			this.labelNuevoCorreo.Size = new System.Drawing.Size(104, 16);
			this.labelNuevoCorreo.TabIndex = 18;
			this.labelNuevoCorreo.Text = "Correo electrnico";
			// 
			// labelNuevoMovil
			// 
			this.labelNuevoMovil.Location = new System.Drawing.Point(400, 109);
			this.labelNuevoMovil.Name = "labelNuevoMovil";
			this.labelNuevoMovil.Size = new System.Drawing.Size(32, 16);
			this.labelNuevoMovil.TabIndex = 15;
			this.labelNuevoMovil.Text = "Mvil";
			// 
			// labelNuevoTelefono
			// 
			this.labelNuevoTelefono.Location = new System.Drawing.Point(232, 109);
			this.labelNuevoTelefono.Name = "labelNuevoTelefono";
			this.labelNuevoTelefono.Size = new System.Drawing.Size(48, 16);
			this.labelNuevoTelefono.TabIndex = 13;
			this.labelNuevoTelefono.Text = "Telfono";
			// 
			// labelNuevoFechaNacimiento
			// 
			this.labelNuevoFechaNacimiento.Location = new System.Drawing.Point(8, 109);
			this.labelNuevoFechaNacimiento.Name = "labelNuevoFechaNacimiento";
			this.labelNuevoFechaNacimiento.Size = new System.Drawing.Size(120, 16);
			this.labelNuevoFechaNacimiento.TabIndex = 11;
			this.labelNuevoFechaNacimiento.Text = "Fecha de nacimiento";
			// 
			// labelNuevoCP
			// 
			this.labelNuevoCP.Location = new System.Drawing.Point(432, 45);
			this.labelNuevoCP.Name = "labelNuevoCP";
			this.labelNuevoCP.Size = new System.Drawing.Size(24, 16);
			this.labelNuevoCP.TabIndex = 4;
			this.labelNuevoCP.Text = "C.P.";
			// 
			// labelNuevoDireccion
			// 
			this.labelNuevoDireccion.Location = new System.Drawing.Point(8, 45);
			this.labelNuevoDireccion.Name = "labelNuevoDireccion";
			this.labelNuevoDireccion.Size = new System.Drawing.Size(64, 16);
			this.labelNuevoDireccion.TabIndex = 2;
			this.labelNuevoDireccion.Text = "Direccin";
			// 
			// labelNuevoNombre
			// 
			this.labelNuevoNombre.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelNuevoNombre.Location = new System.Drawing.Point(8, 21);
			this.labelNuevoNombre.Name = "labelNuevoNombre";
			this.labelNuevoNombre.Size = new System.Drawing.Size(64, 16);
			this.labelNuevoNombre.TabIndex = 0;
			this.labelNuevoNombre.Text = "Nombre";
			// 
			// tabFicha
			// 
			this.tabFicha.Controls.Add(this.buttonFichaImprimir);
			this.tabFicha.Controls.Add(this.groupBoxFichaObservaciones);
			this.tabFicha.Controls.Add(this.groupBoxFichaDatos);
			this.tabFicha.Location = new System.Drawing.Point(4, 28);
			this.tabFicha.Name = "tabFicha";
			this.tabFicha.Size = new System.Drawing.Size(560, 360);
			this.tabFicha.TabIndex = 2;
			this.tabFicha.Text = "Ficha";
			// 
			// buttonFichaImprimir
			// 
			this.buttonFichaImprimir.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonFichaImprimir.ForeColor = System.Drawing.Color.Navy;
			this.buttonFichaImprimir.Image = ((System.Drawing.Image)(resources.GetObject("buttonFichaImprimir.Image")));
			this.buttonFichaImprimir.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.buttonFichaImprimir.Location = new System.Drawing.Point(456, 312);
			this.buttonFichaImprimir.Name = "buttonFichaImprimir";
			this.buttonFichaImprimir.Size = new System.Drawing.Size(96, 40);
			this.buttonFichaImprimir.TabIndex = 2;
			this.buttonFichaImprimir.Text = "Imprimir   ";
			this.buttonFichaImprimir.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonFichaImprimir.Click += new System.EventHandler(this.buttonFichaImprimir_Click);
			// 
			// groupBoxFichaObservaciones
			// 
			this.groupBoxFichaObservaciones.Controls.Add(this.labelFichaObservaciones);
			this.groupBoxFichaObservaciones.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.groupBoxFichaObservaciones.Location = new System.Drawing.Point(8, 184);
			this.groupBoxFichaObservaciones.Name = "groupBoxFichaObservaciones";
			this.groupBoxFichaObservaciones.Size = new System.Drawing.Size(544, 120);
			this.groupBoxFichaObservaciones.TabIndex = 1;
			this.groupBoxFichaObservaciones.TabStop = false;
			this.groupBoxFichaObservaciones.Text = "Observaciones";
			// 
			// labelFichaObservaciones
			// 
			this.labelFichaObservaciones.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaObservaciones.Location = new System.Drawing.Point(8, 16);
			this.labelFichaObservaciones.Name = "labelFichaObservaciones";
			this.labelFichaObservaciones.Size = new System.Drawing.Size(528, 96);
			this.labelFichaObservaciones.TabIndex = 0;
			// 
			// groupBoxFichaDatos
			// 
			this.groupBoxFichaDatos.Controls.Add(this.labelDatoFechaAlta);
			this.groupBoxFichaDatos.Controls.Add(this.labelAntiguedad);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDatoCorreo);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDatoMovil);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDatoTelefono);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDatoFechaNacimiento);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDatoCP);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDatoProvincia);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDatoPoblacion);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDatoDireccion);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDatoNombre);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaProvincia);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaPoblacion);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaCorreo);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaMovil);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaTelefono);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaFechaNacimiento);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaCP);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDireccion);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaNombre);
			this.groupBoxFichaDatos.Controls.Add(this.groupBox4);
			this.groupBoxFichaDatos.Controls.Add(this.groupBox5);
			this.groupBoxFichaDatos.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.groupBoxFichaDatos.Location = new System.Drawing.Point(8, 8);
			this.groupBoxFichaDatos.Name = "groupBoxFichaDatos";
			this.groupBoxFichaDatos.Size = new System.Drawing.Size(544, 176);
			this.groupBoxFichaDatos.TabIndex = 0;
			this.groupBoxFichaDatos.TabStop = false;
			this.groupBoxFichaDatos.Text = "Datos";
			// 
			// labelDatoFechaAlta
			// 
			this.labelDatoFechaAlta.ForeColor = System.Drawing.Color.Navy;
			this.labelDatoFechaAlta.Location = new System.Drawing.Point(472, 149);
			this.labelDatoFechaAlta.Name = "labelDatoFechaAlta";
			this.labelDatoFechaAlta.Size = new System.Drawing.Size(64, 16);
			this.labelDatoFechaAlta.TabIndex = 21;
			// 
			// labelAntiguedad
			// 
			this.labelAntiguedad.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelAntiguedad.Location = new System.Drawing.Point(384, 149);
			this.labelAntiguedad.Name = "labelAntiguedad";
			this.labelAntiguedad.Size = new System.Drawing.Size(80, 16);
			this.labelAntiguedad.TabIndex = 20;
			this.labelAntiguedad.Text = "Fecha de alta";
			// 
			// labelFichaDatoCorreo
			// 
			this.labelFichaDatoCorreo.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaDatoCorreo.Location = new System.Drawing.Point(120, 149);
			this.labelFichaDatoCorreo.Name = "labelFichaDatoCorreo";
			this.labelFichaDatoCorreo.Size = new System.Drawing.Size(256, 16);
			this.labelFichaDatoCorreo.TabIndex = 19;
			// 
			// labelFichaDatoMovil
			// 
			this.labelFichaDatoMovil.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaDatoMovil.Location = new System.Drawing.Point(448, 109);
			this.labelFichaDatoMovil.Name = "labelFichaDatoMovil";
			this.labelFichaDatoMovil.Size = new System.Drawing.Size(88, 16);
			this.labelFichaDatoMovil.TabIndex = 16;
			// 
			// labelFichaDatoTelefono
			// 
			this.labelFichaDatoTelefono.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaDatoTelefono.Location = new System.Drawing.Point(296, 109);
			this.labelFichaDatoTelefono.Name = "labelFichaDatoTelefono";
			this.labelFichaDatoTelefono.Size = new System.Drawing.Size(80, 16);
			this.labelFichaDatoTelefono.TabIndex = 14;
			// 
			// labelFichaDatoFechaNacimiento
			// 
			this.labelFichaDatoFechaNacimiento.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaDatoFechaNacimiento.Location = new System.Drawing.Point(136, 109);
			this.labelFichaDatoFechaNacimiento.Name = "labelFichaDatoFechaNacimiento";
			this.labelFichaDatoFechaNacimiento.Size = new System.Drawing.Size(96, 16);
			this.labelFichaDatoFechaNacimiento.TabIndex = 12;
			// 
			// labelFichaDatoCP
			// 
			this.labelFichaDatoCP.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaDatoCP.Location = new System.Drawing.Point(464, 45);
			this.labelFichaDatoCP.Name = "labelFichaDatoCP";
			this.labelFichaDatoCP.Size = new System.Drawing.Size(72, 16);
			this.labelFichaDatoCP.TabIndex = 5;
			// 
			// labelFichaDatoProvincia
			// 
			this.labelFichaDatoProvincia.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaDatoProvincia.Location = new System.Drawing.Point(352, 69);
			this.labelFichaDatoProvincia.Name = "labelFichaDatoProvincia";
			this.labelFichaDatoProvincia.Size = new System.Drawing.Size(184, 16);
			this.labelFichaDatoProvincia.TabIndex = 9;
			// 
			// labelFichaDatoPoblacion
			// 
			this.labelFichaDatoPoblacion.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaDatoPoblacion.Location = new System.Drawing.Point(72, 69);
			this.labelFichaDatoPoblacion.Name = "labelFichaDatoPoblacion";
			this.labelFichaDatoPoblacion.Size = new System.Drawing.Size(192, 16);
			this.labelFichaDatoPoblacion.TabIndex = 7;
			// 
			// labelFichaDatoDireccion
			// 
			this.labelFichaDatoDireccion.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaDatoDireccion.Location = new System.Drawing.Point(72, 45);
			this.labelFichaDatoDireccion.Name = "labelFichaDatoDireccion";
			this.labelFichaDatoDireccion.Size = new System.Drawing.Size(352, 16);
			this.labelFichaDatoDireccion.TabIndex = 3;
			// 
			// labelFichaDatoNombre
			// 
			this.labelFichaDatoNombre.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaDatoNombre.Location = new System.Drawing.Point(72, 21);
			this.labelFichaDatoNombre.Name = "labelFichaDatoNombre";
			this.labelFichaDatoNombre.Size = new System.Drawing.Size(464, 16);
			this.labelFichaDatoNombre.TabIndex = 1;
			// 
			// labelFichaProvincia
			// 
			this.labelFichaProvincia.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFichaProvincia.Location = new System.Drawing.Point(288, 69);
			this.labelFichaProvincia.Name = "labelFichaProvincia";
			this.labelFichaProvincia.Size = new System.Drawing.Size(64, 16);
			this.labelFichaProvincia.TabIndex = 8;
			this.labelFichaProvincia.Text = "Provincia";
			// 
			// labelFichaPoblacion
			// 
			this.labelFichaPoblacion.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFichaPoblacion.Location = new System.Drawing.Point(8, 69);
			this.labelFichaPoblacion.Name = "labelFichaPoblacion";
			this.labelFichaPoblacion.Size = new System.Drawing.Size(64, 16);
			this.labelFichaPoblacion.TabIndex = 6;
			this.labelFichaPoblacion.Text = "Poblacin";
			// 
			// labelFichaCorreo
			// 
			this.labelFichaCorreo.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFichaCorreo.Location = new System.Drawing.Point(8, 149);
			this.labelFichaCorreo.Name = "labelFichaCorreo";
			this.labelFichaCorreo.Size = new System.Drawing.Size(112, 16);
			this.labelFichaCorreo.TabIndex = 18;
			this.labelFichaCorreo.Text = "Correo electrnico";
			// 
			// labelFichaMovil
			// 
			this.labelFichaMovil.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFichaMovil.Location = new System.Drawing.Point(400, 109);
			this.labelFichaMovil.Name = "labelFichaMovil";
			this.labelFichaMovil.Size = new System.Drawing.Size(40, 16);
			this.labelFichaMovil.TabIndex = 15;
			this.labelFichaMovil.Text = "Mvil";
			// 
			// labelFichaTelefono
			// 
			this.labelFichaTelefono.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFichaTelefono.Location = new System.Drawing.Point(240, 109);
			this.labelFichaTelefono.Name = "labelFichaTelefono";
			this.labelFichaTelefono.Size = new System.Drawing.Size(56, 16);
			this.labelFichaTelefono.TabIndex = 13;
			this.labelFichaTelefono.Text = "Telfono";
			// 
			// labelFichaFechaNacimiento
			// 
			this.labelFichaFechaNacimiento.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFichaFechaNacimiento.Location = new System.Drawing.Point(8, 109);
			this.labelFichaFechaNacimiento.Name = "labelFichaFechaNacimiento";
			this.labelFichaFechaNacimiento.Size = new System.Drawing.Size(128, 16);
			this.labelFichaFechaNacimiento.TabIndex = 11;
			this.labelFichaFechaNacimiento.Text = "Fecha de nacimiento";
			// 
			// labelFichaCP
			// 
			this.labelFichaCP.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFichaCP.Location = new System.Drawing.Point(432, 45);
			this.labelFichaCP.Name = "labelFichaCP";
			this.labelFichaCP.Size = new System.Drawing.Size(24, 16);
			this.labelFichaCP.TabIndex = 4;
			this.labelFichaCP.Text = "C.P.";
			// 
			// labelFichaDireccion
			// 
			this.labelFichaDireccion.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFichaDireccion.Location = new System.Drawing.Point(8, 45);
			this.labelFichaDireccion.Name = "labelFichaDireccion";
			this.labelFichaDireccion.Size = new System.Drawing.Size(64, 16);
			this.labelFichaDireccion.TabIndex = 2;
			this.labelFichaDireccion.Text = "Direccin";
			// 
			// labelFichaNombre
			// 
			this.labelFichaNombre.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFichaNombre.Location = new System.Drawing.Point(8, 21);
			this.labelFichaNombre.Name = "labelFichaNombre";
			this.labelFichaNombre.Size = new System.Drawing.Size(64, 16);
			this.labelFichaNombre.TabIndex = 0;
			this.labelFichaNombre.Text = "Nombre";
			// 
			// groupBox4
			// 
			this.groupBox4.Location = new System.Drawing.Point(8, 128);
			this.groupBox4.Name = "groupBox4";
			this.groupBox4.Size = new System.Drawing.Size(528, 8);
			this.groupBox4.TabIndex = 17;
			this.groupBox4.TabStop = false;
			// 
			// groupBox5
			// 
			this.groupBox5.Location = new System.Drawing.Point(8, 88);
			this.groupBox5.Name = "groupBox5";
			this.groupBox5.Size = new System.Drawing.Size(528, 8);
			this.groupBox5.TabIndex = 10;
			this.groupBox5.TabStop = false;
			// 
			// buttonCerrar
			// 
			this.buttonCerrar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonCerrar.ForeColor = System.Drawing.Color.Navy;
			this.buttonCerrar.Image = ((System.Drawing.Image)(resources.GetObject("buttonCerrar.Image")));
			this.buttonCerrar.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.buttonCerrar.Location = new System.Drawing.Point(480, 416);
			this.buttonCerrar.Name = "buttonCerrar";
			this.buttonCerrar.Size = new System.Drawing.Size(88, 40);
			this.buttonCerrar.TabIndex = 1;
			this.buttonCerrar.Text = "Cerrar";
			this.buttonCerrar.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonCerrar.Click += new System.EventHandler(this.buttonCerrar_Click);
			// 
			// pictureBoxBotonera
			// 
			this.pictureBoxBotonera.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.pictureBoxBotonera.Image = ((System.Drawing.Image)(resources.GetObject("pictureBoxBotonera.Image")));
			this.pictureBoxBotonera.Location = new System.Drawing.Point(8, 408);
			this.pictureBoxBotonera.Name = "pictureBoxBotonera";
			this.pictureBoxBotonera.Size = new System.Drawing.Size(568, 56);
			this.pictureBoxBotonera.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
			this.pictureBoxBotonera.TabIndex = 2;
			this.pictureBoxBotonera.TabStop = false;
			// 
			// odbcConnection1
			// 
			this.odbcConnection1.ConnectionString = @"DSN=clinica;LowerCaseIdentifier=0;LFConversion=1;Ksqo=1;UnknownSizes=0;Debug=0;UseServerSidePrepare=0;Parse=0;SERVER=localhost;ByteaAsLongVarBinary=0;TextAsLongVarchar=1;ReadOnly=0;FakeOidIndex=0;ConnSettings=;MaxLongVarcharSize=8190;MaxVarcharSize=254;Socket=8192;TrueIsMinus1=0;DisallowPremature=0;DATABASE=clinica;Optimizer=1;UID=postgres;ShowOidColumn=0;UseDeclareFetch=0;CancelAsFreeStmt=0;PWD=000000;BI=0;CommLog=0;Fetch=100;UpdatableCursors=0;ExtraSysTablePrefixes=dd_;UnknownsAsLongVarchar=0;RowVersioning=0;SSLMODE=prefer;PORT=5432;BoolsAsChar=1;ShowSystemTables=0";
			// 
			// FormClientes
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 14);
			this.ClientSize = new System.Drawing.Size(584, 470);
			this.Controls.Add(this.buttonCerrar);
			this.Controls.Add(this.pictureBoxBotonera);
			this.Controls.Add(this.tabControlClientes);
			this.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "FormClientes";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
			this.Text = "Mantenimiento de Clientes";
			this.Closing += new System.ComponentModel.CancelEventHandler(this.FormClientes_Closing);
			this.Load += new System.EventHandler(this.FormClientes_Load);
			this.tabControlClientes.ResumeLayout(false);
			this.tabClientes.ResumeLayout(false);
			this.groupBoxVista.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.dataGridClientes)).EndInit();
			this.groupBoxBusqueda.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.numericUpDownNumericAntiguedad)).EndInit();
			this.tabNuevo.ResumeLayout(false);
			this.groupBoxObservaciones.ResumeLayout(false);
			this.groupBoxDatos.ResumeLayout(false);
			this.tabFicha.ResumeLayout(false);
			this.groupBoxFichaObservaciones.ResumeLayout(false);
			this.groupBoxFichaDatos.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		private void FormClientes_Load(object sender, System.EventArgs e)
		{
			//estado = 3;
			string comando ;
			comando  = "SELECT cliente as \"Nombre\", ";	//Creo la consulta
			comando	+= "CASE WHEN cp IS null THEN '' ELSE cp END AS \"Cdigo Postal\", ";
			comando	+= "CASE WHEN poblacion IS null THEN '' ELSE poblacion END AS \"Poblacin\", ";
			comando += "(now()::date - fechaalta)/30 || ' meses' as \"Antigedad\" ";
			comando	+= "FROM clientes ";

			DataSet ds = cns.ExecDS(comando);
			if (cns.gsConsulta >= 0)
			{
				dataGridClientes.DataSource = ds;	//Carga el datagrid de clientes
				dataGridClientes.DataMember = "consulta";
			}
			else
			{
				MessageBox.Show("Error al cargar clientes", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
			
			tabControlClientes.SelectedIndex = 0;
		}

		private void buttonCerrar_Click(object sender, System.EventArgs e)
		{
			Close();			
		}


		//SOLAPA 1
		private void textBoxClientesNombre_TextChanged(object sender, System.EventArgs e)
		{
			string condicion = "";
			condicion += (textBoxClientesNombre.Text.Equals(""))? "" : " and lower(cliente) like lower('" + textBoxClientesNombre.Text + "%')";
			condicion += (textBoxClientesPoblacion.Text.Equals(""))? "" : " and lower(poblacion) like lower('" + textBoxClientesPoblacion.Text + "%')";
			condicion += (textBoxClientesCP.Text.Equals(""))? "" : " and lower(cp) like lower('" + textBoxClientesCP.Text + "%')";
			condicion += (numericUpDownNumericAntiguedad.Value == 0)? "" : " and (now()::date - fechaalta)/30 > " + numericUpDownNumericAntiguedad.Value.ToString();
			if (!condicion.Equals("")) condicion = condicion.Substring(4);

			string comando = "";
			comando  = "SELECT cliente as \"Nombre\", ";	//Creo la consulta
			comando	+= "CASE WHEN cp IS null THEN '' ELSE cp END AS \"Cdigo Postal\", ";
			comando	+= "CASE WHEN poblacion IS null THEN '' ELSE poblacion END AS \"Poblacin\", ";
			comando += "(now()::date - fechaalta)/30 || ' meses' as \"Antigedad\" ";
			comando	+= "FROM clientes ";
			comando += (!condicion.Equals(""))? "WHERE " + condicion : "";
  			
			try
			{
				dataGridClientes.DataSource = cns.ExecDS(comando);
				dataGridClientes.DataMember = "consulta";
			}
			catch
			{
				MessageBox.Show("Error de caracter incorrecto", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
		}

		private void buttonNuevo_Click(object sender, System.EventArgs e)
		{
			tabControlClientes.SelectedIndex = 1;
			estado = 0;
		}

		private void buttonModificar_Click(object sender, System.EventArgs e)
		{	
			//Comprobamos si hay elementos
			if(dataGridClientes.CurrentRowIndex >= 0)
			{
				tabControlClientes.SelectedIndex = 1;
				estado = 1; //modificacin
		
				Cliente cliente = new Cliente();
				cliente.CargarNombreDB(dataGridClientes[dataGridClientes.CurrentRowIndex, 0].ToString());

				codigo = cliente.gsIdCliente;

				textBoxNuevoNombre.Text = cliente.gsNombre;
				dateTimePickerNuevoFechaNacimiento.Value = cliente.gsFechaNacimiento;
				textBoxNuevoDireccion.Text = cliente.gsDireccion;
				textBoxNuevoCP.Text = cliente.gsCp;
				textBoxNuevoPoblacion.Text = cliente.gsPoblacion;
				textBoxNuevoProvincia.Text = cliente.gsProvincia;
				textBoxNuevoTelefono.Text = cliente.gsTelefono;
				textBoxNuevoMovil.Text = cliente.gsMovil;
				textBoxNuevoCorreo.Text = cliente.gsEmail;
				textBoxNuevoObservaciones.Text = cliente.gsObservaciones;
			
			}
			else
				MessageBox.Show("Error al modificar el cliente, cliente inexistente", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
	
		}

		private void buttonEliminar_Click(object sender, System.EventArgs e)
		{
			//Comprobamos si hay elementos
			if(dataGridClientes.CurrentRowIndex >= 0)
			{
				if(MessageBox.Show("Quieres borrar el registro?","Eliminar", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
				{				
					Cliente cliente = new Cliente();
					string nombre = dataGridClientes[dataGridClientes.CurrentRowIndex, 0].ToString();
					if (!cliente.EliminarDB(nombre))
						MessageBox.Show("Error al eliminar el cliente");

					FormClientes_Load(this, null);				
				}
			}
			else
				MessageBox.Show("Error al elminar el cliente, cliente inexistente", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
		}

		//SOLAPA 2
		private void buttonAceptar_Click(object sender, System.EventArgs e)
		{
			if(textBoxNuevoNombre.Text.Equals(""))
			{
				MessageBox.Show("No ha rellenado todos los campos obligatorios", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
			else
			{
				Cliente cliente = new Cliente();

				cliente.gsNombre = textBoxNuevoNombre.Text;
				cliente.gsFechaNacimiento = dateTimePickerNuevoFechaNacimiento.Value;
				cliente.gsDireccion = textBoxNuevoDireccion.Text;
				cliente.gsCp = textBoxNuevoCP.Text;
				cliente.gsPoblacion = textBoxNuevoPoblacion.Text;
				cliente.gsProvincia = textBoxNuevoProvincia.Text;
				cliente.gsTelefono = textBoxNuevoTelefono.Text;
				cliente.gsMovil = textBoxNuevoMovil.Text;
				cliente.gsEmail = textBoxNuevoCorreo.Text;

				cliente.gsObservaciones = textBoxNuevoObservaciones.Text;
				if(estado == 0)	//Nuevo
				{
					int codigoCliente = cliente.AgregarDB();
					if (codigoCliente > 0)
					{
						if (!cliente.gsEmail.Equals(""))
						{
							Utilidades utls = new Utilidades();
							utls.GenerarClave(codigoCliente);
						}
						Historial historial = new Historial();
						historial.gsIdCliente = codigoCliente;
						if(historial.AgregarDB() <= 0)
						{
							MessageBox.Show("Error al crear el historial del cliente", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
						}
					}
					else
					{
						MessageBox.Show("Error al insertar el cliente", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
					}
				}
				else	//Modificar
				{
					cliente.gsIdCliente = codigo;

					if (!cliente.ModificarDB())
					{
						MessageBox.Show("Error al modificar el cliente", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
					}
				}

				textBoxNuevoNombre.Clear();
				dateTimePickerNuevoFechaNacimiento.Value = DateTime.Now;
				textBoxNuevoDireccion.Clear();
				textBoxNuevoCP.Clear();
				textBoxNuevoPoblacion.Clear();
				textBoxNuevoProvincia.Clear();
				textBoxNuevoTelefono.Clear();
				textBoxNuevoMovil.Clear();
				textBoxNuevoCorreo.Clear();
				textBoxNuevoObservaciones.Clear();

				FormClientes_Load(this, null);
			}
		}

		private void buttonCancelar_Click(object sender, System.EventArgs e)
		{
			textBoxNuevoNombre.Clear();
			dateTimePickerNuevoFechaNacimiento.Value = DateTime.Now;
			textBoxNuevoDireccion.Clear();
			textBoxNuevoCP.Clear();
			textBoxNuevoPoblacion.Clear();
			textBoxNuevoProvincia.Clear();
			textBoxNuevoTelefono.Clear();
			textBoxNuevoMovil.Clear();
			textBoxNuevoCorreo.Clear();
			textBoxNuevoObservaciones.Clear();
			
			tabControlClientes.SelectedIndex = 0;
		}

		private void dataGridClientes_DoubleClick(object sender, System.EventArgs e)
		{
			tabControlClientes.SelectedIndex = 2;
		
			Utilidades utls = new Utilidades();
			Cliente cliente = new Cliente();
			cliente.CargarDB(" where cliente = '" + dataGridClientes[dataGridClientes.CurrentRowIndex, 0].ToString() + "' " );

			labelFichaDatoNombre.Text = cliente.gsNombre;
			labelFichaDatoFechaNacimiento.Text = utls.FechaPostgres(cliente.gsFechaNacimiento);
			labelFichaDatoDireccion.Text = cliente.gsDireccion;
			labelFichaDatoCP.Text = cliente.gsCp;
			labelFichaDatoPoblacion.Text = cliente.gsPoblacion;
			labelFichaDatoProvincia.Text = cliente.gsProvincia;
			labelFichaDatoTelefono.Text = cliente.gsTelefono;
			labelFichaDatoMovil.Text = cliente.gsMovil;
			labelFichaDatoCorreo.Text = cliente.gsEmail;
			labelDatoFechaAlta.Text = utls.FechaPostgres(cliente.gsFechaAlta);
			labelFichaObservaciones.Text = cliente.gsObservaciones;
		}

		private void buttonClientesImprimir_Click(object sender, System.EventArgs e)
		{
			FormReporte reporte = new FormReporte();
			reporte.gsRutaListado = "..\\..\\CrystalReportClientes.rpt";
			reporte.ShowDialog();
		}

		private void buttonFichaImprimir_Click(object sender, System.EventArgs e)
		{
			FormReporte reporte = new FormReporte();
			reporte.gsRutaListado = "..\\..\\CrystalReportClientes.rpt";
			reporte.ShowDialog();
		}

		private void textBoxClientesCP_Validating(object sender, System.ComponentModel.CancelEventArgs e)
		{
			if(textBoxClientesCP.Text != "")
			{
				ExpresionesRegulares expresion = new ExpresionesRegulares();
				if(expresion.ERCp(textBoxClientesCP.Text) == false)	//Si el valor no es correcto
				{
					textBoxClientesCP.Clear();
					MessageBox.Show("Por favor, inserta de nuevo el campo", "Expresin no vlida", MessageBoxButtons.OK, MessageBoxIcon.Stop);
					textBoxClientesCP.Focus();
				}
			}
		}

		private void textBoxNuevoCP_Validating(object sender, System.ComponentModel.CancelEventArgs e)
		{
			if(textBoxNuevoCP.Text != "")
			{
				ExpresionesRegulares expresion = new ExpresionesRegulares();
				if(expresion.ERCp(textBoxNuevoCP.Text) == false)	//Si el valor no es correcto
				{
					textBoxNuevoCP.Clear();
					MessageBox.Show("Por favor, inserta de nuevo el campo", "Expresin no vlida", MessageBoxButtons.OK, MessageBoxIcon.Stop);
					textBoxNuevoCP.Focus();
				}
			}
		}

		private void textBoxNuevoTelefono_Validating(object sender, System.ComponentModel.CancelEventArgs e)
		{
			if(textBoxNuevoTelefono.Text != "")
			{
				ExpresionesRegulares expresion = new ExpresionesRegulares();
				if(expresion.ERTelefono(textBoxNuevoTelefono.Text) == false)	//Si el valor no es correcto
				{
					textBoxNuevoTelefono.Clear();
					MessageBox.Show("Por favor, inserta de nuevo el campo", "Expresin no vlida", MessageBoxButtons.OK, MessageBoxIcon.Stop);
					textBoxNuevoTelefono.Focus();
				}
			}
		}

		private void textBoxNuevoMovil_Validating(object sender, System.ComponentModel.CancelEventArgs e)
		{
			if(textBoxNuevoMovil.Text != "")
			{
				ExpresionesRegulares expresion = new ExpresionesRegulares();
				if(expresion.ERMovil(textBoxNuevoMovil.Text) == false)	//Si el valor no es correcto
				{
					textBoxNuevoMovil.Clear();
					MessageBox.Show("Por favor, inserta de nuevo el campo", "Expresin no vlida", MessageBoxButtons.OK, MessageBoxIcon.Stop);
					textBoxNuevoMovil.Focus();
				}
			}
		}

		private void textBoxNuevoCorreo_Validating(object sender, System.ComponentModel.CancelEventArgs e)
		{
			if(textBoxNuevoCorreo.Text != "")
			{
				ExpresionesRegulares expresion = new ExpresionesRegulares();
				if(expresion.EREmail(textBoxNuevoCorreo.Text) == false)	//Si el valor no es correcto
				{
					textBoxNuevoCorreo.Clear();
					MessageBox.Show("Por favor, inserta de nuevo el campo", "Expresin no vlida", MessageBoxButtons.OK, MessageBoxIcon.Stop);
					textBoxNuevoCorreo.Focus();
				}
			}
		}

		private void buttonGenerarContrasea_Click(object sender, System.EventArgs e)
		{
			Utilidades utls = new Utilidades();
			utls.GenerarClave(codigo);
		}

		private void groupBoxObservaciones_Enter(object sender, System.EventArgs e)
		{
		
		}

		private void textBoxNuevoNombre_Validating(object sender, System.ComponentModel.CancelEventArgs e)
		{
			ExpresionesRegulares expresion = new ExpresionesRegulares();
			if(expresion.ERTexto(textBoxNuevoNombre.Text) == false)	//Si el valor no es correcto
			{
				textBoxNuevoNombre.Clear();
				MessageBox.Show("Por favor, inserta de nuevo el campo", "Expresin no vlida", MessageBoxButtons.OK, MessageBoxIcon.Stop);
				textBoxNuevoNombre.Focus();
			}
		}

		private void FormClientes_Closing(object sender, System.ComponentModel.CancelEventArgs e)
		{
			cns.Cierre();
		}
	}
}
