using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.Data.Odbc;
using ClassLibraryClinica;

namespace WindowsApplicationClinica
{
	/// <summary>
	/// Descripcin breve de FormDentadura.
	/// </summary>
	public class FormDentadura : System.Windows.Forms.Form
	{
		private System.Windows.Forms.TabPage tabPageSuperior;
		private System.Windows.Forms.TabPage tabPageDentaduraInferior;
		private System.Windows.Forms.GroupBox groupBoxS16;
		private System.Windows.Forms.GroupBox groupBoxS15;
		private System.Windows.Forms.GroupBox groupBoxS14;
		private System.Windows.Forms.GroupBox groupBoxS13;
		private System.Windows.Forms.GroupBox groupBoxS12;
		private System.Windows.Forms.GroupBox groupBoxS11;
		private System.Windows.Forms.GroupBox groupBoxS9;
		private System.Windows.Forms.GroupBox groupBoxS2;
		private System.Windows.Forms.GroupBox groupBoxS3;
		private System.Windows.Forms.GroupBox groupBoxS4;
		private System.Windows.Forms.GroupBox groupBoxS5;
		private System.Windows.Forms.GroupBox groupBoxS7;
		private System.Windows.Forms.PictureBox pictureBox16;
		private System.Windows.Forms.PictureBox pictureBox15;
		private System.Windows.Forms.PictureBox pictureBox14;
		private System.Windows.Forms.PictureBox pictureBox13;
		private System.Windows.Forms.PictureBox pictureBox12;
		private System.Windows.Forms.PictureBox pictureBox11;
		private System.Windows.Forms.PictureBox pictureBox10;
		private System.Windows.Forms.PictureBox pictureBox9;
		private System.Windows.Forms.PictureBox pictureBox8;
		private System.Windows.Forms.PictureBox pictureBox7;
		private System.Windows.Forms.PictureBox pictureBox6;
		private System.Windows.Forms.PictureBox pictureBox5;
		private System.Windows.Forms.PictureBox pictureBox4;
		private System.Windows.Forms.PictureBox pictureBox3;
		private System.Windows.Forms.PictureBox pictureBox2;
		private System.Windows.Forms.PictureBox pictureBox1;
		private System.Windows.Forms.GroupBox groupBoxS8;
		private System.Windows.Forms.GroupBox groupBoxS6;
		private System.Windows.Forms.GroupBox groupBoxS1;
		private System.Windows.Forms.GroupBox groupBoxS10;
		private System.Windows.Forms.GroupBox groupBoxI16;
		private System.Windows.Forms.GroupBox groupBoxI15;
		private System.Windows.Forms.GroupBox groupBoxI14;
		private System.Windows.Forms.GroupBox groupBoxI13;
		private System.Windows.Forms.GroupBox groupBoxI12;
		private System.Windows.Forms.GroupBox groupBoxI10;
		private System.Windows.Forms.GroupBox groupBoxI9;
		private System.Windows.Forms.GroupBox groupBoxI8;
		private System.Windows.Forms.GroupBox groupBoxI7;
		private System.Windows.Forms.GroupBox groupBoxI6;
		private System.Windows.Forms.GroupBox groupBoxI5;
		private System.Windows.Forms.GroupBox groupBoxI4;
		private System.Windows.Forms.GroupBox groupBoxI3;
		private System.Windows.Forms.GroupBox groupBoxI1;
		private System.Windows.Forms.PictureBox pictureBox34;
		private System.Windows.Forms.PictureBox pictureBox32;
		private System.Windows.Forms.PictureBox pictureBox31;
		private System.Windows.Forms.PictureBox pictureBox30;
		private System.Windows.Forms.PictureBox pictureBox28;
		private System.Windows.Forms.PictureBox pictureBox27;
		private System.Windows.Forms.PictureBox pictureBox26;
		private System.Windows.Forms.PictureBox pictureBox25;
		private System.Windows.Forms.PictureBox pictureBox24;
		private System.Windows.Forms.PictureBox pictureBox23;
		private System.Windows.Forms.PictureBox pictureBox22;
		private System.Windows.Forms.PictureBox pictureBox21;
		private System.Windows.Forms.PictureBox pictureBox20;
		private System.Windows.Forms.PictureBox pictureBox19;
		private System.Windows.Forms.PictureBox pictureBox18;
		private System.Windows.Forms.PictureBox pictureBox17;
		private System.Windows.Forms.GroupBox groupBoxI11;
		private System.Windows.Forms.TabControl tabControlPiezasDentales;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.GroupBox groupBoxDentaduraSuperior;
		private System.Windows.Forms.GroupBox groupBoxDentaduraInferior;
		private System.Windows.Forms.PictureBox pictureBoxBotonera;
		private System.Windows.Forms.GroupBox groupBoxLeyenda;
		private System.Windows.Forms.Button buttonAceptar;
		private System.Windows.Forms.Button buttonCancelar;
		/// <summary>
		/// Variable del diseador requerida.
		private int codigoCliente;
		private System.Windows.Forms.RadioButton radioButtonS162;
		private System.Windows.Forms.RadioButton radioButtonS163;
		private System.Windows.Forms.RadioButton radioButtonS161;
		private System.Windows.Forms.RadioButton radioButtonS152;
		private System.Windows.Forms.RadioButton radioButtonS153;
		private System.Windows.Forms.RadioButton radioButtonS150;
		private System.Windows.Forms.RadioButton radioButtonS151;
		private System.Windows.Forms.RadioButton radioButtonS142;
		private System.Windows.Forms.RadioButton radioButtonS143;
		private System.Windows.Forms.RadioButton radioButtonS140;
		private System.Windows.Forms.RadioButton radioButtonS141;
		private System.Windows.Forms.RadioButton radioButtonS132;
		private System.Windows.Forms.RadioButton radioButtonS133;
		private System.Windows.Forms.RadioButton radioButtonS130;
		private System.Windows.Forms.RadioButton radioButtonS131;
		private System.Windows.Forms.RadioButton radioButtonS122;
		private System.Windows.Forms.RadioButton radioButtonS123;
		private System.Windows.Forms.RadioButton radioButtonS120;
		private System.Windows.Forms.RadioButton radioButtonS121;
		private System.Windows.Forms.RadioButton radioButtonS112;
		private System.Windows.Forms.RadioButton radioButtonS113;
		private System.Windows.Forms.RadioButton radioButtonS110;
		private System.Windows.Forms.RadioButton radioButtonS111;
		private System.Windows.Forms.RadioButton radioButtonS92;
		private System.Windows.Forms.RadioButton radioButtonS93;
		private System.Windows.Forms.RadioButton radioButtonS90;
		private System.Windows.Forms.RadioButton radioButtonS91;
		private System.Windows.Forms.RadioButton radioButtonS22;
		private System.Windows.Forms.RadioButton radioButtonS23;
		private System.Windows.Forms.RadioButton radioButtonS20;
		private System.Windows.Forms.RadioButton radioButtonS21;
		private System.Windows.Forms.RadioButton radioButtonS32;
		private System.Windows.Forms.RadioButton radioButtonS33;
		private System.Windows.Forms.RadioButton radioButtonS30;
		private System.Windows.Forms.RadioButton radioButtonS31;
		private System.Windows.Forms.RadioButton radioButtonS42;
		private System.Windows.Forms.RadioButton radioButtonS43;
		private System.Windows.Forms.RadioButton radioButtonS40;
		private System.Windows.Forms.RadioButton radioButtonS41;
		private System.Windows.Forms.RadioButton radioButtonS52;
		private System.Windows.Forms.RadioButton radioButtonS53;
		private System.Windows.Forms.RadioButton radioButtonS50;
		private System.Windows.Forms.RadioButton radioButtonS51;
		private System.Windows.Forms.RadioButton radioButtonS72;
		private System.Windows.Forms.RadioButton radioButtonS73;
		private System.Windows.Forms.RadioButton radioButtonS70;
		private System.Windows.Forms.RadioButton radioButtonS71;
		private System.Windows.Forms.RadioButton radioButtonS82;
		private System.Windows.Forms.RadioButton radioButtonS83;
		private System.Windows.Forms.RadioButton radioButtonS80;
		private System.Windows.Forms.RadioButton radioButtonS81;
		private System.Windows.Forms.RadioButton radioButtonS62;
		private System.Windows.Forms.RadioButton radioButtonS63;
		private System.Windows.Forms.RadioButton radioButtonS60;
		private System.Windows.Forms.RadioButton radioButtonS61;
		private System.Windows.Forms.RadioButton radioButtonS12;
		private System.Windows.Forms.RadioButton radioButtonS13;
		private System.Windows.Forms.RadioButton radioButtonS10;
		private System.Windows.Forms.RadioButton radioButtonS11;
		private System.Windows.Forms.RadioButton radioButtonS102;
		private System.Windows.Forms.RadioButton radioButtonS103;
		private System.Windows.Forms.RadioButton radioButtonS100;
		private System.Windows.Forms.RadioButton radioButtonS101;
		private System.Windows.Forms.RadioButton radioButtonI60;
		private System.Windows.Forms.RadioButton radioButtonI50;
		private System.Windows.Forms.RadioButton radioButtonI40;
		private System.Windows.Forms.RadioButton radioButtonI30;
		private System.Windows.Forms.GroupBox groupBoxI20;
		private System.Windows.Forms.RadioButton radioButtonI20;
		private System.Windows.Forms.RadioButton radioButtonI10;
		private System.Windows.Forms.RadioButton radioButtonI162;
		private System.Windows.Forms.RadioButton radioButtonI163;
		private System.Windows.Forms.RadioButton radioButtonI160;
		private System.Windows.Forms.RadioButton radioButtonI161;
		private System.Windows.Forms.RadioButton radioButtonI152;
		private System.Windows.Forms.RadioButton radioButtonI153;
		private System.Windows.Forms.RadioButton radioButtonI150;
		private System.Windows.Forms.RadioButton radioButtonI151;
		private System.Windows.Forms.RadioButton radioButtonI142;
		private System.Windows.Forms.RadioButton radioButtonI143;
		private System.Windows.Forms.RadioButton radioButtonI140;
		private System.Windows.Forms.RadioButton radioButtonI141;
		private System.Windows.Forms.RadioButton radioButtonI132;
		private System.Windows.Forms.RadioButton radioButtonI133;
		private System.Windows.Forms.RadioButton radioButtonI130;
		private System.Windows.Forms.RadioButton radioButtonI131;
		private System.Windows.Forms.RadioButton radioButtonI122;
		private System.Windows.Forms.RadioButton radioButtonI123;
		private System.Windows.Forms.RadioButton radioButtonI120;
		private System.Windows.Forms.RadioButton radioButtonI121;
		private System.Windows.Forms.RadioButton radioButtonI102;
		private System.Windows.Forms.RadioButton radioButtonI103;
		private System.Windows.Forms.RadioButton radioButtonI100;
		private System.Windows.Forms.RadioButton radioButtonI101;
		private System.Windows.Forms.RadioButton radioButtonI92;
		private System.Windows.Forms.RadioButton radioButtonI93;
		private System.Windows.Forms.RadioButton radioButtonI90;
		private System.Windows.Forms.RadioButton radioButtonI91;
		private System.Windows.Forms.RadioButton radioButtonI82;
		private System.Windows.Forms.RadioButton radioButtonI83;
		private System.Windows.Forms.RadioButton radioButtonI80;
		private System.Windows.Forms.RadioButton radioButtonI81;
		private System.Windows.Forms.RadioButton radioButtonI72;
		private System.Windows.Forms.RadioButton radioButtonI73;
		private System.Windows.Forms.RadioButton radioButtonI70;
		private System.Windows.Forms.RadioButton radioButtonI71;
		private System.Windows.Forms.RadioButton radioButtonI62;
		private System.Windows.Forms.RadioButton radioButtonI63;
		private System.Windows.Forms.RadioButton radioButtonI61;
		private System.Windows.Forms.RadioButton radioButtonI52;
		private System.Windows.Forms.RadioButton radioButtonI53;
		private System.Windows.Forms.RadioButton radioButtonI51;
		private System.Windows.Forms.RadioButton radioButtonI42;
		private System.Windows.Forms.RadioButton radioButtonI43;
		private System.Windows.Forms.RadioButton radioButtonI41;
		private System.Windows.Forms.RadioButton radioButtonI32;
		private System.Windows.Forms.RadioButton radioButtonI33;
		private System.Windows.Forms.RadioButton radioButtonI31;
		private System.Windows.Forms.RadioButton radioButtonI22;
		private System.Windows.Forms.RadioButton radioButtonI23;
		private System.Windows.Forms.RadioButton radioButtonI21;
		private System.Windows.Forms.RadioButton radioButtonI12;
		private System.Windows.Forms.RadioButton radioButtonI13;
		private System.Windows.Forms.RadioButton radioButtonI11;
		private System.Windows.Forms.RadioButton radioButtonI112;
		private System.Windows.Forms.RadioButton radioButtonI113;
		private System.Windows.Forms.RadioButton radioButtonI110;
		private System.Windows.Forms.RadioButton radioButtonI111;
		private System.Windows.Forms.RadioButton radioButtonS160;
		/// </summary>
		private System.ComponentModel.Container components = null;

		public FormDentadura()
		{
			//
			// Necesario para admitir el Diseador de Windows Forms
			//
			InitializeComponent();

			//
			// TODO: agregar cdigo de constructor despus de llamar a InitializeComponent
			//
		}

		/// <summary>
		/// Limpiar los recursos que se estn utilizando.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Cdigo generado por el Diseador de Windows Forms
		/// <summary>
		/// Mtodo necesario para admitir el Diseador. No se puede modificar
		/// el contenido del mtodo con el editor de cdigo.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(FormDentadura));
			this.tabControlPiezasDentales = new System.Windows.Forms.TabControl();
			this.tabPageSuperior = new System.Windows.Forms.TabPage();
			this.groupBoxDentaduraSuperior = new System.Windows.Forms.GroupBox();
			this.groupBoxS16 = new System.Windows.Forms.GroupBox();
			this.radioButtonS162 = new System.Windows.Forms.RadioButton();
			this.radioButtonS163 = new System.Windows.Forms.RadioButton();
			this.radioButtonS160 = new System.Windows.Forms.RadioButton();
			this.radioButtonS161 = new System.Windows.Forms.RadioButton();
			this.groupBoxS15 = new System.Windows.Forms.GroupBox();
			this.radioButtonS152 = new System.Windows.Forms.RadioButton();
			this.radioButtonS153 = new System.Windows.Forms.RadioButton();
			this.radioButtonS150 = new System.Windows.Forms.RadioButton();
			this.radioButtonS151 = new System.Windows.Forms.RadioButton();
			this.groupBoxS14 = new System.Windows.Forms.GroupBox();
			this.radioButtonS142 = new System.Windows.Forms.RadioButton();
			this.radioButtonS143 = new System.Windows.Forms.RadioButton();
			this.radioButtonS140 = new System.Windows.Forms.RadioButton();
			this.radioButtonS141 = new System.Windows.Forms.RadioButton();
			this.groupBoxS13 = new System.Windows.Forms.GroupBox();
			this.radioButtonS132 = new System.Windows.Forms.RadioButton();
			this.radioButtonS133 = new System.Windows.Forms.RadioButton();
			this.radioButtonS130 = new System.Windows.Forms.RadioButton();
			this.radioButtonS131 = new System.Windows.Forms.RadioButton();
			this.groupBoxS12 = new System.Windows.Forms.GroupBox();
			this.radioButtonS122 = new System.Windows.Forms.RadioButton();
			this.radioButtonS123 = new System.Windows.Forms.RadioButton();
			this.radioButtonS120 = new System.Windows.Forms.RadioButton();
			this.radioButtonS121 = new System.Windows.Forms.RadioButton();
			this.groupBoxS11 = new System.Windows.Forms.GroupBox();
			this.radioButtonS112 = new System.Windows.Forms.RadioButton();
			this.radioButtonS113 = new System.Windows.Forms.RadioButton();
			this.radioButtonS110 = new System.Windows.Forms.RadioButton();
			this.radioButtonS111 = new System.Windows.Forms.RadioButton();
			this.groupBoxS9 = new System.Windows.Forms.GroupBox();
			this.radioButtonS92 = new System.Windows.Forms.RadioButton();
			this.radioButtonS93 = new System.Windows.Forms.RadioButton();
			this.radioButtonS90 = new System.Windows.Forms.RadioButton();
			this.radioButtonS91 = new System.Windows.Forms.RadioButton();
			this.groupBoxS2 = new System.Windows.Forms.GroupBox();
			this.radioButtonS22 = new System.Windows.Forms.RadioButton();
			this.radioButtonS23 = new System.Windows.Forms.RadioButton();
			this.radioButtonS20 = new System.Windows.Forms.RadioButton();
			this.radioButtonS21 = new System.Windows.Forms.RadioButton();
			this.groupBoxS3 = new System.Windows.Forms.GroupBox();
			this.radioButtonS32 = new System.Windows.Forms.RadioButton();
			this.radioButtonS33 = new System.Windows.Forms.RadioButton();
			this.radioButtonS30 = new System.Windows.Forms.RadioButton();
			this.radioButtonS31 = new System.Windows.Forms.RadioButton();
			this.groupBoxS4 = new System.Windows.Forms.GroupBox();
			this.radioButtonS42 = new System.Windows.Forms.RadioButton();
			this.radioButtonS43 = new System.Windows.Forms.RadioButton();
			this.radioButtonS40 = new System.Windows.Forms.RadioButton();
			this.radioButtonS41 = new System.Windows.Forms.RadioButton();
			this.groupBoxS5 = new System.Windows.Forms.GroupBox();
			this.radioButtonS52 = new System.Windows.Forms.RadioButton();
			this.radioButtonS53 = new System.Windows.Forms.RadioButton();
			this.radioButtonS50 = new System.Windows.Forms.RadioButton();
			this.radioButtonS51 = new System.Windows.Forms.RadioButton();
			this.groupBoxS7 = new System.Windows.Forms.GroupBox();
			this.radioButtonS72 = new System.Windows.Forms.RadioButton();
			this.radioButtonS73 = new System.Windows.Forms.RadioButton();
			this.radioButtonS70 = new System.Windows.Forms.RadioButton();
			this.radioButtonS71 = new System.Windows.Forms.RadioButton();
			this.pictureBox16 = new System.Windows.Forms.PictureBox();
			this.pictureBox15 = new System.Windows.Forms.PictureBox();
			this.pictureBox14 = new System.Windows.Forms.PictureBox();
			this.pictureBox13 = new System.Windows.Forms.PictureBox();
			this.pictureBox12 = new System.Windows.Forms.PictureBox();
			this.pictureBox11 = new System.Windows.Forms.PictureBox();
			this.pictureBox10 = new System.Windows.Forms.PictureBox();
			this.pictureBox9 = new System.Windows.Forms.PictureBox();
			this.pictureBox8 = new System.Windows.Forms.PictureBox();
			this.pictureBox7 = new System.Windows.Forms.PictureBox();
			this.pictureBox6 = new System.Windows.Forms.PictureBox();
			this.pictureBox5 = new System.Windows.Forms.PictureBox();
			this.pictureBox4 = new System.Windows.Forms.PictureBox();
			this.pictureBox3 = new System.Windows.Forms.PictureBox();
			this.pictureBox2 = new System.Windows.Forms.PictureBox();
			this.pictureBox1 = new System.Windows.Forms.PictureBox();
			this.groupBoxS8 = new System.Windows.Forms.GroupBox();
			this.radioButtonS82 = new System.Windows.Forms.RadioButton();
			this.radioButtonS83 = new System.Windows.Forms.RadioButton();
			this.radioButtonS80 = new System.Windows.Forms.RadioButton();
			this.radioButtonS81 = new System.Windows.Forms.RadioButton();
			this.groupBoxS6 = new System.Windows.Forms.GroupBox();
			this.radioButtonS62 = new System.Windows.Forms.RadioButton();
			this.radioButtonS63 = new System.Windows.Forms.RadioButton();
			this.radioButtonS60 = new System.Windows.Forms.RadioButton();
			this.radioButtonS61 = new System.Windows.Forms.RadioButton();
			this.groupBoxS1 = new System.Windows.Forms.GroupBox();
			this.radioButtonS12 = new System.Windows.Forms.RadioButton();
			this.radioButtonS13 = new System.Windows.Forms.RadioButton();
			this.radioButtonS10 = new System.Windows.Forms.RadioButton();
			this.radioButtonS11 = new System.Windows.Forms.RadioButton();
			this.groupBoxS10 = new System.Windows.Forms.GroupBox();
			this.radioButtonS102 = new System.Windows.Forms.RadioButton();
			this.radioButtonS103 = new System.Windows.Forms.RadioButton();
			this.radioButtonS100 = new System.Windows.Forms.RadioButton();
			this.radioButtonS101 = new System.Windows.Forms.RadioButton();
			this.tabPageDentaduraInferior = new System.Windows.Forms.TabPage();
			this.groupBoxDentaduraInferior = new System.Windows.Forms.GroupBox();
			this.groupBoxI16 = new System.Windows.Forms.GroupBox();
			this.radioButtonI162 = new System.Windows.Forms.RadioButton();
			this.radioButtonI163 = new System.Windows.Forms.RadioButton();
			this.radioButtonI160 = new System.Windows.Forms.RadioButton();
			this.radioButtonI161 = new System.Windows.Forms.RadioButton();
			this.groupBoxI15 = new System.Windows.Forms.GroupBox();
			this.radioButtonI152 = new System.Windows.Forms.RadioButton();
			this.radioButtonI153 = new System.Windows.Forms.RadioButton();
			this.radioButtonI150 = new System.Windows.Forms.RadioButton();
			this.radioButtonI151 = new System.Windows.Forms.RadioButton();
			this.groupBoxI14 = new System.Windows.Forms.GroupBox();
			this.radioButtonI142 = new System.Windows.Forms.RadioButton();
			this.radioButtonI143 = new System.Windows.Forms.RadioButton();
			this.radioButtonI140 = new System.Windows.Forms.RadioButton();
			this.radioButtonI141 = new System.Windows.Forms.RadioButton();
			this.groupBoxI13 = new System.Windows.Forms.GroupBox();
			this.radioButtonI132 = new System.Windows.Forms.RadioButton();
			this.radioButtonI133 = new System.Windows.Forms.RadioButton();
			this.radioButtonI130 = new System.Windows.Forms.RadioButton();
			this.radioButtonI131 = new System.Windows.Forms.RadioButton();
			this.groupBoxI12 = new System.Windows.Forms.GroupBox();
			this.radioButtonI122 = new System.Windows.Forms.RadioButton();
			this.radioButtonI123 = new System.Windows.Forms.RadioButton();
			this.radioButtonI120 = new System.Windows.Forms.RadioButton();
			this.radioButtonI121 = new System.Windows.Forms.RadioButton();
			this.groupBoxI10 = new System.Windows.Forms.GroupBox();
			this.radioButtonI102 = new System.Windows.Forms.RadioButton();
			this.radioButtonI103 = new System.Windows.Forms.RadioButton();
			this.radioButtonI100 = new System.Windows.Forms.RadioButton();
			this.radioButtonI101 = new System.Windows.Forms.RadioButton();
			this.groupBoxI9 = new System.Windows.Forms.GroupBox();
			this.radioButtonI92 = new System.Windows.Forms.RadioButton();
			this.radioButtonI93 = new System.Windows.Forms.RadioButton();
			this.radioButtonI90 = new System.Windows.Forms.RadioButton();
			this.radioButtonI91 = new System.Windows.Forms.RadioButton();
			this.groupBoxI8 = new System.Windows.Forms.GroupBox();
			this.radioButtonI82 = new System.Windows.Forms.RadioButton();
			this.radioButtonI83 = new System.Windows.Forms.RadioButton();
			this.radioButtonI80 = new System.Windows.Forms.RadioButton();
			this.radioButtonI81 = new System.Windows.Forms.RadioButton();
			this.groupBoxI7 = new System.Windows.Forms.GroupBox();
			this.radioButtonI72 = new System.Windows.Forms.RadioButton();
			this.radioButtonI73 = new System.Windows.Forms.RadioButton();
			this.radioButtonI70 = new System.Windows.Forms.RadioButton();
			this.radioButtonI71 = new System.Windows.Forms.RadioButton();
			this.groupBoxI6 = new System.Windows.Forms.GroupBox();
			this.radioButtonI62 = new System.Windows.Forms.RadioButton();
			this.radioButtonI63 = new System.Windows.Forms.RadioButton();
			this.radioButtonI60 = new System.Windows.Forms.RadioButton();
			this.radioButtonI61 = new System.Windows.Forms.RadioButton();
			this.groupBoxI5 = new System.Windows.Forms.GroupBox();
			this.radioButtonI52 = new System.Windows.Forms.RadioButton();
			this.radioButtonI53 = new System.Windows.Forms.RadioButton();
			this.radioButtonI50 = new System.Windows.Forms.RadioButton();
			this.radioButtonI51 = new System.Windows.Forms.RadioButton();
			this.groupBoxI4 = new System.Windows.Forms.GroupBox();
			this.radioButtonI42 = new System.Windows.Forms.RadioButton();
			this.radioButtonI43 = new System.Windows.Forms.RadioButton();
			this.radioButtonI40 = new System.Windows.Forms.RadioButton();
			this.radioButtonI41 = new System.Windows.Forms.RadioButton();
			this.groupBoxI3 = new System.Windows.Forms.GroupBox();
			this.radioButtonI32 = new System.Windows.Forms.RadioButton();
			this.radioButtonI33 = new System.Windows.Forms.RadioButton();
			this.radioButtonI30 = new System.Windows.Forms.RadioButton();
			this.radioButtonI31 = new System.Windows.Forms.RadioButton();
			this.groupBoxI20 = new System.Windows.Forms.GroupBox();
			this.radioButtonI22 = new System.Windows.Forms.RadioButton();
			this.radioButtonI23 = new System.Windows.Forms.RadioButton();
			this.radioButtonI20 = new System.Windows.Forms.RadioButton();
			this.radioButtonI21 = new System.Windows.Forms.RadioButton();
			this.groupBoxI1 = new System.Windows.Forms.GroupBox();
			this.radioButtonI12 = new System.Windows.Forms.RadioButton();
			this.radioButtonI13 = new System.Windows.Forms.RadioButton();
			this.radioButtonI10 = new System.Windows.Forms.RadioButton();
			this.radioButtonI11 = new System.Windows.Forms.RadioButton();
			this.pictureBox34 = new System.Windows.Forms.PictureBox();
			this.pictureBox32 = new System.Windows.Forms.PictureBox();
			this.pictureBox31 = new System.Windows.Forms.PictureBox();
			this.pictureBox30 = new System.Windows.Forms.PictureBox();
			this.pictureBox28 = new System.Windows.Forms.PictureBox();
			this.pictureBox27 = new System.Windows.Forms.PictureBox();
			this.pictureBox26 = new System.Windows.Forms.PictureBox();
			this.pictureBox25 = new System.Windows.Forms.PictureBox();
			this.pictureBox24 = new System.Windows.Forms.PictureBox();
			this.pictureBox23 = new System.Windows.Forms.PictureBox();
			this.pictureBox22 = new System.Windows.Forms.PictureBox();
			this.pictureBox21 = new System.Windows.Forms.PictureBox();
			this.pictureBox20 = new System.Windows.Forms.PictureBox();
			this.pictureBox19 = new System.Windows.Forms.PictureBox();
			this.pictureBox18 = new System.Windows.Forms.PictureBox();
			this.pictureBox17 = new System.Windows.Forms.PictureBox();
			this.groupBoxI11 = new System.Windows.Forms.GroupBox();
			this.radioButtonI112 = new System.Windows.Forms.RadioButton();
			this.radioButtonI113 = new System.Windows.Forms.RadioButton();
			this.radioButtonI110 = new System.Windows.Forms.RadioButton();
			this.radioButtonI111 = new System.Windows.Forms.RadioButton();
			this.groupBoxLeyenda = new System.Windows.Forms.GroupBox();
			this.label4 = new System.Windows.Forms.Label();
			this.label3 = new System.Windows.Forms.Label();
			this.label2 = new System.Windows.Forms.Label();
			this.label1 = new System.Windows.Forms.Label();
			this.label5 = new System.Windows.Forms.Label();
			this.pictureBoxBotonera = new System.Windows.Forms.PictureBox();
			this.buttonAceptar = new System.Windows.Forms.Button();
			this.buttonCancelar = new System.Windows.Forms.Button();
			this.tabControlPiezasDentales.SuspendLayout();
			this.tabPageSuperior.SuspendLayout();
			this.groupBoxDentaduraSuperior.SuspendLayout();
			this.groupBoxS16.SuspendLayout();
			this.groupBoxS15.SuspendLayout();
			this.groupBoxS14.SuspendLayout();
			this.groupBoxS13.SuspendLayout();
			this.groupBoxS12.SuspendLayout();
			this.groupBoxS11.SuspendLayout();
			this.groupBoxS9.SuspendLayout();
			this.groupBoxS2.SuspendLayout();
			this.groupBoxS3.SuspendLayout();
			this.groupBoxS4.SuspendLayout();
			this.groupBoxS5.SuspendLayout();
			this.groupBoxS7.SuspendLayout();
			this.groupBoxS8.SuspendLayout();
			this.groupBoxS6.SuspendLayout();
			this.groupBoxS1.SuspendLayout();
			this.groupBoxS10.SuspendLayout();
			this.tabPageDentaduraInferior.SuspendLayout();
			this.groupBoxDentaduraInferior.SuspendLayout();
			this.groupBoxI16.SuspendLayout();
			this.groupBoxI15.SuspendLayout();
			this.groupBoxI14.SuspendLayout();
			this.groupBoxI13.SuspendLayout();
			this.groupBoxI12.SuspendLayout();
			this.groupBoxI10.SuspendLayout();
			this.groupBoxI9.SuspendLayout();
			this.groupBoxI8.SuspendLayout();
			this.groupBoxI7.SuspendLayout();
			this.groupBoxI6.SuspendLayout();
			this.groupBoxI5.SuspendLayout();
			this.groupBoxI4.SuspendLayout();
			this.groupBoxI3.SuspendLayout();
			this.groupBoxI20.SuspendLayout();
			this.groupBoxI1.SuspendLayout();
			this.groupBoxI11.SuspendLayout();
			this.groupBoxLeyenda.SuspendLayout();
			this.SuspendLayout();
			// 
			// tabControlPiezasDentales
			// 
			this.tabControlPiezasDentales.Controls.Add(this.tabPageSuperior);
			this.tabControlPiezasDentales.Controls.Add(this.tabPageDentaduraInferior);
			this.tabControlPiezasDentales.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.tabControlPiezasDentales.ItemSize = new System.Drawing.Size(123, 24);
			this.tabControlPiezasDentales.Location = new System.Drawing.Point(8, 64);
			this.tabControlPiezasDentales.Name = "tabControlPiezasDentales";
			this.tabControlPiezasDentales.Padding = new System.Drawing.Point(35, 6);
			this.tabControlPiezasDentales.SelectedIndex = 0;
			this.tabControlPiezasDentales.Size = new System.Drawing.Size(608, 328);
			this.tabControlPiezasDentales.TabIndex = 68;
			// 
			// tabPageSuperior
			// 
			this.tabPageSuperior.Controls.Add(this.groupBoxDentaduraSuperior);
			this.tabPageSuperior.Location = new System.Drawing.Point(4, 28);
			this.tabPageSuperior.Name = "tabPageSuperior";
			this.tabPageSuperior.Size = new System.Drawing.Size(600, 296);
			this.tabPageSuperior.TabIndex = 0;
			this.tabPageSuperior.Text = "Dentadura Superior";
			// 
			// groupBoxDentaduraSuperior
			// 
			this.groupBoxDentaduraSuperior.Controls.Add(this.groupBoxS16);
			this.groupBoxDentaduraSuperior.Controls.Add(this.groupBoxS15);
			this.groupBoxDentaduraSuperior.Controls.Add(this.groupBoxS14);
			this.groupBoxDentaduraSuperior.Controls.Add(this.groupBoxS13);
			this.groupBoxDentaduraSuperior.Controls.Add(this.groupBoxS12);
			this.groupBoxDentaduraSuperior.Controls.Add(this.groupBoxS11);
			this.groupBoxDentaduraSuperior.Controls.Add(this.groupBoxS9);
			this.groupBoxDentaduraSuperior.Controls.Add(this.groupBoxS2);
			this.groupBoxDentaduraSuperior.Controls.Add(this.groupBoxS3);
			this.groupBoxDentaduraSuperior.Controls.Add(this.groupBoxS4);
			this.groupBoxDentaduraSuperior.Controls.Add(this.groupBoxS5);
			this.groupBoxDentaduraSuperior.Controls.Add(this.groupBoxS7);
			this.groupBoxDentaduraSuperior.Controls.Add(this.pictureBox16);
			this.groupBoxDentaduraSuperior.Controls.Add(this.pictureBox15);
			this.groupBoxDentaduraSuperior.Controls.Add(this.pictureBox14);
			this.groupBoxDentaduraSuperior.Controls.Add(this.pictureBox13);
			this.groupBoxDentaduraSuperior.Controls.Add(this.pictureBox12);
			this.groupBoxDentaduraSuperior.Controls.Add(this.pictureBox11);
			this.groupBoxDentaduraSuperior.Controls.Add(this.pictureBox10);
			this.groupBoxDentaduraSuperior.Controls.Add(this.pictureBox9);
			this.groupBoxDentaduraSuperior.Controls.Add(this.pictureBox8);
			this.groupBoxDentaduraSuperior.Controls.Add(this.pictureBox7);
			this.groupBoxDentaduraSuperior.Controls.Add(this.pictureBox6);
			this.groupBoxDentaduraSuperior.Controls.Add(this.pictureBox5);
			this.groupBoxDentaduraSuperior.Controls.Add(this.pictureBox4);
			this.groupBoxDentaduraSuperior.Controls.Add(this.pictureBox3);
			this.groupBoxDentaduraSuperior.Controls.Add(this.pictureBox2);
			this.groupBoxDentaduraSuperior.Controls.Add(this.pictureBox1);
			this.groupBoxDentaduraSuperior.Controls.Add(this.groupBoxS8);
			this.groupBoxDentaduraSuperior.Controls.Add(this.groupBoxS6);
			this.groupBoxDentaduraSuperior.Controls.Add(this.groupBoxS1);
			this.groupBoxDentaduraSuperior.Controls.Add(this.groupBoxS10);
			this.groupBoxDentaduraSuperior.Location = new System.Drawing.Point(8, 8);
			this.groupBoxDentaduraSuperior.Name = "groupBoxDentaduraSuperior";
			this.groupBoxDentaduraSuperior.Size = new System.Drawing.Size(584, 280);
			this.groupBoxDentaduraSuperior.TabIndex = 0;
			this.groupBoxDentaduraSuperior.TabStop = false;
			// 
			// groupBoxS16
			// 
			this.groupBoxS16.Controls.Add(this.radioButtonS162);
			this.groupBoxS16.Controls.Add(this.radioButtonS163);
			this.groupBoxS16.Controls.Add(this.radioButtonS160);
			this.groupBoxS16.Controls.Add(this.radioButtonS161);
			this.groupBoxS16.Location = new System.Drawing.Point(432, 240);
			this.groupBoxS16.Name = "groupBoxS16";
			this.groupBoxS16.Size = new System.Drawing.Size(144, 24);
			this.groupBoxS16.TabIndex = 126;
			this.groupBoxS16.TabStop = false;
			// 
			// radioButtonS162
			// 
			this.radioButtonS162.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS162.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.radioButtonS162.Location = new System.Drawing.Point(72, 8);
			this.radioButtonS162.Name = "radioButtonS162";
			this.radioButtonS162.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS162.TabIndex = 3;
			this.radioButtonS162.Text = "X";
			// 
			// radioButtonS163
			// 
			this.radioButtonS163.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS163.ForeColor = System.Drawing.Color.Blue;
			this.radioButtonS163.Location = new System.Drawing.Point(104, 8);
			this.radioButtonS163.Name = "radioButtonS163";
			this.radioButtonS163.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS163.TabIndex = 2;
			this.radioButtonS163.Text = "P";
			// 
			// radioButtonS160
			// 
			this.radioButtonS160.Checked = true;
			this.radioButtonS160.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS160.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.radioButtonS160.Location = new System.Drawing.Point(8, 8);
			this.radioButtonS160.Name = "radioButtonS160";
			this.radioButtonS160.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS160.TabIndex = 1;
			this.radioButtonS160.TabStop = true;
			this.radioButtonS160.Text = "S";
			// 
			// radioButtonS161
			// 
			this.radioButtonS161.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS161.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.radioButtonS161.Location = new System.Drawing.Point(40, 8);
			this.radioButtonS161.Name = "radioButtonS161";
			this.radioButtonS161.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS161.TabIndex = 0;
			this.radioButtonS161.Text = "E";
			// 
			// groupBoxS15
			// 
			this.groupBoxS15.Controls.Add(this.radioButtonS152);
			this.groupBoxS15.Controls.Add(this.radioButtonS153);
			this.groupBoxS15.Controls.Add(this.radioButtonS150);
			this.groupBoxS15.Controls.Add(this.radioButtonS151);
			this.groupBoxS15.Location = new System.Drawing.Point(432, 208);
			this.groupBoxS15.Name = "groupBoxS15";
			this.groupBoxS15.Size = new System.Drawing.Size(144, 24);
			this.groupBoxS15.TabIndex = 125;
			this.groupBoxS15.TabStop = false;
			// 
			// radioButtonS152
			// 
			this.radioButtonS152.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS152.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.radioButtonS152.Location = new System.Drawing.Point(72, 8);
			this.radioButtonS152.Name = "radioButtonS152";
			this.radioButtonS152.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS152.TabIndex = 3;
			this.radioButtonS152.Text = "X";
			// 
			// radioButtonS153
			// 
			this.radioButtonS153.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS153.ForeColor = System.Drawing.Color.Blue;
			this.radioButtonS153.Location = new System.Drawing.Point(104, 8);
			this.radioButtonS153.Name = "radioButtonS153";
			this.radioButtonS153.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS153.TabIndex = 2;
			this.radioButtonS153.Text = "P";
			// 
			// radioButtonS150
			// 
			this.radioButtonS150.Checked = true;
			this.radioButtonS150.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS150.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.radioButtonS150.Location = new System.Drawing.Point(8, 8);
			this.radioButtonS150.Name = "radioButtonS150";
			this.radioButtonS150.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS150.TabIndex = 1;
			this.radioButtonS150.TabStop = true;
			this.radioButtonS150.Text = "S";
			// 
			// radioButtonS151
			// 
			this.radioButtonS151.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS151.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.radioButtonS151.Location = new System.Drawing.Point(40, 8);
			this.radioButtonS151.Name = "radioButtonS151";
			this.radioButtonS151.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS151.TabIndex = 0;
			this.radioButtonS151.Text = "E";
			// 
			// groupBoxS14
			// 
			this.groupBoxS14.Controls.Add(this.radioButtonS142);
			this.groupBoxS14.Controls.Add(this.radioButtonS143);
			this.groupBoxS14.Controls.Add(this.radioButtonS140);
			this.groupBoxS14.Controls.Add(this.radioButtonS141);
			this.groupBoxS14.Location = new System.Drawing.Point(432, 176);
			this.groupBoxS14.Name = "groupBoxS14";
			this.groupBoxS14.Size = new System.Drawing.Size(144, 24);
			this.groupBoxS14.TabIndex = 124;
			this.groupBoxS14.TabStop = false;
			// 
			// radioButtonS142
			// 
			this.radioButtonS142.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS142.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.radioButtonS142.Location = new System.Drawing.Point(72, 8);
			this.radioButtonS142.Name = "radioButtonS142";
			this.radioButtonS142.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS142.TabIndex = 3;
			this.radioButtonS142.Text = "X";
			// 
			// radioButtonS143
			// 
			this.radioButtonS143.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS143.ForeColor = System.Drawing.Color.Blue;
			this.radioButtonS143.Location = new System.Drawing.Point(104, 8);
			this.radioButtonS143.Name = "radioButtonS143";
			this.radioButtonS143.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS143.TabIndex = 2;
			this.radioButtonS143.Text = "P";
			// 
			// radioButtonS140
			// 
			this.radioButtonS140.Checked = true;
			this.radioButtonS140.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS140.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.radioButtonS140.Location = new System.Drawing.Point(8, 8);
			this.radioButtonS140.Name = "radioButtonS140";
			this.radioButtonS140.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS140.TabIndex = 1;
			this.radioButtonS140.TabStop = true;
			this.radioButtonS140.Text = "S";
			// 
			// radioButtonS141
			// 
			this.radioButtonS141.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS141.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.radioButtonS141.Location = new System.Drawing.Point(40, 8);
			this.radioButtonS141.Name = "radioButtonS141";
			this.radioButtonS141.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS141.TabIndex = 0;
			this.radioButtonS141.Text = "E";
			// 
			// groupBoxS13
			// 
			this.groupBoxS13.Controls.Add(this.radioButtonS132);
			this.groupBoxS13.Controls.Add(this.radioButtonS133);
			this.groupBoxS13.Controls.Add(this.radioButtonS130);
			this.groupBoxS13.Controls.Add(this.radioButtonS131);
			this.groupBoxS13.Location = new System.Drawing.Point(424, 144);
			this.groupBoxS13.Name = "groupBoxS13";
			this.groupBoxS13.Size = new System.Drawing.Size(144, 24);
			this.groupBoxS13.TabIndex = 123;
			this.groupBoxS13.TabStop = false;
			// 
			// radioButtonS132
			// 
			this.radioButtonS132.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS132.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.radioButtonS132.Location = new System.Drawing.Point(72, 8);
			this.radioButtonS132.Name = "radioButtonS132";
			this.radioButtonS132.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS132.TabIndex = 3;
			this.radioButtonS132.Text = "X";
			// 
			// radioButtonS133
			// 
			this.radioButtonS133.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS133.ForeColor = System.Drawing.Color.Blue;
			this.radioButtonS133.Location = new System.Drawing.Point(104, 8);
			this.radioButtonS133.Name = "radioButtonS133";
			this.radioButtonS133.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS133.TabIndex = 2;
			this.radioButtonS133.Text = "P";
			// 
			// radioButtonS130
			// 
			this.radioButtonS130.Checked = true;
			this.radioButtonS130.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS130.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.radioButtonS130.Location = new System.Drawing.Point(8, 8);
			this.radioButtonS130.Name = "radioButtonS130";
			this.radioButtonS130.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS130.TabIndex = 1;
			this.radioButtonS130.TabStop = true;
			this.radioButtonS130.Text = "S";
			// 
			// radioButtonS131
			// 
			this.radioButtonS131.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS131.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.radioButtonS131.Location = new System.Drawing.Point(40, 8);
			this.radioButtonS131.Name = "radioButtonS131";
			this.radioButtonS131.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS131.TabIndex = 0;
			this.radioButtonS131.Text = "E";
			// 
			// groupBoxS12
			// 
			this.groupBoxS12.Controls.Add(this.radioButtonS122);
			this.groupBoxS12.Controls.Add(this.radioButtonS123);
			this.groupBoxS12.Controls.Add(this.radioButtonS120);
			this.groupBoxS12.Controls.Add(this.radioButtonS121);
			this.groupBoxS12.Location = new System.Drawing.Point(408, 112);
			this.groupBoxS12.Name = "groupBoxS12";
			this.groupBoxS12.Size = new System.Drawing.Size(144, 24);
			this.groupBoxS12.TabIndex = 122;
			this.groupBoxS12.TabStop = false;
			// 
			// radioButtonS122
			// 
			this.radioButtonS122.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS122.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.radioButtonS122.Location = new System.Drawing.Point(72, 8);
			this.radioButtonS122.Name = "radioButtonS122";
			this.radioButtonS122.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS122.TabIndex = 3;
			this.radioButtonS122.Text = "X";
			// 
			// radioButtonS123
			// 
			this.radioButtonS123.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS123.ForeColor = System.Drawing.Color.Blue;
			this.radioButtonS123.Location = new System.Drawing.Point(104, 8);
			this.radioButtonS123.Name = "radioButtonS123";
			this.radioButtonS123.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS123.TabIndex = 2;
			this.radioButtonS123.Text = "P";
			// 
			// radioButtonS120
			// 
			this.radioButtonS120.Checked = true;
			this.radioButtonS120.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS120.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.radioButtonS120.Location = new System.Drawing.Point(8, 8);
			this.radioButtonS120.Name = "radioButtonS120";
			this.radioButtonS120.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS120.TabIndex = 1;
			this.radioButtonS120.TabStop = true;
			this.radioButtonS120.Text = "S";
			// 
			// radioButtonS121
			// 
			this.radioButtonS121.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS121.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.radioButtonS121.Location = new System.Drawing.Point(40, 8);
			this.radioButtonS121.Name = "radioButtonS121";
			this.radioButtonS121.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS121.TabIndex = 0;
			this.radioButtonS121.Text = "E";
			// 
			// groupBoxS11
			// 
			this.groupBoxS11.Controls.Add(this.radioButtonS112);
			this.groupBoxS11.Controls.Add(this.radioButtonS113);
			this.groupBoxS11.Controls.Add(this.radioButtonS110);
			this.groupBoxS11.Controls.Add(this.radioButtonS111);
			this.groupBoxS11.Location = new System.Drawing.Point(392, 80);
			this.groupBoxS11.Name = "groupBoxS11";
			this.groupBoxS11.Size = new System.Drawing.Size(144, 24);
			this.groupBoxS11.TabIndex = 121;
			this.groupBoxS11.TabStop = false;
			// 
			// radioButtonS112
			// 
			this.radioButtonS112.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS112.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.radioButtonS112.Location = new System.Drawing.Point(72, 8);
			this.radioButtonS112.Name = "radioButtonS112";
			this.radioButtonS112.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS112.TabIndex = 3;
			this.radioButtonS112.Text = "X";
			// 
			// radioButtonS113
			// 
			this.radioButtonS113.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS113.ForeColor = System.Drawing.Color.Blue;
			this.radioButtonS113.Location = new System.Drawing.Point(104, 8);
			this.radioButtonS113.Name = "radioButtonS113";
			this.radioButtonS113.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS113.TabIndex = 2;
			this.radioButtonS113.Text = "P";
			// 
			// radioButtonS110
			// 
			this.radioButtonS110.Checked = true;
			this.radioButtonS110.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS110.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.radioButtonS110.Location = new System.Drawing.Point(8, 8);
			this.radioButtonS110.Name = "radioButtonS110";
			this.radioButtonS110.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS110.TabIndex = 1;
			this.radioButtonS110.TabStop = true;
			this.radioButtonS110.Text = "S";
			// 
			// radioButtonS111
			// 
			this.radioButtonS111.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS111.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.radioButtonS111.Location = new System.Drawing.Point(40, 8);
			this.radioButtonS111.Name = "radioButtonS111";
			this.radioButtonS111.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS111.TabIndex = 0;
			this.radioButtonS111.Text = "E";
			// 
			// groupBoxS9
			// 
			this.groupBoxS9.Controls.Add(this.radioButtonS92);
			this.groupBoxS9.Controls.Add(this.radioButtonS93);
			this.groupBoxS9.Controls.Add(this.radioButtonS90);
			this.groupBoxS9.Controls.Add(this.radioButtonS91);
			this.groupBoxS9.Location = new System.Drawing.Point(336, 16);
			this.groupBoxS9.Name = "groupBoxS9";
			this.groupBoxS9.Size = new System.Drawing.Size(144, 24);
			this.groupBoxS9.TabIndex = 120;
			this.groupBoxS9.TabStop = false;
			// 
			// radioButtonS92
			// 
			this.radioButtonS92.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS92.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.radioButtonS92.Location = new System.Drawing.Point(72, 8);
			this.radioButtonS92.Name = "radioButtonS92";
			this.radioButtonS92.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS92.TabIndex = 3;
			this.radioButtonS92.Text = "X";
			// 
			// radioButtonS93
			// 
			this.radioButtonS93.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS93.ForeColor = System.Drawing.Color.Blue;
			this.radioButtonS93.Location = new System.Drawing.Point(104, 8);
			this.radioButtonS93.Name = "radioButtonS93";
			this.radioButtonS93.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS93.TabIndex = 2;
			this.radioButtonS93.Text = "P";
			// 
			// radioButtonS90
			// 
			this.radioButtonS90.Checked = true;
			this.radioButtonS90.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS90.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.radioButtonS90.Location = new System.Drawing.Point(8, 8);
			this.radioButtonS90.Name = "radioButtonS90";
			this.radioButtonS90.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS90.TabIndex = 1;
			this.radioButtonS90.TabStop = true;
			this.radioButtonS90.Text = "S";
			// 
			// radioButtonS91
			// 
			this.radioButtonS91.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS91.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.radioButtonS91.Location = new System.Drawing.Point(40, 8);
			this.radioButtonS91.Name = "radioButtonS91";
			this.radioButtonS91.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS91.TabIndex = 0;
			this.radioButtonS91.Text = "E";
			// 
			// groupBoxS2
			// 
			this.groupBoxS2.Controls.Add(this.radioButtonS22);
			this.groupBoxS2.Controls.Add(this.radioButtonS23);
			this.groupBoxS2.Controls.Add(this.radioButtonS20);
			this.groupBoxS2.Controls.Add(this.radioButtonS21);
			this.groupBoxS2.Location = new System.Drawing.Point(16, 208);
			this.groupBoxS2.Name = "groupBoxS2";
			this.groupBoxS2.Size = new System.Drawing.Size(144, 24);
			this.groupBoxS2.TabIndex = 119;
			this.groupBoxS2.TabStop = false;
			// 
			// radioButtonS22
			// 
			this.radioButtonS22.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS22.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.radioButtonS22.Location = new System.Drawing.Point(72, 8);
			this.radioButtonS22.Name = "radioButtonS22";
			this.radioButtonS22.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS22.TabIndex = 3;
			this.radioButtonS22.Text = "X";
			// 
			// radioButtonS23
			// 
			this.radioButtonS23.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS23.ForeColor = System.Drawing.Color.Blue;
			this.radioButtonS23.Location = new System.Drawing.Point(104, 8);
			this.radioButtonS23.Name = "radioButtonS23";
			this.radioButtonS23.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS23.TabIndex = 2;
			this.radioButtonS23.Text = "P";
			// 
			// radioButtonS20
			// 
			this.radioButtonS20.Checked = true;
			this.radioButtonS20.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS20.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.radioButtonS20.Location = new System.Drawing.Point(8, 8);
			this.radioButtonS20.Name = "radioButtonS20";
			this.radioButtonS20.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS20.TabIndex = 1;
			this.radioButtonS20.TabStop = true;
			this.radioButtonS20.Text = "S";
			// 
			// radioButtonS21
			// 
			this.radioButtonS21.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS21.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.radioButtonS21.Location = new System.Drawing.Point(40, 8);
			this.radioButtonS21.Name = "radioButtonS21";
			this.radioButtonS21.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS21.TabIndex = 0;
			this.radioButtonS21.Text = "E";
			// 
			// groupBoxS3
			// 
			this.groupBoxS3.Controls.Add(this.radioButtonS32);
			this.groupBoxS3.Controls.Add(this.radioButtonS33);
			this.groupBoxS3.Controls.Add(this.radioButtonS30);
			this.groupBoxS3.Controls.Add(this.radioButtonS31);
			this.groupBoxS3.Location = new System.Drawing.Point(16, 176);
			this.groupBoxS3.Name = "groupBoxS3";
			this.groupBoxS3.Size = new System.Drawing.Size(144, 24);
			this.groupBoxS3.TabIndex = 118;
			this.groupBoxS3.TabStop = false;
			// 
			// radioButtonS32
			// 
			this.radioButtonS32.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS32.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.radioButtonS32.Location = new System.Drawing.Point(72, 8);
			this.radioButtonS32.Name = "radioButtonS32";
			this.radioButtonS32.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS32.TabIndex = 3;
			this.radioButtonS32.Text = "X";
			// 
			// radioButtonS33
			// 
			this.radioButtonS33.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS33.ForeColor = System.Drawing.Color.Blue;
			this.radioButtonS33.Location = new System.Drawing.Point(104, 8);
			this.radioButtonS33.Name = "radioButtonS33";
			this.radioButtonS33.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS33.TabIndex = 2;
			this.radioButtonS33.Text = "P";
			// 
			// radioButtonS30
			// 
			this.radioButtonS30.Checked = true;
			this.radioButtonS30.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS30.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.radioButtonS30.Location = new System.Drawing.Point(8, 8);
			this.radioButtonS30.Name = "radioButtonS30";
			this.radioButtonS30.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS30.TabIndex = 1;
			this.radioButtonS30.TabStop = true;
			this.radioButtonS30.Text = "S";
			// 
			// radioButtonS31
			// 
			this.radioButtonS31.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS31.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.radioButtonS31.Location = new System.Drawing.Point(40, 8);
			this.radioButtonS31.Name = "radioButtonS31";
			this.radioButtonS31.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS31.TabIndex = 0;
			this.radioButtonS31.Text = "E";
			// 
			// groupBoxS4
			// 
			this.groupBoxS4.Controls.Add(this.radioButtonS42);
			this.groupBoxS4.Controls.Add(this.radioButtonS43);
			this.groupBoxS4.Controls.Add(this.radioButtonS40);
			this.groupBoxS4.Controls.Add(this.radioButtonS41);
			this.groupBoxS4.Location = new System.Drawing.Point(24, 144);
			this.groupBoxS4.Name = "groupBoxS4";
			this.groupBoxS4.Size = new System.Drawing.Size(144, 24);
			this.groupBoxS4.TabIndex = 117;
			this.groupBoxS4.TabStop = false;
			// 
			// radioButtonS42
			// 
			this.radioButtonS42.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS42.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.radioButtonS42.Location = new System.Drawing.Point(72, 8);
			this.radioButtonS42.Name = "radioButtonS42";
			this.radioButtonS42.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS42.TabIndex = 3;
			this.radioButtonS42.Text = "X";
			// 
			// radioButtonS43
			// 
			this.radioButtonS43.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS43.ForeColor = System.Drawing.Color.Blue;
			this.radioButtonS43.Location = new System.Drawing.Point(104, 8);
			this.radioButtonS43.Name = "radioButtonS43";
			this.radioButtonS43.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS43.TabIndex = 2;
			this.radioButtonS43.Text = "P";
			// 
			// radioButtonS40
			// 
			this.radioButtonS40.Checked = true;
			this.radioButtonS40.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS40.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.radioButtonS40.Location = new System.Drawing.Point(8, 8);
			this.radioButtonS40.Name = "radioButtonS40";
			this.radioButtonS40.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS40.TabIndex = 1;
			this.radioButtonS40.TabStop = true;
			this.radioButtonS40.Text = "S";
			// 
			// radioButtonS41
			// 
			this.radioButtonS41.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS41.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.radioButtonS41.Location = new System.Drawing.Point(40, 8);
			this.radioButtonS41.Name = "radioButtonS41";
			this.radioButtonS41.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS41.TabIndex = 0;
			this.radioButtonS41.Text = "E";
			// 
			// groupBoxS5
			// 
			this.groupBoxS5.Controls.Add(this.radioButtonS52);
			this.groupBoxS5.Controls.Add(this.radioButtonS53);
			this.groupBoxS5.Controls.Add(this.radioButtonS50);
			this.groupBoxS5.Controls.Add(this.radioButtonS51);
			this.groupBoxS5.Location = new System.Drawing.Point(40, 112);
			this.groupBoxS5.Name = "groupBoxS5";
			this.groupBoxS5.Size = new System.Drawing.Size(144, 24);
			this.groupBoxS5.TabIndex = 116;
			this.groupBoxS5.TabStop = false;
			// 
			// radioButtonS52
			// 
			this.radioButtonS52.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS52.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.radioButtonS52.Location = new System.Drawing.Point(72, 8);
			this.radioButtonS52.Name = "radioButtonS52";
			this.radioButtonS52.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS52.TabIndex = 3;
			this.radioButtonS52.Text = "X";
			// 
			// radioButtonS53
			// 
			this.radioButtonS53.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS53.ForeColor = System.Drawing.Color.Blue;
			this.radioButtonS53.Location = new System.Drawing.Point(104, 8);
			this.radioButtonS53.Name = "radioButtonS53";
			this.radioButtonS53.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS53.TabIndex = 2;
			this.radioButtonS53.Text = "P";
			// 
			// radioButtonS50
			// 
			this.radioButtonS50.Checked = true;
			this.radioButtonS50.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS50.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.radioButtonS50.Location = new System.Drawing.Point(8, 8);
			this.radioButtonS50.Name = "radioButtonS50";
			this.radioButtonS50.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS50.TabIndex = 1;
			this.radioButtonS50.TabStop = true;
			this.radioButtonS50.Text = "S";
			// 
			// radioButtonS51
			// 
			this.radioButtonS51.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS51.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.radioButtonS51.Location = new System.Drawing.Point(40, 8);
			this.radioButtonS51.Name = "radioButtonS51";
			this.radioButtonS51.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS51.TabIndex = 0;
			this.radioButtonS51.Text = "E";
			// 
			// groupBoxS7
			// 
			this.groupBoxS7.Controls.Add(this.radioButtonS72);
			this.groupBoxS7.Controls.Add(this.radioButtonS73);
			this.groupBoxS7.Controls.Add(this.radioButtonS70);
			this.groupBoxS7.Controls.Add(this.radioButtonS71);
			this.groupBoxS7.Location = new System.Drawing.Point(80, 48);
			this.groupBoxS7.Name = "groupBoxS7";
			this.groupBoxS7.Size = new System.Drawing.Size(144, 24);
			this.groupBoxS7.TabIndex = 115;
			this.groupBoxS7.TabStop = false;
			// 
			// radioButtonS72
			// 
			this.radioButtonS72.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS72.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.radioButtonS72.Location = new System.Drawing.Point(72, 8);
			this.radioButtonS72.Name = "radioButtonS72";
			this.radioButtonS72.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS72.TabIndex = 3;
			this.radioButtonS72.Text = "X";
			// 
			// radioButtonS73
			// 
			this.radioButtonS73.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS73.ForeColor = System.Drawing.Color.Blue;
			this.radioButtonS73.Location = new System.Drawing.Point(104, 8);
			this.radioButtonS73.Name = "radioButtonS73";
			this.radioButtonS73.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS73.TabIndex = 2;
			this.radioButtonS73.Text = "P";
			// 
			// radioButtonS70
			// 
			this.radioButtonS70.Checked = true;
			this.radioButtonS70.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS70.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.radioButtonS70.Location = new System.Drawing.Point(8, 8);
			this.radioButtonS70.Name = "radioButtonS70";
			this.radioButtonS70.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS70.TabIndex = 1;
			this.radioButtonS70.TabStop = true;
			this.radioButtonS70.Text = "S";
			// 
			// radioButtonS71
			// 
			this.radioButtonS71.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS71.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.radioButtonS71.Location = new System.Drawing.Point(40, 8);
			this.radioButtonS71.Name = "radioButtonS71";
			this.radioButtonS71.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS71.TabIndex = 0;
			this.radioButtonS71.Text = "E";
			// 
			// pictureBox16
			// 
			this.pictureBox16.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox16.Image")));
			this.pictureBox16.Location = new System.Drawing.Point(384, 232);
			this.pictureBox16.Name = "pictureBox16";
			this.pictureBox16.Size = new System.Drawing.Size(40, 32);
			this.pictureBox16.TabIndex = 114;
			this.pictureBox16.TabStop = false;
			// 
			// pictureBox15
			// 
			this.pictureBox15.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox15.Image")));
			this.pictureBox15.Location = new System.Drawing.Point(384, 200);
			this.pictureBox15.Name = "pictureBox15";
			this.pictureBox15.Size = new System.Drawing.Size(40, 32);
			this.pictureBox15.TabIndex = 113;
			this.pictureBox15.TabStop = false;
			// 
			// pictureBox14
			// 
			this.pictureBox14.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox14.Image")));
			this.pictureBox14.Location = new System.Drawing.Point(360, 104);
			this.pictureBox14.Name = "pictureBox14";
			this.pictureBox14.Size = new System.Drawing.Size(40, 32);
			this.pictureBox14.TabIndex = 112;
			this.pictureBox14.TabStop = false;
			// 
			// pictureBox13
			// 
			this.pictureBox13.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox13.Image")));
			this.pictureBox13.Location = new System.Drawing.Point(328, 40);
			this.pictureBox13.Name = "pictureBox13";
			this.pictureBox13.Size = new System.Drawing.Size(32, 32);
			this.pictureBox13.TabIndex = 111;
			this.pictureBox13.TabStop = false;
			// 
			// pictureBox12
			// 
			this.pictureBox12.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox12.Image")));
			this.pictureBox12.Location = new System.Drawing.Point(352, 72);
			this.pictureBox12.Name = "pictureBox12";
			this.pictureBox12.Size = new System.Drawing.Size(32, 32);
			this.pictureBox12.TabIndex = 110;
			this.pictureBox12.TabStop = false;
			// 
			// pictureBox11
			// 
			this.pictureBox11.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox11.Image")));
			this.pictureBox11.Location = new System.Drawing.Point(384, 168);
			this.pictureBox11.Name = "pictureBox11";
			this.pictureBox11.Size = new System.Drawing.Size(40, 32);
			this.pictureBox11.TabIndex = 109;
			this.pictureBox11.TabStop = false;
			// 
			// pictureBox10
			// 
			this.pictureBox10.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox10.Image")));
			this.pictureBox10.Location = new System.Drawing.Point(376, 136);
			this.pictureBox10.Name = "pictureBox10";
			this.pictureBox10.Size = new System.Drawing.Size(40, 32);
			this.pictureBox10.TabIndex = 108;
			this.pictureBox10.TabStop = false;
			// 
			// pictureBox9
			// 
			this.pictureBox9.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox9.Image")));
			this.pictureBox9.Location = new System.Drawing.Point(168, 232);
			this.pictureBox9.Name = "pictureBox9";
			this.pictureBox9.Size = new System.Drawing.Size(40, 32);
			this.pictureBox9.TabIndex = 107;
			this.pictureBox9.TabStop = false;
			// 
			// pictureBox8
			// 
			this.pictureBox8.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox8.Image")));
			this.pictureBox8.Location = new System.Drawing.Point(168, 200);
			this.pictureBox8.Name = "pictureBox8";
			this.pictureBox8.Size = new System.Drawing.Size(40, 40);
			this.pictureBox8.TabIndex = 106;
			this.pictureBox8.TabStop = false;
			// 
			// pictureBox7
			// 
			this.pictureBox7.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox7.Image")));
			this.pictureBox7.Location = new System.Drawing.Point(168, 168);
			this.pictureBox7.Name = "pictureBox7";
			this.pictureBox7.Size = new System.Drawing.Size(40, 32);
			this.pictureBox7.TabIndex = 105;
			this.pictureBox7.TabStop = false;
			// 
			// pictureBox6
			// 
			this.pictureBox6.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox6.Image")));
			this.pictureBox6.Location = new System.Drawing.Point(176, 136);
			this.pictureBox6.Name = "pictureBox6";
			this.pictureBox6.Size = new System.Drawing.Size(40, 40);
			this.pictureBox6.TabIndex = 104;
			this.pictureBox6.TabStop = false;
			// 
			// pictureBox5
			// 
			this.pictureBox5.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox5.Image")));
			this.pictureBox5.Location = new System.Drawing.Point(208, 72);
			this.pictureBox5.Name = "pictureBox5";
			this.pictureBox5.Size = new System.Drawing.Size(32, 32);
			this.pictureBox5.TabIndex = 103;
			this.pictureBox5.TabStop = false;
			// 
			// pictureBox4
			// 
			this.pictureBox4.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox4.Image")));
			this.pictureBox4.Location = new System.Drawing.Point(192, 104);
			this.pictureBox4.Name = "pictureBox4";
			this.pictureBox4.Size = new System.Drawing.Size(40, 40);
			this.pictureBox4.TabIndex = 99;
			this.pictureBox4.TabStop = false;
			// 
			// pictureBox3
			// 
			this.pictureBox3.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox3.Image")));
			this.pictureBox3.Location = new System.Drawing.Point(232, 40);
			this.pictureBox3.Name = "pictureBox3";
			this.pictureBox3.Size = new System.Drawing.Size(32, 32);
			this.pictureBox3.TabIndex = 98;
			this.pictureBox3.TabStop = false;
			// 
			// pictureBox2
			// 
			this.pictureBox2.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox2.Image")));
			this.pictureBox2.Location = new System.Drawing.Point(296, 16);
			this.pictureBox2.Name = "pictureBox2";
			this.pictureBox2.Size = new System.Drawing.Size(32, 32);
			this.pictureBox2.TabIndex = 97;
			this.pictureBox2.TabStop = false;
			// 
			// pictureBox1
			// 
			this.pictureBox1.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox1.Image")));
			this.pictureBox1.Location = new System.Drawing.Point(264, 16);
			this.pictureBox1.Name = "pictureBox1";
			this.pictureBox1.Size = new System.Drawing.Size(32, 32);
			this.pictureBox1.TabIndex = 96;
			this.pictureBox1.TabStop = false;
			// 
			// groupBoxS8
			// 
			this.groupBoxS8.Controls.Add(this.radioButtonS82);
			this.groupBoxS8.Controls.Add(this.radioButtonS83);
			this.groupBoxS8.Controls.Add(this.radioButtonS80);
			this.groupBoxS8.Controls.Add(this.radioButtonS81);
			this.groupBoxS8.Location = new System.Drawing.Point(112, 16);
			this.groupBoxS8.Name = "groupBoxS8";
			this.groupBoxS8.Size = new System.Drawing.Size(144, 24);
			this.groupBoxS8.TabIndex = 95;
			this.groupBoxS8.TabStop = false;
			// 
			// radioButtonS82
			// 
			this.radioButtonS82.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS82.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.radioButtonS82.Location = new System.Drawing.Point(72, 8);
			this.radioButtonS82.Name = "radioButtonS82";
			this.radioButtonS82.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS82.TabIndex = 3;
			this.radioButtonS82.Text = "X";
			// 
			// radioButtonS83
			// 
			this.radioButtonS83.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS83.ForeColor = System.Drawing.Color.Blue;
			this.radioButtonS83.Location = new System.Drawing.Point(104, 8);
			this.radioButtonS83.Name = "radioButtonS83";
			this.radioButtonS83.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS83.TabIndex = 2;
			this.radioButtonS83.Text = "P";
			// 
			// radioButtonS80
			// 
			this.radioButtonS80.Checked = true;
			this.radioButtonS80.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS80.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.radioButtonS80.Location = new System.Drawing.Point(8, 8);
			this.radioButtonS80.Name = "radioButtonS80";
			this.radioButtonS80.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS80.TabIndex = 1;
			this.radioButtonS80.TabStop = true;
			this.radioButtonS80.Text = "S";
			// 
			// radioButtonS81
			// 
			this.radioButtonS81.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS81.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.radioButtonS81.Location = new System.Drawing.Point(40, 8);
			this.radioButtonS81.Name = "radioButtonS81";
			this.radioButtonS81.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS81.TabIndex = 0;
			this.radioButtonS81.Text = "E";
			// 
			// groupBoxS6
			// 
			this.groupBoxS6.Controls.Add(this.radioButtonS62);
			this.groupBoxS6.Controls.Add(this.radioButtonS63);
			this.groupBoxS6.Controls.Add(this.radioButtonS60);
			this.groupBoxS6.Controls.Add(this.radioButtonS61);
			this.groupBoxS6.Location = new System.Drawing.Point(56, 80);
			this.groupBoxS6.Name = "groupBoxS6";
			this.groupBoxS6.Size = new System.Drawing.Size(144, 24);
			this.groupBoxS6.TabIndex = 102;
			this.groupBoxS6.TabStop = false;
			// 
			// radioButtonS62
			// 
			this.radioButtonS62.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS62.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.radioButtonS62.Location = new System.Drawing.Point(72, 8);
			this.radioButtonS62.Name = "radioButtonS62";
			this.radioButtonS62.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS62.TabIndex = 3;
			this.radioButtonS62.Text = "X";
			// 
			// radioButtonS63
			// 
			this.radioButtonS63.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS63.ForeColor = System.Drawing.Color.Blue;
			this.radioButtonS63.Location = new System.Drawing.Point(104, 8);
			this.radioButtonS63.Name = "radioButtonS63";
			this.radioButtonS63.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS63.TabIndex = 2;
			this.radioButtonS63.Text = "P";
			// 
			// radioButtonS60
			// 
			this.radioButtonS60.Checked = true;
			this.radioButtonS60.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS60.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.radioButtonS60.Location = new System.Drawing.Point(8, 8);
			this.radioButtonS60.Name = "radioButtonS60";
			this.radioButtonS60.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS60.TabIndex = 1;
			this.radioButtonS60.TabStop = true;
			this.radioButtonS60.Text = "S";
			// 
			// radioButtonS61
			// 
			this.radioButtonS61.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS61.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.radioButtonS61.Location = new System.Drawing.Point(40, 8);
			this.radioButtonS61.Name = "radioButtonS61";
			this.radioButtonS61.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS61.TabIndex = 0;
			this.radioButtonS61.Text = "E";
			// 
			// groupBoxS1
			// 
			this.groupBoxS1.Controls.Add(this.radioButtonS12);
			this.groupBoxS1.Controls.Add(this.radioButtonS13);
			this.groupBoxS1.Controls.Add(this.radioButtonS10);
			this.groupBoxS1.Controls.Add(this.radioButtonS11);
			this.groupBoxS1.Location = new System.Drawing.Point(16, 240);
			this.groupBoxS1.Name = "groupBoxS1";
			this.groupBoxS1.Size = new System.Drawing.Size(144, 24);
			this.groupBoxS1.TabIndex = 101;
			this.groupBoxS1.TabStop = false;
			// 
			// radioButtonS12
			// 
			this.radioButtonS12.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS12.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.radioButtonS12.Location = new System.Drawing.Point(72, 8);
			this.radioButtonS12.Name = "radioButtonS12";
			this.radioButtonS12.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS12.TabIndex = 3;
			this.radioButtonS12.Text = "X";
			// 
			// radioButtonS13
			// 
			this.radioButtonS13.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS13.ForeColor = System.Drawing.Color.Blue;
			this.radioButtonS13.Location = new System.Drawing.Point(104, 8);
			this.radioButtonS13.Name = "radioButtonS13";
			this.radioButtonS13.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS13.TabIndex = 2;
			this.radioButtonS13.Text = "P";
			// 
			// radioButtonS10
			// 
			this.radioButtonS10.Checked = true;
			this.radioButtonS10.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS10.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.radioButtonS10.Location = new System.Drawing.Point(8, 8);
			this.radioButtonS10.Name = "radioButtonS10";
			this.radioButtonS10.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS10.TabIndex = 1;
			this.radioButtonS10.TabStop = true;
			this.radioButtonS10.Text = "S";
			// 
			// radioButtonS11
			// 
			this.radioButtonS11.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS11.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.radioButtonS11.Location = new System.Drawing.Point(40, 8);
			this.radioButtonS11.Name = "radioButtonS11";
			this.radioButtonS11.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS11.TabIndex = 0;
			this.radioButtonS11.Text = "E";
			// 
			// groupBoxS10
			// 
			this.groupBoxS10.Controls.Add(this.radioButtonS102);
			this.groupBoxS10.Controls.Add(this.radioButtonS103);
			this.groupBoxS10.Controls.Add(this.radioButtonS100);
			this.groupBoxS10.Controls.Add(this.radioButtonS101);
			this.groupBoxS10.Location = new System.Drawing.Point(368, 48);
			this.groupBoxS10.Name = "groupBoxS10";
			this.groupBoxS10.Size = new System.Drawing.Size(144, 24);
			this.groupBoxS10.TabIndex = 100;
			this.groupBoxS10.TabStop = false;
			// 
			// radioButtonS102
			// 
			this.radioButtonS102.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS102.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.radioButtonS102.Location = new System.Drawing.Point(72, 8);
			this.radioButtonS102.Name = "radioButtonS102";
			this.radioButtonS102.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS102.TabIndex = 3;
			this.radioButtonS102.Text = "X";
			// 
			// radioButtonS103
			// 
			this.radioButtonS103.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS103.ForeColor = System.Drawing.Color.Blue;
			this.radioButtonS103.Location = new System.Drawing.Point(104, 8);
			this.radioButtonS103.Name = "radioButtonS103";
			this.radioButtonS103.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS103.TabIndex = 2;
			this.radioButtonS103.Text = "P";
			// 
			// radioButtonS100
			// 
			this.radioButtonS100.Checked = true;
			this.radioButtonS100.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS100.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.radioButtonS100.Location = new System.Drawing.Point(8, 8);
			this.radioButtonS100.Name = "radioButtonS100";
			this.radioButtonS100.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS100.TabIndex = 1;
			this.radioButtonS100.TabStop = true;
			this.radioButtonS100.Text = "S";
			// 
			// radioButtonS101
			// 
			this.radioButtonS101.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonS101.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.radioButtonS101.Location = new System.Drawing.Point(40, 8);
			this.radioButtonS101.Name = "radioButtonS101";
			this.radioButtonS101.Size = new System.Drawing.Size(32, 14);
			this.radioButtonS101.TabIndex = 0;
			this.radioButtonS101.Text = "E";
			// 
			// tabPageDentaduraInferior
			// 
			this.tabPageDentaduraInferior.Controls.Add(this.groupBoxDentaduraInferior);
			this.tabPageDentaduraInferior.Location = new System.Drawing.Point(4, 28);
			this.tabPageDentaduraInferior.Name = "tabPageDentaduraInferior";
			this.tabPageDentaduraInferior.Size = new System.Drawing.Size(600, 296);
			this.tabPageDentaduraInferior.TabIndex = 1;
			this.tabPageDentaduraInferior.Text = "Dentadura Inferior";
			// 
			// groupBoxDentaduraInferior
			// 
			this.groupBoxDentaduraInferior.Controls.Add(this.groupBoxI16);
			this.groupBoxDentaduraInferior.Controls.Add(this.groupBoxI15);
			this.groupBoxDentaduraInferior.Controls.Add(this.groupBoxI14);
			this.groupBoxDentaduraInferior.Controls.Add(this.groupBoxI13);
			this.groupBoxDentaduraInferior.Controls.Add(this.groupBoxI12);
			this.groupBoxDentaduraInferior.Controls.Add(this.groupBoxI10);
			this.groupBoxDentaduraInferior.Controls.Add(this.groupBoxI9);
			this.groupBoxDentaduraInferior.Controls.Add(this.groupBoxI8);
			this.groupBoxDentaduraInferior.Controls.Add(this.groupBoxI7);
			this.groupBoxDentaduraInferior.Controls.Add(this.groupBoxI6);
			this.groupBoxDentaduraInferior.Controls.Add(this.groupBoxI5);
			this.groupBoxDentaduraInferior.Controls.Add(this.groupBoxI4);
			this.groupBoxDentaduraInferior.Controls.Add(this.groupBoxI3);
			this.groupBoxDentaduraInferior.Controls.Add(this.groupBoxI20);
			this.groupBoxDentaduraInferior.Controls.Add(this.groupBoxI1);
			this.groupBoxDentaduraInferior.Controls.Add(this.pictureBox34);
			this.groupBoxDentaduraInferior.Controls.Add(this.pictureBox32);
			this.groupBoxDentaduraInferior.Controls.Add(this.pictureBox31);
			this.groupBoxDentaduraInferior.Controls.Add(this.pictureBox30);
			this.groupBoxDentaduraInferior.Controls.Add(this.pictureBox28);
			this.groupBoxDentaduraInferior.Controls.Add(this.pictureBox27);
			this.groupBoxDentaduraInferior.Controls.Add(this.pictureBox26);
			this.groupBoxDentaduraInferior.Controls.Add(this.pictureBox25);
			this.groupBoxDentaduraInferior.Controls.Add(this.pictureBox24);
			this.groupBoxDentaduraInferior.Controls.Add(this.pictureBox23);
			this.groupBoxDentaduraInferior.Controls.Add(this.pictureBox22);
			this.groupBoxDentaduraInferior.Controls.Add(this.pictureBox21);
			this.groupBoxDentaduraInferior.Controls.Add(this.pictureBox20);
			this.groupBoxDentaduraInferior.Controls.Add(this.pictureBox19);
			this.groupBoxDentaduraInferior.Controls.Add(this.pictureBox18);
			this.groupBoxDentaduraInferior.Controls.Add(this.pictureBox17);
			this.groupBoxDentaduraInferior.Controls.Add(this.groupBoxI11);
			this.groupBoxDentaduraInferior.Location = new System.Drawing.Point(8, 8);
			this.groupBoxDentaduraInferior.Name = "groupBoxDentaduraInferior";
			this.groupBoxDentaduraInferior.Size = new System.Drawing.Size(584, 288);
			this.groupBoxDentaduraInferior.TabIndex = 0;
			this.groupBoxDentaduraInferior.TabStop = false;
			// 
			// groupBoxI16
			// 
			this.groupBoxI16.Controls.Add(this.radioButtonI162);
			this.groupBoxI16.Controls.Add(this.radioButtonI163);
			this.groupBoxI16.Controls.Add(this.radioButtonI160);
			this.groupBoxI16.Controls.Add(this.radioButtonI161);
			this.groupBoxI16.Location = new System.Drawing.Point(424, 16);
			this.groupBoxI16.Name = "groupBoxI16";
			this.groupBoxI16.Size = new System.Drawing.Size(144, 24);
			this.groupBoxI16.TabIndex = 93;
			this.groupBoxI16.TabStop = false;
			// 
			// radioButtonI162
			// 
			this.radioButtonI162.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI162.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.radioButtonI162.Location = new System.Drawing.Point(72, 8);
			this.radioButtonI162.Name = "radioButtonI162";
			this.radioButtonI162.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI162.TabIndex = 3;
			this.radioButtonI162.Text = "X";
			// 
			// radioButtonI163
			// 
			this.radioButtonI163.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI163.ForeColor = System.Drawing.Color.Blue;
			this.radioButtonI163.Location = new System.Drawing.Point(104, 8);
			this.radioButtonI163.Name = "radioButtonI163";
			this.radioButtonI163.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI163.TabIndex = 2;
			this.radioButtonI163.Text = "P";
			// 
			// radioButtonI160
			// 
			this.radioButtonI160.Checked = true;
			this.radioButtonI160.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI160.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.radioButtonI160.Location = new System.Drawing.Point(8, 8);
			this.radioButtonI160.Name = "radioButtonI160";
			this.radioButtonI160.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI160.TabIndex = 1;
			this.radioButtonI160.TabStop = true;
			this.radioButtonI160.Text = "S";
			// 
			// radioButtonI161
			// 
			this.radioButtonI161.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI161.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.radioButtonI161.Location = new System.Drawing.Point(40, 8);
			this.radioButtonI161.Name = "radioButtonI161";
			this.radioButtonI161.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI161.TabIndex = 0;
			this.radioButtonI161.Text = "E";
			// 
			// groupBoxI15
			// 
			this.groupBoxI15.Controls.Add(this.radioButtonI152);
			this.groupBoxI15.Controls.Add(this.radioButtonI153);
			this.groupBoxI15.Controls.Add(this.radioButtonI150);
			this.groupBoxI15.Controls.Add(this.radioButtonI151);
			this.groupBoxI15.Location = new System.Drawing.Point(424, 48);
			this.groupBoxI15.Name = "groupBoxI15";
			this.groupBoxI15.Size = new System.Drawing.Size(144, 24);
			this.groupBoxI15.TabIndex = 92;
			this.groupBoxI15.TabStop = false;
			// 
			// radioButtonI152
			// 
			this.radioButtonI152.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI152.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.radioButtonI152.Location = new System.Drawing.Point(72, 8);
			this.radioButtonI152.Name = "radioButtonI152";
			this.radioButtonI152.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI152.TabIndex = 3;
			this.radioButtonI152.Text = "X";
			// 
			// radioButtonI153
			// 
			this.radioButtonI153.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI153.ForeColor = System.Drawing.Color.Blue;
			this.radioButtonI153.Location = new System.Drawing.Point(104, 8);
			this.radioButtonI153.Name = "radioButtonI153";
			this.radioButtonI153.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI153.TabIndex = 2;
			this.radioButtonI153.Text = "P";
			// 
			// radioButtonI150
			// 
			this.radioButtonI150.Checked = true;
			this.radioButtonI150.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI150.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.radioButtonI150.Location = new System.Drawing.Point(8, 8);
			this.radioButtonI150.Name = "radioButtonI150";
			this.radioButtonI150.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI150.TabIndex = 1;
			this.radioButtonI150.TabStop = true;
			this.radioButtonI150.Text = "S";
			// 
			// radioButtonI151
			// 
			this.radioButtonI151.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI151.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.radioButtonI151.Location = new System.Drawing.Point(40, 8);
			this.radioButtonI151.Name = "radioButtonI151";
			this.radioButtonI151.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI151.TabIndex = 0;
			this.radioButtonI151.Text = "E";
			// 
			// groupBoxI14
			// 
			this.groupBoxI14.Controls.Add(this.radioButtonI142);
			this.groupBoxI14.Controls.Add(this.radioButtonI143);
			this.groupBoxI14.Controls.Add(this.radioButtonI140);
			this.groupBoxI14.Controls.Add(this.radioButtonI141);
			this.groupBoxI14.Location = new System.Drawing.Point(424, 80);
			this.groupBoxI14.Name = "groupBoxI14";
			this.groupBoxI14.Size = new System.Drawing.Size(144, 24);
			this.groupBoxI14.TabIndex = 91;
			this.groupBoxI14.TabStop = false;
			// 
			// radioButtonI142
			// 
			this.radioButtonI142.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI142.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.radioButtonI142.Location = new System.Drawing.Point(72, 8);
			this.radioButtonI142.Name = "radioButtonI142";
			this.radioButtonI142.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI142.TabIndex = 3;
			this.radioButtonI142.Text = "X";
			// 
			// radioButtonI143
			// 
			this.radioButtonI143.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI143.ForeColor = System.Drawing.Color.Blue;
			this.radioButtonI143.Location = new System.Drawing.Point(104, 8);
			this.radioButtonI143.Name = "radioButtonI143";
			this.radioButtonI143.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI143.TabIndex = 2;
			this.radioButtonI143.Text = "P";
			// 
			// radioButtonI140
			// 
			this.radioButtonI140.Checked = true;
			this.radioButtonI140.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI140.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.radioButtonI140.Location = new System.Drawing.Point(8, 8);
			this.radioButtonI140.Name = "radioButtonI140";
			this.radioButtonI140.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI140.TabIndex = 1;
			this.radioButtonI140.TabStop = true;
			this.radioButtonI140.Text = "S";
			// 
			// radioButtonI141
			// 
			this.radioButtonI141.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI141.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.radioButtonI141.Location = new System.Drawing.Point(40, 8);
			this.radioButtonI141.Name = "radioButtonI141";
			this.radioButtonI141.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI141.TabIndex = 0;
			this.radioButtonI141.Text = "E";
			// 
			// groupBoxI13
			// 
			this.groupBoxI13.Controls.Add(this.radioButtonI132);
			this.groupBoxI13.Controls.Add(this.radioButtonI133);
			this.groupBoxI13.Controls.Add(this.radioButtonI130);
			this.groupBoxI13.Controls.Add(this.radioButtonI131);
			this.groupBoxI13.Location = new System.Drawing.Point(416, 112);
			this.groupBoxI13.Name = "groupBoxI13";
			this.groupBoxI13.Size = new System.Drawing.Size(144, 24);
			this.groupBoxI13.TabIndex = 90;
			this.groupBoxI13.TabStop = false;
			// 
			// radioButtonI132
			// 
			this.radioButtonI132.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI132.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.radioButtonI132.Location = new System.Drawing.Point(72, 8);
			this.radioButtonI132.Name = "radioButtonI132";
			this.radioButtonI132.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI132.TabIndex = 3;
			this.radioButtonI132.Text = "X";
			// 
			// radioButtonI133
			// 
			this.radioButtonI133.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI133.ForeColor = System.Drawing.Color.Blue;
			this.radioButtonI133.Location = new System.Drawing.Point(104, 8);
			this.radioButtonI133.Name = "radioButtonI133";
			this.radioButtonI133.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI133.TabIndex = 2;
			this.radioButtonI133.Text = "P";
			// 
			// radioButtonI130
			// 
			this.radioButtonI130.Checked = true;
			this.radioButtonI130.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI130.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.radioButtonI130.Location = new System.Drawing.Point(8, 8);
			this.radioButtonI130.Name = "radioButtonI130";
			this.radioButtonI130.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI130.TabIndex = 1;
			this.radioButtonI130.TabStop = true;
			this.radioButtonI130.Text = "S";
			// 
			// radioButtonI131
			// 
			this.radioButtonI131.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI131.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.radioButtonI131.Location = new System.Drawing.Point(40, 8);
			this.radioButtonI131.Name = "radioButtonI131";
			this.radioButtonI131.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI131.TabIndex = 0;
			this.radioButtonI131.Text = "E";
			// 
			// groupBoxI12
			// 
			this.groupBoxI12.Controls.Add(this.radioButtonI122);
			this.groupBoxI12.Controls.Add(this.radioButtonI123);
			this.groupBoxI12.Controls.Add(this.radioButtonI120);
			this.groupBoxI12.Controls.Add(this.radioButtonI121);
			this.groupBoxI12.Location = new System.Drawing.Point(400, 144);
			this.groupBoxI12.Name = "groupBoxI12";
			this.groupBoxI12.Size = new System.Drawing.Size(144, 24);
			this.groupBoxI12.TabIndex = 89;
			this.groupBoxI12.TabStop = false;
			// 
			// radioButtonI122
			// 
			this.radioButtonI122.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI122.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.radioButtonI122.Location = new System.Drawing.Point(72, 8);
			this.radioButtonI122.Name = "radioButtonI122";
			this.radioButtonI122.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI122.TabIndex = 3;
			this.radioButtonI122.Text = "X";
			// 
			// radioButtonI123
			// 
			this.radioButtonI123.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI123.ForeColor = System.Drawing.Color.Blue;
			this.radioButtonI123.Location = new System.Drawing.Point(104, 8);
			this.radioButtonI123.Name = "radioButtonI123";
			this.radioButtonI123.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI123.TabIndex = 2;
			this.radioButtonI123.Text = "P";
			// 
			// radioButtonI120
			// 
			this.radioButtonI120.Checked = true;
			this.radioButtonI120.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI120.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.radioButtonI120.Location = new System.Drawing.Point(8, 8);
			this.radioButtonI120.Name = "radioButtonI120";
			this.radioButtonI120.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI120.TabIndex = 1;
			this.radioButtonI120.TabStop = true;
			this.radioButtonI120.Text = "S";
			// 
			// radioButtonI121
			// 
			this.radioButtonI121.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI121.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.radioButtonI121.Location = new System.Drawing.Point(40, 8);
			this.radioButtonI121.Name = "radioButtonI121";
			this.radioButtonI121.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI121.TabIndex = 0;
			this.radioButtonI121.Text = "E";
			// 
			// groupBoxI10
			// 
			this.groupBoxI10.Controls.Add(this.radioButtonI102);
			this.groupBoxI10.Controls.Add(this.radioButtonI103);
			this.groupBoxI10.Controls.Add(this.radioButtonI100);
			this.groupBoxI10.Controls.Add(this.radioButtonI101);
			this.groupBoxI10.Location = new System.Drawing.Point(360, 208);
			this.groupBoxI10.Name = "groupBoxI10";
			this.groupBoxI10.Size = new System.Drawing.Size(144, 24);
			this.groupBoxI10.TabIndex = 88;
			this.groupBoxI10.TabStop = false;
			// 
			// radioButtonI102
			// 
			this.radioButtonI102.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI102.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.radioButtonI102.Location = new System.Drawing.Point(72, 8);
			this.radioButtonI102.Name = "radioButtonI102";
			this.radioButtonI102.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI102.TabIndex = 3;
			this.radioButtonI102.Text = "X";
			// 
			// radioButtonI103
			// 
			this.radioButtonI103.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI103.ForeColor = System.Drawing.Color.Blue;
			this.radioButtonI103.Location = new System.Drawing.Point(104, 8);
			this.radioButtonI103.Name = "radioButtonI103";
			this.radioButtonI103.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI103.TabIndex = 2;
			this.radioButtonI103.Text = "P";
			// 
			// radioButtonI100
			// 
			this.radioButtonI100.Checked = true;
			this.radioButtonI100.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI100.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.radioButtonI100.Location = new System.Drawing.Point(8, 8);
			this.radioButtonI100.Name = "radioButtonI100";
			this.radioButtonI100.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI100.TabIndex = 1;
			this.radioButtonI100.TabStop = true;
			this.radioButtonI100.Text = "S";
			// 
			// radioButtonI101
			// 
			this.radioButtonI101.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI101.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.radioButtonI101.Location = new System.Drawing.Point(40, 8);
			this.radioButtonI101.Name = "radioButtonI101";
			this.radioButtonI101.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI101.TabIndex = 0;
			this.radioButtonI101.Text = "E";
			// 
			// groupBoxI9
			// 
			this.groupBoxI9.Controls.Add(this.radioButtonI92);
			this.groupBoxI9.Controls.Add(this.radioButtonI93);
			this.groupBoxI9.Controls.Add(this.radioButtonI90);
			this.groupBoxI9.Controls.Add(this.radioButtonI91);
			this.groupBoxI9.Location = new System.Drawing.Point(328, 240);
			this.groupBoxI9.Name = "groupBoxI9";
			this.groupBoxI9.Size = new System.Drawing.Size(144, 24);
			this.groupBoxI9.TabIndex = 87;
			this.groupBoxI9.TabStop = false;
			// 
			// radioButtonI92
			// 
			this.radioButtonI92.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI92.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.radioButtonI92.Location = new System.Drawing.Point(72, 8);
			this.radioButtonI92.Name = "radioButtonI92";
			this.radioButtonI92.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI92.TabIndex = 3;
			this.radioButtonI92.Text = "X";
			// 
			// radioButtonI93
			// 
			this.radioButtonI93.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI93.ForeColor = System.Drawing.Color.Blue;
			this.radioButtonI93.Location = new System.Drawing.Point(104, 8);
			this.radioButtonI93.Name = "radioButtonI93";
			this.radioButtonI93.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI93.TabIndex = 2;
			this.radioButtonI93.Text = "P";
			// 
			// radioButtonI90
			// 
			this.radioButtonI90.Checked = true;
			this.radioButtonI90.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI90.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.radioButtonI90.Location = new System.Drawing.Point(8, 8);
			this.radioButtonI90.Name = "radioButtonI90";
			this.radioButtonI90.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI90.TabIndex = 1;
			this.radioButtonI90.TabStop = true;
			this.radioButtonI90.Text = "S";
			// 
			// radioButtonI91
			// 
			this.radioButtonI91.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI91.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.radioButtonI91.Location = new System.Drawing.Point(40, 8);
			this.radioButtonI91.Name = "radioButtonI91";
			this.radioButtonI91.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI91.TabIndex = 0;
			this.radioButtonI91.Text = "E";
			// 
			// groupBoxI8
			// 
			this.groupBoxI8.Controls.Add(this.radioButtonI82);
			this.groupBoxI8.Controls.Add(this.radioButtonI83);
			this.groupBoxI8.Controls.Add(this.radioButtonI80);
			this.groupBoxI8.Controls.Add(this.radioButtonI81);
			this.groupBoxI8.Location = new System.Drawing.Point(104, 240);
			this.groupBoxI8.Name = "groupBoxI8";
			this.groupBoxI8.Size = new System.Drawing.Size(144, 24);
			this.groupBoxI8.TabIndex = 86;
			this.groupBoxI8.TabStop = false;
			// 
			// radioButtonI82
			// 
			this.radioButtonI82.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI82.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.radioButtonI82.Location = new System.Drawing.Point(72, 8);
			this.radioButtonI82.Name = "radioButtonI82";
			this.radioButtonI82.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI82.TabIndex = 3;
			this.radioButtonI82.Text = "X";
			// 
			// radioButtonI83
			// 
			this.radioButtonI83.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI83.ForeColor = System.Drawing.Color.Blue;
			this.radioButtonI83.Location = new System.Drawing.Point(104, 8);
			this.radioButtonI83.Name = "radioButtonI83";
			this.radioButtonI83.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI83.TabIndex = 2;
			this.radioButtonI83.Text = "P";
			// 
			// radioButtonI80
			// 
			this.radioButtonI80.Checked = true;
			this.radioButtonI80.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI80.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.radioButtonI80.Location = new System.Drawing.Point(8, 8);
			this.radioButtonI80.Name = "radioButtonI80";
			this.radioButtonI80.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI80.TabIndex = 1;
			this.radioButtonI80.TabStop = true;
			this.radioButtonI80.Text = "S";
			// 
			// radioButtonI81
			// 
			this.radioButtonI81.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI81.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.radioButtonI81.Location = new System.Drawing.Point(40, 8);
			this.radioButtonI81.Name = "radioButtonI81";
			this.radioButtonI81.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI81.TabIndex = 0;
			this.radioButtonI81.Text = "E";
			// 
			// groupBoxI7
			// 
			this.groupBoxI7.Controls.Add(this.radioButtonI72);
			this.groupBoxI7.Controls.Add(this.radioButtonI73);
			this.groupBoxI7.Controls.Add(this.radioButtonI70);
			this.groupBoxI7.Controls.Add(this.radioButtonI71);
			this.groupBoxI7.Location = new System.Drawing.Point(72, 208);
			this.groupBoxI7.Name = "groupBoxI7";
			this.groupBoxI7.Size = new System.Drawing.Size(144, 24);
			this.groupBoxI7.TabIndex = 85;
			this.groupBoxI7.TabStop = false;
			// 
			// radioButtonI72
			// 
			this.radioButtonI72.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI72.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.radioButtonI72.Location = new System.Drawing.Point(72, 8);
			this.radioButtonI72.Name = "radioButtonI72";
			this.radioButtonI72.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI72.TabIndex = 3;
			this.radioButtonI72.Text = "X";
			// 
			// radioButtonI73
			// 
			this.radioButtonI73.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI73.ForeColor = System.Drawing.Color.Blue;
			this.radioButtonI73.Location = new System.Drawing.Point(104, 8);
			this.radioButtonI73.Name = "radioButtonI73";
			this.radioButtonI73.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI73.TabIndex = 2;
			this.radioButtonI73.Text = "P";
			// 
			// radioButtonI70
			// 
			this.radioButtonI70.Checked = true;
			this.radioButtonI70.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI70.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.radioButtonI70.Location = new System.Drawing.Point(8, 8);
			this.radioButtonI70.Name = "radioButtonI70";
			this.radioButtonI70.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI70.TabIndex = 1;
			this.radioButtonI70.TabStop = true;
			this.radioButtonI70.Text = "S";
			// 
			// radioButtonI71
			// 
			this.radioButtonI71.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI71.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.radioButtonI71.Location = new System.Drawing.Point(40, 8);
			this.radioButtonI71.Name = "radioButtonI71";
			this.radioButtonI71.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI71.TabIndex = 0;
			this.radioButtonI71.Text = "E";
			// 
			// groupBoxI6
			// 
			this.groupBoxI6.Controls.Add(this.radioButtonI62);
			this.groupBoxI6.Controls.Add(this.radioButtonI63);
			this.groupBoxI6.Controls.Add(this.radioButtonI60);
			this.groupBoxI6.Controls.Add(this.radioButtonI61);
			this.groupBoxI6.Location = new System.Drawing.Point(48, 176);
			this.groupBoxI6.Name = "groupBoxI6";
			this.groupBoxI6.Size = new System.Drawing.Size(144, 24);
			this.groupBoxI6.TabIndex = 84;
			this.groupBoxI6.TabStop = false;
			// 
			// radioButtonI62
			// 
			this.radioButtonI62.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI62.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.radioButtonI62.Location = new System.Drawing.Point(72, 8);
			this.radioButtonI62.Name = "radioButtonI62";
			this.radioButtonI62.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI62.TabIndex = 3;
			this.radioButtonI62.Text = "X";
			// 
			// radioButtonI63
			// 
			this.radioButtonI63.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI63.ForeColor = System.Drawing.Color.Blue;
			this.radioButtonI63.Location = new System.Drawing.Point(104, 8);
			this.radioButtonI63.Name = "radioButtonI63";
			this.radioButtonI63.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI63.TabIndex = 2;
			this.radioButtonI63.Text = "P";
			// 
			// radioButtonI60
			// 
			this.radioButtonI60.Checked = true;
			this.radioButtonI60.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI60.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.radioButtonI60.Location = new System.Drawing.Point(8, 8);
			this.radioButtonI60.Name = "radioButtonI60";
			this.radioButtonI60.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI60.TabIndex = 1;
			this.radioButtonI60.TabStop = true;
			this.radioButtonI60.Text = "S";
			// 
			// radioButtonI61
			// 
			this.radioButtonI61.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI61.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.radioButtonI61.Location = new System.Drawing.Point(40, 8);
			this.radioButtonI61.Name = "radioButtonI61";
			this.radioButtonI61.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI61.TabIndex = 0;
			this.radioButtonI61.Text = "E";
			// 
			// groupBoxI5
			// 
			this.groupBoxI5.Controls.Add(this.radioButtonI52);
			this.groupBoxI5.Controls.Add(this.radioButtonI53);
			this.groupBoxI5.Controls.Add(this.radioButtonI50);
			this.groupBoxI5.Controls.Add(this.radioButtonI51);
			this.groupBoxI5.Location = new System.Drawing.Point(24, 144);
			this.groupBoxI5.Name = "groupBoxI5";
			this.groupBoxI5.Size = new System.Drawing.Size(144, 24);
			this.groupBoxI5.TabIndex = 83;
			this.groupBoxI5.TabStop = false;
			// 
			// radioButtonI52
			// 
			this.radioButtonI52.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI52.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.radioButtonI52.Location = new System.Drawing.Point(72, 8);
			this.radioButtonI52.Name = "radioButtonI52";
			this.radioButtonI52.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI52.TabIndex = 3;
			this.radioButtonI52.Text = "X";
			// 
			// radioButtonI53
			// 
			this.radioButtonI53.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI53.ForeColor = System.Drawing.Color.Blue;
			this.radioButtonI53.Location = new System.Drawing.Point(104, 8);
			this.radioButtonI53.Name = "radioButtonI53";
			this.radioButtonI53.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI53.TabIndex = 2;
			this.radioButtonI53.Text = "P";
			// 
			// radioButtonI50
			// 
			this.radioButtonI50.Checked = true;
			this.radioButtonI50.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI50.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.radioButtonI50.Location = new System.Drawing.Point(8, 8);
			this.radioButtonI50.Name = "radioButtonI50";
			this.radioButtonI50.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI50.TabIndex = 1;
			this.radioButtonI50.TabStop = true;
			this.radioButtonI50.Text = "S";
			// 
			// radioButtonI51
			// 
			this.radioButtonI51.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI51.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.radioButtonI51.Location = new System.Drawing.Point(40, 8);
			this.radioButtonI51.Name = "radioButtonI51";
			this.radioButtonI51.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI51.TabIndex = 0;
			this.radioButtonI51.Text = "E";
			// 
			// groupBoxI4
			// 
			this.groupBoxI4.Controls.Add(this.radioButtonI42);
			this.groupBoxI4.Controls.Add(this.radioButtonI43);
			this.groupBoxI4.Controls.Add(this.radioButtonI40);
			this.groupBoxI4.Controls.Add(this.radioButtonI41);
			this.groupBoxI4.Location = new System.Drawing.Point(16, 112);
			this.groupBoxI4.Name = "groupBoxI4";
			this.groupBoxI4.Size = new System.Drawing.Size(144, 24);
			this.groupBoxI4.TabIndex = 82;
			this.groupBoxI4.TabStop = false;
			// 
			// radioButtonI42
			// 
			this.radioButtonI42.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI42.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.radioButtonI42.Location = new System.Drawing.Point(72, 8);
			this.radioButtonI42.Name = "radioButtonI42";
			this.radioButtonI42.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI42.TabIndex = 3;
			this.radioButtonI42.Text = "X";
			// 
			// radioButtonI43
			// 
			this.radioButtonI43.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI43.ForeColor = System.Drawing.Color.Blue;
			this.radioButtonI43.Location = new System.Drawing.Point(104, 8);
			this.radioButtonI43.Name = "radioButtonI43";
			this.radioButtonI43.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI43.TabIndex = 2;
			this.radioButtonI43.Text = "P";
			// 
			// radioButtonI40
			// 
			this.radioButtonI40.Checked = true;
			this.radioButtonI40.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI40.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.radioButtonI40.Location = new System.Drawing.Point(8, 8);
			this.radioButtonI40.Name = "radioButtonI40";
			this.radioButtonI40.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI40.TabIndex = 1;
			this.radioButtonI40.TabStop = true;
			this.radioButtonI40.Text = "S";
			// 
			// radioButtonI41
			// 
			this.radioButtonI41.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI41.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.radioButtonI41.Location = new System.Drawing.Point(40, 8);
			this.radioButtonI41.Name = "radioButtonI41";
			this.radioButtonI41.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI41.TabIndex = 0;
			this.radioButtonI41.Text = "E";
			// 
			// groupBoxI3
			// 
			this.groupBoxI3.Controls.Add(this.radioButtonI32);
			this.groupBoxI3.Controls.Add(this.radioButtonI33);
			this.groupBoxI3.Controls.Add(this.radioButtonI30);
			this.groupBoxI3.Controls.Add(this.radioButtonI31);
			this.groupBoxI3.Location = new System.Drawing.Point(8, 80);
			this.groupBoxI3.Name = "groupBoxI3";
			this.groupBoxI3.Size = new System.Drawing.Size(144, 24);
			this.groupBoxI3.TabIndex = 81;
			this.groupBoxI3.TabStop = false;
			// 
			// radioButtonI32
			// 
			this.radioButtonI32.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI32.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.radioButtonI32.Location = new System.Drawing.Point(72, 8);
			this.radioButtonI32.Name = "radioButtonI32";
			this.radioButtonI32.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI32.TabIndex = 3;
			this.radioButtonI32.Text = "X";
			// 
			// radioButtonI33
			// 
			this.radioButtonI33.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI33.ForeColor = System.Drawing.Color.Blue;
			this.radioButtonI33.Location = new System.Drawing.Point(104, 8);
			this.radioButtonI33.Name = "radioButtonI33";
			this.radioButtonI33.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI33.TabIndex = 2;
			this.radioButtonI33.Text = "P";
			// 
			// radioButtonI30
			// 
			this.radioButtonI30.Checked = true;
			this.radioButtonI30.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI30.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.radioButtonI30.Location = new System.Drawing.Point(8, 8);
			this.radioButtonI30.Name = "radioButtonI30";
			this.radioButtonI30.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI30.TabIndex = 1;
			this.radioButtonI30.TabStop = true;
			this.radioButtonI30.Text = "S";
			// 
			// radioButtonI31
			// 
			this.radioButtonI31.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI31.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.radioButtonI31.Location = new System.Drawing.Point(40, 8);
			this.radioButtonI31.Name = "radioButtonI31";
			this.radioButtonI31.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI31.TabIndex = 0;
			this.radioButtonI31.Text = "E";
			// 
			// groupBoxI20
			// 
			this.groupBoxI20.Controls.Add(this.radioButtonI22);
			this.groupBoxI20.Controls.Add(this.radioButtonI23);
			this.groupBoxI20.Controls.Add(this.radioButtonI20);
			this.groupBoxI20.Controls.Add(this.radioButtonI21);
			this.groupBoxI20.Location = new System.Drawing.Point(8, 48);
			this.groupBoxI20.Name = "groupBoxI20";
			this.groupBoxI20.Size = new System.Drawing.Size(144, 24);
			this.groupBoxI20.TabIndex = 80;
			this.groupBoxI20.TabStop = false;
			// 
			// radioButtonI22
			// 
			this.radioButtonI22.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI22.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.radioButtonI22.Location = new System.Drawing.Point(72, 8);
			this.radioButtonI22.Name = "radioButtonI22";
			this.radioButtonI22.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI22.TabIndex = 3;
			this.radioButtonI22.Text = "X";
			// 
			// radioButtonI23
			// 
			this.radioButtonI23.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI23.ForeColor = System.Drawing.Color.Blue;
			this.radioButtonI23.Location = new System.Drawing.Point(104, 8);
			this.radioButtonI23.Name = "radioButtonI23";
			this.radioButtonI23.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI23.TabIndex = 2;
			this.radioButtonI23.Text = "P";
			// 
			// radioButtonI20
			// 
			this.radioButtonI20.Checked = true;
			this.radioButtonI20.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI20.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.radioButtonI20.Location = new System.Drawing.Point(8, 8);
			this.radioButtonI20.Name = "radioButtonI20";
			this.radioButtonI20.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI20.TabIndex = 1;
			this.radioButtonI20.TabStop = true;
			this.radioButtonI20.Text = "S";
			// 
			// radioButtonI21
			// 
			this.radioButtonI21.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI21.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.radioButtonI21.Location = new System.Drawing.Point(40, 8);
			this.radioButtonI21.Name = "radioButtonI21";
			this.radioButtonI21.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI21.TabIndex = 0;
			this.radioButtonI21.Text = "E";
			// 
			// groupBoxI1
			// 
			this.groupBoxI1.Controls.Add(this.radioButtonI12);
			this.groupBoxI1.Controls.Add(this.radioButtonI13);
			this.groupBoxI1.Controls.Add(this.radioButtonI10);
			this.groupBoxI1.Controls.Add(this.radioButtonI11);
			this.groupBoxI1.Location = new System.Drawing.Point(8, 16);
			this.groupBoxI1.Name = "groupBoxI1";
			this.groupBoxI1.Size = new System.Drawing.Size(144, 24);
			this.groupBoxI1.TabIndex = 79;
			this.groupBoxI1.TabStop = false;
			// 
			// radioButtonI12
			// 
			this.radioButtonI12.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI12.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.radioButtonI12.Location = new System.Drawing.Point(72, 8);
			this.radioButtonI12.Name = "radioButtonI12";
			this.radioButtonI12.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI12.TabIndex = 3;
			this.radioButtonI12.Text = "X";
			// 
			// radioButtonI13
			// 
			this.radioButtonI13.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI13.ForeColor = System.Drawing.Color.Blue;
			this.radioButtonI13.Location = new System.Drawing.Point(104, 8);
			this.radioButtonI13.Name = "radioButtonI13";
			this.radioButtonI13.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI13.TabIndex = 2;
			this.radioButtonI13.Text = "P";
			// 
			// radioButtonI10
			// 
			this.radioButtonI10.Checked = true;
			this.radioButtonI10.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI10.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.radioButtonI10.Location = new System.Drawing.Point(8, 8);
			this.radioButtonI10.Name = "radioButtonI10";
			this.radioButtonI10.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI10.TabIndex = 1;
			this.radioButtonI10.TabStop = true;
			this.radioButtonI10.Text = "S";
			// 
			// radioButtonI11
			// 
			this.radioButtonI11.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI11.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.radioButtonI11.Location = new System.Drawing.Point(40, 8);
			this.radioButtonI11.Name = "radioButtonI11";
			this.radioButtonI11.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI11.TabIndex = 0;
			this.radioButtonI11.Text = "E";
			// 
			// pictureBox34
			// 
			this.pictureBox34.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox34.Image")));
			this.pictureBox34.Location = new System.Drawing.Point(168, 112);
			this.pictureBox34.Name = "pictureBox34";
			this.pictureBox34.Size = new System.Drawing.Size(40, 32);
			this.pictureBox34.TabIndex = 78;
			this.pictureBox34.TabStop = false;
			// 
			// pictureBox32
			// 
			this.pictureBox32.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox32.Image")));
			this.pictureBox32.Location = new System.Drawing.Point(160, 48);
			this.pictureBox32.Name = "pictureBox32";
			this.pictureBox32.Size = new System.Drawing.Size(40, 32);
			this.pictureBox32.TabIndex = 77;
			this.pictureBox32.TabStop = false;
			// 
			// pictureBox31
			// 
			this.pictureBox31.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox31.Image")));
			this.pictureBox31.Location = new System.Drawing.Point(160, 80);
			this.pictureBox31.Name = "pictureBox31";
			this.pictureBox31.Size = new System.Drawing.Size(40, 32);
			this.pictureBox31.TabIndex = 76;
			this.pictureBox31.TabStop = false;
			// 
			// pictureBox30
			// 
			this.pictureBox30.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox30.Image")));
			this.pictureBox30.Location = new System.Drawing.Point(160, 16);
			this.pictureBox30.Name = "pictureBox30";
			this.pictureBox30.Size = new System.Drawing.Size(40, 32);
			this.pictureBox30.TabIndex = 75;
			this.pictureBox30.TabStop = false;
			// 
			// pictureBox28
			// 
			this.pictureBox28.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox28.Image")));
			this.pictureBox28.Location = new System.Drawing.Point(288, 232);
			this.pictureBox28.Name = "pictureBox28";
			this.pictureBox28.Size = new System.Drawing.Size(32, 32);
			this.pictureBox28.TabIndex = 74;
			this.pictureBox28.TabStop = false;
			// 
			// pictureBox27
			// 
			this.pictureBox27.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox27.Image")));
			this.pictureBox27.Location = new System.Drawing.Point(176, 144);
			this.pictureBox27.Name = "pictureBox27";
			this.pictureBox27.Size = new System.Drawing.Size(40, 32);
			this.pictureBox27.TabIndex = 73;
			this.pictureBox27.TabStop = false;
			// 
			// pictureBox26
			// 
			this.pictureBox26.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox26.Image")));
			this.pictureBox26.Location = new System.Drawing.Point(200, 176);
			this.pictureBox26.Name = "pictureBox26";
			this.pictureBox26.Size = new System.Drawing.Size(32, 32);
			this.pictureBox26.TabIndex = 72;
			this.pictureBox26.TabStop = false;
			// 
			// pictureBox25
			// 
			this.pictureBox25.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox25.Image")));
			this.pictureBox25.Location = new System.Drawing.Point(256, 232);
			this.pictureBox25.Name = "pictureBox25";
			this.pictureBox25.Size = new System.Drawing.Size(32, 32);
			this.pictureBox25.TabIndex = 71;
			this.pictureBox25.TabStop = false;
			// 
			// pictureBox24
			// 
			this.pictureBox24.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox24.Image")));
			this.pictureBox24.Location = new System.Drawing.Point(224, 208);
			this.pictureBox24.Name = "pictureBox24";
			this.pictureBox24.Size = new System.Drawing.Size(32, 32);
			this.pictureBox24.TabIndex = 70;
			this.pictureBox24.TabStop = false;
			// 
			// pictureBox23
			// 
			this.pictureBox23.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox23.Image")));
			this.pictureBox23.Location = new System.Drawing.Point(376, 16);
			this.pictureBox23.Name = "pictureBox23";
			this.pictureBox23.Size = new System.Drawing.Size(40, 32);
			this.pictureBox23.TabIndex = 69;
			this.pictureBox23.TabStop = false;
			// 
			// pictureBox22
			// 
			this.pictureBox22.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox22.Image")));
			this.pictureBox22.Location = new System.Drawing.Point(320, 208);
			this.pictureBox22.Name = "pictureBox22";
			this.pictureBox22.Size = new System.Drawing.Size(32, 32);
			this.pictureBox22.TabIndex = 68;
			this.pictureBox22.TabStop = false;
			// 
			// pictureBox21
			// 
			this.pictureBox21.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox21.Image")));
			this.pictureBox21.Location = new System.Drawing.Point(368, 112);
			this.pictureBox21.Name = "pictureBox21";
			this.pictureBox21.Size = new System.Drawing.Size(40, 32);
			this.pictureBox21.TabIndex = 67;
			this.pictureBox21.TabStop = false;
			// 
			// pictureBox20
			// 
			this.pictureBox20.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox20.Image")));
			this.pictureBox20.Location = new System.Drawing.Point(360, 144);
			this.pictureBox20.Name = "pictureBox20";
			this.pictureBox20.Size = new System.Drawing.Size(40, 32);
			this.pictureBox20.TabIndex = 66;
			this.pictureBox20.TabStop = false;
			// 
			// pictureBox19
			// 
			this.pictureBox19.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox19.Image")));
			this.pictureBox19.Location = new System.Drawing.Point(376, 48);
			this.pictureBox19.Name = "pictureBox19";
			this.pictureBox19.Size = new System.Drawing.Size(40, 32);
			this.pictureBox19.TabIndex = 65;
			this.pictureBox19.TabStop = false;
			// 
			// pictureBox18
			// 
			this.pictureBox18.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox18.Image")));
			this.pictureBox18.Location = new System.Drawing.Point(344, 176);
			this.pictureBox18.Name = "pictureBox18";
			this.pictureBox18.Size = new System.Drawing.Size(32, 32);
			this.pictureBox18.TabIndex = 64;
			this.pictureBox18.TabStop = false;
			// 
			// pictureBox17
			// 
			this.pictureBox17.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox17.Image")));
			this.pictureBox17.Location = new System.Drawing.Point(376, 80);
			this.pictureBox17.Name = "pictureBox17";
			this.pictureBox17.Size = new System.Drawing.Size(40, 32);
			this.pictureBox17.TabIndex = 63;
			this.pictureBox17.TabStop = false;
			// 
			// groupBoxI11
			// 
			this.groupBoxI11.Controls.Add(this.radioButtonI112);
			this.groupBoxI11.Controls.Add(this.radioButtonI113);
			this.groupBoxI11.Controls.Add(this.radioButtonI110);
			this.groupBoxI11.Controls.Add(this.radioButtonI111);
			this.groupBoxI11.Location = new System.Drawing.Point(384, 176);
			this.groupBoxI11.Name = "groupBoxI11";
			this.groupBoxI11.Size = new System.Drawing.Size(144, 24);
			this.groupBoxI11.TabIndex = 62;
			this.groupBoxI11.TabStop = false;
			// 
			// radioButtonI112
			// 
			this.radioButtonI112.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI112.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.radioButtonI112.Location = new System.Drawing.Point(72, 8);
			this.radioButtonI112.Name = "radioButtonI112";
			this.radioButtonI112.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI112.TabIndex = 3;
			this.radioButtonI112.Text = "X";
			// 
			// radioButtonI113
			// 
			this.radioButtonI113.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI113.ForeColor = System.Drawing.Color.Blue;
			this.radioButtonI113.Location = new System.Drawing.Point(104, 8);
			this.radioButtonI113.Name = "radioButtonI113";
			this.radioButtonI113.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI113.TabIndex = 2;
			this.radioButtonI113.Text = "P";
			// 
			// radioButtonI110
			// 
			this.radioButtonI110.Checked = true;
			this.radioButtonI110.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI110.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.radioButtonI110.Location = new System.Drawing.Point(8, 8);
			this.radioButtonI110.Name = "radioButtonI110";
			this.radioButtonI110.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI110.TabIndex = 1;
			this.radioButtonI110.TabStop = true;
			this.radioButtonI110.Text = "S";
			// 
			// radioButtonI111
			// 
			this.radioButtonI111.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.radioButtonI111.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.radioButtonI111.Location = new System.Drawing.Point(40, 8);
			this.radioButtonI111.Name = "radioButtonI111";
			this.radioButtonI111.Size = new System.Drawing.Size(32, 14);
			this.radioButtonI111.TabIndex = 0;
			this.radioButtonI111.Text = "E";
			// 
			// groupBoxLeyenda
			// 
			this.groupBoxLeyenda.Controls.Add(this.label4);
			this.groupBoxLeyenda.Controls.Add(this.label3);
			this.groupBoxLeyenda.Controls.Add(this.label2);
			this.groupBoxLeyenda.Controls.Add(this.label1);
			this.groupBoxLeyenda.Location = new System.Drawing.Point(368, 8);
			this.groupBoxLeyenda.Name = "groupBoxLeyenda";
			this.groupBoxLeyenda.Size = new System.Drawing.Size(248, 48);
			this.groupBoxLeyenda.TabIndex = 63;
			this.groupBoxLeyenda.TabStop = false;
			this.groupBoxLeyenda.Text = "Leyenda";
			// 
			// label4
			// 
			this.label4.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label4.ForeColor = System.Drawing.Color.Blue;
			this.label4.Location = new System.Drawing.Point(184, 24);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(56, 16);
			this.label4.TabIndex = 3;
			this.label4.Text = "Prtesis";
			// 
			// label3
			// 
			this.label3.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label3.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.label3.Location = new System.Drawing.Point(120, 24);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(56, 16);
			this.label3.TabIndex = 2;
			this.label3.Text = "Extraida";
			// 
			// label2
			// 
			this.label2.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label2.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.label2.Location = new System.Drawing.Point(16, 24);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(32, 16);
			this.label2.TabIndex = 1;
			this.label2.Text = "Sana";
			// 
			// label1
			// 
			this.label1.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label1.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.label1.Location = new System.Drawing.Point(56, 24);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(56, 16);
			this.label1.TabIndex = 0;
			this.label1.Text = "Empaste";
			// 
			// label5
			// 
			this.label5.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label5.ForeColor = System.Drawing.Color.Navy;
			this.label5.Location = new System.Drawing.Point(64, 24);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(248, 23);
			this.label5.TabIndex = 64;
			this.label5.Text = "Estado de las piezas dentales";
			// 
			// pictureBoxBotonera
			// 
			this.pictureBoxBotonera.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.pictureBoxBotonera.Image = ((System.Drawing.Image)(resources.GetObject("pictureBoxBotonera.Image")));
			this.pictureBoxBotonera.Location = new System.Drawing.Point(8, 400);
			this.pictureBoxBotonera.Name = "pictureBoxBotonera";
			this.pictureBoxBotonera.Size = new System.Drawing.Size(608, 56);
			this.pictureBoxBotonera.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
			this.pictureBoxBotonera.TabIndex = 70;
			this.pictureBoxBotonera.TabStop = false;
			// 
			// buttonAceptar
			// 
			this.buttonAceptar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonAceptar.ForeColor = System.Drawing.Color.Navy;
			this.buttonAceptar.Image = ((System.Drawing.Image)(resources.GetObject("buttonAceptar.Image")));
			this.buttonAceptar.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.buttonAceptar.Location = new System.Drawing.Point(408, 408);
			this.buttonAceptar.Name = "buttonAceptar";
			this.buttonAceptar.Size = new System.Drawing.Size(96, 40);
			this.buttonAceptar.TabIndex = 71;
			this.buttonAceptar.Text = "Aceptar ";
			this.buttonAceptar.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonAceptar.Click += new System.EventHandler(this.buttonAceptar_Click);
			// 
			// buttonCancelar
			// 
			this.buttonCancelar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonCancelar.ForeColor = System.Drawing.Color.Navy;
			this.buttonCancelar.Image = ((System.Drawing.Image)(resources.GetObject("buttonCancelar.Image")));
			this.buttonCancelar.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.buttonCancelar.Location = new System.Drawing.Point(512, 408);
			this.buttonCancelar.Name = "buttonCancelar";
			this.buttonCancelar.Size = new System.Drawing.Size(96, 40);
			this.buttonCancelar.TabIndex = 72;
			this.buttonCancelar.Text = "Cancelar";
			this.buttonCancelar.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonCancelar.Click += new System.EventHandler(this.buttonCancelar_Click);
			// 
			// FormDentadura
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 14);
			this.ClientSize = new System.Drawing.Size(624, 462);
			this.Controls.Add(this.buttonAceptar);
			this.Controls.Add(this.buttonCancelar);
			this.Controls.Add(this.pictureBoxBotonera);
			this.Controls.Add(this.label5);
			this.Controls.Add(this.groupBoxLeyenda);
			this.Controls.Add(this.tabControlPiezasDentales);
			this.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "FormDentadura";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "Piezas Dentales";
			this.Load += new System.EventHandler(this.FormDentadura_Load);
			this.tabControlPiezasDentales.ResumeLayout(false);
			this.tabPageSuperior.ResumeLayout(false);
			this.groupBoxDentaduraSuperior.ResumeLayout(false);
			this.groupBoxS16.ResumeLayout(false);
			this.groupBoxS15.ResumeLayout(false);
			this.groupBoxS14.ResumeLayout(false);
			this.groupBoxS13.ResumeLayout(false);
			this.groupBoxS12.ResumeLayout(false);
			this.groupBoxS11.ResumeLayout(false);
			this.groupBoxS9.ResumeLayout(false);
			this.groupBoxS2.ResumeLayout(false);
			this.groupBoxS3.ResumeLayout(false);
			this.groupBoxS4.ResumeLayout(false);
			this.groupBoxS5.ResumeLayout(false);
			this.groupBoxS7.ResumeLayout(false);
			this.groupBoxS8.ResumeLayout(false);
			this.groupBoxS6.ResumeLayout(false);
			this.groupBoxS1.ResumeLayout(false);
			this.groupBoxS10.ResumeLayout(false);
			this.tabPageDentaduraInferior.ResumeLayout(false);
			this.groupBoxDentaduraInferior.ResumeLayout(false);
			this.groupBoxI16.ResumeLayout(false);
			this.groupBoxI15.ResumeLayout(false);
			this.groupBoxI14.ResumeLayout(false);
			this.groupBoxI13.ResumeLayout(false);
			this.groupBoxI12.ResumeLayout(false);
			this.groupBoxI10.ResumeLayout(false);
			this.groupBoxI9.ResumeLayout(false);
			this.groupBoxI8.ResumeLayout(false);
			this.groupBoxI7.ResumeLayout(false);
			this.groupBoxI6.ResumeLayout(false);
			this.groupBoxI5.ResumeLayout(false);
			this.groupBoxI4.ResumeLayout(false);
			this.groupBoxI3.ResumeLayout(false);
			this.groupBoxI20.ResumeLayout(false);
			this.groupBoxI1.ResumeLayout(false);
			this.groupBoxI11.ResumeLayout(false);
			this.groupBoxLeyenda.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		private void FormDentadura_Load(object sender, System.EventArgs e)
		{
			Historial historial = new Historial();
			if(historial.CargarClienteDB(codigoCliente))
			{
				switch(historial.getPiezasSup(0)){
					case(0):{radioButtonS10.Checked = true; break;}
					case(1):{radioButtonS11.Checked = true; break;}
					case(2):{radioButtonS12.Checked = true; break;}
					case(3):{radioButtonS13.Checked = true; break;}
				}
				switch(historial.getPiezasSup(1))
				{
					case(0):{radioButtonS20.Checked = true; break;}
					case(1):{radioButtonS21.Checked = true; break;}
					case(2):{radioButtonS22.Checked = true; break;}
					case(3):{radioButtonS23.Checked = true; break;}
				}
				switch(historial.getPiezasSup(2))
				{
					case(0):{radioButtonS30.Checked = true; break;}
					case(1):{radioButtonS31.Checked = true; break;}
					case(2):{radioButtonS32.Checked = true; break;}
					case(3):{radioButtonS33.Checked = true; break;}
				}
				switch(historial.getPiezasSup(3))
				{
					case(0):{radioButtonS40.Checked = true; break;}
					case(1):{radioButtonS41.Checked = true; break;}
					case(2):{radioButtonS42.Checked = true; break;}
					case(3):{radioButtonS43.Checked = true; break;}
				}
				switch(historial.getPiezasSup(4))
				{
					case(0):{radioButtonS50.Checked = true; break;}
					case(1):{radioButtonS51.Checked = true; break;}
					case(2):{radioButtonS52.Checked = true; break;}
					case(3):{radioButtonS53.Checked = true; break;}
				}
				switch(historial.getPiezasSup(5))
				{
					case(0):{radioButtonS60.Checked = true; break;}
					case(1):{radioButtonS61.Checked = true; break;}
					case(2):{radioButtonS62.Checked = true; break;}
					case(3):{radioButtonS63.Checked = true; break;}
				}
				switch(historial.getPiezasSup(6))
				{
					case(0):{radioButtonS70.Checked = true; break;}
					case(1):{radioButtonS71.Checked = true; break;}
					case(2):{radioButtonS72.Checked = true; break;}
					case(3):{radioButtonS73.Checked = true; break;}
				}
				switch(historial.getPiezasSup(7))
				{
					case(0):{radioButtonS80.Checked = true; break;}
					case(1):{radioButtonS81.Checked = true; break;}
					case(2):{radioButtonS82.Checked = true; break;}
					case(3):{radioButtonS83.Checked = true; break;}
				}
				switch(historial.getPiezasSup(8))
				{
					case(0):{radioButtonS90.Checked = true; break;}
					case(1):{radioButtonS91.Checked = true; break;}
					case(2):{radioButtonS92.Checked = true; break;}
					case(3):{radioButtonS93.Checked = true; break;}
				}
				switch(historial.getPiezasSup(9))
				{
					case(0):{radioButtonS100.Checked = true; break;}
					case(1):{radioButtonS101.Checked = true; break;}
					case(2):{radioButtonS102.Checked = true; break;}
					case(3):{radioButtonS103.Checked = true; break;}
				}
				switch(historial.getPiezasSup(10))
				{
					case(0):{radioButtonS110.Checked = true; break;}
					case(1):{radioButtonS111.Checked = true; break;}
					case(2):{radioButtonS112.Checked = true; break;}
					case(3):{radioButtonS113.Checked = true; break;}
				}
				switch(historial.getPiezasSup(11))
				{
					case(0):{radioButtonS120.Checked = true; break;}
					case(1):{radioButtonS121.Checked = true; break;}
					case(2):{radioButtonS122.Checked = true; break;}
					case(3):{radioButtonS123.Checked = true; break;}
				}
				switch(historial.getPiezasSup(12))
				{
					case(0):{radioButtonS130.Checked = true; break;}
					case(1):{radioButtonS131.Checked = true; break;}
					case(2):{radioButtonS132.Checked = true; break;}
					case(3):{radioButtonS133.Checked = true; break;}
				}
				switch(historial.getPiezasSup(13))
				{
					case(0):{radioButtonS140.Checked = true; break;}
					case(1):{radioButtonS141.Checked = true; break;}
					case(2):{radioButtonS142.Checked = true; break;}
					case(3):{radioButtonS143.Checked = true; break;}
				}
				switch(historial.getPiezasSup(14))
				{
					case(0):{radioButtonS150.Checked = true; break;}
					case(1):{radioButtonS151.Checked = true; break;}
					case(2):{radioButtonS152.Checked = true; break;}
					case(3):{radioButtonS153.Checked = true; break;}
				}
				switch(historial.getPiezasSup(15))
				{
					case(0):{radioButtonS160.Checked = true; break;}
					case(1):{radioButtonS161.Checked = true; break;}
					case(2):{radioButtonS162.Checked = true; break;}
					case(3):{radioButtonS163.Checked = true; break;}
				}

				//------------------------------------------
				switch(historial.getPiezasInf(0))
				{
					case(0):{radioButtonI10.Checked = true; break;}
					case(1):{radioButtonI11.Checked = true; break;}
					case(2):{radioButtonI12.Checked = true; break;}
					case(3):{radioButtonI13.Checked = true; break;}
				}
				switch(historial.getPiezasInf(1))
				{
					case(0):{radioButtonI20.Checked = true; break;}
					case(1):{radioButtonI21.Checked = true; break;}
					case(2):{radioButtonI22.Checked = true; break;}
					case(3):{radioButtonI23.Checked = true; break;}
				}
				switch(historial.getPiezasInf(2))
				{
					case(0):{radioButtonI30.Checked = true; break;}
					case(1):{radioButtonI31.Checked = true; break;}
					case(2):{radioButtonI32.Checked = true; break;}
					case(3):{radioButtonI33.Checked = true; break;}
				}
				switch(historial.getPiezasInf(3))
				{
					case(0):{radioButtonI40.Checked = true; break;}
					case(1):{radioButtonI41.Checked = true; break;}
					case(2):{radioButtonI42.Checked = true; break;}
					case(3):{radioButtonI43.Checked = true; break;}
				}
				switch(historial.getPiezasInf(4))
				{
					case(0):{radioButtonI50.Checked = true; break;}
					case(1):{radioButtonI51.Checked = true; break;}
					case(2):{radioButtonI52.Checked = true; break;}
					case(3):{radioButtonI53.Checked = true; break;}
				}
				switch(historial.getPiezasInf(5))
				{
					case(0):{radioButtonI60.Checked = true; break;}
					case(1):{radioButtonI61.Checked = true; break;}
					case(2):{radioButtonI62.Checked = true; break;}
					case(3):{radioButtonI63.Checked = true; break;}
				}
				switch(historial.getPiezasInf(6))
				{
					case(0):{radioButtonI70.Checked = true; break;}
					case(1):{radioButtonI71.Checked = true; break;}
					case(2):{radioButtonI72.Checked = true; break;}
					case(3):{radioButtonI73.Checked = true; break;}
				}
				switch(historial.getPiezasInf(7))
				{
					case(0):{radioButtonI80.Checked = true; break;}
					case(1):{radioButtonI81.Checked = true; break;}
					case(2):{radioButtonI82.Checked = true; break;}
					case(3):{radioButtonI83.Checked = true; break;}
				}
				switch(historial.getPiezasInf(8))
				{
					case(0):{radioButtonI90.Checked = true; break;}
					case(1):{radioButtonI91.Checked = true; break;}
					case(2):{radioButtonI92.Checked = true; break;}
					case(3):{radioButtonI93.Checked = true; break;}
				}
				switch(historial.getPiezasInf(9))
				{
					case(0):{radioButtonI100.Checked = true; break;}
					case(1):{radioButtonI101.Checked = true; break;}
					case(2):{radioButtonI102.Checked = true; break;}
					case(3):{radioButtonI103.Checked = true; break;}
				}
				switch(historial.getPiezasInf(10))
				{
					case(0):{radioButtonI110.Checked = true; break;}
					case(1):{radioButtonI111.Checked = true; break;}
					case(2):{radioButtonI112.Checked = true; break;}
					case(3):{radioButtonI113.Checked = true; break;}
				}
				switch(historial.getPiezasInf(11))
				{
					case(0):{radioButtonI120.Checked = true; break;}
					case(1):{radioButtonI121.Checked = true; break;}
					case(2):{radioButtonI122.Checked = true; break;}
					case(3):{radioButtonI123.Checked = true; break;}
				}
				switch(historial.getPiezasInf(12))
				{
					case(0):{radioButtonI130.Checked = true; break;}
					case(1):{radioButtonI131.Checked = true; break;}
					case(2):{radioButtonI132.Checked = true; break;}
					case(3):{radioButtonI133.Checked = true; break;}
				}
				switch(historial.getPiezasInf(13))
				{
					case(0):{radioButtonI140.Checked = true; break;}
					case(1):{radioButtonI141.Checked = true; break;}
					case(2):{radioButtonI142.Checked = true; break;}
					case(3):{radioButtonI143.Checked = true; break;}
				}
				switch(historial.getPiezasInf(14))
				{
					case(0):{radioButtonI150.Checked = true; break;}
					case(1):{radioButtonI151.Checked = true; break;}
					case(2):{radioButtonI152.Checked = true; break;}
					case(3):{radioButtonI153.Checked = true; break;}
				}
				switch(historial.getPiezasInf(15))
				{
					case(0):{radioButtonI160.Checked = true; break;}
					case(1):{radioButtonI161.Checked = true; break;}
					case(2):{radioButtonI162.Checked = true; break;}
					case(3):{radioButtonI163.Checked = true; break;}
				}
			}
			else
				MessageBox.Show("Error al cargar los estados de las piezas", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
		}

		private void buttonCancelar_Click(object sender, System.EventArgs e)
		{
			Close();
		}

		private void buttonAceptar_Click(object sender, System.EventArgs e)
		{
			Historial historial = new Historial();
			if(historial.CargarClienteDB(codigoCliente))
			{
				if(radioButtonS10.Checked)		historial.setPiezasSup(0, 0);
				else if(radioButtonS11.Checked)	historial.setPiezasSup(0, 1);
				else if(radioButtonS12.Checked)	historial.setPiezasSup(0, 2);
				else							historial.setPiezasSup(0, 3);

				if(radioButtonS20.Checked)		historial.setPiezasSup(1, 0);
				else if(radioButtonS21.Checked)	historial.setPiezasSup(1, 1);
				else if(radioButtonS22.Checked)	historial.setPiezasSup(1, 2);
				else							historial.setPiezasSup(1, 3);

				if(radioButtonS30.Checked)		historial.setPiezasSup(2, 0);
				else if(radioButtonS31.Checked)	historial.setPiezasSup(2, 1);
				else if(radioButtonS32.Checked)	historial.setPiezasSup(2, 2);
				else							historial.setPiezasSup(2, 3);

				if(radioButtonS40.Checked)		historial.setPiezasSup(3, 0);
				else if(radioButtonS41.Checked)	historial.setPiezasSup(3, 1);
				else if(radioButtonS42.Checked)	historial.setPiezasSup(3, 2);
				else							historial.setPiezasSup(3, 3);

				if(radioButtonS50.Checked)		historial.setPiezasSup(4, 0);
				else if(radioButtonS51.Checked)	historial.setPiezasSup(4, 1);
				else if(radioButtonS52.Checked)	historial.setPiezasSup(4, 2);
				else							historial.setPiezasSup(4, 3);

				if(radioButtonS60.Checked)		historial.setPiezasSup(5, 0);
				else if(radioButtonS61.Checked)	historial.setPiezasSup(5, 1);
				else if(radioButtonS62.Checked)	historial.setPiezasSup(5, 2);
				else							historial.setPiezasSup(5, 3);

				if(radioButtonS70.Checked)		historial.setPiezasSup(6, 0);
				else if(radioButtonS71.Checked)	historial.setPiezasSup(6, 1);
				else if(radioButtonS72.Checked)	historial.setPiezasSup(6, 2);
				else							historial.setPiezasSup(6, 3);

				if(radioButtonS80.Checked)		historial.setPiezasSup(7, 0);
				else if(radioButtonS81.Checked)	historial.setPiezasSup(7, 1);
				else if(radioButtonS82.Checked)	historial.setPiezasSup(7, 2);
				else							historial.setPiezasSup(7, 3);

				if(radioButtonS90.Checked)		historial.setPiezasSup(8, 0);
				else if(radioButtonS91.Checked)	historial.setPiezasSup(8, 1);
				else if(radioButtonS92.Checked)	historial.setPiezasSup(8, 2);
				else							historial.setPiezasSup(8, 3);

				if(radioButtonS100.Checked)		historial.setPiezasSup(9, 0);
				else if(radioButtonS101.Checked)	historial.setPiezasSup(9, 1);
				else if(radioButtonS102.Checked)	historial.setPiezasSup(9, 2);
				else							historial.setPiezasSup(9, 3);

				if(radioButtonS110.Checked)		historial.setPiezasSup(10, 0);
				else if(radioButtonS111.Checked)	historial.setPiezasSup(10, 1);
				else if(radioButtonS112.Checked)	historial.setPiezasSup(10, 2);
				else							historial.setPiezasSup(10, 3);

				if(radioButtonS120.Checked)		historial.setPiezasSup(11, 0);
				else if(radioButtonS121.Checked)	historial.setPiezasSup(11, 1);
				else if(radioButtonS122.Checked)	historial.setPiezasSup(11, 2);
				else							historial.setPiezasSup(11, 3);

				if(radioButtonS130.Checked)		historial.setPiezasSup(12, 0);
				else if(radioButtonS131.Checked)	historial.setPiezasSup(12, 1);
				else if(radioButtonS132.Checked)	historial.setPiezasSup(12, 2);
				else							historial.setPiezasSup(12, 3);

				if(radioButtonS140.Checked)		historial.setPiezasSup(13, 0);
				else if(radioButtonS141.Checked)	historial.setPiezasSup(13, 1);
				else if(radioButtonS142.Checked)	historial.setPiezasSup(13, 2);
				else							historial.setPiezasSup(13, 3);

				if(radioButtonS150.Checked)		historial.setPiezasSup(14, 0);
				else if(radioButtonS151.Checked)	historial.setPiezasSup(14, 1);
				else if(radioButtonS152.Checked)	historial.setPiezasSup(14, 2);
				else							historial.setPiezasSup(14, 3);

				if(radioButtonS160.Checked)		historial.setPiezasSup(15, 0);
				else if(radioButtonS161.Checked)	historial.setPiezasSup(15, 1);
				else if(radioButtonS162.Checked)	historial.setPiezasSup(15, 2);
				else							historial.setPiezasSup(15, 3);

				//-----------------------------------------------------

				if(radioButtonI10.Checked)		historial.setPiezasInf(0, 0);
				else if(radioButtonI11.Checked)	historial.setPiezasInf(0, 1);
				else if(radioButtonI12.Checked)	historial.setPiezasInf(0, 2);
				else							historial.setPiezasInf(0, 3);

				if(radioButtonI20.Checked)		historial.setPiezasInf(1, 0);
				else if(radioButtonI21.Checked)	historial.setPiezasInf(1, 1);
				else if(radioButtonI22.Checked)	historial.setPiezasInf(1, 2);
				else							historial.setPiezasInf(1, 3);

				if(radioButtonI30.Checked)		historial.setPiezasInf(2, 0);
				else if(radioButtonI31.Checked)	historial.setPiezasInf(2, 1);
				else if(radioButtonI32.Checked)	historial.setPiezasInf(2, 2);
				else							historial.setPiezasInf(2, 3);

				if(radioButtonI40.Checked)		historial.setPiezasInf(3, 0);
				else if(radioButtonI41.Checked)	historial.setPiezasInf(3, 1);
				else if(radioButtonI42.Checked)	historial.setPiezasInf(3, 2);
				else							historial.setPiezasInf(3, 3);

				if(radioButtonI50.Checked)		historial.setPiezasInf(4, 0);
				else if(radioButtonI51.Checked)	historial.setPiezasInf(4, 1);
				else if(radioButtonI52.Checked)	historial.setPiezasInf(4, 2);
				else							historial.setPiezasInf(4, 3);

				if(radioButtonI60.Checked)		historial.setPiezasInf(5, 0);
				else if(radioButtonI61.Checked)	historial.setPiezasInf(5, 1);
				else if(radioButtonI62.Checked)	historial.setPiezasInf(5, 2);
				else							historial.setPiezasInf(5, 3);

				if(radioButtonI70.Checked)		historial.setPiezasInf(6, 0);
				else if(radioButtonI71.Checked)	historial.setPiezasInf(6, 1);
				else if(radioButtonI72.Checked)	historial.setPiezasInf(6, 2);
				else							historial.setPiezasInf(6, 3);

				if(radioButtonI80.Checked)		historial.setPiezasInf(7, 0);
				else if(radioButtonI81.Checked)	historial.setPiezasInf(7, 1);
				else if(radioButtonI82.Checked)	historial.setPiezasInf(7, 2);
				else							historial.setPiezasInf(7, 3);

				if(radioButtonI90.Checked)		historial.setPiezasInf(8, 0);
				else if(radioButtonI91.Checked)	historial.setPiezasInf(8, 1);
				else if(radioButtonI92.Checked)	historial.setPiezasInf(8, 2);
				else							historial.setPiezasInf(8, 3);

				if(radioButtonI100.Checked)		historial.setPiezasInf(9, 0);
				else if(radioButtonI101.Checked)	historial.setPiezasInf(9, 1);
				else if(radioButtonI102.Checked)	historial.setPiezasInf(9, 2);
				else							historial.setPiezasInf(9, 3);

				if(radioButtonI110.Checked)		historial.setPiezasInf(10, 0);
				else if(radioButtonI111.Checked)	historial.setPiezasInf(10, 1);
				else if(radioButtonI112.Checked)	historial.setPiezasInf(10, 2);
				else							historial.setPiezasInf(10, 3);

				if(radioButtonI120.Checked)		historial.setPiezasInf(11, 0);
				else if(radioButtonI121.Checked)	historial.setPiezasInf(11, 1);
				else if(radioButtonI122.Checked)	historial.setPiezasInf(11, 2);
				else							historial.setPiezasInf(11, 3);

				if(radioButtonI130.Checked)		historial.setPiezasInf(12, 0);
				else if(radioButtonI131.Checked)	historial.setPiezasInf(12, 1);
				else if(radioButtonI132.Checked)	historial.setPiezasInf(12, 2);
				else							historial.setPiezasInf(12, 3);

				if(radioButtonI140.Checked)		historial.setPiezasInf(13, 0);
				else if(radioButtonI141.Checked)	historial.setPiezasInf(13, 1);
				else if(radioButtonI142.Checked)	historial.setPiezasInf(13, 2);
				else							historial.setPiezasInf(13, 3);

				if(radioButtonI150.Checked)		historial.setPiezasInf(14, 0);
				else if(radioButtonI151.Checked)	historial.setPiezasInf(14, 1);
				else if(radioButtonI152.Checked)	historial.setPiezasInf(14, 2);
				else							historial.setPiezasInf(14, 3);

				if(radioButtonI160.Checked)		historial.setPiezasInf(15, 0);
				else if(radioButtonI161.Checked)	historial.setPiezasInf(15, 1);
				else if(radioButtonI162.Checked)	historial.setPiezasInf(15, 2);
				else							historial.setPiezasInf(15, 3);
			
				if(historial.ModificarDB())
					Close();
				else
					MessageBox.Show("Error al actualizar los estados de las piezas", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
			else{
				MessageBox.Show("Error al guardar los estados de las piezas", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
		}

		public int gsCodigoCliente
		{
			get { return(codigoCliente); }
			set { codigoCliente = value;}
		}
	}
}
