using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.Data.Odbc;
using ClassLibraryClinica;

namespace WindowsApplicationClinica
{
	/// <summary>
	/// Descripcin breve de FormEmpleados.
	/// </summary>
	public class FormEmpleados : System.Windows.Forms.Form
	{
		private System.Windows.Forms.TabPage tabNuevo;
		private System.Windows.Forms.Button buttonModificar;
		private System.Windows.Forms.Button buttonEliminar;
		private System.Windows.Forms.Button buttonNuevo;
		private System.Windows.Forms.GroupBox groupBoxBusqueda;
		private System.Windows.Forms.GroupBox groupBoxVista;
		private System.Windows.Forms.Button buttonCerrar;
		private System.Windows.Forms.GroupBox groupBoxDatos;
		private System.Windows.Forms.GroupBox groupBox1;
		private System.Windows.Forms.GroupBox groupBox2;
		private System.Windows.Forms.GroupBox groupBoxObservaciones;
		private System.Windows.Forms.TabPage tabFicha;
		private System.Windows.Forms.GroupBox groupBox4;
		private System.Windows.Forms.GroupBox groupBox5;
		private System.Windows.Forms.Label labelFichaProvincia;
		private System.Windows.Forms.Label labelFichaPoblacion;
		private System.Windows.Forms.Label labelFichaCorreo;
		private System.Windows.Forms.Label labelFichaMovil;
		private System.Windows.Forms.Label labelFichaTelefono;
		private System.Windows.Forms.Label labelFichaFechaNacimiento;
		private System.Windows.Forms.Label labelFichaCP;
		private System.Windows.Forms.Label labelFichaDireccion;
		private System.Windows.Forms.Label labelFichaNombre;
		private System.Windows.Forms.Label labelFichaDatoNombre;
		private System.Windows.Forms.Label labelFichaDatoDireccion;
		private System.Windows.Forms.Label labelFichaDatoPoblacion;
		private System.Windows.Forms.Label labelFichaDatoProvincia;
		private System.Windows.Forms.Label labelFichaDatoCP;
		private System.Windows.Forms.Label labelFichaDatoFechaNacimiento;
		private System.Windows.Forms.Label labelFichaDatoTelefono;
		private System.Windows.Forms.Label labelFichaDatoMovil;
		private System.Windows.Forms.Label labelFichaDatoCorreo;
		private System.Windows.Forms.GroupBox groupBoxFichaObservaciones;
		private System.Windows.Forms.TextBox textBoxNuevoObservaciones;
		private System.Windows.Forms.TextBox textBoxNuevoProvincia;
		private System.Windows.Forms.Label labelNuevoProvincia;
		private System.Windows.Forms.TextBox textBoxNuevoPoblacion;
		private System.Windows.Forms.Label labelNuevoPoblacion;
		private System.Windows.Forms.TextBox textBoxNuevoMovil;
		private System.Windows.Forms.TextBox textBoxNuevoTelefono;
		private System.Windows.Forms.DateTimePicker dateTimePickerNuevoFechaNacimiento;
		private System.Windows.Forms.TextBox textBoxNuevoCP;
		private System.Windows.Forms.TextBox textBoxNuevoCorreo;
		private System.Windows.Forms.TextBox textBoxNuevoDireccion;
		private System.Windows.Forms.TextBox textBoxNuevoNombre;
		private System.Windows.Forms.Label labelNuevoCorreo;
		private System.Windows.Forms.Label labelNuevoMovil;
		private System.Windows.Forms.Label labelNuevoTelefono;
		private System.Windows.Forms.Label labelNuevoFechaNacimiento;
		private System.Windows.Forms.Label labelNuevoCP;
		private System.Windows.Forms.Label labelNuevoDireccion;
		private System.Windows.Forms.Label labelNuevoNombre;
		private System.Windows.Forms.GroupBox groupBoxFichaDatos;
		private System.Windows.Forms.Label labelFichaObservaciones;
		private System.Windows.Forms.TabControl tabControlEmpleados;
		private System.Windows.Forms.TabPage tabEmpleados;
		private System.Windows.Forms.DataGrid dataGridEmpleados;
		private System.Windows.Forms.Label labelEmpleadosCP;
		private System.Windows.Forms.TextBox textBoxEmpleadosCP;
		private System.Windows.Forms.Label labelEmpleadosPoblacion;
		private System.Windows.Forms.Label labelEmpleadosNombre;
		private System.Windows.Forms.TextBox textBoxEmpleadosPoblacion;
		private System.Windows.Forms.TextBox textBoxEmpleadosNombre;
		private System.Windows.Forms.Button buttonEmpleadosImprimir;
		private System.Windows.Forms.Button buttonAceptar;
		private System.Windows.Forms.Button buttonCancelar;
		private System.Windows.Forms.Button buttonFichaImprimir;
		private System.Windows.Forms.PictureBox pictureBoxBotonera;
		private System.Windows.Forms.TextBox textBoxNuevoSueldo;
		private System.Windows.Forms.Label labelNuevoSueldo;
		private System.Windows.Forms.PictureBox pictureBoxEmpleados;
		private System.Windows.Forms.Label labelFichaDatoSueldo;
		private System.Windows.Forms.Label labelFichaSueldo;
		private System.Windows.Forms.GroupBox groupBox6;
		private System.Windows.Forms.GroupBox groupBox7;
		private System.Windows.Forms.TextBox textBoxNuevoNumColegiado;
		private System.Windows.Forms.Label labelNuevoNumColegiado;
		private System.Windows.Forms.GroupBox groupBoxNuevoTipo;
		private System.Windows.Forms.RadioButton radioButtonNuevoAdministrativo;
		private System.Windows.Forms.RadioButton radioButtonNuevoMedico;
		private System.Windows.Forms.Label labelFichaDatoNumColegiado;
		private System.Windows.Forms.Label labelTipoNumColegiado;
		private System.Windows.Forms.Label labelFichaDatoTipo;
		private System.Windows.Forms.Label labelFichaTipo;
		private System.Windows.Forms.GroupBox groupBoxEmpleadosTipo;
		private System.Windows.Forms.RadioButton radioButtonEmpleadosAdministrativo;
		private System.Windows.Forms.RadioButton radioButtonEmpleadosMedico;
		/// <summary>
		/// Variable del diseador requerida.
		ClassLibraryClinica.Consulta cns;
		public int estado;	//0 Proceso de alta; 1 Proceso de modificacion
		public int codigo;
		private System.Windows.Forms.RadioButton radioButtonEmpleadosTodos;
		/// </summary>
		private System.ComponentModel.Container components = null;

		public FormEmpleados()
		{
			//
			// Necesario para admitir el Diseador de Windows Forms
			//
			InitializeComponent();
			cns = new Consulta();
			//
			// TODO: agregar cdigo de constructor despus de llamar a InitializeComponent
			//
		}

		/// <summary>
		/// Limpiar los recursos que se estn utilizando.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Cdigo generado por el Diseador de Windows Forms
		/// <summary>
		/// Mtodo necesario para admitir el Diseador. No se puede modificar
		/// el contenido del mtodo con el editor de cdigo.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(FormEmpleados));
			this.tabControlEmpleados = new System.Windows.Forms.TabControl();
			this.tabEmpleados = new System.Windows.Forms.TabPage();
			this.buttonEmpleadosImprimir = new System.Windows.Forms.Button();
			this.buttonModificar = new System.Windows.Forms.Button();
			this.buttonEliminar = new System.Windows.Forms.Button();
			this.buttonNuevo = new System.Windows.Forms.Button();
			this.pictureBoxEmpleados = new System.Windows.Forms.PictureBox();
			this.groupBoxVista = new System.Windows.Forms.GroupBox();
			this.dataGridEmpleados = new System.Windows.Forms.DataGrid();
			this.groupBoxBusqueda = new System.Windows.Forms.GroupBox();
			this.groupBoxEmpleadosTipo = new System.Windows.Forms.GroupBox();
			this.radioButtonEmpleadosTodos = new System.Windows.Forms.RadioButton();
			this.radioButtonEmpleadosAdministrativo = new System.Windows.Forms.RadioButton();
			this.radioButtonEmpleadosMedico = new System.Windows.Forms.RadioButton();
			this.labelEmpleadosCP = new System.Windows.Forms.Label();
			this.textBoxEmpleadosCP = new System.Windows.Forms.TextBox();
			this.labelEmpleadosPoblacion = new System.Windows.Forms.Label();
			this.labelEmpleadosNombre = new System.Windows.Forms.Label();
			this.textBoxEmpleadosPoblacion = new System.Windows.Forms.TextBox();
			this.textBoxEmpleadosNombre = new System.Windows.Forms.TextBox();
			this.tabNuevo = new System.Windows.Forms.TabPage();
			this.buttonAceptar = new System.Windows.Forms.Button();
			this.buttonCancelar = new System.Windows.Forms.Button();
			this.groupBoxObservaciones = new System.Windows.Forms.GroupBox();
			this.textBoxNuevoObservaciones = new System.Windows.Forms.TextBox();
			this.groupBoxDatos = new System.Windows.Forms.GroupBox();
			this.groupBox6 = new System.Windows.Forms.GroupBox();
			this.textBoxNuevoNumColegiado = new System.Windows.Forms.TextBox();
			this.labelNuevoNumColegiado = new System.Windows.Forms.Label();
			this.groupBoxNuevoTipo = new System.Windows.Forms.GroupBox();
			this.radioButtonNuevoAdministrativo = new System.Windows.Forms.RadioButton();
			this.radioButtonNuevoMedico = new System.Windows.Forms.RadioButton();
			this.textBoxNuevoSueldo = new System.Windows.Forms.TextBox();
			this.labelNuevoSueldo = new System.Windows.Forms.Label();
			this.groupBox2 = new System.Windows.Forms.GroupBox();
			this.textBoxNuevoProvincia = new System.Windows.Forms.TextBox();
			this.labelNuevoProvincia = new System.Windows.Forms.Label();
			this.textBoxNuevoPoblacion = new System.Windows.Forms.TextBox();
			this.labelNuevoPoblacion = new System.Windows.Forms.Label();
			this.groupBox1 = new System.Windows.Forms.GroupBox();
			this.textBoxNuevoMovil = new System.Windows.Forms.TextBox();
			this.textBoxNuevoTelefono = new System.Windows.Forms.TextBox();
			this.dateTimePickerNuevoFechaNacimiento = new System.Windows.Forms.DateTimePicker();
			this.textBoxNuevoCP = new System.Windows.Forms.TextBox();
			this.textBoxNuevoCorreo = new System.Windows.Forms.TextBox();
			this.textBoxNuevoDireccion = new System.Windows.Forms.TextBox();
			this.textBoxNuevoNombre = new System.Windows.Forms.TextBox();
			this.labelNuevoCorreo = new System.Windows.Forms.Label();
			this.labelNuevoMovil = new System.Windows.Forms.Label();
			this.labelNuevoTelefono = new System.Windows.Forms.Label();
			this.labelNuevoFechaNacimiento = new System.Windows.Forms.Label();
			this.labelNuevoCP = new System.Windows.Forms.Label();
			this.labelNuevoDireccion = new System.Windows.Forms.Label();
			this.labelNuevoNombre = new System.Windows.Forms.Label();
			this.tabFicha = new System.Windows.Forms.TabPage();
			this.buttonFichaImprimir = new System.Windows.Forms.Button();
			this.groupBoxFichaObservaciones = new System.Windows.Forms.GroupBox();
			this.labelFichaObservaciones = new System.Windows.Forms.Label();
			this.groupBoxFichaDatos = new System.Windows.Forms.GroupBox();
			this.groupBox7 = new System.Windows.Forms.GroupBox();
			this.labelFichaDatoNumColegiado = new System.Windows.Forms.Label();
			this.labelTipoNumColegiado = new System.Windows.Forms.Label();
			this.labelFichaDatoTipo = new System.Windows.Forms.Label();
			this.labelFichaTipo = new System.Windows.Forms.Label();
			this.labelFichaDatoSueldo = new System.Windows.Forms.Label();
			this.labelFichaSueldo = new System.Windows.Forms.Label();
			this.labelFichaDatoCorreo = new System.Windows.Forms.Label();
			this.labelFichaDatoMovil = new System.Windows.Forms.Label();
			this.labelFichaDatoTelefono = new System.Windows.Forms.Label();
			this.labelFichaDatoFechaNacimiento = new System.Windows.Forms.Label();
			this.labelFichaDatoCP = new System.Windows.Forms.Label();
			this.labelFichaDatoProvincia = new System.Windows.Forms.Label();
			this.labelFichaDatoPoblacion = new System.Windows.Forms.Label();
			this.labelFichaDatoDireccion = new System.Windows.Forms.Label();
			this.labelFichaDatoNombre = new System.Windows.Forms.Label();
			this.labelFichaProvincia = new System.Windows.Forms.Label();
			this.labelFichaPoblacion = new System.Windows.Forms.Label();
			this.labelFichaCorreo = new System.Windows.Forms.Label();
			this.labelFichaMovil = new System.Windows.Forms.Label();
			this.labelFichaTelefono = new System.Windows.Forms.Label();
			this.labelFichaFechaNacimiento = new System.Windows.Forms.Label();
			this.labelFichaCP = new System.Windows.Forms.Label();
			this.labelFichaDireccion = new System.Windows.Forms.Label();
			this.labelFichaNombre = new System.Windows.Forms.Label();
			this.groupBox4 = new System.Windows.Forms.GroupBox();
			this.groupBox5 = new System.Windows.Forms.GroupBox();
			this.buttonCerrar = new System.Windows.Forms.Button();
			this.pictureBoxBotonera = new System.Windows.Forms.PictureBox();
			this.tabControlEmpleados.SuspendLayout();
			this.tabEmpleados.SuspendLayout();
			this.groupBoxVista.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.dataGridEmpleados)).BeginInit();
			this.groupBoxBusqueda.SuspendLayout();
			this.groupBoxEmpleadosTipo.SuspendLayout();
			this.tabNuevo.SuspendLayout();
			this.groupBoxObservaciones.SuspendLayout();
			this.groupBoxDatos.SuspendLayout();
			this.groupBoxNuevoTipo.SuspendLayout();
			this.tabFicha.SuspendLayout();
			this.groupBoxFichaObservaciones.SuspendLayout();
			this.groupBoxFichaDatos.SuspendLayout();
			this.SuspendLayout();
			// 
			// tabControlEmpleados
			// 
			this.tabControlEmpleados.Controls.Add(this.tabEmpleados);
			this.tabControlEmpleados.Controls.Add(this.tabNuevo);
			this.tabControlEmpleados.Controls.Add(this.tabFicha);
			this.tabControlEmpleados.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.tabControlEmpleados.Location = new System.Drawing.Point(8, 8);
			this.tabControlEmpleados.Multiline = true;
			this.tabControlEmpleados.Name = "tabControlEmpleados";
			this.tabControlEmpleados.Padding = new System.Drawing.Point(50, 6);
			this.tabControlEmpleados.SelectedIndex = 0;
			this.tabControlEmpleados.Size = new System.Drawing.Size(568, 392);
			this.tabControlEmpleados.TabIndex = 0;
			// 
			// tabEmpleados
			// 
			this.tabEmpleados.Controls.Add(this.buttonEmpleadosImprimir);
			this.tabEmpleados.Controls.Add(this.buttonModificar);
			this.tabEmpleados.Controls.Add(this.buttonEliminar);
			this.tabEmpleados.Controls.Add(this.buttonNuevo);
			this.tabEmpleados.Controls.Add(this.pictureBoxEmpleados);
			this.tabEmpleados.Controls.Add(this.groupBoxVista);
			this.tabEmpleados.Controls.Add(this.groupBoxBusqueda);
			this.tabEmpleados.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.tabEmpleados.ForeColor = System.Drawing.SystemColors.WindowText;
			this.tabEmpleados.Location = new System.Drawing.Point(4, 28);
			this.tabEmpleados.Name = "tabEmpleados";
			this.tabEmpleados.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.tabEmpleados.Size = new System.Drawing.Size(560, 360);
			this.tabEmpleados.TabIndex = 0;
			this.tabEmpleados.Text = "Empleados";
			// 
			// buttonEmpleadosImprimir
			// 
			this.buttonEmpleadosImprimir.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonEmpleadosImprimir.ForeColor = System.Drawing.Color.Navy;
			this.buttonEmpleadosImprimir.Image = ((System.Drawing.Image)(resources.GetObject("buttonEmpleadosImprimir.Image")));
			this.buttonEmpleadosImprimir.ImageAlign = System.Drawing.ContentAlignment.TopCenter;
			this.buttonEmpleadosImprimir.Location = new System.Drawing.Point(480, 200);
			this.buttonEmpleadosImprimir.Name = "buttonEmpleadosImprimir";
			this.buttonEmpleadosImprimir.Size = new System.Drawing.Size(72, 56);
			this.buttonEmpleadosImprimir.TabIndex = 6;
			this.buttonEmpleadosImprimir.Text = "Imprimir";
			this.buttonEmpleadosImprimir.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
			this.buttonEmpleadosImprimir.Click += new System.EventHandler(this.buttonEmpleadosImprimir_Click);
			// 
			// buttonModificar
			// 
			this.buttonModificar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonModificar.ForeColor = System.Drawing.Color.Navy;
			this.buttonModificar.Image = ((System.Drawing.Image)(resources.GetObject("buttonModificar.Image")));
			this.buttonModificar.ImageAlign = System.Drawing.ContentAlignment.TopCenter;
			this.buttonModificar.Location = new System.Drawing.Point(480, 72);
			this.buttonModificar.Name = "buttonModificar";
			this.buttonModificar.Size = new System.Drawing.Size(72, 56);
			this.buttonModificar.TabIndex = 4;
			this.buttonModificar.Text = "Modificar";
			this.buttonModificar.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
			this.buttonModificar.Click += new System.EventHandler(this.buttonModificar_Click);
			// 
			// buttonEliminar
			// 
			this.buttonEliminar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonEliminar.ForeColor = System.Drawing.Color.Navy;
			this.buttonEliminar.Image = ((System.Drawing.Image)(resources.GetObject("buttonEliminar.Image")));
			this.buttonEliminar.ImageAlign = System.Drawing.ContentAlignment.TopCenter;
			this.buttonEliminar.Location = new System.Drawing.Point(480, 136);
			this.buttonEliminar.Name = "buttonEliminar";
			this.buttonEliminar.Size = new System.Drawing.Size(72, 56);
			this.buttonEliminar.TabIndex = 5;
			this.buttonEliminar.Text = "Eliminar";
			this.buttonEliminar.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
			this.buttonEliminar.Click += new System.EventHandler(this.buttonEliminar_Click);
			// 
			// buttonNuevo
			// 
			this.buttonNuevo.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonNuevo.ForeColor = System.Drawing.Color.Navy;
			this.buttonNuevo.Image = ((System.Drawing.Image)(resources.GetObject("buttonNuevo.Image")));
			this.buttonNuevo.ImageAlign = System.Drawing.ContentAlignment.TopCenter;
			this.buttonNuevo.Location = new System.Drawing.Point(480, 8);
			this.buttonNuevo.Name = "buttonNuevo";
			this.buttonNuevo.Size = new System.Drawing.Size(72, 56);
			this.buttonNuevo.TabIndex = 3;
			this.buttonNuevo.Text = "Nuevo";
			this.buttonNuevo.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
			this.buttonNuevo.Click += new System.EventHandler(this.buttonNuevo_Click);
			// 
			// pictureBoxEmpleados
			// 
			this.pictureBoxEmpleados.Image = ((System.Drawing.Image)(resources.GetObject("pictureBoxEmpleados.Image")));
			this.pictureBoxEmpleados.Location = new System.Drawing.Point(480, 272);
			this.pictureBoxEmpleados.Name = "pictureBoxEmpleados";
			this.pictureBoxEmpleados.Size = new System.Drawing.Size(72, 80);
			this.pictureBoxEmpleados.TabIndex = 3;
			this.pictureBoxEmpleados.TabStop = false;
			// 
			// groupBoxVista
			// 
			this.groupBoxVista.Controls.Add(this.dataGridEmpleados);
			this.groupBoxVista.Location = new System.Drawing.Point(8, 8);
			this.groupBoxVista.Name = "groupBoxVista";
			this.groupBoxVista.Size = new System.Drawing.Size(464, 248);
			this.groupBoxVista.TabIndex = 1;
			this.groupBoxVista.TabStop = false;
			this.groupBoxVista.Text = "Vista";
			// 
			// dataGridEmpleados
			// 
			this.dataGridEmpleados.DataMember = "";
			this.dataGridEmpleados.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.dataGridEmpleados.Location = new System.Drawing.Point(8, 16);
			this.dataGridEmpleados.Name = "dataGridEmpleados";
			this.dataGridEmpleados.PreferredColumnWidth = 102;
			this.dataGridEmpleados.ReadOnly = true;
			this.dataGridEmpleados.Size = new System.Drawing.Size(448, 224);
			this.dataGridEmpleados.TabIndex = 1;
			this.dataGridEmpleados.DoubleClick += new System.EventHandler(this.dataGridEmpleados_DoubleClick);
			this.dataGridEmpleados.Navigate += new System.Windows.Forms.NavigateEventHandler(this.dataGridEmpleados_Navigate);
			// 
			// groupBoxBusqueda
			// 
			this.groupBoxBusqueda.Controls.Add(this.groupBoxEmpleadosTipo);
			this.groupBoxBusqueda.Controls.Add(this.labelEmpleadosCP);
			this.groupBoxBusqueda.Controls.Add(this.textBoxEmpleadosCP);
			this.groupBoxBusqueda.Controls.Add(this.labelEmpleadosPoblacion);
			this.groupBoxBusqueda.Controls.Add(this.labelEmpleadosNombre);
			this.groupBoxBusqueda.Controls.Add(this.textBoxEmpleadosPoblacion);
			this.groupBoxBusqueda.Controls.Add(this.textBoxEmpleadosNombre);
			this.groupBoxBusqueda.Location = new System.Drawing.Point(8, 256);
			this.groupBoxBusqueda.Name = "groupBoxBusqueda";
			this.groupBoxBusqueda.Size = new System.Drawing.Size(464, 96);
			this.groupBoxBusqueda.TabIndex = 2;
			this.groupBoxBusqueda.TabStop = false;
			this.groupBoxBusqueda.Text = "Bsqueda";
			// 
			// groupBoxEmpleadosTipo
			// 
			this.groupBoxEmpleadosTipo.Controls.Add(this.radioButtonEmpleadosTodos);
			this.groupBoxEmpleadosTipo.Controls.Add(this.radioButtonEmpleadosAdministrativo);
			this.groupBoxEmpleadosTipo.Controls.Add(this.radioButtonEmpleadosMedico);
			this.groupBoxEmpleadosTipo.Location = new System.Drawing.Point(208, 40);
			this.groupBoxEmpleadosTipo.Name = "groupBoxEmpleadosTipo";
			this.groupBoxEmpleadosTipo.Size = new System.Drawing.Size(248, 48);
			this.groupBoxEmpleadosTipo.TabIndex = 23;
			this.groupBoxEmpleadosTipo.TabStop = false;
			this.groupBoxEmpleadosTipo.Text = "Tipo";
			// 
			// radioButtonEmpleadosTodos
			// 
			this.radioButtonEmpleadosTodos.Checked = true;
			this.radioButtonEmpleadosTodos.Location = new System.Drawing.Point(184, 16);
			this.radioButtonEmpleadosTodos.Name = "radioButtonEmpleadosTodos";
			this.radioButtonEmpleadosTodos.Size = new System.Drawing.Size(56, 24);
			this.radioButtonEmpleadosTodos.TabIndex = 2;
			this.radioButtonEmpleadosTodos.TabStop = true;
			this.radioButtonEmpleadosTodos.Text = "Todos";
			// 
			// radioButtonEmpleadosAdministrativo
			// 
			this.radioButtonEmpleadosAdministrativo.Location = new System.Drawing.Point(8, 20);
			this.radioButtonEmpleadosAdministrativo.Name = "radioButtonEmpleadosAdministrativo";
			this.radioButtonEmpleadosAdministrativo.Size = new System.Drawing.Size(104, 16);
			this.radioButtonEmpleadosAdministrativo.TabIndex = 0;
			this.radioButtonEmpleadosAdministrativo.Text = "Administrativo";
			this.radioButtonEmpleadosAdministrativo.CheckedChanged += new System.EventHandler(this.textBoxEmpleadosNombre_TextChanged);
			// 
			// radioButtonEmpleadosMedico
			// 
			this.radioButtonEmpleadosMedico.Location = new System.Drawing.Point(112, 20);
			this.radioButtonEmpleadosMedico.Name = "radioButtonEmpleadosMedico";
			this.radioButtonEmpleadosMedico.Size = new System.Drawing.Size(64, 16);
			this.radioButtonEmpleadosMedico.TabIndex = 1;
			this.radioButtonEmpleadosMedico.Text = "Mdico";
			this.radioButtonEmpleadosMedico.CheckedChanged += new System.EventHandler(this.textBoxEmpleadosNombre_TextChanged);
			// 
			// labelEmpleadosCP
			// 
			this.labelEmpleadosCP.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelEmpleadosCP.Location = new System.Drawing.Point(8, 69);
			this.labelEmpleadosCP.Name = "labelEmpleadosCP";
			this.labelEmpleadosCP.Size = new System.Drawing.Size(24, 16);
			this.labelEmpleadosCP.TabIndex = 4;
			this.labelEmpleadosCP.Text = "C.P.";
			this.labelEmpleadosCP.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// textBoxEmpleadosCP
			// 
			this.textBoxEmpleadosCP.Location = new System.Drawing.Point(72, 64);
			this.textBoxEmpleadosCP.MaxLength = 5;
			this.textBoxEmpleadosCP.Name = "textBoxEmpleadosCP";
			this.textBoxEmpleadosCP.Size = new System.Drawing.Size(128, 21);
			this.textBoxEmpleadosCP.TabIndex = 5;
			this.textBoxEmpleadosCP.Text = "";
			this.textBoxEmpleadosCP.Validating += new System.ComponentModel.CancelEventHandler(this.textBoxEmpleadosCP_Validating);
			this.textBoxEmpleadosCP.TextChanged += new System.EventHandler(this.textBoxEmpleadosNombre_TextChanged);
			// 
			// labelEmpleadosPoblacion
			// 
			this.labelEmpleadosPoblacion.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelEmpleadosPoblacion.Location = new System.Drawing.Point(8, 44);
			this.labelEmpleadosPoblacion.Name = "labelEmpleadosPoblacion";
			this.labelEmpleadosPoblacion.Size = new System.Drawing.Size(56, 16);
			this.labelEmpleadosPoblacion.TabIndex = 2;
			this.labelEmpleadosPoblacion.Text = "Poblacin";
			this.labelEmpleadosPoblacion.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// labelEmpleadosNombre
			// 
			this.labelEmpleadosNombre.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelEmpleadosNombre.Location = new System.Drawing.Point(8, 20);
			this.labelEmpleadosNombre.Name = "labelEmpleadosNombre";
			this.labelEmpleadosNombre.Size = new System.Drawing.Size(56, 16);
			this.labelEmpleadosNombre.TabIndex = 0;
			this.labelEmpleadosNombre.Text = "Nombre";
			this.labelEmpleadosNombre.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// textBoxEmpleadosPoblacion
			// 
			this.textBoxEmpleadosPoblacion.Location = new System.Drawing.Point(72, 40);
			this.textBoxEmpleadosPoblacion.MaxLength = 100;
			this.textBoxEmpleadosPoblacion.Name = "textBoxEmpleadosPoblacion";
			this.textBoxEmpleadosPoblacion.Size = new System.Drawing.Size(128, 21);
			this.textBoxEmpleadosPoblacion.TabIndex = 3;
			this.textBoxEmpleadosPoblacion.Text = "";
			this.textBoxEmpleadosPoblacion.TextChanged += new System.EventHandler(this.textBoxEmpleadosNombre_TextChanged);
			// 
			// textBoxEmpleadosNombre
			// 
			this.textBoxEmpleadosNombre.Location = new System.Drawing.Point(72, 16);
			this.textBoxEmpleadosNombre.MaxLength = 100;
			this.textBoxEmpleadosNombre.Name = "textBoxEmpleadosNombre";
			this.textBoxEmpleadosNombre.Size = new System.Drawing.Size(384, 21);
			this.textBoxEmpleadosNombre.TabIndex = 1;
			this.textBoxEmpleadosNombre.Text = "";
			this.textBoxEmpleadosNombre.TextChanged += new System.EventHandler(this.textBoxEmpleadosNombre_TextChanged);
			// 
			// tabNuevo
			// 
			this.tabNuevo.Controls.Add(this.buttonAceptar);
			this.tabNuevo.Controls.Add(this.buttonCancelar);
			this.tabNuevo.Controls.Add(this.groupBoxObservaciones);
			this.tabNuevo.Controls.Add(this.groupBoxDatos);
			this.tabNuevo.Location = new System.Drawing.Point(4, 28);
			this.tabNuevo.Name = "tabNuevo";
			this.tabNuevo.Size = new System.Drawing.Size(560, 360);
			this.tabNuevo.TabIndex = 1;
			this.tabNuevo.Text = "Nuevo";
			// 
			// buttonAceptar
			// 
			this.buttonAceptar.ForeColor = System.Drawing.Color.Navy;
			this.buttonAceptar.Image = ((System.Drawing.Image)(resources.GetObject("buttonAceptar.Image")));
			this.buttonAceptar.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.buttonAceptar.Location = new System.Drawing.Point(352, 312);
			this.buttonAceptar.Name = "buttonAceptar";
			this.buttonAceptar.Size = new System.Drawing.Size(96, 40);
			this.buttonAceptar.TabIndex = 2;
			this.buttonAceptar.Text = "Aceptar ";
			this.buttonAceptar.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonAceptar.Click += new System.EventHandler(this.buttonAceptar_Click);
			// 
			// buttonCancelar
			// 
			this.buttonCancelar.ForeColor = System.Drawing.Color.Navy;
			this.buttonCancelar.Image = ((System.Drawing.Image)(resources.GetObject("buttonCancelar.Image")));
			this.buttonCancelar.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.buttonCancelar.Location = new System.Drawing.Point(456, 312);
			this.buttonCancelar.Name = "buttonCancelar";
			this.buttonCancelar.Size = new System.Drawing.Size(96, 40);
			this.buttonCancelar.TabIndex = 3;
			this.buttonCancelar.Text = "Cancelar";
			this.buttonCancelar.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonCancelar.Click += new System.EventHandler(this.buttonCancelar_Click);
			// 
			// groupBoxObservaciones
			// 
			this.groupBoxObservaciones.Controls.Add(this.textBoxNuevoObservaciones);
			this.groupBoxObservaciones.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.groupBoxObservaciones.Location = new System.Drawing.Point(8, 224);
			this.groupBoxObservaciones.Name = "groupBoxObservaciones";
			this.groupBoxObservaciones.Size = new System.Drawing.Size(544, 80);
			this.groupBoxObservaciones.TabIndex = 1;
			this.groupBoxObservaciones.TabStop = false;
			this.groupBoxObservaciones.Text = "Observaciones";
			// 
			// textBoxNuevoObservaciones
			// 
			this.textBoxNuevoObservaciones.Location = new System.Drawing.Point(8, 16);
			this.textBoxNuevoObservaciones.Multiline = true;
			this.textBoxNuevoObservaciones.Name = "textBoxNuevoObservaciones";
			this.textBoxNuevoObservaciones.Size = new System.Drawing.Size(528, 56);
			this.textBoxNuevoObservaciones.TabIndex = 0;
			this.textBoxNuevoObservaciones.Text = "";
			// 
			// groupBoxDatos
			// 
			this.groupBoxDatos.Controls.Add(this.groupBox6);
			this.groupBoxDatos.Controls.Add(this.textBoxNuevoNumColegiado);
			this.groupBoxDatos.Controls.Add(this.labelNuevoNumColegiado);
			this.groupBoxDatos.Controls.Add(this.groupBoxNuevoTipo);
			this.groupBoxDatos.Controls.Add(this.textBoxNuevoSueldo);
			this.groupBoxDatos.Controls.Add(this.labelNuevoSueldo);
			this.groupBoxDatos.Controls.Add(this.groupBox2);
			this.groupBoxDatos.Controls.Add(this.textBoxNuevoProvincia);
			this.groupBoxDatos.Controls.Add(this.labelNuevoProvincia);
			this.groupBoxDatos.Controls.Add(this.textBoxNuevoPoblacion);
			this.groupBoxDatos.Controls.Add(this.labelNuevoPoblacion);
			this.groupBoxDatos.Controls.Add(this.groupBox1);
			this.groupBoxDatos.Controls.Add(this.textBoxNuevoMovil);
			this.groupBoxDatos.Controls.Add(this.textBoxNuevoTelefono);
			this.groupBoxDatos.Controls.Add(this.dateTimePickerNuevoFechaNacimiento);
			this.groupBoxDatos.Controls.Add(this.textBoxNuevoCP);
			this.groupBoxDatos.Controls.Add(this.textBoxNuevoCorreo);
			this.groupBoxDatos.Controls.Add(this.textBoxNuevoDireccion);
			this.groupBoxDatos.Controls.Add(this.textBoxNuevoNombre);
			this.groupBoxDatos.Controls.Add(this.labelNuevoCorreo);
			this.groupBoxDatos.Controls.Add(this.labelNuevoMovil);
			this.groupBoxDatos.Controls.Add(this.labelNuevoTelefono);
			this.groupBoxDatos.Controls.Add(this.labelNuevoFechaNacimiento);
			this.groupBoxDatos.Controls.Add(this.labelNuevoCP);
			this.groupBoxDatos.Controls.Add(this.labelNuevoDireccion);
			this.groupBoxDatos.Controls.Add(this.labelNuevoNombre);
			this.groupBoxDatos.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.groupBoxDatos.Location = new System.Drawing.Point(8, 8);
			this.groupBoxDatos.Name = "groupBoxDatos";
			this.groupBoxDatos.Size = new System.Drawing.Size(544, 216);
			this.groupBoxDatos.TabIndex = 0;
			this.groupBoxDatos.TabStop = false;
			this.groupBoxDatos.Text = "Datos";
			// 
			// groupBox6
			// 
			this.groupBox6.Location = new System.Drawing.Point(224, 168);
			this.groupBox6.Name = "groupBox6";
			this.groupBox6.Size = new System.Drawing.Size(312, 8);
			this.groupBox6.TabIndex = 25;
			this.groupBox6.TabStop = false;
			// 
			// textBoxNuevoNumColegiado
			// 
			this.textBoxNuevoNumColegiado.Enabled = false;
			this.textBoxNuevoNumColegiado.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.textBoxNuevoNumColegiado.Location = new System.Drawing.Point(360, 184);
			this.textBoxNuevoNumColegiado.MaxLength = 40;
			this.textBoxNuevoNumColegiado.Name = "textBoxNuevoNumColegiado";
			this.textBoxNuevoNumColegiado.Size = new System.Drawing.Size(176, 21);
			this.textBoxNuevoNumColegiado.TabIndex = 24;
			this.textBoxNuevoNumColegiado.Text = "";
			// 
			// labelNuevoNumColegiado
			// 
			this.labelNuevoNumColegiado.Enabled = false;
			this.labelNuevoNumColegiado.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelNuevoNumColegiado.Location = new System.Drawing.Point(224, 189);
			this.labelNuevoNumColegiado.Name = "labelNuevoNumColegiado";
			this.labelNuevoNumColegiado.Size = new System.Drawing.Size(128, 16);
			this.labelNuevoNumColegiado.TabIndex = 23;
			this.labelNuevoNumColegiado.Text = "Nmero de colegiado";
			// 
			// groupBoxNuevoTipo
			// 
			this.groupBoxNuevoTipo.Controls.Add(this.radioButtonNuevoAdministrativo);
			this.groupBoxNuevoTipo.Controls.Add(this.radioButtonNuevoMedico);
			this.groupBoxNuevoTipo.Location = new System.Drawing.Point(8, 168);
			this.groupBoxNuevoTipo.Name = "groupBoxNuevoTipo";
			this.groupBoxNuevoTipo.Size = new System.Drawing.Size(208, 40);
			this.groupBoxNuevoTipo.TabIndex = 22;
			this.groupBoxNuevoTipo.TabStop = false;
			this.groupBoxNuevoTipo.Text = "Tipo";
			// 
			// radioButtonNuevoAdministrativo
			// 
			this.radioButtonNuevoAdministrativo.Checked = true;
			this.radioButtonNuevoAdministrativo.Location = new System.Drawing.Point(8, 16);
			this.radioButtonNuevoAdministrativo.Name = "radioButtonNuevoAdministrativo";
			this.radioButtonNuevoAdministrativo.Size = new System.Drawing.Size(104, 16);
			this.radioButtonNuevoAdministrativo.TabIndex = 0;
			this.radioButtonNuevoAdministrativo.TabStop = true;
			this.radioButtonNuevoAdministrativo.Text = "Administrativo";
			this.radioButtonNuevoAdministrativo.CheckedChanged += new System.EventHandler(this.radioButtonNuevoAdministrativo_CheckedChanged);
			// 
			// radioButtonNuevoMedico
			// 
			this.radioButtonNuevoMedico.Location = new System.Drawing.Point(136, 16);
			this.radioButtonNuevoMedico.Name = "radioButtonNuevoMedico";
			this.radioButtonNuevoMedico.Size = new System.Drawing.Size(64, 16);
			this.radioButtonNuevoMedico.TabIndex = 1;
			this.radioButtonNuevoMedico.Text = "Mdico";
			this.radioButtonNuevoMedico.CheckedChanged += new System.EventHandler(this.radioButtonNuevoAdministrativo_CheckedChanged);
			// 
			// textBoxNuevoSueldo
			// 
			this.textBoxNuevoSueldo.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.textBoxNuevoSueldo.Location = new System.Drawing.Point(448, 144);
			this.textBoxNuevoSueldo.Name = "textBoxNuevoSueldo";
			this.textBoxNuevoSueldo.Size = new System.Drawing.Size(88, 21);
			this.textBoxNuevoSueldo.TabIndex = 21;
			this.textBoxNuevoSueldo.Text = "";
			this.textBoxNuevoSueldo.Validating += new System.ComponentModel.CancelEventHandler(this.textBoxNuevoSueldo_Validating);
			this.textBoxNuevoSueldo.Leave += new System.EventHandler(this.textBoxNuevoSueldo_Leave);
			// 
			// labelNuevoSueldo
			// 
			this.labelNuevoSueldo.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelNuevoSueldo.Location = new System.Drawing.Point(392, 149);
			this.labelNuevoSueldo.Name = "labelNuevoSueldo";
			this.labelNuevoSueldo.Size = new System.Drawing.Size(48, 16);
			this.labelNuevoSueldo.TabIndex = 20;
			this.labelNuevoSueldo.Text = "Sueldo";
			// 
			// groupBox2
			// 
			this.groupBox2.Location = new System.Drawing.Point(8, 128);
			this.groupBox2.Name = "groupBox2";
			this.groupBox2.Size = new System.Drawing.Size(528, 8);
			this.groupBox2.TabIndex = 17;
			this.groupBox2.TabStop = false;
			// 
			// textBoxNuevoProvincia
			// 
			this.textBoxNuevoProvincia.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.textBoxNuevoProvincia.Location = new System.Drawing.Point(344, 64);
			this.textBoxNuevoProvincia.MaxLength = 100;
			this.textBoxNuevoProvincia.Name = "textBoxNuevoProvincia";
			this.textBoxNuevoProvincia.Size = new System.Drawing.Size(192, 21);
			this.textBoxNuevoProvincia.TabIndex = 9;
			this.textBoxNuevoProvincia.Text = "";
			// 
			// labelNuevoProvincia
			// 
			this.labelNuevoProvincia.Location = new System.Drawing.Point(288, 69);
			this.labelNuevoProvincia.Name = "labelNuevoProvincia";
			this.labelNuevoProvincia.Size = new System.Drawing.Size(56, 16);
			this.labelNuevoProvincia.TabIndex = 8;
			this.labelNuevoProvincia.Text = "Provincia";
			// 
			// textBoxNuevoPoblacion
			// 
			this.textBoxNuevoPoblacion.Location = new System.Drawing.Point(80, 64);
			this.textBoxNuevoPoblacion.MaxLength = 100;
			this.textBoxNuevoPoblacion.Name = "textBoxNuevoPoblacion";
			this.textBoxNuevoPoblacion.Size = new System.Drawing.Size(192, 21);
			this.textBoxNuevoPoblacion.TabIndex = 7;
			this.textBoxNuevoPoblacion.Text = "";
			// 
			// labelNuevoPoblacion
			// 
			this.labelNuevoPoblacion.Location = new System.Drawing.Point(8, 69);
			this.labelNuevoPoblacion.Name = "labelNuevoPoblacion";
			this.labelNuevoPoblacion.Size = new System.Drawing.Size(64, 16);
			this.labelNuevoPoblacion.TabIndex = 6;
			this.labelNuevoPoblacion.Text = "Poblacin";
			// 
			// groupBox1
			// 
			this.groupBox1.Location = new System.Drawing.Point(8, 88);
			this.groupBox1.Name = "groupBox1";
			this.groupBox1.Size = new System.Drawing.Size(528, 8);
			this.groupBox1.TabIndex = 10;
			this.groupBox1.TabStop = false;
			// 
			// textBoxNuevoMovil
			// 
			this.textBoxNuevoMovil.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.textBoxNuevoMovil.Location = new System.Drawing.Point(448, 104);
			this.textBoxNuevoMovil.MaxLength = 9;
			this.textBoxNuevoMovil.Name = "textBoxNuevoMovil";
			this.textBoxNuevoMovil.Size = new System.Drawing.Size(88, 21);
			this.textBoxNuevoMovil.TabIndex = 16;
			this.textBoxNuevoMovil.Text = "";
			this.textBoxNuevoMovil.Validating += new System.ComponentModel.CancelEventHandler(this.textBoxNuevoMovil_Validating);
			// 
			// textBoxNuevoTelefono
			// 
			this.textBoxNuevoTelefono.Location = new System.Drawing.Point(288, 104);
			this.textBoxNuevoTelefono.MaxLength = 9;
			this.textBoxNuevoTelefono.Name = "textBoxNuevoTelefono";
			this.textBoxNuevoTelefono.Size = new System.Drawing.Size(96, 21);
			this.textBoxNuevoTelefono.TabIndex = 14;
			this.textBoxNuevoTelefono.Text = "";
			this.textBoxNuevoTelefono.Validating += new System.ComponentModel.CancelEventHandler(this.textBoxNuevoTelefono_Validating);
			// 
			// dateTimePickerNuevoFechaNacimiento
			// 
			this.dateTimePickerNuevoFechaNacimiento.Format = System.Windows.Forms.DateTimePickerFormat.Short;
			this.dateTimePickerNuevoFechaNacimiento.Location = new System.Drawing.Point(120, 104);
			this.dateTimePickerNuevoFechaNacimiento.Name = "dateTimePickerNuevoFechaNacimiento";
			this.dateTimePickerNuevoFechaNacimiento.Size = new System.Drawing.Size(96, 21);
			this.dateTimePickerNuevoFechaNacimiento.TabIndex = 12;
			// 
			// textBoxNuevoCP
			// 
			this.textBoxNuevoCP.Location = new System.Drawing.Point(464, 40);
			this.textBoxNuevoCP.MaxLength = 5;
			this.textBoxNuevoCP.Name = "textBoxNuevoCP";
			this.textBoxNuevoCP.Size = new System.Drawing.Size(72, 21);
			this.textBoxNuevoCP.TabIndex = 5;
			this.textBoxNuevoCP.Text = "";
			this.textBoxNuevoCP.Validating += new System.ComponentModel.CancelEventHandler(this.textBoxNuevoCP_Validating);
			// 
			// textBoxNuevoCorreo
			// 
			this.textBoxNuevoCorreo.Location = new System.Drawing.Point(120, 144);
			this.textBoxNuevoCorreo.MaxLength = 100;
			this.textBoxNuevoCorreo.Name = "textBoxNuevoCorreo";
			this.textBoxNuevoCorreo.Size = new System.Drawing.Size(264, 21);
			this.textBoxNuevoCorreo.TabIndex = 19;
			this.textBoxNuevoCorreo.Text = "";
			this.textBoxNuevoCorreo.Validating += new System.ComponentModel.CancelEventHandler(this.textBoxNuevoCorreo_Validating);
			// 
			// textBoxNuevoDireccion
			// 
			this.textBoxNuevoDireccion.Location = new System.Drawing.Point(80, 40);
			this.textBoxNuevoDireccion.MaxLength = 100;
			this.textBoxNuevoDireccion.Name = "textBoxNuevoDireccion";
			this.textBoxNuevoDireccion.Size = new System.Drawing.Size(336, 21);
			this.textBoxNuevoDireccion.TabIndex = 3;
			this.textBoxNuevoDireccion.Text = "";
			// 
			// textBoxNuevoNombre
			// 
			this.textBoxNuevoNombre.Location = new System.Drawing.Point(80, 16);
			this.textBoxNuevoNombre.MaxLength = 100;
			this.textBoxNuevoNombre.Name = "textBoxNuevoNombre";
			this.textBoxNuevoNombre.Size = new System.Drawing.Size(456, 21);
			this.textBoxNuevoNombre.TabIndex = 1;
			this.textBoxNuevoNombre.Text = "";
			this.textBoxNuevoNombre.Validating += new System.ComponentModel.CancelEventHandler(this.textBoxNuevoNombre_Validating);
			// 
			// labelNuevoCorreo
			// 
			this.labelNuevoCorreo.Location = new System.Drawing.Point(8, 149);
			this.labelNuevoCorreo.Name = "labelNuevoCorreo";
			this.labelNuevoCorreo.Size = new System.Drawing.Size(112, 16);
			this.labelNuevoCorreo.TabIndex = 18;
			this.labelNuevoCorreo.Text = "Correo electrnico";
			// 
			// labelNuevoMovil
			// 
			this.labelNuevoMovil.Location = new System.Drawing.Point(400, 109);
			this.labelNuevoMovil.Name = "labelNuevoMovil";
			this.labelNuevoMovil.Size = new System.Drawing.Size(32, 16);
			this.labelNuevoMovil.TabIndex = 15;
			this.labelNuevoMovil.Text = "Mvil";
			// 
			// labelNuevoTelefono
			// 
			this.labelNuevoTelefono.Location = new System.Drawing.Point(232, 109);
			this.labelNuevoTelefono.Name = "labelNuevoTelefono";
			this.labelNuevoTelefono.Size = new System.Drawing.Size(48, 16);
			this.labelNuevoTelefono.TabIndex = 13;
			this.labelNuevoTelefono.Text = "Telfono";
			// 
			// labelNuevoFechaNacimiento
			// 
			this.labelNuevoFechaNacimiento.Location = new System.Drawing.Point(8, 109);
			this.labelNuevoFechaNacimiento.Name = "labelNuevoFechaNacimiento";
			this.labelNuevoFechaNacimiento.Size = new System.Drawing.Size(120, 16);
			this.labelNuevoFechaNacimiento.TabIndex = 11;
			this.labelNuevoFechaNacimiento.Text = "Fecha de nacimiento";
			// 
			// labelNuevoCP
			// 
			this.labelNuevoCP.Location = new System.Drawing.Point(432, 45);
			this.labelNuevoCP.Name = "labelNuevoCP";
			this.labelNuevoCP.Size = new System.Drawing.Size(24, 16);
			this.labelNuevoCP.TabIndex = 4;
			this.labelNuevoCP.Text = "C.P.";
			// 
			// labelNuevoDireccion
			// 
			this.labelNuevoDireccion.Location = new System.Drawing.Point(8, 45);
			this.labelNuevoDireccion.Name = "labelNuevoDireccion";
			this.labelNuevoDireccion.Size = new System.Drawing.Size(64, 16);
			this.labelNuevoDireccion.TabIndex = 2;
			this.labelNuevoDireccion.Text = "Direccin";
			// 
			// labelNuevoNombre
			// 
			this.labelNuevoNombre.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelNuevoNombre.Location = new System.Drawing.Point(8, 21);
			this.labelNuevoNombre.Name = "labelNuevoNombre";
			this.labelNuevoNombre.Size = new System.Drawing.Size(64, 16);
			this.labelNuevoNombre.TabIndex = 0;
			this.labelNuevoNombre.Text = "Nombre";
			// 
			// tabFicha
			// 
			this.tabFicha.Controls.Add(this.buttonFichaImprimir);
			this.tabFicha.Controls.Add(this.groupBoxFichaObservaciones);
			this.tabFicha.Controls.Add(this.groupBoxFichaDatos);
			this.tabFicha.Location = new System.Drawing.Point(4, 28);
			this.tabFicha.Name = "tabFicha";
			this.tabFicha.Size = new System.Drawing.Size(560, 360);
			this.tabFicha.TabIndex = 2;
			this.tabFicha.Text = "Ficha";
			// 
			// buttonFichaImprimir
			// 
			this.buttonFichaImprimir.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonFichaImprimir.ForeColor = System.Drawing.Color.Navy;
			this.buttonFichaImprimir.Image = ((System.Drawing.Image)(resources.GetObject("buttonFichaImprimir.Image")));
			this.buttonFichaImprimir.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.buttonFichaImprimir.Location = new System.Drawing.Point(456, 312);
			this.buttonFichaImprimir.Name = "buttonFichaImprimir";
			this.buttonFichaImprimir.Size = new System.Drawing.Size(96, 40);
			this.buttonFichaImprimir.TabIndex = 2;
			this.buttonFichaImprimir.Text = "Imprimir   ";
			this.buttonFichaImprimir.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonFichaImprimir.Click += new System.EventHandler(this.buttonFichaImprimir_Click);
			// 
			// groupBoxFichaObservaciones
			// 
			this.groupBoxFichaObservaciones.Controls.Add(this.labelFichaObservaciones);
			this.groupBoxFichaObservaciones.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.groupBoxFichaObservaciones.Location = new System.Drawing.Point(8, 224);
			this.groupBoxFichaObservaciones.Name = "groupBoxFichaObservaciones";
			this.groupBoxFichaObservaciones.Size = new System.Drawing.Size(544, 80);
			this.groupBoxFichaObservaciones.TabIndex = 1;
			this.groupBoxFichaObservaciones.TabStop = false;
			this.groupBoxFichaObservaciones.Text = "Observaciones";
			// 
			// labelFichaObservaciones
			// 
			this.labelFichaObservaciones.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaObservaciones.Location = new System.Drawing.Point(8, 16);
			this.labelFichaObservaciones.Name = "labelFichaObservaciones";
			this.labelFichaObservaciones.Size = new System.Drawing.Size(528, 56);
			this.labelFichaObservaciones.TabIndex = 0;
			// 
			// groupBoxFichaDatos
			// 
			this.groupBoxFichaDatos.Controls.Add(this.groupBox7);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDatoNumColegiado);
			this.groupBoxFichaDatos.Controls.Add(this.labelTipoNumColegiado);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDatoTipo);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaTipo);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDatoSueldo);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaSueldo);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDatoCorreo);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDatoMovil);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDatoTelefono);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDatoFechaNacimiento);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDatoCP);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDatoProvincia);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDatoPoblacion);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDatoDireccion);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDatoNombre);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaProvincia);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaPoblacion);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaCorreo);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaMovil);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaTelefono);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaFechaNacimiento);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaCP);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDireccion);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaNombre);
			this.groupBoxFichaDatos.Controls.Add(this.groupBox4);
			this.groupBoxFichaDatos.Controls.Add(this.groupBox5);
			this.groupBoxFichaDatos.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.groupBoxFichaDatos.Location = new System.Drawing.Point(8, 8);
			this.groupBoxFichaDatos.Name = "groupBoxFichaDatos";
			this.groupBoxFichaDatos.Size = new System.Drawing.Size(544, 216);
			this.groupBoxFichaDatos.TabIndex = 0;
			this.groupBoxFichaDatos.TabStop = false;
			this.groupBoxFichaDatos.Text = "Datos";
			// 
			// groupBox7
			// 
			this.groupBox7.Location = new System.Drawing.Point(8, 168);
			this.groupBox7.Name = "groupBox7";
			this.groupBox7.Size = new System.Drawing.Size(528, 8);
			this.groupBox7.TabIndex = 28;
			this.groupBox7.TabStop = false;
			// 
			// labelFichaDatoNumColegiado
			// 
			this.labelFichaDatoNumColegiado.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaDatoNumColegiado.Location = new System.Drawing.Point(368, 192);
			this.labelFichaDatoNumColegiado.Name = "labelFichaDatoNumColegiado";
			this.labelFichaDatoNumColegiado.Size = new System.Drawing.Size(168, 16);
			this.labelFichaDatoNumColegiado.TabIndex = 25;
			// 
			// labelTipoNumColegiado
			// 
			this.labelTipoNumColegiado.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelTipoNumColegiado.Location = new System.Drawing.Point(232, 192);
			this.labelTipoNumColegiado.Name = "labelTipoNumColegiado";
			this.labelTipoNumColegiado.Size = new System.Drawing.Size(128, 16);
			this.labelTipoNumColegiado.TabIndex = 24;
			this.labelTipoNumColegiado.Text = "Nmero de colegiado";
			// 
			// labelFichaDatoTipo
			// 
			this.labelFichaDatoTipo.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaDatoTipo.Location = new System.Drawing.Point(64, 192);
			this.labelFichaDatoTipo.Name = "labelFichaDatoTipo";
			this.labelFichaDatoTipo.Size = new System.Drawing.Size(136, 16);
			this.labelFichaDatoTipo.TabIndex = 23;
			// 
			// labelFichaTipo
			// 
			this.labelFichaTipo.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFichaTipo.Location = new System.Drawing.Point(8, 192);
			this.labelFichaTipo.Name = "labelFichaTipo";
			this.labelFichaTipo.Size = new System.Drawing.Size(48, 16);
			this.labelFichaTipo.TabIndex = 22;
			this.labelFichaTipo.Text = "Tipo";
			// 
			// labelFichaDatoSueldo
			// 
			this.labelFichaDatoSueldo.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaDatoSueldo.Location = new System.Drawing.Point(440, 149);
			this.labelFichaDatoSueldo.Name = "labelFichaDatoSueldo";
			this.labelFichaDatoSueldo.Size = new System.Drawing.Size(96, 16);
			this.labelFichaDatoSueldo.TabIndex = 21;
			// 
			// labelFichaSueldo
			// 
			this.labelFichaSueldo.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFichaSueldo.Location = new System.Drawing.Point(392, 149);
			this.labelFichaSueldo.Name = "labelFichaSueldo";
			this.labelFichaSueldo.Size = new System.Drawing.Size(48, 16);
			this.labelFichaSueldo.TabIndex = 20;
			this.labelFichaSueldo.Text = "Sueldo";
			// 
			// labelFichaDatoCorreo
			// 
			this.labelFichaDatoCorreo.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaDatoCorreo.Location = new System.Drawing.Point(120, 149);
			this.labelFichaDatoCorreo.Name = "labelFichaDatoCorreo";
			this.labelFichaDatoCorreo.Size = new System.Drawing.Size(264, 16);
			this.labelFichaDatoCorreo.TabIndex = 19;
			// 
			// labelFichaDatoMovil
			// 
			this.labelFichaDatoMovil.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaDatoMovil.Location = new System.Drawing.Point(448, 109);
			this.labelFichaDatoMovil.Name = "labelFichaDatoMovil";
			this.labelFichaDatoMovil.Size = new System.Drawing.Size(88, 16);
			this.labelFichaDatoMovil.TabIndex = 16;
			// 
			// labelFichaDatoTelefono
			// 
			this.labelFichaDatoTelefono.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaDatoTelefono.Location = new System.Drawing.Point(280, 109);
			this.labelFichaDatoTelefono.Name = "labelFichaDatoTelefono";
			this.labelFichaDatoTelefono.Size = new System.Drawing.Size(80, 16);
			this.labelFichaDatoTelefono.TabIndex = 14;
			// 
			// labelFichaDatoFechaNacimiento
			// 
			this.labelFichaDatoFechaNacimiento.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaDatoFechaNacimiento.Location = new System.Drawing.Point(136, 109);
			this.labelFichaDatoFechaNacimiento.Name = "labelFichaDatoFechaNacimiento";
			this.labelFichaDatoFechaNacimiento.Size = new System.Drawing.Size(96, 16);
			this.labelFichaDatoFechaNacimiento.TabIndex = 12;
			// 
			// labelFichaDatoCP
			// 
			this.labelFichaDatoCP.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaDatoCP.Location = new System.Drawing.Point(464, 45);
			this.labelFichaDatoCP.Name = "labelFichaDatoCP";
			this.labelFichaDatoCP.Size = new System.Drawing.Size(72, 16);
			this.labelFichaDatoCP.TabIndex = 5;
			// 
			// labelFichaDatoProvincia
			// 
			this.labelFichaDatoProvincia.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaDatoProvincia.Location = new System.Drawing.Point(352, 69);
			this.labelFichaDatoProvincia.Name = "labelFichaDatoProvincia";
			this.labelFichaDatoProvincia.Size = new System.Drawing.Size(184, 16);
			this.labelFichaDatoProvincia.TabIndex = 9;
			// 
			// labelFichaDatoPoblacion
			// 
			this.labelFichaDatoPoblacion.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaDatoPoblacion.Location = new System.Drawing.Point(72, 69);
			this.labelFichaDatoPoblacion.Name = "labelFichaDatoPoblacion";
			this.labelFichaDatoPoblacion.Size = new System.Drawing.Size(192, 16);
			this.labelFichaDatoPoblacion.TabIndex = 7;
			// 
			// labelFichaDatoDireccion
			// 
			this.labelFichaDatoDireccion.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaDatoDireccion.Location = new System.Drawing.Point(72, 45);
			this.labelFichaDatoDireccion.Name = "labelFichaDatoDireccion";
			this.labelFichaDatoDireccion.Size = new System.Drawing.Size(352, 16);
			this.labelFichaDatoDireccion.TabIndex = 3;
			// 
			// labelFichaDatoNombre
			// 
			this.labelFichaDatoNombre.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaDatoNombre.Location = new System.Drawing.Point(72, 21);
			this.labelFichaDatoNombre.Name = "labelFichaDatoNombre";
			this.labelFichaDatoNombre.Size = new System.Drawing.Size(464, 16);
			this.labelFichaDatoNombre.TabIndex = 1;
			// 
			// labelFichaProvincia
			// 
			this.labelFichaProvincia.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFichaProvincia.Location = new System.Drawing.Point(288, 69);
			this.labelFichaProvincia.Name = "labelFichaProvincia";
			this.labelFichaProvincia.Size = new System.Drawing.Size(64, 16);
			this.labelFichaProvincia.TabIndex = 8;
			this.labelFichaProvincia.Text = "Provincia";
			// 
			// labelFichaPoblacion
			// 
			this.labelFichaPoblacion.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFichaPoblacion.Location = new System.Drawing.Point(8, 69);
			this.labelFichaPoblacion.Name = "labelFichaPoblacion";
			this.labelFichaPoblacion.Size = new System.Drawing.Size(64, 16);
			this.labelFichaPoblacion.TabIndex = 6;
			this.labelFichaPoblacion.Text = "Poblacin";
			// 
			// labelFichaCorreo
			// 
			this.labelFichaCorreo.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFichaCorreo.Location = new System.Drawing.Point(8, 149);
			this.labelFichaCorreo.Name = "labelFichaCorreo";
			this.labelFichaCorreo.Size = new System.Drawing.Size(112, 16);
			this.labelFichaCorreo.TabIndex = 18;
			this.labelFichaCorreo.Text = "Correo electrnico";
			// 
			// labelFichaMovil
			// 
			this.labelFichaMovil.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFichaMovil.Location = new System.Drawing.Point(400, 109);
			this.labelFichaMovil.Name = "labelFichaMovil";
			this.labelFichaMovil.Size = new System.Drawing.Size(40, 16);
			this.labelFichaMovil.TabIndex = 15;
			this.labelFichaMovil.Text = "Mvil";
			// 
			// labelFichaTelefono
			// 
			this.labelFichaTelefono.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFichaTelefono.Location = new System.Drawing.Point(232, 109);
			this.labelFichaTelefono.Name = "labelFichaTelefono";
			this.labelFichaTelefono.Size = new System.Drawing.Size(56, 16);
			this.labelFichaTelefono.TabIndex = 13;
			this.labelFichaTelefono.Text = "Telfono";
			// 
			// labelFichaFechaNacimiento
			// 
			this.labelFichaFechaNacimiento.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFichaFechaNacimiento.Location = new System.Drawing.Point(8, 109);
			this.labelFichaFechaNacimiento.Name = "labelFichaFechaNacimiento";
			this.labelFichaFechaNacimiento.Size = new System.Drawing.Size(128, 16);
			this.labelFichaFechaNacimiento.TabIndex = 11;
			this.labelFichaFechaNacimiento.Text = "Fecha de nacimiento";
			// 
			// labelFichaCP
			// 
			this.labelFichaCP.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFichaCP.Location = new System.Drawing.Point(432, 45);
			this.labelFichaCP.Name = "labelFichaCP";
			this.labelFichaCP.Size = new System.Drawing.Size(24, 16);
			this.labelFichaCP.TabIndex = 4;
			this.labelFichaCP.Text = "C.P.";
			// 
			// labelFichaDireccion
			// 
			this.labelFichaDireccion.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFichaDireccion.Location = new System.Drawing.Point(8, 45);
			this.labelFichaDireccion.Name = "labelFichaDireccion";
			this.labelFichaDireccion.Size = new System.Drawing.Size(64, 16);
			this.labelFichaDireccion.TabIndex = 2;
			this.labelFichaDireccion.Text = "Direccin";
			// 
			// labelFichaNombre
			// 
			this.labelFichaNombre.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFichaNombre.Location = new System.Drawing.Point(8, 21);
			this.labelFichaNombre.Name = "labelFichaNombre";
			this.labelFichaNombre.Size = new System.Drawing.Size(64, 16);
			this.labelFichaNombre.TabIndex = 0;
			this.labelFichaNombre.Text = "Nombre";
			// 
			// groupBox4
			// 
			this.groupBox4.Location = new System.Drawing.Point(8, 128);
			this.groupBox4.Name = "groupBox4";
			this.groupBox4.Size = new System.Drawing.Size(528, 8);
			this.groupBox4.TabIndex = 17;
			this.groupBox4.TabStop = false;
			// 
			// groupBox5
			// 
			this.groupBox5.Location = new System.Drawing.Point(8, 88);
			this.groupBox5.Name = "groupBox5";
			this.groupBox5.Size = new System.Drawing.Size(528, 8);
			this.groupBox5.TabIndex = 10;
			this.groupBox5.TabStop = false;
			// 
			// buttonCerrar
			// 
			this.buttonCerrar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonCerrar.ForeColor = System.Drawing.Color.Navy;
			this.buttonCerrar.Image = ((System.Drawing.Image)(resources.GetObject("buttonCerrar.Image")));
			this.buttonCerrar.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.buttonCerrar.Location = new System.Drawing.Point(480, 416);
			this.buttonCerrar.Name = "buttonCerrar";
			this.buttonCerrar.Size = new System.Drawing.Size(88, 40);
			this.buttonCerrar.TabIndex = 1;
			this.buttonCerrar.Text = "Cerrar";
			this.buttonCerrar.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonCerrar.Click += new System.EventHandler(this.buttonCerrar_Click);
			// 
			// pictureBoxBotonera
			// 
			this.pictureBoxBotonera.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.pictureBoxBotonera.Image = ((System.Drawing.Image)(resources.GetObject("pictureBoxBotonera.Image")));
			this.pictureBoxBotonera.Location = new System.Drawing.Point(8, 408);
			this.pictureBoxBotonera.Name = "pictureBoxBotonera";
			this.pictureBoxBotonera.Size = new System.Drawing.Size(568, 56);
			this.pictureBoxBotonera.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
			this.pictureBoxBotonera.TabIndex = 2;
			this.pictureBoxBotonera.TabStop = false;
			// 
			// FormEmpleados
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 14);
			this.ClientSize = new System.Drawing.Size(584, 470);
			this.Controls.Add(this.buttonCerrar);
			this.Controls.Add(this.pictureBoxBotonera);
			this.Controls.Add(this.tabControlEmpleados);
			this.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "FormEmpleados";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
			this.Text = "Mantenimiento de Empleados";
			this.Closing += new System.ComponentModel.CancelEventHandler(this.FormEmpleados_Closing);
			this.Load += new System.EventHandler(this.FormEmpleados_Load);
			this.tabControlEmpleados.ResumeLayout(false);
			this.tabEmpleados.ResumeLayout(false);
			this.groupBoxVista.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.dataGridEmpleados)).EndInit();
			this.groupBoxBusqueda.ResumeLayout(false);
			this.groupBoxEmpleadosTipo.ResumeLayout(false);
			this.tabNuevo.ResumeLayout(false);
			this.groupBoxObservaciones.ResumeLayout(false);
			this.groupBoxDatos.ResumeLayout(false);
			this.groupBoxNuevoTipo.ResumeLayout(false);
			this.tabFicha.ResumeLayout(false);
			this.groupBoxFichaObservaciones.ResumeLayout(false);
			this.groupBoxFichaDatos.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion


		private void FormEmpleados_Load(object sender, System.EventArgs e)
		{
			string comando ;
			comando  = "SELECT empleado AS \"Nombre\", ";	//Creo la consulta
			comando	+= "CASE WHEN poblacion IS null THEN '' ELSE poblacion END AS \"Poblacin\", ";
			comando	+= "CASE WHEN cp IS null THEN '' ELSE cp END AS \"Cdigo Postal\", ";
			comando	+= "CASE WHEN numerocolegiado IS null THEN 'Administrativo' ELSE 'Mdico' END AS \"Tipo\" ";
			comando	+= "FROM empleados ";

			
			DataSet ds = cns.ExecDS(comando);
			if (cns.gsConsulta >= 0)
			{
				dataGridEmpleados.DataSource = ds;	//Carga el datagrid de empleados
				dataGridEmpleados.DataMember = "consulta";
			}
			else
			{
				MessageBox.Show("Error al cargar empleados", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
			
			
			tabControlEmpleados.SelectedIndex = 0;
		}

		private void buttonNuevo_Click(object sender, System.EventArgs e)
		{
			tabControlEmpleados.SelectedIndex = 1;
			estado = 0;
		}

		private void buttonModificar_Click(object sender, System.EventArgs e)
		{
			//Comprobamos si hay elementos 
			if(dataGridEmpleados.CurrentRowIndex >= 0)
			{
				tabControlEmpleados.SelectedIndex = 1;

				estado = 1; //modificacin
		
				Empleado empleado = new Empleado();
				empleado.cargarNombreDB(dataGridEmpleados[dataGridEmpleados.CurrentRowIndex, 0].ToString());

				codigo = empleado.gsIdEmpleado;

				textBoxNuevoNombre.Text = empleado.gsNombre;
				dateTimePickerNuevoFechaNacimiento.Value = empleado.gsFechaNacimiento;
				textBoxNuevoDireccion.Text = empleado.gsDireccion;
				textBoxNuevoCP.Text = empleado.gsCp;
				textBoxNuevoPoblacion.Text = empleado.gsPoblacion;
				textBoxNuevoProvincia.Text = empleado.gsProvincia;
				textBoxNuevoTelefono.Text = empleado.gsTelefono;
				textBoxNuevoMovil.Text = empleado.gsMovil;
				textBoxNuevoCorreo.Text = empleado.gsEmail;
				textBoxNuevoSueldo.Text = empleado.gsSueldo.ToString();
				textBoxNuevoObservaciones.Text = empleado.gsObservaciones;
				if(empleado.gsNumColegiado.Equals(""))
					radioButtonNuevoAdministrativo.Checked  = true;
				else
				{
					radioButtonNuevoMedico.Checked = true;
					textBoxNuevoNumColegiado.Text = empleado.gsNumColegiado;
				}
			}
			else
				MessageBox.Show("Error al modificar el empleado, empleado inexistente", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
		}


		private void textBoxEmpleadosNombre_TextChanged(object sender, System.EventArgs e)
		{
			string condicion = "";
			condicion += (textBoxEmpleadosNombre.Text.Equals(""))? "" : " and lower(empleado) like lower('" + textBoxEmpleadosNombre.Text + "%')";
			condicion += (textBoxEmpleadosPoblacion.Text.Equals(""))? "" : " and lower(poblacion) like lower('" + textBoxEmpleadosPoblacion.Text + "%')";
			condicion += (textBoxEmpleadosCP.Text.Equals(""))? "" : " and lower(cp) like lower('" + textBoxEmpleadosCP.Text + "%')";
			if(radioButtonEmpleadosAdministrativo.Checked == true)
				condicion += " and numerocolegiado is null";
			else if(radioButtonEmpleadosMedico.Checked == true)
				condicion += " and numerocolegiado is not null";
			
			if (!condicion.Equals("")) condicion = condicion.Substring(4);

			string comando = "";
			comando  = "SELECT empleado AS \"Nombre\", ";	//Creo la consulta
			comando	+= "CASE WHEN poblacion IS null THEN '' ELSE poblacion END AS \"Poblacin\", ";
			comando	+= "CASE WHEN cp IS null THEN '' ELSE cp END AS \"Cdigo Postal\", ";
			comando	+= "CASE WHEN numerocolegiado IS null THEN 'Administrativo' ELSE 'Mdico' END AS \"Tipo\" ";
			comando	+= "FROM empleados ";
			comando += (!condicion.Equals(""))? "WHERE " + condicion : "";
  			
			try
			{
		
				dataGridEmpleados.DataSource = cns.ExecDS(comando);
				dataGridEmpleados.DataMember = "consulta";
			
							}
			catch
			{
				MessageBox.Show("Error de caracter incorrecto", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
		}

		private void buttonEliminar_Click(object sender, System.EventArgs e)
		{
			//Comprobamos si hay elementos a borrar
			if(dataGridEmpleados.CurrentRowIndex >= 0)
			{
				if(MessageBox.Show("Quieres borrar el registro?","Eliminar", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
				{
					Empleado empleado = new Empleado();
					string nombre = dataGridEmpleados[dataGridEmpleados.CurrentRowIndex, 0].ToString();
					if (!empleado.eliminarDB(nombre))
						MessageBox.Show("Error al eliminar el empleado");

					FormEmpleados_Load(this, null);
				}				
			}
			else
				MessageBox.Show("Error al elminar el empleado, empleado inexistente", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
		}

		private void buttonAceptar_Click(object sender, System.EventArgs e)
		{
			bool medico = radioButtonEmpleadosMedico.Checked;
			bool nombre = !textBoxNuevoNombre.Text.Equals("");
			bool sueldo = !textBoxNuevoSueldo.Text.Equals("");
			bool numColegiado = !textBoxNuevoNumColegiado.Text.Equals("");

			if((medico && (!nombre || !sueldo || !numColegiado)) || (!medico && (!nombre || !sueldo)))
			{
				MessageBox.Show("No ha rellenado todos los campos obligatorios", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
			else
			{

				Empleado empleado = new Empleado();

				empleado.gsNombre = textBoxNuevoNombre.Text;
				empleado.gsFechaNacimiento = dateTimePickerNuevoFechaNacimiento.Value;
				empleado.gsDireccion = textBoxNuevoDireccion.Text;
				empleado.gsCp = textBoxNuevoCP.Text;
				empleado.gsPoblacion = textBoxNuevoPoblacion.Text;
				empleado.gsProvincia = textBoxNuevoProvincia.Text;
				empleado.gsTelefono = textBoxNuevoTelefono.Text;
				empleado.gsMovil = textBoxNuevoMovil.Text;
				empleado.gsEmail = textBoxNuevoCorreo.Text;
				empleado.gsSueldo = float.Parse(textBoxNuevoSueldo.Text);	//PRUEBAAAAAAAAAAAAAAAAAAAAAAAAAAAA
				empleado.gsObservaciones = textBoxNuevoObservaciones.Text;

				if(radioButtonNuevoMedico.Checked == true)
					empleado.gsNumColegiado = textBoxNuevoNumColegiado.Text;
				else
					empleado.gsNumColegiado = "";
			
				if(estado == 0)	//Insertando
				{
					if (empleado.agregarDB() <= 0)
					{
						MessageBox.Show("Error al insertar el empleado", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
					}
				}
				else	//Actualizando
				{
					empleado.gsIdEmpleado = codigo;

					if (!empleado.modificarDB())
					{
						MessageBox.Show("Errror al modificar el empleado", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
					}
				}

				textBoxNuevoNombre.Clear();
				dateTimePickerNuevoFechaNacimiento.Value = DateTime.Now;
				textBoxNuevoDireccion.Clear();
				textBoxNuevoCP.Clear();
				textBoxNuevoPoblacion.Clear();
				textBoxNuevoProvincia.Clear();
				textBoxNuevoTelefono.Clear();
				textBoxNuevoMovil.Clear();
				textBoxNuevoCorreo.Clear();
				textBoxNuevoObservaciones.Clear();
				textBoxNuevoSueldo.Clear();
				textBoxNuevoNumColegiado.Clear();
				radioButtonNuevoAdministrativo.Checked = true;

				FormEmpleados_Load(this, null);
			}
		}

		private void radioButtonNuevoAdministrativo_CheckedChanged(object sender, System.EventArgs e)
		{
			if(radioButtonNuevoAdministrativo.Checked == true)
			{
				labelNuevoNumColegiado.Enabled = false;
				textBoxNuevoNumColegiado.Enabled = false;
			}
			else
			{
				labelNuevoNumColegiado.Enabled = true;
				textBoxNuevoNumColegiado.Enabled = true;
			}
		}

		private void buttonCancelar_Click(object sender, System.EventArgs e)
		{
			textBoxNuevoNombre.Clear();
			dateTimePickerNuevoFechaNacimiento.Value = DateTime.Now;
			textBoxNuevoDireccion.Clear();
			textBoxNuevoCP.Clear();
			textBoxNuevoPoblacion.Clear();
			textBoxNuevoProvincia.Clear();
			textBoxNuevoTelefono.Clear();
			textBoxNuevoMovil.Clear();
			textBoxNuevoCorreo.Clear();
			textBoxNuevoObservaciones.Clear();
			radioButtonNuevoAdministrativo.Checked = true;
			
			tabControlEmpleados.SelectedIndex = 0;
		}

		private void dataGridEmpleados_DoubleClick(object sender, System.EventArgs e)
		{
			tabControlEmpleados.SelectedIndex = 2;
		
			Utilidades utls = new Utilidades();
			Empleado empleado = new Empleado();
			empleado.cargarNombreDB(dataGridEmpleados[dataGridEmpleados.CurrentRowIndex, 0].ToString());

			labelFichaDatoNombre.Text = empleado.gsNombre;
			labelFichaDatoFechaNacimiento.Text = utls.FechaPostgres(empleado.gsFechaNacimiento);
			labelFichaDatoDireccion.Text = empleado.gsDireccion;
			labelFichaDatoCP.Text = empleado.gsCp;
			labelFichaDatoPoblacion.Text = empleado.gsPoblacion;
			labelFichaDatoProvincia.Text = empleado.gsProvincia;
			labelFichaDatoTelefono.Text = empleado.gsTelefono;
			labelFichaDatoMovil.Text = empleado.gsMovil;
			labelFichaDatoCorreo.Text = empleado.gsEmail;
			labelFichaDatoSueldo.Text = empleado.gsSueldo.ToString();
			labelFichaObservaciones.Text = empleado.gsObservaciones;
			if(empleado.gsNumColegiado.Equals(""))
				labelFichaDatoTipo.Text = "Administrativo";
			else
			{
				labelFichaDatoTipo.Text = "Medico";
				labelFichaDatoNumColegiado.Text = empleado.gsNumColegiado;
			}
		}

		private void buttonCerrar_Click(object sender, System.EventArgs e)
		{
			Close();
		}

		private void textBoxNuevoCP_Validating(object sender, System.ComponentModel.CancelEventArgs e)
		{
			if(textBoxNuevoCP.Text != "")
			{
				ExpresionesRegulares expresion = new ExpresionesRegulares();
				if(expresion.ERCp(textBoxNuevoCP.Text) == false)	//Si el valor no es correcto
				{
					textBoxNuevoCP.Clear();
					MessageBox.Show("Por favor, inserta de nuevo el campo", "Expresin no vlida", MessageBoxButtons.OK, MessageBoxIcon.Stop);
					textBoxNuevoCP.Focus();
				}
			}
		}

		private void textBoxNuevoTelefono_Validating(object sender, System.ComponentModel.CancelEventArgs e)
		{
			if(textBoxNuevoTelefono.Text != "")
			{
				ExpresionesRegulares expresion = new ExpresionesRegulares();
				if(expresion.ERTelefono(textBoxNuevoTelefono.Text) == false)	//Si el valor no es correcto
				{
					textBoxNuevoTelefono.Clear();
					MessageBox.Show("Por favor, inserta de nuevo el campo", "Expresin no vlida", MessageBoxButtons.OK, MessageBoxIcon.Stop);
					textBoxNuevoTelefono.Focus();
				}
			}
		}

		private void textBoxNuevoMovil_Validating(object sender, System.ComponentModel.CancelEventArgs e)
		{
			if(textBoxNuevoMovil.Text != "")
			{
				ExpresionesRegulares expresion = new ExpresionesRegulares();
				if(expresion.ERMovil(textBoxNuevoMovil.Text) == false)	//Si el valor no es correcto
				{
					textBoxNuevoMovil.Clear();
					MessageBox.Show("Por favor, inserta de nuevo el campo", "Expresin no vlida", MessageBoxButtons.OK, MessageBoxIcon.Stop);
					textBoxNuevoMovil.Focus();
				}
			}
		}

		private void textBoxNuevoCorreo_Validating(object sender, System.ComponentModel.CancelEventArgs e)
		{
			if(textBoxNuevoCorreo.Text != "")
			{
				ExpresionesRegulares expresion = new ExpresionesRegulares();
				if(expresion.EREmail(textBoxNuevoCorreo.Text) == false)	//Si el valor no es correcto
				{
					textBoxNuevoCorreo.Clear();
					MessageBox.Show("Por favor, inserta de nuevo el campo", "Expresin no vlida", MessageBoxButtons.OK, MessageBoxIcon.Stop);
					textBoxNuevoCorreo.Focus();
				}
			}
		}

		private void textBoxEmpleadosCP_Validating(object sender, System.ComponentModel.CancelEventArgs e)
		{
			if(textBoxEmpleadosCP.Text != "")
			{
				ExpresionesRegulares expresion = new ExpresionesRegulares();
				if(expresion.ERCp(textBoxEmpleadosCP.Text) == false)	//Si el valor no es correcto
				{
					textBoxEmpleadosCP.Clear();
					MessageBox.Show("Por favor, inserta de nuevo el campo", "Expresin no vlida", MessageBoxButtons.OK, MessageBoxIcon.Stop);
					textBoxEmpleadosCP.Focus();
				}
			}
		}

		private void textBoxNuevoSueldo_Leave(object sender, System.EventArgs e)
		{
			textBoxNuevoSueldo.Text = textBoxNuevoSueldo.Text.Replace(".",",");
		}

		private void textBoxNuevoSueldo_Validating(object sender, System.ComponentModel.CancelEventArgs e)
		{
			if(textBoxNuevoSueldo.Text != "")
			{
				ExpresionesRegulares expresion = new ExpresionesRegulares();
				if(expresion.ERNumeroDecimal(textBoxNuevoSueldo.Text) == false)	//Si el valor no es correcto
				{
					textBoxNuevoSueldo.Clear();
					MessageBox.Show("Por favor, inserta de nuevo el campo", "Expresin no vlida", MessageBoxButtons.OK, MessageBoxIcon.Stop);
					textBoxNuevoSueldo.Focus();
				}
			}
		}

		private void dataGridEmpleados_Navigate(object sender, System.Windows.Forms.NavigateEventArgs ne)
		{
		
		}

		private void textBoxNuevoNombre_Validating(object sender, System.ComponentModel.CancelEventArgs e)
		{
			ExpresionesRegulares expresion = new ExpresionesRegulares();
			if(expresion.ERTexto(textBoxNuevoNombre.Text) == false)	//Si el valor no es correcto
			{
				textBoxNuevoNombre.Clear();
				MessageBox.Show("Por favor, inserta de nuevo el campo", "Expresin no vlida", MessageBoxButtons.OK, MessageBoxIcon.Stop);
				textBoxNuevoNombre.Focus();
			}
		}

		private void buttonEmpleadosImprimir_Click(object sender, System.EventArgs e)
		{
			FormReporte reporte = new FormReporte();
			reporte.gsRutaListado = "..\\..\\CrystalReportEmpleados.rpt";
			reporte.ShowDialog();

		}

		private void buttonFichaImprimir_Click(object sender, System.EventArgs e)
		{
			FormReporte reporte = new FormReporte();
			reporte.gsRutaListado = "..\\..\\CrystalReportEmpleados.rpt";
			reporte.ShowDialog();
		}

		private void FormEmpleados_Closing(object sender, System.ComponentModel.CancelEventArgs e)
		{
			cns.Cierre();
		}
	}
}
