using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.Data.Odbc;
using ClassLibraryClinica;

namespace WindowsApplicationClinica
{
	/// <summary>
	/// Descripcin breve de FormFacturas.
	/// </summary>
	public class FormFacturas : System.Windows.Forms.Form
	{
		private System.Windows.Forms.GroupBox groupBoxNumero;
		private System.Windows.Forms.Label labelNumero;
		private System.Windows.Forms.Button buttonCerrar;
		private System.Windows.Forms.PictureBox pictureBoxBotonera;
		private System.Windows.Forms.GroupBox groupBoxCliente;
		private System.Windows.Forms.ComboBox comboBoxCliente;
		private System.Windows.Forms.GroupBox groupBoxVista;
		private System.Windows.Forms.DataGrid dataGridVista;
		private System.Windows.Forms.GroupBox groupBoxFactura;
		private System.Windows.Forms.Button buttonCobrar;
		private System.Windows.Forms.Button buttonImprimir;
		private System.Windows.Forms.Label labelPagada;
		private System.Windows.Forms.Label labelEmitida;
		private System.Windows.Forms.TextBox textBoxDescripcion;
		private System.Windows.Forms.DataGrid dataGridFactura;
		private System.Windows.Forms.Label labelHora;
		private System.Windows.Forms.Label labelFecha;
		private System.Windows.Forms.GroupBox groupBoxCobro;
		private System.Windows.Forms.TextBox textBoxTarjeta;
		private System.Windows.Forms.Label labelTarjeta;
		private System.Windows.Forms.TextBox textBoxEfectivo;
		private System.Windows.Forms.GroupBox groupBoxCambio;
		private System.Windows.Forms.GroupBox groupBoxImporte;
		private System.Windows.Forms.Label labelCobroPrecio;
		private System.Windows.Forms.Button buttonConfirmarVenta;
		private System.Windows.Forms.Label labelCambio;
		private System.Windows.Forms.Label labelEmitidaDato;
		private System.Windows.Forms.Label labelPagadaDato;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.GroupBox groupBox1;
		private System.Windows.Forms.Label labelDescuento;
		private System.Windows.Forms.Label labelEuro2;
		private System.Windows.Forms.Label labelEuro3;
		private System.Windows.Forms.Label labelEuro1;
		private System.Windows.Forms.TextBox textBoxDescuento;
		private System.Windows.Forms.Button buttonConfirmar;
		private Consulta cns;
		private System.Windows.Forms.Button buttonAceptar;
		private System.Windows.Forms.Label labelImporteDato;
		private System.Windows.Forms.Label labelImporte;
		/// <summary>
		/// Variable del diseador requerida.
		private int codigoCita;
		/// </summary>
		private System.ComponentModel.Container components = null;

		public FormFacturas()
		{
			//
			// Necesario para admitir el Diseador de Windows Forms
			//
			InitializeComponent();

			//
			// TODO: agregar cdigo de constructor despus de llamar a InitializeComponent
			//
		}

		/// <summary>
		/// Limpiar los recursos que se estn utilizando.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Cdigo generado por el Diseador de Windows Forms
		/// <summary>
		/// Mtodo necesario para admitir el Diseador. No se puede modificar
		/// el contenido del mtodo con el editor de cdigo.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(FormFacturas));
			this.groupBoxCliente = new System.Windows.Forms.GroupBox();
			this.buttonConfirmar = new System.Windows.Forms.Button();
			this.comboBoxCliente = new System.Windows.Forms.ComboBox();
			this.groupBoxVista = new System.Windows.Forms.GroupBox();
			this.buttonAceptar = new System.Windows.Forms.Button();
			this.dataGridVista = new System.Windows.Forms.DataGrid();
			this.groupBoxFactura = new System.Windows.Forms.GroupBox();
			this.labelPagadaDato = new System.Windows.Forms.Label();
			this.labelEmitidaDato = new System.Windows.Forms.Label();
			this.buttonCobrar = new System.Windows.Forms.Button();
			this.buttonImprimir = new System.Windows.Forms.Button();
			this.labelPagada = new System.Windows.Forms.Label();
			this.labelEmitida = new System.Windows.Forms.Label();
			this.labelImporteDato = new System.Windows.Forms.Label();
			this.labelImporte = new System.Windows.Forms.Label();
			this.textBoxDescripcion = new System.Windows.Forms.TextBox();
			this.dataGridFactura = new System.Windows.Forms.DataGrid();
			this.labelHora = new System.Windows.Forms.Label();
			this.labelFecha = new System.Windows.Forms.Label();
			this.groupBoxNumero = new System.Windows.Forms.GroupBox();
			this.labelNumero = new System.Windows.Forms.Label();
			this.groupBoxCobro = new System.Windows.Forms.GroupBox();
			this.groupBox1 = new System.Windows.Forms.GroupBox();
			this.labelEuro1 = new System.Windows.Forms.Label();
			this.label2 = new System.Windows.Forms.Label();
			this.textBoxDescuento = new System.Windows.Forms.TextBox();
			this.labelEuro3 = new System.Windows.Forms.Label();
			this.labelEuro2 = new System.Windows.Forms.Label();
			this.buttonConfirmarVenta = new System.Windows.Forms.Button();
			this.textBoxTarjeta = new System.Windows.Forms.TextBox();
			this.labelTarjeta = new System.Windows.Forms.Label();
			this.labelDescuento = new System.Windows.Forms.Label();
			this.textBoxEfectivo = new System.Windows.Forms.TextBox();
			this.groupBoxCambio = new System.Windows.Forms.GroupBox();
			this.labelCambio = new System.Windows.Forms.Label();
			this.groupBoxImporte = new System.Windows.Forms.GroupBox();
			this.labelCobroPrecio = new System.Windows.Forms.Label();
			this.buttonCerrar = new System.Windows.Forms.Button();
			this.pictureBoxBotonera = new System.Windows.Forms.PictureBox();
			this.groupBoxCliente.SuspendLayout();
			this.groupBoxVista.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.dataGridVista)).BeginInit();
			this.groupBoxFactura.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.dataGridFactura)).BeginInit();
			this.groupBoxNumero.SuspendLayout();
			this.groupBoxCobro.SuspendLayout();
			this.groupBoxCambio.SuspendLayout();
			this.groupBoxImporte.SuspendLayout();
			this.SuspendLayout();
			// 
			// groupBoxCliente
			// 
			this.groupBoxCliente.Controls.Add(this.buttonConfirmar);
			this.groupBoxCliente.Controls.Add(this.comboBoxCliente);
			this.groupBoxCliente.Location = new System.Drawing.Point(8, 8);
			this.groupBoxCliente.Name = "groupBoxCliente";
			this.groupBoxCliente.Size = new System.Drawing.Size(376, 48);
			this.groupBoxCliente.TabIndex = 0;
			this.groupBoxCliente.TabStop = false;
			this.groupBoxCliente.Text = "Cliente";
			// 
			// buttonConfirmar
			// 
			this.buttonConfirmar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonConfirmar.ForeColor = System.Drawing.Color.Navy;
			this.buttonConfirmar.ImageAlign = System.Drawing.ContentAlignment.TopCenter;
			this.buttonConfirmar.Location = new System.Drawing.Point(296, 16);
			this.buttonConfirmar.Name = "buttonConfirmar";
			this.buttonConfirmar.Size = new System.Drawing.Size(72, 24);
			this.buttonConfirmar.TabIndex = 2;
			this.buttonConfirmar.Text = "Confirmar";
			this.buttonConfirmar.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
			this.buttonConfirmar.Click += new System.EventHandler(this.buttonConfirmar_Click);
			// 
			// comboBoxCliente
			// 
			this.comboBoxCliente.Location = new System.Drawing.Point(8, 16);
			this.comboBoxCliente.Name = "comboBoxCliente";
			this.comboBoxCliente.Size = new System.Drawing.Size(280, 21);
			this.comboBoxCliente.TabIndex = 0;
			// 
			// groupBoxVista
			// 
			this.groupBoxVista.Controls.Add(this.buttonAceptar);
			this.groupBoxVista.Controls.Add(this.dataGridVista);
			this.groupBoxVista.Location = new System.Drawing.Point(8, 56);
			this.groupBoxVista.Name = "groupBoxVista";
			this.groupBoxVista.Size = new System.Drawing.Size(376, 216);
			this.groupBoxVista.TabIndex = 1;
			this.groupBoxVista.TabStop = false;
			this.groupBoxVista.Text = "Vista";
			// 
			// buttonAceptar
			// 
			this.buttonAceptar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonAceptar.ForeColor = System.Drawing.Color.Navy;
			this.buttonAceptar.Image = ((System.Drawing.Image)(resources.GetObject("buttonAceptar.Image")));
			this.buttonAceptar.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.buttonAceptar.Location = new System.Drawing.Point(272, 168);
			this.buttonAceptar.Name = "buttonAceptar";
			this.buttonAceptar.Size = new System.Drawing.Size(96, 40);
			this.buttonAceptar.TabIndex = 3;
			this.buttonAceptar.Text = "Aceptar ";
			this.buttonAceptar.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonAceptar.Click += new System.EventHandler(this.buttonAceptar_Click);
			// 
			// dataGridVista
			// 
			this.dataGridVista.DataMember = "";
			this.dataGridVista.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.dataGridVista.Location = new System.Drawing.Point(8, 16);
			this.dataGridVista.Name = "dataGridVista";
			this.dataGridVista.PreferredColumnWidth = 100;
			this.dataGridVista.ReadOnly = true;
			this.dataGridVista.Size = new System.Drawing.Size(360, 144);
			this.dataGridVista.TabIndex = 0;
			// 
			// groupBoxFactura
			// 
			this.groupBoxFactura.Controls.Add(this.labelPagadaDato);
			this.groupBoxFactura.Controls.Add(this.labelEmitidaDato);
			this.groupBoxFactura.Controls.Add(this.buttonCobrar);
			this.groupBoxFactura.Controls.Add(this.buttonImprimir);
			this.groupBoxFactura.Controls.Add(this.labelPagada);
			this.groupBoxFactura.Controls.Add(this.labelEmitida);
			this.groupBoxFactura.Controls.Add(this.labelImporteDato);
			this.groupBoxFactura.Controls.Add(this.labelImporte);
			this.groupBoxFactura.Controls.Add(this.textBoxDescripcion);
			this.groupBoxFactura.Controls.Add(this.dataGridFactura);
			this.groupBoxFactura.Controls.Add(this.labelHora);
			this.groupBoxFactura.Controls.Add(this.labelFecha);
			this.groupBoxFactura.Controls.Add(this.groupBoxNumero);
			this.groupBoxFactura.Location = new System.Drawing.Point(392, 8);
			this.groupBoxFactura.Name = "groupBoxFactura";
			this.groupBoxFactura.Size = new System.Drawing.Size(392, 264);
			this.groupBoxFactura.TabIndex = 2;
			this.groupBoxFactura.TabStop = false;
			this.groupBoxFactura.Text = "Factura";
			this.groupBoxFactura.Enter += new System.EventHandler(this.groupBoxFactura_Enter);
			// 
			// labelPagadaDato
			// 
			this.labelPagadaDato.ForeColor = System.Drawing.Color.Navy;
			this.labelPagadaDato.Location = new System.Drawing.Point(280, 48);
			this.labelPagadaDato.Name = "labelPagadaDato";
			this.labelPagadaDato.Size = new System.Drawing.Size(64, 16);
			this.labelPagadaDato.TabIndex = 6;
			this.labelPagadaDato.Text = "Pagada";
			// 
			// labelEmitidaDato
			// 
			this.labelEmitidaDato.ForeColor = System.Drawing.Color.Navy;
			this.labelEmitidaDato.Location = new System.Drawing.Point(152, 48);
			this.labelEmitidaDato.Name = "labelEmitidaDato";
			this.labelEmitidaDato.Size = new System.Drawing.Size(48, 16);
			this.labelEmitidaDato.TabIndex = 4;
			this.labelEmitidaDato.Text = "Emitida";
			// 
			// buttonCobrar
			// 
			this.buttonCobrar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonCobrar.ForeColor = System.Drawing.Color.Navy;
			this.buttonCobrar.Image = ((System.Drawing.Image)(resources.GetObject("buttonCobrar.Image")));
			this.buttonCobrar.ImageAlign = System.Drawing.ContentAlignment.BottomLeft;
			this.buttonCobrar.Location = new System.Drawing.Point(288, 216);
			this.buttonCobrar.Name = "buttonCobrar";
			this.buttonCobrar.Size = new System.Drawing.Size(96, 40);
			this.buttonCobrar.TabIndex = 13;
			this.buttonCobrar.Text = "Cobrar";
			this.buttonCobrar.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonCobrar.Click += new System.EventHandler(this.buttonCobrar_Click);
			// 
			// buttonImprimir
			// 
			this.buttonImprimir.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonImprimir.ForeColor = System.Drawing.Color.Navy;
			this.buttonImprimir.Image = ((System.Drawing.Image)(resources.GetObject("buttonImprimir.Image")));
			this.buttonImprimir.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.buttonImprimir.Location = new System.Drawing.Point(184, 216);
			this.buttonImprimir.Name = "buttonImprimir";
			this.buttonImprimir.Size = new System.Drawing.Size(96, 40);
			this.buttonImprimir.TabIndex = 12;
			this.buttonImprimir.Text = "Imprimir";
			this.buttonImprimir.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// labelPagada
			// 
			this.labelPagada.Location = new System.Drawing.Point(224, 48);
			this.labelPagada.Name = "labelPagada";
			this.labelPagada.Size = new System.Drawing.Size(48, 16);
			this.labelPagada.TabIndex = 5;
			this.labelPagada.Text = "Pagada:";
			// 
			// labelEmitida
			// 
			this.labelEmitida.Location = new System.Drawing.Point(96, 48);
			this.labelEmitida.Name = "labelEmitida";
			this.labelEmitida.Size = new System.Drawing.Size(48, 16);
			this.labelEmitida.TabIndex = 3;
			this.labelEmitida.Text = "Emitida:";
			// 
			// labelImporteDato
			// 
			this.labelImporteDato.Font = new System.Drawing.Font("Tahoma", 11F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelImporteDato.ForeColor = System.Drawing.Color.Firebrick;
			this.labelImporteDato.Location = new System.Drawing.Point(80, 224);
			this.labelImporteDato.Name = "labelImporteDato";
			this.labelImporteDato.Size = new System.Drawing.Size(96, 24);
			this.labelImporteDato.TabIndex = 11;
			this.labelImporteDato.Text = "Importe";
			// 
			// labelImporte
			// 
			this.labelImporte.Location = new System.Drawing.Point(8, 232);
			this.labelImporte.Name = "labelImporte";
			this.labelImporte.Size = new System.Drawing.Size(72, 16);
			this.labelImporte.TabIndex = 10;
			this.labelImporte.Text = "Importe:";
			// 
			// textBoxDescripcion
			// 
			this.textBoxDescripcion.Location = new System.Drawing.Point(8, 72);
			this.textBoxDescripcion.Multiline = true;
			this.textBoxDescripcion.Name = "textBoxDescripcion";
			this.textBoxDescripcion.Size = new System.Drawing.Size(376, 48);
			this.textBoxDescripcion.TabIndex = 7;
			this.textBoxDescripcion.Text = "Descripcin de la consulta";
			// 
			// dataGridFactura
			// 
			this.dataGridFactura.DataMember = "";
			this.dataGridFactura.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.dataGridFactura.Location = new System.Drawing.Point(8, 128);
			this.dataGridFactura.Name = "dataGridFactura";
			this.dataGridFactura.Size = new System.Drawing.Size(376, 80);
			this.dataGridFactura.TabIndex = 9;
			// 
			// labelHora
			// 
			this.labelHora.ForeColor = System.Drawing.Color.Navy;
			this.labelHora.Location = new System.Drawing.Point(208, 24);
			this.labelHora.Name = "labelHora";
			this.labelHora.Size = new System.Drawing.Size(64, 16);
			this.labelHora.TabIndex = 2;
			this.labelHora.Text = "Hora";
			// 
			// labelFecha
			// 
			this.labelFecha.ForeColor = System.Drawing.Color.Navy;
			this.labelFecha.Location = new System.Drawing.Point(96, 24);
			this.labelFecha.Name = "labelFecha";
			this.labelFecha.Size = new System.Drawing.Size(64, 16);
			this.labelFecha.TabIndex = 1;
			this.labelFecha.Text = "Fecha";
			// 
			// groupBoxNumero
			// 
			this.groupBoxNumero.Controls.Add(this.labelNumero);
			this.groupBoxNumero.Location = new System.Drawing.Point(8, 16);
			this.groupBoxNumero.Name = "groupBoxNumero";
			this.groupBoxNumero.Size = new System.Drawing.Size(80, 48);
			this.groupBoxNumero.TabIndex = 0;
			this.groupBoxNumero.TabStop = false;
			this.groupBoxNumero.Text = "Nmero";
			// 
			// labelNumero
			// 
			this.labelNumero.Font = new System.Drawing.Font("Tahoma", 16F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelNumero.ForeColor = System.Drawing.Color.Navy;
			this.labelNumero.Location = new System.Drawing.Point(8, 16);
			this.labelNumero.Name = "labelNumero";
			this.labelNumero.Size = new System.Drawing.Size(64, 24);
			this.labelNumero.TabIndex = 0;
			this.labelNumero.Text = "9999";
			this.labelNumero.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// groupBoxCobro
			// 
			this.groupBoxCobro.Controls.Add(this.groupBox1);
			this.groupBoxCobro.Controls.Add(this.labelEuro1);
			this.groupBoxCobro.Controls.Add(this.label2);
			this.groupBoxCobro.Controls.Add(this.textBoxDescuento);
			this.groupBoxCobro.Controls.Add(this.labelEuro3);
			this.groupBoxCobro.Controls.Add(this.labelEuro2);
			this.groupBoxCobro.Controls.Add(this.buttonConfirmarVenta);
			this.groupBoxCobro.Controls.Add(this.textBoxTarjeta);
			this.groupBoxCobro.Controls.Add(this.labelTarjeta);
			this.groupBoxCobro.Controls.Add(this.labelDescuento);
			this.groupBoxCobro.Controls.Add(this.textBoxEfectivo);
			this.groupBoxCobro.Controls.Add(this.groupBoxCambio);
			this.groupBoxCobro.Controls.Add(this.groupBoxImporte);
			this.groupBoxCobro.Location = new System.Drawing.Point(8, 272);
			this.groupBoxCobro.Name = "groupBoxCobro";
			this.groupBoxCobro.Size = new System.Drawing.Size(776, 72);
			this.groupBoxCobro.TabIndex = 3;
			this.groupBoxCobro.TabStop = false;
			this.groupBoxCobro.Text = "Cobro";
			// 
			// groupBox1
			// 
			this.groupBox1.Location = new System.Drawing.Point(264, 16);
			this.groupBox1.Name = "groupBox1";
			this.groupBox1.Size = new System.Drawing.Size(2, 48);
			this.groupBox1.TabIndex = 4;
			this.groupBox1.TabStop = false;
			// 
			// labelEuro1
			// 
			this.labelEuro1.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelEuro1.Location = new System.Drawing.Point(104, 45);
			this.labelEuro1.Name = "labelEuro1";
			this.labelEuro1.Size = new System.Drawing.Size(16, 16);
			this.labelEuro1.TabIndex = 3;
			this.labelEuro1.Text = "%";
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(280, 24);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(48, 16);
			this.label2.TabIndex = 5;
			this.label2.Text = "Efectivo";
			// 
			// textBoxDescuento
			// 
			this.textBoxDescuento.Location = new System.Drawing.Point(8, 40);
			this.textBoxDescuento.MaxLength = 6;
			this.textBoxDescuento.Name = "textBoxDescuento";
			this.textBoxDescuento.Size = new System.Drawing.Size(96, 21);
			this.textBoxDescuento.TabIndex = 2;
			this.textBoxDescuento.Text = "";
			this.textBoxDescuento.TextChanged += new System.EventHandler(this.textBoxDescuento_TextChanged);
			// 
			// labelEuro3
			// 
			this.labelEuro3.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelEuro3.Location = new System.Drawing.Point(440, 45);
			this.labelEuro3.Name = "labelEuro3";
			this.labelEuro3.Size = new System.Drawing.Size(24, 16);
			this.labelEuro3.TabIndex = 10;
			this.labelEuro3.Text = "";
			// 
			// labelEuro2
			// 
			this.labelEuro2.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelEuro2.Location = new System.Drawing.Point(440, 21);
			this.labelEuro2.Name = "labelEuro2";
			this.labelEuro2.Size = new System.Drawing.Size(24, 16);
			this.labelEuro2.TabIndex = 7;
			this.labelEuro2.Text = "";
			// 
			// buttonConfirmarVenta
			// 
			this.buttonConfirmarVenta.Font = new System.Drawing.Font("Tahoma", 14F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonConfirmarVenta.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(192)), ((System.Byte)(0)));
			this.buttonConfirmarVenta.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.buttonConfirmarVenta.Location = new System.Drawing.Point(608, 16);
			this.buttonConfirmarVenta.Name = "buttonConfirmarVenta";
			this.buttonConfirmarVenta.Size = new System.Drawing.Size(160, 48);
			this.buttonConfirmarVenta.TabIndex = 12;
			this.buttonConfirmarVenta.Text = "Confirmar Venta";
			this.buttonConfirmarVenta.Click += new System.EventHandler(this.buttonConfirmarVenta_Click);
			// 
			// textBoxTarjeta
			// 
			this.textBoxTarjeta.Location = new System.Drawing.Point(336, 40);
			this.textBoxTarjeta.Name = "textBoxTarjeta";
			this.textBoxTarjeta.Size = new System.Drawing.Size(96, 21);
			this.textBoxTarjeta.TabIndex = 9;
			this.textBoxTarjeta.Text = "";
			this.textBoxTarjeta.TextChanged += new System.EventHandler(this.textBoxTarjeta_TextChanged);
			// 
			// labelTarjeta
			// 
			this.labelTarjeta.Location = new System.Drawing.Point(280, 48);
			this.labelTarjeta.Name = "labelTarjeta";
			this.labelTarjeta.Size = new System.Drawing.Size(48, 16);
			this.labelTarjeta.TabIndex = 8;
			this.labelTarjeta.Text = "Tarjeta";
			// 
			// labelDescuento
			// 
			this.labelDescuento.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelDescuento.ForeColor = System.Drawing.Color.Navy;
			this.labelDescuento.Location = new System.Drawing.Point(24, 19);
			this.labelDescuento.Name = "labelDescuento";
			this.labelDescuento.Size = new System.Drawing.Size(64, 16);
			this.labelDescuento.TabIndex = 1;
			this.labelDescuento.Text = "Descuento";
			// 
			// textBoxEfectivo
			// 
			this.textBoxEfectivo.Location = new System.Drawing.Point(336, 16);
			this.textBoxEfectivo.Name = "textBoxEfectivo";
			this.textBoxEfectivo.Size = new System.Drawing.Size(96, 21);
			this.textBoxEfectivo.TabIndex = 6;
			this.textBoxEfectivo.Text = "";
			this.textBoxEfectivo.TextChanged += new System.EventHandler(this.textBoxEfectivo_TextChanged);
			// 
			// groupBoxCambio
			// 
			this.groupBoxCambio.Controls.Add(this.labelCambio);
			this.groupBoxCambio.Location = new System.Drawing.Point(472, 16);
			this.groupBoxCambio.Name = "groupBoxCambio";
			this.groupBoxCambio.Size = new System.Drawing.Size(128, 48);
			this.groupBoxCambio.TabIndex = 11;
			this.groupBoxCambio.TabStop = false;
			this.groupBoxCambio.Text = "Cambio";
			// 
			// labelCambio
			// 
			this.labelCambio.Font = new System.Drawing.Font("Tahoma", 11F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelCambio.ForeColor = System.Drawing.Color.Blue;
			this.labelCambio.Location = new System.Drawing.Point(8, 16);
			this.labelCambio.Name = "labelCambio";
			this.labelCambio.Size = new System.Drawing.Size(112, 24);
			this.labelCambio.TabIndex = 0;
			this.labelCambio.Text = "0";
			this.labelCambio.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// groupBoxImporte
			// 
			this.groupBoxImporte.Controls.Add(this.labelCobroPrecio);
			this.groupBoxImporte.Location = new System.Drawing.Point(136, 16);
			this.groupBoxImporte.Name = "groupBoxImporte";
			this.groupBoxImporte.Size = new System.Drawing.Size(112, 48);
			this.groupBoxImporte.TabIndex = 0;
			this.groupBoxImporte.TabStop = false;
			this.groupBoxImporte.Text = "Importe";
			// 
			// labelCobroPrecio
			// 
			this.labelCobroPrecio.Font = new System.Drawing.Font("Tahoma", 11F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelCobroPrecio.ForeColor = System.Drawing.Color.Firebrick;
			this.labelCobroPrecio.Location = new System.Drawing.Point(8, 16);
			this.labelCobroPrecio.Name = "labelCobroPrecio";
			this.labelCobroPrecio.Size = new System.Drawing.Size(96, 24);
			this.labelCobroPrecio.TabIndex = 10;
			this.labelCobroPrecio.Text = "Precio Total";
			this.labelCobroPrecio.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// buttonCerrar
			// 
			this.buttonCerrar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonCerrar.ForeColor = System.Drawing.Color.Navy;
			this.buttonCerrar.Image = ((System.Drawing.Image)(resources.GetObject("buttonCerrar.Image")));
			this.buttonCerrar.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.buttonCerrar.Location = new System.Drawing.Point(688, 360);
			this.buttonCerrar.Name = "buttonCerrar";
			this.buttonCerrar.Size = new System.Drawing.Size(88, 40);
			this.buttonCerrar.TabIndex = 4;
			this.buttonCerrar.Text = "Cerrar";
			this.buttonCerrar.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonCerrar.Click += new System.EventHandler(this.buttonCerrar_Click);
			// 
			// pictureBoxBotonera
			// 
			this.pictureBoxBotonera.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.pictureBoxBotonera.Image = ((System.Drawing.Image)(resources.GetObject("pictureBoxBotonera.Image")));
			this.pictureBoxBotonera.Location = new System.Drawing.Point(8, 352);
			this.pictureBoxBotonera.Name = "pictureBoxBotonera";
			this.pictureBoxBotonera.Size = new System.Drawing.Size(776, 56);
			this.pictureBoxBotonera.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
			this.pictureBoxBotonera.TabIndex = 5;
			this.pictureBoxBotonera.TabStop = false;
			// 
			// FormFacturas
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 14);
			this.ClientSize = new System.Drawing.Size(794, 416);
			this.Controls.Add(this.buttonCerrar);
			this.Controls.Add(this.pictureBoxBotonera);
			this.Controls.Add(this.groupBoxCobro);
			this.Controls.Add(this.groupBoxFactura);
			this.Controls.Add(this.groupBoxVista);
			this.Controls.Add(this.groupBoxCliente);
			this.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "FormFacturas";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "Facturas";
			this.Load += new System.EventHandler(this.FormFacturas_Load);
			this.groupBoxCliente.ResumeLayout(false);
			this.groupBoxVista.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.dataGridVista)).EndInit();
			this.groupBoxFactura.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.dataGridFactura)).EndInit();
			this.groupBoxNumero.ResumeLayout(false);
			this.groupBoxCobro.ResumeLayout(false);
			this.groupBoxCambio.ResumeLayout(false);
			this.groupBoxImporte.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		private void buttonCerrar_Click(object sender, System.EventArgs e)
		{
			Close();
		}

		private void groupBoxFactura_Enter(object sender, System.EventArgs e)
		{
		
		}

		private void FormFacturas_Load(object sender, System.EventArgs e)
		{
			groupBoxCliente.Enabled = true;
			groupBoxVista.Enabled = false;
			groupBoxFactura.Enabled = false;
			groupBoxCobro.Enabled = false;			
			
			comboBoxCliente.Items.Clear();
			string comando ;
			comando  = "SELECT cliente FROM clientes";

			cns = new Consulta();	//Creo la consulta
			
			OdbcDataReader dr = cns.ExecR(comando);
			if (cns.gsConsulta >= 0)
			{
				while(dr.Read())
					comboBoxCliente.Items.Add(dr["cliente"].ToString());
					
				comboBoxCliente.SelectedIndex = 0;
			}
			else
				MessageBox.Show("Error al cargar los clientes", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
				
			dr.Close();
		}

		private void buttonConfirmar_Click(object sender, System.EventArgs e)
		{
			groupBoxCliente.Enabled = false;
			groupBoxVista.Enabled = true;

			string comando ;
			comando  = "SELECT idfacturacliente as \"Factura\", ";	//Creo la consulta
			comando	+= "f.fecha as \"Fecha\", ";
			comando	+= "SUM(precio) as \"Importe\" ";
			comando	+= "FROM facturascliente f INNER JOIN citas USING (idcita) ";
			comando += "INNER JOIN detallescita USING (idcita) ";
			comando += "INNER JOIN clientes USING (idcliente) ";
			comando += "WHERE cliente = '" + comboBoxCliente.Text.ToString() + "' ";
			comando += "GROUP BY idfacturacliente, f.fecha";
			
			DataSet ds = cns.ExecDS(comando);
			if (cns.gsConsulta >= 0)
			{
				dataGridVista.DataSource = ds;	//Carga el datagrid de clientes
				dataGridVista.DataMember = "consulta";
			}
			else
			{
				MessageBox.Show("Error al cargar las facturas", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
		}

		private void buttonAceptar_Click(object sender, System.EventArgs e)
		{
			groupBoxVista.Enabled = false;
			groupBoxFactura.Enabled = true;
			
			FacturaCliente factura = new FacturaCliente();
			if(factura.CargarIdFacturaClienteDB(int.Parse(dataGridVista[dataGridVista.CurrentRowIndex, 0].ToString())))
			{
				labelNumero.Text = factura.gsIdFacturaCliente.ToString();
				labelFecha.Text = factura.gsFecha.ToShortDateString();
				labelHora.Text = factura.gsFecha.ToShortTimeString();
				codigoCita = factura.gsIdCita;
				if(factura.gsEmitida == true)
					labelEmitidaDato.Text = "S";
				else
					labelEmitidaDato.Text = "No";
				if(factura.gsPagada == true)
					labelPagadaDato.Text = "S";
				else
					labelPagadaDato.Text = "No";
				
				Citas cita = new Citas();
				if(cita.cargarDB(factura.gsIdCita))
				{
					textBoxDescripcion.Text = cita.gsDescripcion;
					labelImporteDato.Text = dataGridVista[dataGridVista.CurrentRowIndex, 2].ToString();
				}
			}
		}

		private void buttonCobrar_Click(object sender, System.EventArgs e)
		{
			groupBoxFactura.Enabled = false;
			groupBoxCobro.Enabled = true;
			buttonConfirmarVenta.Enabled = false;
			float importe = float.Parse(labelImporteDato.Text);
			float descuento = 0;
			float precioFinal = importe;
			if(textBoxDescuento.Text != "")
			{
				descuento = float.Parse(textBoxDescuento.Text);
				precioFinal =  importe * descuento / 100;
			}
			labelCobroPrecio.Text = precioFinal.ToString();
		}
		private void textBoxDescuento_TextChanged(object sender, System.EventArgs e)
		{
			if(textBoxDescuento.Text != "")
			{
				ExpresionesRegulares expresion = new ExpresionesRegulares();
				if(expresion.ERNumeroDecimal(textBoxDescuento.Text) == false || float.Parse(textBoxDescuento.Text) > 100)	//Si el valor no es correcto
				{
					textBoxDescuento.Clear();
					MessageBox.Show("Por favor, inserta de nuevo el campo", "Expresin no vlida", MessageBoxButtons.OK, MessageBoxIcon.Stop);
					textBoxDescuento.Focus();
				}
				else
				{
					float importe = float.Parse(labelImporteDato.Text);
					float descuento = 0;
					float precioFinal = importe;
					descuento = float.Parse(textBoxDescuento.Text);
					if(descuento != 0)
						precioFinal = importe - (importe * descuento)/100;
					else
						precioFinal = importe;

					labelCobroPrecio.Text = precioFinal.ToString();
				}
			}
			else
				labelCobroPrecio.Text = labelImporteDato.Text;
		}

		private void textBoxEfectivo_TextChanged(object sender, System.EventArgs e)
		{
			if(textBoxEfectivo.Text != "")
			{
				ExpresionesRegulares expresion = new ExpresionesRegulares();
				if(expresion.ERNumeroDecimal(textBoxEfectivo.Text) == false)	//Si el valor no es correcto
				{
					textBoxEfectivo.Clear();
					MessageBox.Show("Por favor, inserta de nuevo el campo", "Expresin no vlida", MessageBoxButtons.OK, MessageBoxIcon.Stop);
					textBoxEfectivo.Focus();
				}
			}
			calcularCambio();
		}

		private void textBoxTarjeta_TextChanged(object sender, System.EventArgs e)
		{
			if(textBoxTarjeta.Text != "")
			{
				ExpresionesRegulares expresion = new ExpresionesRegulares();
				if(expresion.ERNumeroDecimal(textBoxTarjeta.Text) == false)	//Si el valor no es correcto
				{
					textBoxTarjeta.Clear();
					MessageBox.Show("Por favor, inserta de nuevo el campo", "Expresin no vlida", MessageBoxButtons.OK, MessageBoxIcon.Stop);
					textBoxTarjeta.Focus();
				}
			}
			calcularCambio();
		}

		public void calcularCambio()
		{
			float efectivo = 0;
			float tarjeta = 0;
			float cambio = 0;
			if(textBoxEfectivo.Text != "")
				efectivo = float.Parse(textBoxEfectivo.Text);
			if(textBoxTarjeta.Text != "")
				tarjeta = float.Parse(textBoxTarjeta.Text);

			float total = float.Parse(labelCobroPrecio.Text);
		
			if(efectivo + tarjeta >= total)
			{
				cambio = (efectivo + tarjeta) - total;
				buttonConfirmarVenta.Enabled = true;
			}
			else
				buttonConfirmarVenta.Enabled = false;
			labelCambio.Text = cambio.ToString() + " ";
		}

		private void buttonConfirmarVenta_Click(object sender, System.EventArgs e)
		{
			FacturaCliente factura = new FacturaCliente();
			factura.gsIdFacturaCliente = int.Parse(dataGridVista[dataGridVista.CurrentRowIndex, 0].ToString());

			factura.gsDescuento = float.Parse(labelCambio.Text.Remove((labelCambio.Text.Length - 1), 1));
			factura.gsEmitida = true;
			factura.gsPagada = true;
			factura.gsIdCita = codigoCita;
			if(textBoxEfectivo.Text != "")
			{
				if(textBoxTarjeta.Text != "")
					factura.gsFormaPago = "efectivo y tarjeta";
				else
					factura.gsFormaPago = "efectivo";
			}
			else
				factura.gsFormaPago = "tarjeta";

			if(factura.ModificarDB())
			{
				//MOSTRAR REPORTE
				Close();
			}
			else
				MessageBox.Show("Error al actualizar la factura", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
		}
	}
}
