using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.Data.Odbc;
using ClassLibraryClinica;

namespace WindowsApplicationClinica
{
	/// <summary>
	/// Descripcin breve de FormClientes.
	/// </summary>
	public class FormLaboratorios : System.Windows.Forms.Form
	{
		private System.Windows.Forms.TabPage tabNuevo;
		private System.Windows.Forms.Button buttonModificar;
		private System.Windows.Forms.Button buttonEliminar;
		private System.Windows.Forms.Button buttonNuevo;
		private System.Windows.Forms.GroupBox groupBoxBusqueda;
		private System.Windows.Forms.GroupBox groupBoxVista;
		private System.Windows.Forms.Button buttonCerrar;
		private System.Windows.Forms.GroupBox groupBoxDatos;
		private System.Windows.Forms.GroupBox groupBox1;
		private System.Windows.Forms.GroupBox groupBox2;
		private System.Windows.Forms.GroupBox groupBoxObservaciones;
		private System.Windows.Forms.TabPage tabFicha;
		private System.Windows.Forms.GroupBox groupBox4;
		private System.Windows.Forms.GroupBox groupBox5;
		private System.Windows.Forms.Label labelFichaProvincia;
		private System.Windows.Forms.Label labelFichaPoblacion;
		private System.Windows.Forms.Label labelFichaCorreo;
		private System.Windows.Forms.Label labelFichaTelefono;
		private System.Windows.Forms.Label labelFichaCP;
		private System.Windows.Forms.Label labelFichaDireccion;
		private System.Windows.Forms.Label labelFichaNombre;
		private System.Windows.Forms.Label labelFichaDatoNombre;
		private System.Windows.Forms.Label labelFichaDatoDireccion;
		private System.Windows.Forms.Label labelFichaDatoPoblacion;
		private System.Windows.Forms.Label labelFichaDatoProvincia;
		private System.Windows.Forms.Label labelFichaDatoCP;
		private System.Windows.Forms.Label labelFichaDatoTelefono;
		private System.Windows.Forms.Label labelFichaDatoCorreo;
		private System.Windows.Forms.GroupBox groupBoxFichaObservaciones;
		private System.Windows.Forms.TextBox textBoxNuevoObservaciones;
		private System.Windows.Forms.TextBox textBoxNuevoProvincia;
		private System.Windows.Forms.Label labelNuevoProvincia;
		private System.Windows.Forms.TextBox textBoxNuevoPoblacion;
		private System.Windows.Forms.Label labelNuevoPoblacion;
		private System.Windows.Forms.TextBox textBoxNuevoTelefono;
		private System.Windows.Forms.TextBox textBoxNuevoCP;
		private System.Windows.Forms.TextBox textBoxNuevoCorreo;
		private System.Windows.Forms.TextBox textBoxNuevoDireccion;
		private System.Windows.Forms.TextBox textBoxNuevoNombre;
		private System.Windows.Forms.Label labelNuevoCorreo;
		private System.Windows.Forms.Label labelNuevoTelefono;
		private System.Windows.Forms.Label labelNuevoCP;
		private System.Windows.Forms.Label labelNuevoDireccion;
		private System.Windows.Forms.Label labelNuevoNombre;
		private System.Windows.Forms.GroupBox groupBoxFichaDatos;
		private System.Windows.Forms.Label labelFichaObservaciones;
		private System.Windows.Forms.Button buttonAceptar;
		private System.Windows.Forms.Button buttonCancelar;
		private System.Windows.Forms.Button buttonFichaImprimir;
		private System.Windows.Forms.PictureBox pictureBoxBotonera;
		private System.Windows.Forms.Label labelFechaAlta;
		private System.Windows.Forms.TabControl tabControlLaboratorios;
		private System.Windows.Forms.TabPage tabLaboratorios;
		private System.Windows.Forms.Label labelNuevoFax;
		private System.Windows.Forms.Label labelNuevoContacto;
		private System.Windows.Forms.Label labelNuevoCIF;
		private System.Windows.Forms.TextBox textBoxNuevoContacto;
		private System.Windows.Forms.TextBox textBoxNuevoWeb;
		private System.Windows.Forms.Label labelNuevoWeb;
		private System.Windows.Forms.Label labelFichaDatoCIF;
		private System.Windows.Forms.Label labelFichaCIF;
		private System.Windows.Forms.Label labelFichaDatoContacto;
		private System.Windows.Forms.Label labelFichaFechaContacto;
		private System.Windows.Forms.Label labelFichaDatoWeb;
		private System.Windows.Forms.Label labelFichaWeb;
		private System.Windows.Forms.Button buttonLaboratoriosImprimir;
		private System.Windows.Forms.PictureBox pictureBoxLaboratorios;
		private System.Windows.Forms.Label labelLaboratoriosCP;
		private System.Windows.Forms.TextBox textBoxLaboratoriosCP;
		private System.Windows.Forms.Label labelLaboratoriosPoblacion;
		private System.Windows.Forms.Label labelLaboratoriosNombre;
		private System.Windows.Forms.TextBox textBoxLaboratoriosPoblacion;
		private System.Windows.Forms.TextBox textBoxLaboratoriosNombre;
		private System.Windows.Forms.TextBox textBoxLaboratoriosContacto;
		private System.Windows.Forms.Label labelLaboratoriosContacto;
		/// <summary>
		/// Variable del diseador requerida.
		ClassLibraryClinica.Consulta cns;
		public int estado;	//0 Proceso de alta; 1 Proceso de modificacion
		public int codigo;
		private System.Windows.Forms.DataGrid dataGridLaboratorios;
		private System.Windows.Forms.TextBox textBoxNuevoFax;
		private System.Windows.Forms.Label labelFichaDatoFax;
		private System.Windows.Forms.Label labelFichaFax;
		private System.Windows.Forms.TextBox textBoxNuevoCIF;
		/// </summary>
		private System.ComponentModel.Container components = null;

		public FormLaboratorios()
		{
			//
			// Necesario para admitir el Diseador de Windows Forms
			//
			InitializeComponent();
			cns = new Consulta();
			//
			// TODO: agregar cdigo de constructor despus de llamar a InitializeComponent
			//
		}

		/// <summary>
		/// Limpiar los recursos que se estn utilizando.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Cdigo generado por el Diseador de Windows Forms
		/// <summary>
		/// Mtodo necesario para admitir el Diseador. No se puede modificar
		/// el contenido del mtodo con el editor de cdigo.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(FormLaboratorios));
			this.tabControlLaboratorios = new System.Windows.Forms.TabControl();
			this.tabLaboratorios = new System.Windows.Forms.TabPage();
			this.buttonLaboratoriosImprimir = new System.Windows.Forms.Button();
			this.buttonModificar = new System.Windows.Forms.Button();
			this.buttonEliminar = new System.Windows.Forms.Button();
			this.buttonNuevo = new System.Windows.Forms.Button();
			this.pictureBoxLaboratorios = new System.Windows.Forms.PictureBox();
			this.groupBoxVista = new System.Windows.Forms.GroupBox();
			this.dataGridLaboratorios = new System.Windows.Forms.DataGrid();
			this.groupBoxBusqueda = new System.Windows.Forms.GroupBox();
			this.textBoxLaboratoriosContacto = new System.Windows.Forms.TextBox();
			this.labelLaboratoriosContacto = new System.Windows.Forms.Label();
			this.labelLaboratoriosCP = new System.Windows.Forms.Label();
			this.textBoxLaboratoriosCP = new System.Windows.Forms.TextBox();
			this.labelLaboratoriosPoblacion = new System.Windows.Forms.Label();
			this.labelLaboratoriosNombre = new System.Windows.Forms.Label();
			this.textBoxLaboratoriosPoblacion = new System.Windows.Forms.TextBox();
			this.textBoxLaboratoriosNombre = new System.Windows.Forms.TextBox();
			this.tabNuevo = new System.Windows.Forms.TabPage();
			this.buttonAceptar = new System.Windows.Forms.Button();
			this.buttonCancelar = new System.Windows.Forms.Button();
			this.groupBoxObservaciones = new System.Windows.Forms.GroupBox();
			this.textBoxNuevoObservaciones = new System.Windows.Forms.TextBox();
			this.groupBoxDatos = new System.Windows.Forms.GroupBox();
			this.textBoxNuevoWeb = new System.Windows.Forms.TextBox();
			this.labelNuevoWeb = new System.Windows.Forms.Label();
			this.textBoxNuevoContacto = new System.Windows.Forms.TextBox();
			this.textBoxNuevoCIF = new System.Windows.Forms.TextBox();
			this.labelNuevoCIF = new System.Windows.Forms.Label();
			this.groupBox2 = new System.Windows.Forms.GroupBox();
			this.textBoxNuevoProvincia = new System.Windows.Forms.TextBox();
			this.labelNuevoProvincia = new System.Windows.Forms.Label();
			this.textBoxNuevoPoblacion = new System.Windows.Forms.TextBox();
			this.labelNuevoPoblacion = new System.Windows.Forms.Label();
			this.groupBox1 = new System.Windows.Forms.GroupBox();
			this.textBoxNuevoFax = new System.Windows.Forms.TextBox();
			this.textBoxNuevoTelefono = new System.Windows.Forms.TextBox();
			this.textBoxNuevoCP = new System.Windows.Forms.TextBox();
			this.textBoxNuevoCorreo = new System.Windows.Forms.TextBox();
			this.textBoxNuevoDireccion = new System.Windows.Forms.TextBox();
			this.textBoxNuevoNombre = new System.Windows.Forms.TextBox();
			this.labelNuevoCorreo = new System.Windows.Forms.Label();
			this.labelNuevoFax = new System.Windows.Forms.Label();
			this.labelNuevoTelefono = new System.Windows.Forms.Label();
			this.labelNuevoContacto = new System.Windows.Forms.Label();
			this.labelNuevoCP = new System.Windows.Forms.Label();
			this.labelNuevoDireccion = new System.Windows.Forms.Label();
			this.labelNuevoNombre = new System.Windows.Forms.Label();
			this.tabFicha = new System.Windows.Forms.TabPage();
			this.buttonFichaImprimir = new System.Windows.Forms.Button();
			this.groupBoxFichaObservaciones = new System.Windows.Forms.GroupBox();
			this.labelFichaObservaciones = new System.Windows.Forms.Label();
			this.groupBoxFichaDatos = new System.Windows.Forms.GroupBox();
			this.labelFichaDatoWeb = new System.Windows.Forms.Label();
			this.labelFichaWeb = new System.Windows.Forms.Label();
			this.labelFichaDatoCIF = new System.Windows.Forms.Label();
			this.labelFichaCIF = new System.Windows.Forms.Label();
			this.labelFichaDatoCorreo = new System.Windows.Forms.Label();
			this.labelFichaDatoFax = new System.Windows.Forms.Label();
			this.labelFichaDatoTelefono = new System.Windows.Forms.Label();
			this.labelFichaDatoContacto = new System.Windows.Forms.Label();
			this.labelFichaDatoCP = new System.Windows.Forms.Label();
			this.labelFichaDatoProvincia = new System.Windows.Forms.Label();
			this.labelFichaDatoPoblacion = new System.Windows.Forms.Label();
			this.labelFichaDatoDireccion = new System.Windows.Forms.Label();
			this.labelFichaDatoNombre = new System.Windows.Forms.Label();
			this.labelFichaProvincia = new System.Windows.Forms.Label();
			this.labelFichaPoblacion = new System.Windows.Forms.Label();
			this.labelFichaCorreo = new System.Windows.Forms.Label();
			this.labelFichaFax = new System.Windows.Forms.Label();
			this.labelFichaTelefono = new System.Windows.Forms.Label();
			this.labelFichaFechaContacto = new System.Windows.Forms.Label();
			this.labelFichaCP = new System.Windows.Forms.Label();
			this.labelFichaDireccion = new System.Windows.Forms.Label();
			this.labelFichaNombre = new System.Windows.Forms.Label();
			this.groupBox4 = new System.Windows.Forms.GroupBox();
			this.groupBox5 = new System.Windows.Forms.GroupBox();
			this.labelFechaAlta = new System.Windows.Forms.Label();
			this.buttonCerrar = new System.Windows.Forms.Button();
			this.pictureBoxBotonera = new System.Windows.Forms.PictureBox();
			this.tabControlLaboratorios.SuspendLayout();
			this.tabLaboratorios.SuspendLayout();
			this.groupBoxVista.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.dataGridLaboratorios)).BeginInit();
			this.groupBoxBusqueda.SuspendLayout();
			this.tabNuevo.SuspendLayout();
			this.groupBoxObservaciones.SuspendLayout();
			this.groupBoxDatos.SuspendLayout();
			this.tabFicha.SuspendLayout();
			this.groupBoxFichaObservaciones.SuspendLayout();
			this.groupBoxFichaDatos.SuspendLayout();
			this.SuspendLayout();
			// 
			// tabControlLaboratorios
			// 
			this.tabControlLaboratorios.Controls.Add(this.tabLaboratorios);
			this.tabControlLaboratorios.Controls.Add(this.tabNuevo);
			this.tabControlLaboratorios.Controls.Add(this.tabFicha);
			this.tabControlLaboratorios.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.tabControlLaboratorios.Location = new System.Drawing.Point(8, 8);
			this.tabControlLaboratorios.Multiline = true;
			this.tabControlLaboratorios.Name = "tabControlLaboratorios";
			this.tabControlLaboratorios.Padding = new System.Drawing.Point(50, 6);
			this.tabControlLaboratorios.SelectedIndex = 0;
			this.tabControlLaboratorios.Size = new System.Drawing.Size(568, 392);
			this.tabControlLaboratorios.TabIndex = 0;
			// 
			// tabLaboratorios
			// 
			this.tabLaboratorios.Controls.Add(this.buttonLaboratoriosImprimir);
			this.tabLaboratorios.Controls.Add(this.buttonModificar);
			this.tabLaboratorios.Controls.Add(this.buttonEliminar);
			this.tabLaboratorios.Controls.Add(this.buttonNuevo);
			this.tabLaboratorios.Controls.Add(this.pictureBoxLaboratorios);
			this.tabLaboratorios.Controls.Add(this.groupBoxVista);
			this.tabLaboratorios.Controls.Add(this.groupBoxBusqueda);
			this.tabLaboratorios.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.tabLaboratorios.ForeColor = System.Drawing.SystemColors.WindowText;
			this.tabLaboratorios.Location = new System.Drawing.Point(4, 28);
			this.tabLaboratorios.Name = "tabLaboratorios";
			this.tabLaboratorios.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.tabLaboratorios.Size = new System.Drawing.Size(560, 360);
			this.tabLaboratorios.TabIndex = 0;
			this.tabLaboratorios.Text = "Laboratorios";
			// 
			// buttonLaboratoriosImprimir
			// 
			this.buttonLaboratoriosImprimir.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonLaboratoriosImprimir.ForeColor = System.Drawing.Color.Navy;
			this.buttonLaboratoriosImprimir.Image = ((System.Drawing.Image)(resources.GetObject("buttonLaboratoriosImprimir.Image")));
			this.buttonLaboratoriosImprimir.ImageAlign = System.Drawing.ContentAlignment.TopCenter;
			this.buttonLaboratoriosImprimir.Location = new System.Drawing.Point(480, 200);
			this.buttonLaboratoriosImprimir.Name = "buttonLaboratoriosImprimir";
			this.buttonLaboratoriosImprimir.Size = new System.Drawing.Size(72, 56);
			this.buttonLaboratoriosImprimir.TabIndex = 6;
			this.buttonLaboratoriosImprimir.Text = "Imprimir";
			this.buttonLaboratoriosImprimir.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
			this.buttonLaboratoriosImprimir.Click += new System.EventHandler(this.buttonLaboratoriosImprimir_Click);
			// 
			// buttonModificar
			// 
			this.buttonModificar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonModificar.ForeColor = System.Drawing.Color.Navy;
			this.buttonModificar.Image = ((System.Drawing.Image)(resources.GetObject("buttonModificar.Image")));
			this.buttonModificar.ImageAlign = System.Drawing.ContentAlignment.TopCenter;
			this.buttonModificar.Location = new System.Drawing.Point(480, 72);
			this.buttonModificar.Name = "buttonModificar";
			this.buttonModificar.Size = new System.Drawing.Size(72, 56);
			this.buttonModificar.TabIndex = 4;
			this.buttonModificar.Text = "Modificar";
			this.buttonModificar.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
			this.buttonModificar.Click += new System.EventHandler(this.buttonModificar_Click);
			// 
			// buttonEliminar
			// 
			this.buttonEliminar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonEliminar.ForeColor = System.Drawing.Color.Navy;
			this.buttonEliminar.Image = ((System.Drawing.Image)(resources.GetObject("buttonEliminar.Image")));
			this.buttonEliminar.ImageAlign = System.Drawing.ContentAlignment.TopCenter;
			this.buttonEliminar.Location = new System.Drawing.Point(480, 136);
			this.buttonEliminar.Name = "buttonEliminar";
			this.buttonEliminar.Size = new System.Drawing.Size(72, 56);
			this.buttonEliminar.TabIndex = 5;
			this.buttonEliminar.Text = "Eliminar";
			this.buttonEliminar.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
			this.buttonEliminar.Click += new System.EventHandler(this.buttonEliminar_Click);
			// 
			// buttonNuevo
			// 
			this.buttonNuevo.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonNuevo.ForeColor = System.Drawing.Color.Navy;
			this.buttonNuevo.Image = ((System.Drawing.Image)(resources.GetObject("buttonNuevo.Image")));
			this.buttonNuevo.ImageAlign = System.Drawing.ContentAlignment.TopCenter;
			this.buttonNuevo.Location = new System.Drawing.Point(480, 8);
			this.buttonNuevo.Name = "buttonNuevo";
			this.buttonNuevo.Size = new System.Drawing.Size(72, 56);
			this.buttonNuevo.TabIndex = 3;
			this.buttonNuevo.Text = "Nuevo";
			this.buttonNuevo.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
			this.buttonNuevo.Click += new System.EventHandler(this.buttonNuevo_Click);
			// 
			// pictureBoxLaboratorios
			// 
			this.pictureBoxLaboratorios.Image = ((System.Drawing.Image)(resources.GetObject("pictureBoxLaboratorios.Image")));
			this.pictureBoxLaboratorios.Location = new System.Drawing.Point(480, 272);
			this.pictureBoxLaboratorios.Name = "pictureBoxLaboratorios";
			this.pictureBoxLaboratorios.Size = new System.Drawing.Size(72, 80);
			this.pictureBoxLaboratorios.TabIndex = 3;
			this.pictureBoxLaboratorios.TabStop = false;
			// 
			// groupBoxVista
			// 
			this.groupBoxVista.Controls.Add(this.dataGridLaboratorios);
			this.groupBoxVista.Location = new System.Drawing.Point(8, 8);
			this.groupBoxVista.Name = "groupBoxVista";
			this.groupBoxVista.Size = new System.Drawing.Size(464, 248);
			this.groupBoxVista.TabIndex = 1;
			this.groupBoxVista.TabStop = false;
			this.groupBoxVista.Text = "Vista";
			// 
			// dataGridLaboratorios
			// 
			this.dataGridLaboratorios.DataMember = "";
			this.dataGridLaboratorios.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.dataGridLaboratorios.Location = new System.Drawing.Point(8, 16);
			this.dataGridLaboratorios.Name = "dataGridLaboratorios";
			this.dataGridLaboratorios.PreferredColumnWidth = 102;
			this.dataGridLaboratorios.ReadOnly = true;
			this.dataGridLaboratorios.Size = new System.Drawing.Size(448, 224);
			this.dataGridLaboratorios.TabIndex = 1;
			this.dataGridLaboratorios.DoubleClick += new System.EventHandler(this.dataGridLaboratorios_DoubleClick);
			// 
			// groupBoxBusqueda
			// 
			this.groupBoxBusqueda.Controls.Add(this.textBoxLaboratoriosContacto);
			this.groupBoxBusqueda.Controls.Add(this.labelLaboratoriosContacto);
			this.groupBoxBusqueda.Controls.Add(this.labelLaboratoriosCP);
			this.groupBoxBusqueda.Controls.Add(this.textBoxLaboratoriosCP);
			this.groupBoxBusqueda.Controls.Add(this.labelLaboratoriosPoblacion);
			this.groupBoxBusqueda.Controls.Add(this.labelLaboratoriosNombre);
			this.groupBoxBusqueda.Controls.Add(this.textBoxLaboratoriosPoblacion);
			this.groupBoxBusqueda.Controls.Add(this.textBoxLaboratoriosNombre);
			this.groupBoxBusqueda.Location = new System.Drawing.Point(8, 256);
			this.groupBoxBusqueda.Name = "groupBoxBusqueda";
			this.groupBoxBusqueda.Size = new System.Drawing.Size(464, 96);
			this.groupBoxBusqueda.TabIndex = 2;
			this.groupBoxBusqueda.TabStop = false;
			this.groupBoxBusqueda.Text = "Bsqueda";
			// 
			// textBoxLaboratoriosContacto
			// 
			this.textBoxLaboratoriosContacto.Location = new System.Drawing.Point(264, 64);
			this.textBoxLaboratoriosContacto.MaxLength = 100;
			this.textBoxLaboratoriosContacto.Name = "textBoxLaboratoriosContacto";
			this.textBoxLaboratoriosContacto.Size = new System.Drawing.Size(192, 21);
			this.textBoxLaboratoriosContacto.TabIndex = 9;
			this.textBoxLaboratoriosContacto.Text = "";
			this.textBoxLaboratoriosContacto.TextChanged += new System.EventHandler(this.textBoxLaboratoriosNombre_TextChanged);
			// 
			// labelLaboratoriosContacto
			// 
			this.labelLaboratoriosContacto.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelLaboratoriosContacto.Location = new System.Drawing.Point(144, 69);
			this.labelLaboratoriosContacto.Name = "labelLaboratoriosContacto";
			this.labelLaboratoriosContacto.Size = new System.Drawing.Size(112, 16);
			this.labelLaboratoriosContacto.TabIndex = 8;
			this.labelLaboratoriosContacto.Text = "Persona de contacto";
			this.labelLaboratoriosContacto.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// labelLaboratoriosCP
			// 
			this.labelLaboratoriosCP.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelLaboratoriosCP.Location = new System.Drawing.Point(8, 69);
			this.labelLaboratoriosCP.Name = "labelLaboratoriosCP";
			this.labelLaboratoriosCP.Size = new System.Drawing.Size(24, 16);
			this.labelLaboratoriosCP.TabIndex = 4;
			this.labelLaboratoriosCP.Text = "C.P.";
			this.labelLaboratoriosCP.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// textBoxLaboratoriosCP
			// 
			this.textBoxLaboratoriosCP.Location = new System.Drawing.Point(72, 64);
			this.textBoxLaboratoriosCP.MaxLength = 5;
			this.textBoxLaboratoriosCP.Name = "textBoxLaboratoriosCP";
			this.textBoxLaboratoriosCP.Size = new System.Drawing.Size(64, 21);
			this.textBoxLaboratoriosCP.TabIndex = 5;
			this.textBoxLaboratoriosCP.Text = "";
			this.textBoxLaboratoriosCP.Validating += new System.ComponentModel.CancelEventHandler(this.textBoxLaboratoriosCP_Validating);
			this.textBoxLaboratoriosCP.TextChanged += new System.EventHandler(this.textBoxLaboratoriosNombre_TextChanged);
			// 
			// labelLaboratoriosPoblacion
			// 
			this.labelLaboratoriosPoblacion.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelLaboratoriosPoblacion.Location = new System.Drawing.Point(8, 45);
			this.labelLaboratoriosPoblacion.Name = "labelLaboratoriosPoblacion";
			this.labelLaboratoriosPoblacion.Size = new System.Drawing.Size(56, 16);
			this.labelLaboratoriosPoblacion.TabIndex = 2;
			this.labelLaboratoriosPoblacion.Text = "Poblacin";
			this.labelLaboratoriosPoblacion.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// labelLaboratoriosNombre
			// 
			this.labelLaboratoriosNombre.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelLaboratoriosNombre.Location = new System.Drawing.Point(8, 21);
			this.labelLaboratoriosNombre.Name = "labelLaboratoriosNombre";
			this.labelLaboratoriosNombre.Size = new System.Drawing.Size(56, 16);
			this.labelLaboratoriosNombre.TabIndex = 0;
			this.labelLaboratoriosNombre.Text = "Nombre";
			this.labelLaboratoriosNombre.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// textBoxLaboratoriosPoblacion
			// 
			this.textBoxLaboratoriosPoblacion.Location = new System.Drawing.Point(72, 40);
			this.textBoxLaboratoriosPoblacion.MaxLength = 100;
			this.textBoxLaboratoriosPoblacion.Name = "textBoxLaboratoriosPoblacion";
			this.textBoxLaboratoriosPoblacion.Size = new System.Drawing.Size(384, 21);
			this.textBoxLaboratoriosPoblacion.TabIndex = 3;
			this.textBoxLaboratoriosPoblacion.Text = "";
			this.textBoxLaboratoriosPoblacion.TextChanged += new System.EventHandler(this.textBoxLaboratoriosNombre_TextChanged);
			// 
			// textBoxLaboratoriosNombre
			// 
			this.textBoxLaboratoriosNombre.Location = new System.Drawing.Point(72, 16);
			this.textBoxLaboratoriosNombre.MaxLength = 100;
			this.textBoxLaboratoriosNombre.Name = "textBoxLaboratoriosNombre";
			this.textBoxLaboratoriosNombre.Size = new System.Drawing.Size(384, 21);
			this.textBoxLaboratoriosNombre.TabIndex = 1;
			this.textBoxLaboratoriosNombre.Text = "";
			this.textBoxLaboratoriosNombre.TextChanged += new System.EventHandler(this.textBoxLaboratoriosNombre_TextChanged);
			// 
			// tabNuevo
			// 
			this.tabNuevo.Controls.Add(this.buttonAceptar);
			this.tabNuevo.Controls.Add(this.buttonCancelar);
			this.tabNuevo.Controls.Add(this.groupBoxObservaciones);
			this.tabNuevo.Controls.Add(this.groupBoxDatos);
			this.tabNuevo.Location = new System.Drawing.Point(4, 28);
			this.tabNuevo.Name = "tabNuevo";
			this.tabNuevo.Size = new System.Drawing.Size(560, 360);
			this.tabNuevo.TabIndex = 1;
			this.tabNuevo.Text = "Nuevo";
			// 
			// buttonAceptar
			// 
			this.buttonAceptar.ForeColor = System.Drawing.Color.Navy;
			this.buttonAceptar.Image = ((System.Drawing.Image)(resources.GetObject("buttonAceptar.Image")));
			this.buttonAceptar.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.buttonAceptar.Location = new System.Drawing.Point(352, 312);
			this.buttonAceptar.Name = "buttonAceptar";
			this.buttonAceptar.Size = new System.Drawing.Size(96, 40);
			this.buttonAceptar.TabIndex = 2;
			this.buttonAceptar.Text = "Aceptar ";
			this.buttonAceptar.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonAceptar.Click += new System.EventHandler(this.buttonAceptar_Click);
			// 
			// buttonCancelar
			// 
			this.buttonCancelar.ForeColor = System.Drawing.Color.Navy;
			this.buttonCancelar.Image = ((System.Drawing.Image)(resources.GetObject("buttonCancelar.Image")));
			this.buttonCancelar.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.buttonCancelar.Location = new System.Drawing.Point(456, 312);
			this.buttonCancelar.Name = "buttonCancelar";
			this.buttonCancelar.Size = new System.Drawing.Size(96, 40);
			this.buttonCancelar.TabIndex = 3;
			this.buttonCancelar.Text = "Cancelar";
			this.buttonCancelar.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonCancelar.Click += new System.EventHandler(this.buttonCancelar_Click);
			// 
			// groupBoxObservaciones
			// 
			this.groupBoxObservaciones.Controls.Add(this.textBoxNuevoObservaciones);
			this.groupBoxObservaciones.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.groupBoxObservaciones.Location = new System.Drawing.Point(8, 208);
			this.groupBoxObservaciones.Name = "groupBoxObservaciones";
			this.groupBoxObservaciones.Size = new System.Drawing.Size(544, 96);
			this.groupBoxObservaciones.TabIndex = 1;
			this.groupBoxObservaciones.TabStop = false;
			this.groupBoxObservaciones.Text = "Observaciones";
			// 
			// textBoxNuevoObservaciones
			// 
			this.textBoxNuevoObservaciones.Location = new System.Drawing.Point(8, 16);
			this.textBoxNuevoObservaciones.Multiline = true;
			this.textBoxNuevoObservaciones.Name = "textBoxNuevoObservaciones";
			this.textBoxNuevoObservaciones.Size = new System.Drawing.Size(528, 72);
			this.textBoxNuevoObservaciones.TabIndex = 0;
			this.textBoxNuevoObservaciones.Text = "";
			// 
			// groupBoxDatos
			// 
			this.groupBoxDatos.Controls.Add(this.textBoxNuevoWeb);
			this.groupBoxDatos.Controls.Add(this.labelNuevoWeb);
			this.groupBoxDatos.Controls.Add(this.textBoxNuevoContacto);
			this.groupBoxDatos.Controls.Add(this.textBoxNuevoCIF);
			this.groupBoxDatos.Controls.Add(this.labelNuevoCIF);
			this.groupBoxDatos.Controls.Add(this.groupBox2);
			this.groupBoxDatos.Controls.Add(this.textBoxNuevoProvincia);
			this.groupBoxDatos.Controls.Add(this.labelNuevoProvincia);
			this.groupBoxDatos.Controls.Add(this.textBoxNuevoPoblacion);
			this.groupBoxDatos.Controls.Add(this.labelNuevoPoblacion);
			this.groupBoxDatos.Controls.Add(this.groupBox1);
			this.groupBoxDatos.Controls.Add(this.textBoxNuevoFax);
			this.groupBoxDatos.Controls.Add(this.textBoxNuevoTelefono);
			this.groupBoxDatos.Controls.Add(this.textBoxNuevoCP);
			this.groupBoxDatos.Controls.Add(this.textBoxNuevoCorreo);
			this.groupBoxDatos.Controls.Add(this.textBoxNuevoDireccion);
			this.groupBoxDatos.Controls.Add(this.textBoxNuevoNombre);
			this.groupBoxDatos.Controls.Add(this.labelNuevoCorreo);
			this.groupBoxDatos.Controls.Add(this.labelNuevoFax);
			this.groupBoxDatos.Controls.Add(this.labelNuevoTelefono);
			this.groupBoxDatos.Controls.Add(this.labelNuevoContacto);
			this.groupBoxDatos.Controls.Add(this.labelNuevoCP);
			this.groupBoxDatos.Controls.Add(this.labelNuevoDireccion);
			this.groupBoxDatos.Controls.Add(this.labelNuevoNombre);
			this.groupBoxDatos.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.groupBoxDatos.Location = new System.Drawing.Point(8, 8);
			this.groupBoxDatos.Name = "groupBoxDatos";
			this.groupBoxDatos.Size = new System.Drawing.Size(544, 200);
			this.groupBoxDatos.TabIndex = 0;
			this.groupBoxDatos.TabStop = false;
			this.groupBoxDatos.Text = "Datos";
			// 
			// textBoxNuevoWeb
			// 
			this.textBoxNuevoWeb.Location = new System.Drawing.Point(120, 168);
			this.textBoxNuevoWeb.MaxLength = 100;
			this.textBoxNuevoWeb.Name = "textBoxNuevoWeb";
			this.textBoxNuevoWeb.Size = new System.Drawing.Size(416, 21);
			this.textBoxNuevoWeb.TabIndex = 23;
			this.textBoxNuevoWeb.Text = "";
			this.textBoxNuevoWeb.Validating += new System.ComponentModel.CancelEventHandler(this.textBoxNuevoWeb_Validating);
			// 
			// labelNuevoWeb
			// 
			this.labelNuevoWeb.Location = new System.Drawing.Point(8, 173);
			this.labelNuevoWeb.Name = "labelNuevoWeb";
			this.labelNuevoWeb.Size = new System.Drawing.Size(72, 16);
			this.labelNuevoWeb.TabIndex = 22;
			this.labelNuevoWeb.Text = "Pgina Web";
			// 
			// textBoxNuevoContacto
			// 
			this.textBoxNuevoContacto.Location = new System.Drawing.Point(120, 104);
			this.textBoxNuevoContacto.MaxLength = 100;
			this.textBoxNuevoContacto.Name = "textBoxNuevoContacto";
			this.textBoxNuevoContacto.Size = new System.Drawing.Size(120, 21);
			this.textBoxNuevoContacto.TabIndex = 14;
			this.textBoxNuevoContacto.Text = "";
			// 
			// textBoxNuevoCIF
			// 
			this.textBoxNuevoCIF.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.textBoxNuevoCIF.Location = new System.Drawing.Point(440, 16);
			this.textBoxNuevoCIF.MaxLength = 9;
			this.textBoxNuevoCIF.Name = "textBoxNuevoCIF";
			this.textBoxNuevoCIF.Size = new System.Drawing.Size(96, 21);
			this.textBoxNuevoCIF.TabIndex = 3;
			this.textBoxNuevoCIF.Text = "";
			this.textBoxNuevoCIF.Validating += new System.ComponentModel.CancelEventHandler(this.textBoxNuevoCIF_Validating);
			// 
			// labelNuevoCIF
			// 
			this.labelNuevoCIF.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelNuevoCIF.Location = new System.Drawing.Point(400, 21);
			this.labelNuevoCIF.Name = "labelNuevoCIF";
			this.labelNuevoCIF.Size = new System.Drawing.Size(32, 16);
			this.labelNuevoCIF.TabIndex = 2;
			this.labelNuevoCIF.Text = "C.I.F.";
			// 
			// groupBox2
			// 
			this.groupBox2.Location = new System.Drawing.Point(8, 128);
			this.groupBox2.Name = "groupBox2";
			this.groupBox2.Size = new System.Drawing.Size(528, 8);
			this.groupBox2.TabIndex = 19;
			this.groupBox2.TabStop = false;
			// 
			// textBoxNuevoProvincia
			// 
			this.textBoxNuevoProvincia.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.textBoxNuevoProvincia.Location = new System.Drawing.Point(344, 64);
			this.textBoxNuevoProvincia.MaxLength = 100;
			this.textBoxNuevoProvincia.Name = "textBoxNuevoProvincia";
			this.textBoxNuevoProvincia.Size = new System.Drawing.Size(192, 21);
			this.textBoxNuevoProvincia.TabIndex = 11;
			this.textBoxNuevoProvincia.Text = "";
			// 
			// labelNuevoProvincia
			// 
			this.labelNuevoProvincia.Location = new System.Drawing.Point(288, 69);
			this.labelNuevoProvincia.Name = "labelNuevoProvincia";
			this.labelNuevoProvincia.Size = new System.Drawing.Size(56, 16);
			this.labelNuevoProvincia.TabIndex = 10;
			this.labelNuevoProvincia.Text = "Provincia";
			// 
			// textBoxNuevoPoblacion
			// 
			this.textBoxNuevoPoblacion.Location = new System.Drawing.Point(80, 64);
			this.textBoxNuevoPoblacion.MaxLength = 100;
			this.textBoxNuevoPoblacion.Name = "textBoxNuevoPoblacion";
			this.textBoxNuevoPoblacion.Size = new System.Drawing.Size(192, 21);
			this.textBoxNuevoPoblacion.TabIndex = 9;
			this.textBoxNuevoPoblacion.Text = "";
			// 
			// labelNuevoPoblacion
			// 
			this.labelNuevoPoblacion.Location = new System.Drawing.Point(8, 69);
			this.labelNuevoPoblacion.Name = "labelNuevoPoblacion";
			this.labelNuevoPoblacion.Size = new System.Drawing.Size(64, 16);
			this.labelNuevoPoblacion.TabIndex = 8;
			this.labelNuevoPoblacion.Text = "Poblacin";
			// 
			// groupBox1
			// 
			this.groupBox1.Location = new System.Drawing.Point(8, 88);
			this.groupBox1.Name = "groupBox1";
			this.groupBox1.Size = new System.Drawing.Size(528, 8);
			this.groupBox1.TabIndex = 12;
			this.groupBox1.TabStop = false;
			// 
			// textBoxNuevoFax
			// 
			this.textBoxNuevoFax.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.textBoxNuevoFax.Location = new System.Drawing.Point(440, 104);
			this.textBoxNuevoFax.MaxLength = 9;
			this.textBoxNuevoFax.Name = "textBoxNuevoFax";
			this.textBoxNuevoFax.Size = new System.Drawing.Size(96, 21);
			this.textBoxNuevoFax.TabIndex = 18;
			this.textBoxNuevoFax.Text = "";
			this.textBoxNuevoFax.Validating += new System.ComponentModel.CancelEventHandler(this.textBoxNuevoFax_Validating);
			// 
			// textBoxNuevoTelefono
			// 
			this.textBoxNuevoTelefono.Location = new System.Drawing.Point(304, 104);
			this.textBoxNuevoTelefono.MaxLength = 9;
			this.textBoxNuevoTelefono.Name = "textBoxNuevoTelefono";
			this.textBoxNuevoTelefono.Size = new System.Drawing.Size(96, 21);
			this.textBoxNuevoTelefono.TabIndex = 16;
			this.textBoxNuevoTelefono.Text = "";
			this.textBoxNuevoTelefono.Validating += new System.ComponentModel.CancelEventHandler(this.textBoxNuevoTelefono_Validating);
			// 
			// textBoxNuevoCP
			// 
			this.textBoxNuevoCP.Location = new System.Drawing.Point(464, 40);
			this.textBoxNuevoCP.MaxLength = 5;
			this.textBoxNuevoCP.Name = "textBoxNuevoCP";
			this.textBoxNuevoCP.Size = new System.Drawing.Size(72, 21);
			this.textBoxNuevoCP.TabIndex = 7;
			this.textBoxNuevoCP.Text = "";
			this.textBoxNuevoCP.Validating += new System.ComponentModel.CancelEventHandler(this.textBoxNuevoCP_Validating);
			// 
			// textBoxNuevoCorreo
			// 
			this.textBoxNuevoCorreo.Location = new System.Drawing.Point(120, 144);
			this.textBoxNuevoCorreo.MaxLength = 100;
			this.textBoxNuevoCorreo.Name = "textBoxNuevoCorreo";
			this.textBoxNuevoCorreo.Size = new System.Drawing.Size(416, 21);
			this.textBoxNuevoCorreo.TabIndex = 21;
			this.textBoxNuevoCorreo.Text = "";
			this.textBoxNuevoCorreo.Validating += new System.ComponentModel.CancelEventHandler(this.textBoxNuevoCorreo_Validating);
			// 
			// textBoxNuevoDireccion
			// 
			this.textBoxNuevoDireccion.Location = new System.Drawing.Point(80, 40);
			this.textBoxNuevoDireccion.MaxLength = 100;
			this.textBoxNuevoDireccion.Name = "textBoxNuevoDireccion";
			this.textBoxNuevoDireccion.Size = new System.Drawing.Size(336, 21);
			this.textBoxNuevoDireccion.TabIndex = 5;
			this.textBoxNuevoDireccion.Text = "";
			// 
			// textBoxNuevoNombre
			// 
			this.textBoxNuevoNombre.Location = new System.Drawing.Point(80, 16);
			this.textBoxNuevoNombre.MaxLength = 100;
			this.textBoxNuevoNombre.Name = "textBoxNuevoNombre";
			this.textBoxNuevoNombre.Size = new System.Drawing.Size(312, 21);
			this.textBoxNuevoNombre.TabIndex = 1;
			this.textBoxNuevoNombre.Text = "";
			this.textBoxNuevoNombre.Validating += new System.ComponentModel.CancelEventHandler(this.textBoxNuevoNombre_Validating);
			// 
			// labelNuevoCorreo
			// 
			this.labelNuevoCorreo.Location = new System.Drawing.Point(8, 149);
			this.labelNuevoCorreo.Name = "labelNuevoCorreo";
			this.labelNuevoCorreo.Size = new System.Drawing.Size(112, 16);
			this.labelNuevoCorreo.TabIndex = 20;
			this.labelNuevoCorreo.Text = "Correo electrnico";
			// 
			// labelNuevoFax
			// 
			this.labelNuevoFax.Location = new System.Drawing.Point(408, 109);
			this.labelNuevoFax.Name = "labelNuevoFax";
			this.labelNuevoFax.Size = new System.Drawing.Size(32, 16);
			this.labelNuevoFax.TabIndex = 17;
			this.labelNuevoFax.Text = "Fax";
			// 
			// labelNuevoTelefono
			// 
			this.labelNuevoTelefono.Location = new System.Drawing.Point(248, 109);
			this.labelNuevoTelefono.Name = "labelNuevoTelefono";
			this.labelNuevoTelefono.Size = new System.Drawing.Size(48, 16);
			this.labelNuevoTelefono.TabIndex = 15;
			this.labelNuevoTelefono.Text = "Telfono";
			// 
			// labelNuevoContacto
			// 
			this.labelNuevoContacto.Location = new System.Drawing.Point(8, 109);
			this.labelNuevoContacto.Name = "labelNuevoContacto";
			this.labelNuevoContacto.Size = new System.Drawing.Size(112, 16);
			this.labelNuevoContacto.TabIndex = 13;
			this.labelNuevoContacto.Text = "Persona de contacto";
			// 
			// labelNuevoCP
			// 
			this.labelNuevoCP.Location = new System.Drawing.Point(432, 45);
			this.labelNuevoCP.Name = "labelNuevoCP";
			this.labelNuevoCP.Size = new System.Drawing.Size(24, 16);
			this.labelNuevoCP.TabIndex = 6;
			this.labelNuevoCP.Text = "C.P.";
			// 
			// labelNuevoDireccion
			// 
			this.labelNuevoDireccion.Location = new System.Drawing.Point(8, 45);
			this.labelNuevoDireccion.Name = "labelNuevoDireccion";
			this.labelNuevoDireccion.Size = new System.Drawing.Size(64, 16);
			this.labelNuevoDireccion.TabIndex = 4;
			this.labelNuevoDireccion.Text = "Direccin";
			// 
			// labelNuevoNombre
			// 
			this.labelNuevoNombre.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelNuevoNombre.Location = new System.Drawing.Point(8, 21);
			this.labelNuevoNombre.Name = "labelNuevoNombre";
			this.labelNuevoNombre.Size = new System.Drawing.Size(64, 16);
			this.labelNuevoNombre.TabIndex = 0;
			this.labelNuevoNombre.Text = "Nombre";
			// 
			// tabFicha
			// 
			this.tabFicha.Controls.Add(this.buttonFichaImprimir);
			this.tabFicha.Controls.Add(this.groupBoxFichaObservaciones);
			this.tabFicha.Controls.Add(this.groupBoxFichaDatos);
			this.tabFicha.Location = new System.Drawing.Point(4, 28);
			this.tabFicha.Name = "tabFicha";
			this.tabFicha.Size = new System.Drawing.Size(560, 360);
			this.tabFicha.TabIndex = 2;
			this.tabFicha.Text = "Ficha";
			// 
			// buttonFichaImprimir
			// 
			this.buttonFichaImprimir.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonFichaImprimir.ForeColor = System.Drawing.Color.Navy;
			this.buttonFichaImprimir.Image = ((System.Drawing.Image)(resources.GetObject("buttonFichaImprimir.Image")));
			this.buttonFichaImprimir.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.buttonFichaImprimir.Location = new System.Drawing.Point(456, 312);
			this.buttonFichaImprimir.Name = "buttonFichaImprimir";
			this.buttonFichaImprimir.Size = new System.Drawing.Size(96, 40);
			this.buttonFichaImprimir.TabIndex = 2;
			this.buttonFichaImprimir.Text = "Imprimir   ";
			this.buttonFichaImprimir.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonFichaImprimir.Click += new System.EventHandler(this.buttonFichaImprimir_Click);
			// 
			// groupBoxFichaObservaciones
			// 
			this.groupBoxFichaObservaciones.Controls.Add(this.labelFichaObservaciones);
			this.groupBoxFichaObservaciones.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.groupBoxFichaObservaciones.Location = new System.Drawing.Point(8, 208);
			this.groupBoxFichaObservaciones.Name = "groupBoxFichaObservaciones";
			this.groupBoxFichaObservaciones.Size = new System.Drawing.Size(544, 96);
			this.groupBoxFichaObservaciones.TabIndex = 1;
			this.groupBoxFichaObservaciones.TabStop = false;
			this.groupBoxFichaObservaciones.Text = "Observaciones";
			// 
			// labelFichaObservaciones
			// 
			this.labelFichaObservaciones.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaObservaciones.Location = new System.Drawing.Point(8, 16);
			this.labelFichaObservaciones.Name = "labelFichaObservaciones";
			this.labelFichaObservaciones.Size = new System.Drawing.Size(528, 72);
			this.labelFichaObservaciones.TabIndex = 0;
			// 
			// groupBoxFichaDatos
			// 
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDatoWeb);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaWeb);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDatoCIF);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaCIF);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDatoCorreo);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDatoFax);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDatoTelefono);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDatoContacto);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDatoCP);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDatoProvincia);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDatoPoblacion);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDatoDireccion);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDatoNombre);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaProvincia);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaPoblacion);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaCorreo);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaFax);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaTelefono);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaFechaContacto);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaCP);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaDireccion);
			this.groupBoxFichaDatos.Controls.Add(this.labelFichaNombre);
			this.groupBoxFichaDatos.Controls.Add(this.groupBox4);
			this.groupBoxFichaDatos.Controls.Add(this.groupBox5);
			this.groupBoxFichaDatos.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.groupBoxFichaDatos.Location = new System.Drawing.Point(8, 8);
			this.groupBoxFichaDatos.Name = "groupBoxFichaDatos";
			this.groupBoxFichaDatos.Size = new System.Drawing.Size(544, 200);
			this.groupBoxFichaDatos.TabIndex = 0;
			this.groupBoxFichaDatos.TabStop = false;
			this.groupBoxFichaDatos.Text = "Datos";
			// 
			// labelFichaDatoWeb
			// 
			this.labelFichaDatoWeb.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaDatoWeb.Location = new System.Drawing.Point(120, 176);
			this.labelFichaDatoWeb.Name = "labelFichaDatoWeb";
			this.labelFichaDatoWeb.Size = new System.Drawing.Size(416, 16);
			this.labelFichaDatoWeb.TabIndex = 25;
			// 
			// labelFichaWeb
			// 
			this.labelFichaWeb.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFichaWeb.Location = new System.Drawing.Point(8, 176);
			this.labelFichaWeb.Name = "labelFichaWeb";
			this.labelFichaWeb.Size = new System.Drawing.Size(112, 16);
			this.labelFichaWeb.TabIndex = 24;
			this.labelFichaWeb.Text = "Pgina Web";
			// 
			// labelFichaDatoCIF
			// 
			this.labelFichaDatoCIF.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaDatoCIF.Location = new System.Drawing.Point(440, 21);
			this.labelFichaDatoCIF.Name = "labelFichaDatoCIF";
			this.labelFichaDatoCIF.Size = new System.Drawing.Size(96, 16);
			this.labelFichaDatoCIF.TabIndex = 23;
			// 
			// labelFichaCIF
			// 
			this.labelFichaCIF.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFichaCIF.Location = new System.Drawing.Point(400, 21);
			this.labelFichaCIF.Name = "labelFichaCIF";
			this.labelFichaCIF.Size = new System.Drawing.Size(32, 16);
			this.labelFichaCIF.TabIndex = 22;
			this.labelFichaCIF.Text = "C.I.F.";
			// 
			// labelFichaDatoCorreo
			// 
			this.labelFichaDatoCorreo.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaDatoCorreo.Location = new System.Drawing.Point(120, 149);
			this.labelFichaDatoCorreo.Name = "labelFichaDatoCorreo";
			this.labelFichaDatoCorreo.Size = new System.Drawing.Size(416, 16);
			this.labelFichaDatoCorreo.TabIndex = 19;
			// 
			// labelFichaDatoFax
			// 
			this.labelFichaDatoFax.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaDatoFax.Location = new System.Drawing.Point(448, 109);
			this.labelFichaDatoFax.Name = "labelFichaDatoFax";
			this.labelFichaDatoFax.Size = new System.Drawing.Size(88, 16);
			this.labelFichaDatoFax.TabIndex = 16;
			// 
			// labelFichaDatoTelefono
			// 
			this.labelFichaDatoTelefono.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaDatoTelefono.Location = new System.Drawing.Point(296, 109);
			this.labelFichaDatoTelefono.Name = "labelFichaDatoTelefono";
			this.labelFichaDatoTelefono.Size = new System.Drawing.Size(80, 16);
			this.labelFichaDatoTelefono.TabIndex = 14;
			// 
			// labelFichaDatoContacto
			// 
			this.labelFichaDatoContacto.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaDatoContacto.Location = new System.Drawing.Point(136, 109);
			this.labelFichaDatoContacto.Name = "labelFichaDatoContacto";
			this.labelFichaDatoContacto.Size = new System.Drawing.Size(96, 16);
			this.labelFichaDatoContacto.TabIndex = 12;
			// 
			// labelFichaDatoCP
			// 
			this.labelFichaDatoCP.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaDatoCP.Location = new System.Drawing.Point(464, 45);
			this.labelFichaDatoCP.Name = "labelFichaDatoCP";
			this.labelFichaDatoCP.Size = new System.Drawing.Size(72, 16);
			this.labelFichaDatoCP.TabIndex = 5;
			// 
			// labelFichaDatoProvincia
			// 
			this.labelFichaDatoProvincia.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaDatoProvincia.Location = new System.Drawing.Point(352, 69);
			this.labelFichaDatoProvincia.Name = "labelFichaDatoProvincia";
			this.labelFichaDatoProvincia.Size = new System.Drawing.Size(184, 16);
			this.labelFichaDatoProvincia.TabIndex = 9;
			// 
			// labelFichaDatoPoblacion
			// 
			this.labelFichaDatoPoblacion.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaDatoPoblacion.Location = new System.Drawing.Point(72, 69);
			this.labelFichaDatoPoblacion.Name = "labelFichaDatoPoblacion";
			this.labelFichaDatoPoblacion.Size = new System.Drawing.Size(192, 16);
			this.labelFichaDatoPoblacion.TabIndex = 7;
			// 
			// labelFichaDatoDireccion
			// 
			this.labelFichaDatoDireccion.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaDatoDireccion.Location = new System.Drawing.Point(72, 45);
			this.labelFichaDatoDireccion.Name = "labelFichaDatoDireccion";
			this.labelFichaDatoDireccion.Size = new System.Drawing.Size(352, 16);
			this.labelFichaDatoDireccion.TabIndex = 3;
			// 
			// labelFichaDatoNombre
			// 
			this.labelFichaDatoNombre.ForeColor = System.Drawing.Color.Navy;
			this.labelFichaDatoNombre.Location = new System.Drawing.Point(72, 21);
			this.labelFichaDatoNombre.Name = "labelFichaDatoNombre";
			this.labelFichaDatoNombre.Size = new System.Drawing.Size(320, 16);
			this.labelFichaDatoNombre.TabIndex = 1;
			// 
			// labelFichaProvincia
			// 
			this.labelFichaProvincia.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFichaProvincia.Location = new System.Drawing.Point(288, 69);
			this.labelFichaProvincia.Name = "labelFichaProvincia";
			this.labelFichaProvincia.Size = new System.Drawing.Size(64, 16);
			this.labelFichaProvincia.TabIndex = 8;
			this.labelFichaProvincia.Text = "Provincia";
			// 
			// labelFichaPoblacion
			// 
			this.labelFichaPoblacion.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFichaPoblacion.Location = new System.Drawing.Point(8, 69);
			this.labelFichaPoblacion.Name = "labelFichaPoblacion";
			this.labelFichaPoblacion.Size = new System.Drawing.Size(64, 16);
			this.labelFichaPoblacion.TabIndex = 6;
			this.labelFichaPoblacion.Text = "Poblacin";
			// 
			// labelFichaCorreo
			// 
			this.labelFichaCorreo.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFichaCorreo.Location = new System.Drawing.Point(8, 149);
			this.labelFichaCorreo.Name = "labelFichaCorreo";
			this.labelFichaCorreo.Size = new System.Drawing.Size(112, 16);
			this.labelFichaCorreo.TabIndex = 18;
			this.labelFichaCorreo.Text = "Correo electrnico";
			// 
			// labelFichaFax
			// 
			this.labelFichaFax.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFichaFax.Location = new System.Drawing.Point(400, 109);
			this.labelFichaFax.Name = "labelFichaFax";
			this.labelFichaFax.Size = new System.Drawing.Size(40, 16);
			this.labelFichaFax.TabIndex = 15;
			this.labelFichaFax.Text = "Fax";
			// 
			// labelFichaTelefono
			// 
			this.labelFichaTelefono.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFichaTelefono.Location = new System.Drawing.Point(240, 109);
			this.labelFichaTelefono.Name = "labelFichaTelefono";
			this.labelFichaTelefono.Size = new System.Drawing.Size(56, 16);
			this.labelFichaTelefono.TabIndex = 13;
			this.labelFichaTelefono.Text = "Telfono";
			// 
			// labelFichaFechaContacto
			// 
			this.labelFichaFechaContacto.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFichaFechaContacto.Location = new System.Drawing.Point(8, 109);
			this.labelFichaFechaContacto.Name = "labelFichaFechaContacto";
			this.labelFichaFechaContacto.Size = new System.Drawing.Size(128, 16);
			this.labelFichaFechaContacto.TabIndex = 11;
			this.labelFichaFechaContacto.Text = "Persona de contacto";
			// 
			// labelFichaCP
			// 
			this.labelFichaCP.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFichaCP.Location = new System.Drawing.Point(432, 45);
			this.labelFichaCP.Name = "labelFichaCP";
			this.labelFichaCP.Size = new System.Drawing.Size(24, 16);
			this.labelFichaCP.TabIndex = 4;
			this.labelFichaCP.Text = "C.P.";
			// 
			// labelFichaDireccion
			// 
			this.labelFichaDireccion.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFichaDireccion.Location = new System.Drawing.Point(8, 45);
			this.labelFichaDireccion.Name = "labelFichaDireccion";
			this.labelFichaDireccion.Size = new System.Drawing.Size(64, 16);
			this.labelFichaDireccion.TabIndex = 2;
			this.labelFichaDireccion.Text = "Direccin";
			// 
			// labelFichaNombre
			// 
			this.labelFichaNombre.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFichaNombre.Location = new System.Drawing.Point(8, 21);
			this.labelFichaNombre.Name = "labelFichaNombre";
			this.labelFichaNombre.Size = new System.Drawing.Size(64, 16);
			this.labelFichaNombre.TabIndex = 0;
			this.labelFichaNombre.Text = "Nombre";
			// 
			// groupBox4
			// 
			this.groupBox4.Location = new System.Drawing.Point(8, 128);
			this.groupBox4.Name = "groupBox4";
			this.groupBox4.Size = new System.Drawing.Size(528, 8);
			this.groupBox4.TabIndex = 17;
			this.groupBox4.TabStop = false;
			// 
			// groupBox5
			// 
			this.groupBox5.Location = new System.Drawing.Point(8, 88);
			this.groupBox5.Name = "groupBox5";
			this.groupBox5.Size = new System.Drawing.Size(528, 8);
			this.groupBox5.TabIndex = 10;
			this.groupBox5.TabStop = false;
			// 
			// labelFechaAlta
			// 
			this.labelFechaAlta.Location = new System.Drawing.Point(0, 0);
			this.labelFechaAlta.Name = "labelFechaAlta";
			this.labelFechaAlta.TabIndex = 0;
			// 
			// buttonCerrar
			// 
			this.buttonCerrar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonCerrar.ForeColor = System.Drawing.Color.Navy;
			this.buttonCerrar.Image = ((System.Drawing.Image)(resources.GetObject("buttonCerrar.Image")));
			this.buttonCerrar.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.buttonCerrar.Location = new System.Drawing.Point(480, 416);
			this.buttonCerrar.Name = "buttonCerrar";
			this.buttonCerrar.Size = new System.Drawing.Size(88, 40);
			this.buttonCerrar.TabIndex = 1;
			this.buttonCerrar.Text = "Cerrar";
			this.buttonCerrar.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonCerrar.Click += new System.EventHandler(this.buttonCerrar_Click);
			// 
			// pictureBoxBotonera
			// 
			this.pictureBoxBotonera.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.pictureBoxBotonera.Image = ((System.Drawing.Image)(resources.GetObject("pictureBoxBotonera.Image")));
			this.pictureBoxBotonera.Location = new System.Drawing.Point(8, 408);
			this.pictureBoxBotonera.Name = "pictureBoxBotonera";
			this.pictureBoxBotonera.Size = new System.Drawing.Size(568, 56);
			this.pictureBoxBotonera.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
			this.pictureBoxBotonera.TabIndex = 2;
			this.pictureBoxBotonera.TabStop = false;
			// 
			// FormLaboratorios
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 14);
			this.ClientSize = new System.Drawing.Size(584, 470);
			this.Controls.Add(this.buttonCerrar);
			this.Controls.Add(this.pictureBoxBotonera);
			this.Controls.Add(this.tabControlLaboratorios);
			this.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "FormLaboratorios";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
			this.Text = "Mantenimiento de Laboratorios";
			this.Closing += new System.ComponentModel.CancelEventHandler(this.FormLaboratorios_Closing);
			this.Load += new System.EventHandler(this.FormLaboratorios_Load);
			this.tabControlLaboratorios.ResumeLayout(false);
			this.tabLaboratorios.ResumeLayout(false);
			this.groupBoxVista.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.dataGridLaboratorios)).EndInit();
			this.groupBoxBusqueda.ResumeLayout(false);
			this.tabNuevo.ResumeLayout(false);
			this.groupBoxObservaciones.ResumeLayout(false);
			this.groupBoxDatos.ResumeLayout(false);
			this.tabFicha.ResumeLayout(false);
			this.groupBoxFichaObservaciones.ResumeLayout(false);
			this.groupBoxFichaDatos.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		private void FormLaboratorios_Load(object sender, System.EventArgs e)
		{
			string comando ;
			comando  = "SELECT laboratorio as \"Nombre\", ";	//Creo la consulta
			comando	+= "CASE WHEN poblacion IS null THEN '' ELSE poblacion END AS \"Poblacin\", ";
			comando	+= "CASE WHEN cp IS null THEN '' ELSE cp END AS \"Cdigo Postal\", ";
			comando	+= "CASE WHEN personaContacto IS null THEN '' ELSE personaContacto END AS \"Persona de Contacto\" ";
			comando	+= "FROM laboratorios ";

			
			DataSet ds = cns.ExecDS(comando);
			if (cns.gsConsulta >= 0)
			{
				dataGridLaboratorios.DataSource = ds;	//Carga el datagrid de laboratorios
				dataGridLaboratorios.DataMember = "consulta";
			}
			else
			{
				MessageBox.Show("Error al cargar laboratorios", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
			
			
			tabControlLaboratorios.SelectedIndex = 0;
		}

		private void textBoxLaboratoriosNombre_TextChanged(object sender, System.EventArgs e)
		{
			string condicion = "";
			condicion += (textBoxLaboratoriosNombre.Text.Equals(""))? "" : " and lower(laboratorio) like lower('" + textBoxLaboratoriosNombre.Text + "%')";
			condicion += (textBoxLaboratoriosPoblacion.Text.Equals(""))? "" : " and lower(poblacion) like lower('" + textBoxLaboratoriosPoblacion.Text + "%')";
			condicion += (textBoxLaboratoriosCP.Text.Equals(""))? "" : " and lower(cp) like lower('" + textBoxLaboratoriosCP.Text + "%')";
			condicion += (textBoxLaboratoriosContacto.Text.Equals(""))? "" : " and lower(personacontacto) like lower('" + textBoxLaboratoriosContacto.Text + "%')";
			if (!condicion.Equals("")) condicion = condicion.Substring(4);

			string comando = "";
			comando  = "SELECT laboratorio as \"Nombre\", ";	//Creo la consulta
			comando	+= "CASE WHEN poblacion IS null THEN '' ELSE poblacion END AS \"Poblacin\", ";
			comando	+= "CASE WHEN cp IS null THEN '' ELSE cp END AS \"Cdigo Postal\", ";
			comando	+= "CASE WHEN personaContacto IS null THEN '' ELSE personaContacto END AS \"Persona de Contacto\" ";
			comando	+= "FROM laboratorios ";
			comando += (!condicion.Equals(""))? "WHERE " + condicion : "";
  			
			try 
			{
		
				dataGridLaboratorios.DataSource = cns.ExecDS(comando);
				dataGridLaboratorios.DataMember = "consulta";
			
			}
			catch
			{
				MessageBox.Show("Error de caracter incorrecto", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
		}

		private void buttonNuevo_Click(object sender, System.EventArgs e)
		{
			tabControlLaboratorios.SelectedIndex = 1;
			estado = 0;
		}

		private void buttonModificar_Click(object sender, System.EventArgs e)
		{
			//Comprobamos si hay elementos 
			if(dataGridLaboratorios.CurrentRowIndex >= 0)
			{
				tabControlLaboratorios.SelectedIndex = 1;
				estado = 1; //modificacin
			
				Laboratorio laboratorio = new Laboratorio ();
				laboratorio.CargarNombreDB(dataGridLaboratorios[dataGridLaboratorios.CurrentRowIndex, 0].ToString());

				codigo = laboratorio.gsIdLaboratorio;

				textBoxNuevoNombre.Text = laboratorio.gsNombre;
				textBoxNuevoCIF.Text = laboratorio.gsCif;
				textBoxNuevoDireccion.Text = laboratorio.gsDireccion;
				textBoxNuevoCP.Text = laboratorio.gsCp;
				textBoxNuevoPoblacion.Text = laboratorio.gsPoblacion;
				textBoxNuevoProvincia.Text = laboratorio.gsProvincia;
				textBoxNuevoTelefono.Text = laboratorio.gsTelefono;
				textBoxNuevoFax.Text = laboratorio.gsFax;
				textBoxNuevoContacto.Text = laboratorio.gsPersonaContacto;
				textBoxNuevoCorreo.Text = laboratorio.gsEmail;
				textBoxNuevoWeb.Text = laboratorio.gsWeb;
				textBoxNuevoObservaciones.Text = laboratorio.gsObservaciones;
			}
			else
				MessageBox.Show("Error al modificar el laboratorio, laboratorio inexistente", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
		}

		private void buttonEliminar_Click(object sender, System.EventArgs e)
		{
			//Comprobamos si hay elementos 
			if(dataGridLaboratorios.CurrentRowIndex >= 0)
			{
				if(MessageBox.Show("Quieres borrar el registro?","Eliminar", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
				{
					ClassLibraryClinica.Laboratorio laboratorio = new ClassLibraryClinica.Laboratorio();
					string nombre = dataGridLaboratorios[dataGridLaboratorios.CurrentRowIndex, 0].ToString();
					if (!laboratorio.EliminarDB(nombre))
						MessageBox.Show("Error al eliminar el laboratorio");

					FormLaboratorios_Load(this, null);
				}
			}
			else
				MessageBox.Show("Error al modificar el laboratorio, laboratorio inexistente", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
		}

		private void buttonAceptar_Click(object sender, System.EventArgs e)
		{
			if(textBoxNuevoNombre.Text.Equals("") || textBoxNuevoCIF.Text.Equals(""))
			{
				MessageBox.Show("No ha rellenado todos los campos obligatorios", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
			else
			{
				ClassLibraryClinica.Laboratorio laboratorio = new ClassLibraryClinica.Laboratorio();

				laboratorio.gsNombre = textBoxNuevoNombre.Text;
				laboratorio.gsCif = textBoxNuevoCIF.Text;
				laboratorio.gsDireccion = textBoxNuevoDireccion.Text;
				laboratorio.gsCp = textBoxNuevoCP.Text;
				laboratorio.gsPoblacion = textBoxNuevoPoblacion.Text;
				laboratorio.gsProvincia = textBoxNuevoProvincia.Text;
				laboratorio.gsTelefono = textBoxNuevoTelefono.Text;
				laboratorio.gsFax = textBoxNuevoFax.Text;
				laboratorio.gsPersonaContacto = textBoxNuevoContacto.Text;
				laboratorio.gsEmail = textBoxNuevoCorreo.Text;
				laboratorio.gsWeb = textBoxNuevoWeb.Text;
				laboratorio.gsObservaciones = textBoxNuevoObservaciones.Text;
			
				if(estado == 0) //Inserto un nuevo registro
				{
					if (laboratorio.AgregarDB() <= 0)
					{
						MessageBox.Show("Error al insertar el laboratorio", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
					}
				}
				else	//Modifico un registro
				{
					laboratorio.gsIdLaboratorio = codigo;

					if (!laboratorio.ModificarDB())
					{
						MessageBox.Show("Errror al modificar el laboratorio", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
					}
				}

				textBoxNuevoNombre.Clear();
				textBoxNuevoCIF.Clear();
				textBoxNuevoDireccion.Clear();
				textBoxNuevoCP.Clear();
				textBoxNuevoPoblacion.Clear();
				textBoxNuevoProvincia.Clear();
				textBoxNuevoTelefono.Clear();
				textBoxNuevoFax.Clear();
				textBoxNuevoContacto.Clear();
				textBoxNuevoCorreo.Clear();
				textBoxNuevoWeb.Clear();
				textBoxNuevoObservaciones.Clear();

				FormLaboratorios_Load(this, null);
			}
		}

		private void buttonCancelar_Click(object sender, System.EventArgs e)
		{
			textBoxNuevoNombre.Clear();
			textBoxNuevoCIF.Clear();
			textBoxNuevoDireccion.Clear();
			textBoxNuevoCP.Clear();
			textBoxNuevoPoblacion.Clear();
			textBoxNuevoProvincia.Clear();
			textBoxNuevoTelefono.Clear();
			textBoxNuevoFax.Clear();
			textBoxNuevoContacto.Clear();
			textBoxNuevoCorreo.Clear();
			textBoxNuevoWeb.Clear();
			textBoxNuevoObservaciones.Clear();
			
			tabControlLaboratorios.SelectedIndex = 0;
		}

		private void dataGridLaboratorios_DoubleClick(object sender, System.EventArgs e)
		{
			tabControlLaboratorios.SelectedIndex = 2;
		
			ClassLibraryClinica.Laboratorio laboratorio = new ClassLibraryClinica.Laboratorio();
			laboratorio.CargarNombreDB(dataGridLaboratorios[dataGridLaboratorios.CurrentRowIndex, 0].ToString());

			labelFichaDatoNombre.Text = laboratorio.gsNombre;
			labelFichaDatoCIF.Text = laboratorio.gsCif;
			labelFichaDatoDireccion.Text = laboratorio.gsDireccion;
			labelFichaDatoCP.Text = laboratorio.gsCp;
			labelFichaDatoPoblacion.Text = laboratorio.gsPoblacion;
			labelFichaDatoProvincia.Text = laboratorio.gsProvincia;
			labelFichaDatoTelefono.Text = laboratorio.gsTelefono;
			labelFichaDatoFax.Text = laboratorio.gsFax;
			labelFichaDatoContacto.Text = laboratorio.gsPersonaContacto;
			labelFichaDatoCorreo.Text = laboratorio.gsEmail;
			labelFichaDatoWeb.Text = laboratorio.gsWeb;
			labelFichaObservaciones.Text = laboratorio.gsObservaciones;
		}
		
		private void buttonCerrar_Click(object sender, System.EventArgs e)
		{
			Close();
		}

		private void textBoxLaboratoriosCP_Validating(object sender, System.ComponentModel.CancelEventArgs e)
		{
			if(textBoxLaboratoriosCP.Text != "")
			{
				ExpresionesRegulares expresion = new ExpresionesRegulares();
				if(expresion.ERCp(textBoxLaboratoriosCP.Text) == false)	//Si el valor no es correcto
				{
					textBoxLaboratoriosCP.Clear();
					MessageBox.Show("Por favor, inserta de nuevo el campo", "Expresin no vlida", MessageBoxButtons.OK, MessageBoxIcon.Stop);
					textBoxLaboratoriosCP.Focus();
				}
			}
		}

		private void textBoxNuevoCIF_Validating(object sender, System.ComponentModel.CancelEventArgs e)
		{
			if(textBoxNuevoCIF.Text != "")
			{
				ExpresionesRegulares expresion = new ExpresionesRegulares();
				if(expresion.ERCif(textBoxNuevoCIF.Text) == false)	//Si el valor no es correcto
				{
					textBoxNuevoCIF.Clear();
					MessageBox.Show("Por favor, inserta de nuevo el campo", "Expresin no vlida", MessageBoxButtons.OK, MessageBoxIcon.Stop);
					textBoxNuevoCIF.Focus();
				}
			}
		}

		private void textBoxNuevoTelefono_Validating(object sender, System.ComponentModel.CancelEventArgs e)
		{
			if(textBoxNuevoTelefono.Text != "")
			{
				ExpresionesRegulares expresion = new ExpresionesRegulares();
				if(expresion.ERTelefono(textBoxNuevoTelefono.Text) == false)	//Si el valor no es correcto
				{
					textBoxNuevoTelefono.Clear();
					MessageBox.Show("Por favor, inserta de nuevo el campo", "Expresin no vlida", MessageBoxButtons.OK, MessageBoxIcon.Stop);
					textBoxNuevoTelefono.Focus();
				}
			}
		}

		private void textBoxNuevoFax_Validating(object sender, System.ComponentModel.CancelEventArgs e)
		{
			if(textBoxNuevoFax.Text != "")
			{
				ExpresionesRegulares expresion = new ExpresionesRegulares();
				if(expresion.ERTelefono(textBoxNuevoFax.Text) == false)	//Si el valor no es correcto
				{
					textBoxNuevoFax.Clear();
					MessageBox.Show("Por favor, inserta de nuevo el campo", "Expresin no vlida", MessageBoxButtons.OK, MessageBoxIcon.Stop);
					textBoxNuevoFax.Focus();
				}
			}
		}

		private void textBoxNuevoCorreo_Validating(object sender, System.ComponentModel.CancelEventArgs e)
		{
			if(textBoxNuevoCorreo.Text != "")
			{
				ExpresionesRegulares expresion = new ExpresionesRegulares();
				if(expresion.EREmail(textBoxNuevoCorreo.Text) == false)	//Si el valor no es correcto
				{
					textBoxNuevoCorreo.Clear();
					MessageBox.Show("Por favor, inserta de nuevo el campo", "Expresin no vlida", MessageBoxButtons.OK, MessageBoxIcon.Stop);
					textBoxNuevoCorreo.Focus();
				}
			}
		}

		private void textBoxNuevoWeb_Validating(object sender, System.ComponentModel.CancelEventArgs e)
		{
			if(textBoxNuevoWeb.Text != "")
			{
				ExpresionesRegulares expresion = new ExpresionesRegulares();
				if(expresion.ERWeb(textBoxNuevoWeb.Text) == false)	//Si el valor no es correcto
				{
					textBoxNuevoWeb.Clear();
					MessageBox.Show("Por favor, inserta de nuevo el campo", "Expresin no vlida", MessageBoxButtons.OK, MessageBoxIcon.Stop);
					textBoxNuevoWeb.Focus();
				}
			}
		}

		private void textBoxNuevoCP_Validating(object sender, System.ComponentModel.CancelEventArgs e)
		{
			if(textBoxNuevoCP.Text != "")
			{
				ExpresionesRegulares expresion = new ExpresionesRegulares();
				if(expresion.ERCp(textBoxNuevoCP.Text) == false)	//Si el valor no es correcto
				{
					textBoxNuevoCP.Clear();
					MessageBox.Show("Por favor, inserta de nuevo el campo", "Expresin no vlida", MessageBoxButtons.OK, MessageBoxIcon.Stop);
					textBoxNuevoCP.Focus();
				}
			}
		}

		private void textBoxNuevoNombre_Validating(object sender, System.ComponentModel.CancelEventArgs e)
		{
			ExpresionesRegulares expresion = new ExpresionesRegulares();
			if(expresion.ERTexto(textBoxNuevoNombre.Text) == false)	//Si el valor no es correcto
			{
				textBoxNuevoNombre.Clear();
				MessageBox.Show("Por favor, inserta de nuevo el campo", "Expresin no vlida", MessageBoxButtons.OK, MessageBoxIcon.Stop);
				textBoxNuevoNombre.Focus();
			}
		}

		private void buttonLaboratoriosImprimir_Click(object sender, System.EventArgs e)
		{
			FormReporte reporte = new FormReporte();
			reporte.gsRutaListado = "..\\..\\CrystalReportLaboratorios.rpt";
			reporte.ShowDialog();
		}

		private void buttonFichaImprimir_Click(object sender, System.EventArgs e)
		{
			FormReporte reporte = new FormReporte();
			reporte.gsRutaListado = "..\\..\\CrystalReportLaboratorios.rpt";
			reporte.ShowDialog();
		}

		private void FormLaboratorios_Closing(object sender, System.ComponentModel.CancelEventArgs e)
		{
			cns.Cierre();
		}
	}
}
