using System;
using System.Diagnostics;
using System.Threading;

namespace ClassLibraryClinica
{
	/// <summary>
	/// Descripcin breve de Correo.
	/// </summary>
	public class Correo
	{
		private string remitente;
		private string destinatario;
		private string asunto;
		private string texto;
		private Process p;
		private Thread hilo;

		public Correo()
		{
			ThreadStart inicio = new ThreadStart(this.EnviarHilo);
			hilo = new Thread(inicio);
			
			gsRemitente = "Clnica DPAA";
			gsDestinatario = "";
			gsAsunto = "";
			gsTexto = "";
			p = new Process();
		}

		public string gsRemitente
		{
			get { return remitente; }
			set { remitente = value; }
		}

		public string gsDestinatario
		{
			get { return destinatario; }
			set { destinatario = value; }
		}

		public string gsAsunto
		{
			get { return asunto; }
			set { asunto = value; }
		}

		public string gsTexto
		{
			get { return texto; }
			set { texto = value; }
		}

		public bool IniciarServidor()
		{
			p.StartInfo.FileName = "miniRelay.exe";
			p.StartInfo.WorkingDirectory = "c:\\";
			return p.Start();
		}

		public void DetenerServidor() { p.Kill(); }
		
		private void EnviarHilo()
		{
			if (IniciarServidor())
			{
				System.Web.Mail.MailMessage mensaje = new System.Web.Mail.MailMessage();
				mensaje.From = gsRemitente;
				mensaje.To = gsDestinatario;
				mensaje.Subject = gsAsunto;
				mensaje.Body = gsTexto;

				System.Web.Mail.SmtpMail.SmtpServer = "localhost";
				System.Web.Mail.SmtpMail.Send(mensaje);

				Thread.Sleep(30000);

				DetenerServidor();
			}
		}

		public void Enviar() { hilo.Start(); }
	}
}

