using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using ClassLibraryClinica;

namespace Dpaa.Clinica.Web.Paginas
{
	public class MiCuenta : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.TextBox txtEmail;
		protected System.Web.UI.WebControls.TextBox txtNombre;
		protected System.Web.UI.WebControls.TextBox txtDireccion;
		protected System.Web.UI.WebControls.TextBox txtCiudad;
		protected System.Web.UI.WebControls.TextBox txtProvincia;
		protected System.Web.UI.WebControls.RequiredFieldValidator EmailRequerido;
		protected System.Web.UI.WebControls.RequiredFieldValidator NombreRequerido;
		protected System.Web.UI.WebControls.RegularExpressionValidator CodigoPostalExpReg;
		protected System.Web.UI.WebControls.TextBox txtCodigoPostal;
		protected System.Web.UI.WebControls.RegularExpressionValidator TelefonoExpReg;
		protected System.Web.UI.WebControls.TextBox txtTelefono;
		protected System.Web.UI.WebControls.Button btnActualizar;
		protected System.Web.UI.WebControls.RegularExpressionValidator MovilExpReg;
		protected System.Web.UI.WebControls.TextBox txtMovil;
		protected System.Web.UI.WebControls.RegularExpressionValidator FeNacExpReg;
		protected System.Web.UI.WebControls.TextBox txtFeNac;
		protected System.Web.UI.WebControls.RegularExpressionValidator RegularExpressionValidator1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			if (Session["email"]==null)
			{
				Response.Redirect("../login.aspx");
			}
			if(!Page.IsPostBack)
			{
				ClassLibraryClinica.Cliente cliente = new Cliente();
				cliente.CargarDB("where email='" + Session["email"] + "'");
				txtEmail.Text = cliente.gsEmail;
				txtNombre.Text = cliente.gsNombre;
				txtDireccion.Text = cliente.gsDireccion;
				txtCiudad.Text = cliente.gsPoblacion;
				txtCodigoPostal.Text = cliente.gsCp;
				txtProvincia.Text = cliente.gsProvincia;
				txtTelefono.Text = cliente.gsTelefono;
				txtMovil.Text = cliente.gsMovil;
				if(cliente.gsFechaNacimiento.Day<10)
				{
					txtFeNac.Text="0";					
				}
				txtFeNac.Text =txtFeNac.Text + cliente.gsFechaNacimiento.Day.ToString()+"/";

				if(cliente.gsFechaNacimiento.Month<10)
				{
					txtFeNac.Text=txtFeNac.Text+"0";					
				}
				txtFeNac.Text=txtFeNac.Text+cliente.gsFechaNacimiento.Month.ToString()+"/"+cliente.gsFechaNacimiento.Year.ToString();

				if(txtFeNac.Text=="01/01/1900")
				{
					txtFeNac.Text="";
				}
			}
		}

		#region Cdigo generado por el Diseador de Web Forms
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: llamada requerida por el Diseador de Web Forms ASP.NET.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Mtodo necesario para admitir el Diseador. No se puede modificar
		/// el contenido del mtodo con el editor de cdigo.
		/// </summary>
		private void InitializeComponent()
		{    
			this.btnActualizar.Click += new System.EventHandler(this.btnActualizar_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void btnActualizar_Click(object sender, System.EventArgs e)
		{
			
			ClassLibraryClinica.Cliente cliente = new Cliente();
			cliente.gsIdCliente = int.Parse(Session["idCliente"].ToString());
			cliente.gsEmail = txtEmail.Text;
			cliente.gsNombre = txtNombre.Text;
			cliente.gsDireccion = txtDireccion.Text;
			cliente.gsPoblacion = txtCiudad.Text;
			cliente.gsCp = txtCodigoPostal.Text;
			cliente.gsProvincia = txtProvincia.Text;
			cliente.gsTelefono = txtTelefono.Text;
			cliente.gsMovil = txtMovil.Text;
			if(txtFeNac.Text=="")
			{
				txtFeNac.Text="01/01/1900";
			}
			cliente.gsFechaNacimiento = DateTime.Parse(txtFeNac.Text);
			if(cliente.ModificarDB())
			{
				Session["email"]=this.txtEmail.Text;
				Response.Redirect("ok.aspx");
			}
			else
				Response.Redirect("../error.aspx");
		}
	}
}
