<%@ Register TagPrefix="CtUsuario" TagName="MenuPublico" Src="Controles/MenuPubl.ascx" %>
<%@ Register TagPrefix="CtUsuario" TagName="MenuPrivado" Src="Controles/MenuPriPub.ascx" %>
<%@ Register TagPrefix="CtUsuario" TagName="SitioCabecera" Src="Controles/SitioCabecera.ascx" %>
<%@ Register TagPrefix="CtUsuario" TagName="SitioPie" Src="Controles/SitioPie.ascx" %>
<%@ Page language="c#" Codebehind="visita.aspx.cs" AutoEventWireup="false" Inherits="Dpaa.Clinica.Web.Paginas.Visita" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>Clinica Dental DPAA</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="Estilos/Navegador.css" rel="stylesheet">
		<LINK href="Estilos/Clinica.css" rel="stylesheet">
	</HEAD>
	<body MS_POSITIONING="GridLayout">
		<form id="Principal" method="post" runat="server">
			<CTUSUARIO:SITIOCABECERA id="cabecera" runat="server"></CTUSUARIO:SITIOCABECERA>
			<table cellSpacing="4" cellPadding="2" width="1000" height="600" border="0">
				<tr>
					<td vAlign="top" align="right"><CTUSUARIO:MENUPUBLICO id="menuPub" runat="server"></CTUSUARIO:MENUPUBLICO>
					<CTUSUARIO:MENUPRIVADO id="menuPri" runat="server"></CTUSUARIO:MENUPRIVADO></td>
					<td vAlign="top" >
					
						<p>Nuestro compromiso es ofrecerle una odontologa de alta calidad a travs de una 
							relacin de confianza. Para ello debemos partir de una buena informacin previa 
							y no darle falsas expectativas.
						</p>
						<p>Una vez que usted llega a la consulta, se le pasar un breve cuestionario con 
							datos de filiacin y antecedentes para descartar posibles enfermedades o 
							alergias.
						</p>
						<p>En los gabinetes, los doctores le harn <IMG height="183" alt="Recepcin" hspace="12" src="Imagenes/visita.jpg" width="244" align="right"
								vspace="12" border="1" name="espera">un examen oral minucioso de los 
							dientes, encas y resto de partes blandas de la cavidad oral. Se tomar una 
							radiografa panormica y las periapicales necesarias para el diagnstico y la 
							planificacin del tratamiento.
						</p>
						<p>Esto nos aporta unos datos bsicos e imprescindibles para poder realizar un 
							presupuesto lo ms ajustado posible.
						</p>
						<p>En casos donde se detecte una enfermedad periodontal (piorrea), en 
							rehabilitaciones complejas con o sin implantes, en ortodoncias o en trabajos de 
							alta esttica, es obligatorio un estudio especfico previo para poder enfocar 
							el tratamiento con las mejores garantas de xito.
						</p>
						<p>En funcin de los datos obtenidos con los estudios de los casos anteriores se 
							emitir siempre un presupuesto (con diferentes alternativas si procede) que el 
							paciente o tutor deber firmar si es aceptado.
						</p>
						<p><IMG height="169" alt="Sala de espera" hspace="9" src="Imagenes/espera.jpg" width="247"
								align="left" vspace="9" border="0">Asimismo se firmar un consentimiento 
							informado ante determinados tratamientos.
						</p>
						<p>Si durante el tratamiento surge alguna incidencia que nos obligue a cambiar el 
							plan director en beneficio del resultado final se le informar oportunamente.
						</p>
						<p>Pretendemos acercarnos a la excelencia, y para ello tenemos controles de calidad 
							internos y externos:
						</p>
						<ul>
							<li>
							Los internos ataen a nuestro buen hacer profesional: control de 
							esterilizacin, uso del instrumental adecuado, materiales excelentes, tcnicas 
							contrastadas, en definitiva, lo que usted no puede evaluar.
							<li>
								Los externos, lo que usted puede analizar objetivamente: trato, tiempos de 
								espera, higiene, confort en el tratamiento, etc.
							</li>
						</ul>
						
					</td>
					<td width=1 height=100% bgcolor=#006699></td>
				</tr>
				
			</table>
			<CTUSUARIO:SITIOPIE id="pie" runat="server"></CTUSUARIO:SITIOPIE></form>
	</body>
</HTML>
