using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.Data.Odbc;
using ClassLibraryClinica;
using System.Web;

namespace WindowsApplicationClinica
{
	/// <summary>
	/// Descripcin breve de FormConsulta.
	/// </summary>
	public class FormCitas : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Button buttonEliminar;
		private System.Windows.Forms.Button buttonAgregar;
		private System.Windows.Forms.PictureBox pictureBoxBotonera;
		private System.Windows.Forms.Button buttonHistorial;
		private System.Windows.Forms.GroupBox groupBoxMedico;
		private System.Windows.Forms.ComboBox comboBoxMedico;
		private System.Windows.Forms.GroupBox groupBoxCita;
		private System.Windows.Forms.Button buttonRealizarConsulta;
		private System.Windows.Forms.DataGrid dataGridCita;
		private System.Windows.Forms.GroupBox groupBoxConsulta;
		private System.Windows.Forms.GroupBox groupBoxServicio;
		private System.Windows.Forms.TextBox textBoxServicioPrecio;
		private System.Windows.Forms.TextBox textBoxServicio;
		private System.Windows.Forms.Label labelServicioPrecio;
		private System.Windows.Forms.GroupBox groupBoxNuevoProducto;
		private System.Windows.Forms.Label labelProductoPrecio;
		private System.Windows.Forms.Label labelDecripcion;
		private System.Windows.Forms.ComboBox comboBoxProductos;
		private System.Windows.Forms.GroupBox groupBoxProductos;
		private System.Windows.Forms.DataGrid dataGridProductos;
		private System.Windows.Forms.PictureBox pictureBoxMedico;
		private System.Windows.Forms.GroupBox groupBoxTiempo;
		private System.Windows.Forms.Label labelHoraInicio;
		private System.Windows.Forms.Label labelTiempoDuracion;
		private System.Windows.Forms.Label labelInicio;
		private System.Windows.Forms.Label labelDuracion;
		private System.Windows.Forms.Button buttonFinalizar;
		private System.Windows.Forms.GroupBox groupBoxAgregarHistorial;
		private System.Windows.Forms.TextBox textBoxAgregarHistorial;
		private System.Windows.Forms.Button buttonConfirmar;
		private System.Windows.Forms.Label labelCliente;
		private System.ComponentModel.Container components = null;
		private System.Windows.Forms.Label labelCantidad;
		private System.Windows.Forms.NumericUpDown numericUpDownCantidad;
		private System.Windows.Forms.Button buttonPiezasDentales;
		/// <summary>
		/// Variable del diseador requerida.
		/// </summary>
		private Consulta cns;
		private int codigoCita;
		private int codigoCliente;

		public FormCitas()
		{
			//
			// Necesario para admitir el Diseador de Windows Forms
			//
			InitializeComponent();

			//
			// TODO: agregar cdigo de constructor despus de llamar a InitializeComponent
			//
		}

		/// <summary>
		/// Limpiar los recursos que se estn utilizando.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Cdigo generado por el Diseador de Windows Forms
		/// <summary>
		/// Mtodo necesario para admitir el Diseador. No se puede modificar
		/// el contenido del mtodo con el editor de cdigo.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(FormCitas));
			this.groupBoxMedico = new System.Windows.Forms.GroupBox();
			this.buttonConfirmar = new System.Windows.Forms.Button();
			this.comboBoxMedico = new System.Windows.Forms.ComboBox();
			this.groupBoxCita = new System.Windows.Forms.GroupBox();
			this.buttonRealizarConsulta = new System.Windows.Forms.Button();
			this.dataGridCita = new System.Windows.Forms.DataGrid();
			this.groupBoxConsulta = new System.Windows.Forms.GroupBox();
			this.groupBoxServicio = new System.Windows.Forms.GroupBox();
			this.textBoxServicioPrecio = new System.Windows.Forms.TextBox();
			this.textBoxServicio = new System.Windows.Forms.TextBox();
			this.labelServicioPrecio = new System.Windows.Forms.Label();
			this.groupBoxNuevoProducto = new System.Windows.Forms.GroupBox();
			this.numericUpDownCantidad = new System.Windows.Forms.NumericUpDown();
			this.labelCantidad = new System.Windows.Forms.Label();
			this.buttonAgregar = new System.Windows.Forms.Button();
			this.labelProductoPrecio = new System.Windows.Forms.Label();
			this.labelDecripcion = new System.Windows.Forms.Label();
			this.comboBoxProductos = new System.Windows.Forms.ComboBox();
			this.groupBoxProductos = new System.Windows.Forms.GroupBox();
			this.buttonEliminar = new System.Windows.Forms.Button();
			this.dataGridProductos = new System.Windows.Forms.DataGrid();
			this.pictureBoxMedico = new System.Windows.Forms.PictureBox();
			this.groupBoxTiempo = new System.Windows.Forms.GroupBox();
			this.labelCliente = new System.Windows.Forms.Label();
			this.labelHoraInicio = new System.Windows.Forms.Label();
			this.labelTiempoDuracion = new System.Windows.Forms.Label();
			this.labelInicio = new System.Windows.Forms.Label();
			this.labelDuracion = new System.Windows.Forms.Label();
			this.buttonFinalizar = new System.Windows.Forms.Button();
			this.groupBoxAgregarHistorial = new System.Windows.Forms.GroupBox();
			this.textBoxAgregarHistorial = new System.Windows.Forms.TextBox();
			this.pictureBoxBotonera = new System.Windows.Forms.PictureBox();
			this.buttonHistorial = new System.Windows.Forms.Button();
			this.buttonPiezasDentales = new System.Windows.Forms.Button();
			this.groupBoxMedico.SuspendLayout();
			this.groupBoxCita.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.dataGridCita)).BeginInit();
			this.groupBoxConsulta.SuspendLayout();
			this.groupBoxServicio.SuspendLayout();
			this.groupBoxNuevoProducto.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.numericUpDownCantidad)).BeginInit();
			this.groupBoxProductos.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.dataGridProductos)).BeginInit();
			this.groupBoxTiempo.SuspendLayout();
			this.groupBoxAgregarHistorial.SuspendLayout();
			this.SuspendLayout();
			// 
			// groupBoxMedico
			// 
			this.groupBoxMedico.Controls.Add(this.buttonConfirmar);
			this.groupBoxMedico.Controls.Add(this.comboBoxMedico);
			this.groupBoxMedico.Location = new System.Drawing.Point(8, 8);
			this.groupBoxMedico.Name = "groupBoxMedico";
			this.groupBoxMedico.Size = new System.Drawing.Size(392, 48);
			this.groupBoxMedico.TabIndex = 0;
			this.groupBoxMedico.TabStop = false;
			this.groupBoxMedico.Text = "Mdico";
			// 
			// buttonConfirmar
			// 
			this.buttonConfirmar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonConfirmar.ForeColor = System.Drawing.Color.Navy;
			this.buttonConfirmar.ImageAlign = System.Drawing.ContentAlignment.BottomLeft;
			this.buttonConfirmar.Location = new System.Drawing.Point(312, 13);
			this.buttonConfirmar.Name = "buttonConfirmar";
			this.buttonConfirmar.Size = new System.Drawing.Size(72, 24);
			this.buttonConfirmar.TabIndex = 4;
			this.buttonConfirmar.Text = "Confirmar";
			this.buttonConfirmar.Click += new System.EventHandler(this.buttonConfirmar_Click);
			// 
			// comboBoxMedico
			// 
			this.comboBoxMedico.Location = new System.Drawing.Point(8, 16);
			this.comboBoxMedico.Name = "comboBoxMedico";
			this.comboBoxMedico.Size = new System.Drawing.Size(296, 21);
			this.comboBoxMedico.TabIndex = 0;
			// 
			// groupBoxCita
			// 
			this.groupBoxCita.Controls.Add(this.buttonRealizarConsulta);
			this.groupBoxCita.Controls.Add(this.dataGridCita);
			this.groupBoxCita.Location = new System.Drawing.Point(8, 56);
			this.groupBoxCita.Name = "groupBoxCita";
			this.groupBoxCita.Size = new System.Drawing.Size(480, 152);
			this.groupBoxCita.TabIndex = 1;
			this.groupBoxCita.TabStop = false;
			this.groupBoxCita.Text = "Cita";
			// 
			// buttonRealizarConsulta
			// 
			this.buttonRealizarConsulta.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonRealizarConsulta.ForeColor = System.Drawing.Color.Navy;
			this.buttonRealizarConsulta.Image = ((System.Drawing.Image)(resources.GetObject("buttonRealizarConsulta.Image")));
			this.buttonRealizarConsulta.ImageAlign = System.Drawing.ContentAlignment.TopCenter;
			this.buttonRealizarConsulta.Location = new System.Drawing.Point(408, 56);
			this.buttonRealizarConsulta.Name = "buttonRealizarConsulta";
			this.buttonRealizarConsulta.Size = new System.Drawing.Size(64, 88);
			this.buttonRealizarConsulta.TabIndex = 1;
			this.buttonRealizarConsulta.Text = "Realizar consulta";
			this.buttonRealizarConsulta.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
			this.buttonRealizarConsulta.Click += new System.EventHandler(this.buttonRealizarConsulta_Click);
			// 
			// dataGridCita
			// 
			this.dataGridCita.DataMember = "";
			this.dataGridCita.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.dataGridCita.Location = new System.Drawing.Point(8, 16);
			this.dataGridCita.Name = "dataGridCita";
			this.dataGridCita.PreferredColumnWidth = 100;
			this.dataGridCita.ReadOnly = true;
			this.dataGridCita.Size = new System.Drawing.Size(392, 128);
			this.dataGridCita.TabIndex = 0;
			// 
			// groupBoxConsulta
			// 
			this.groupBoxConsulta.Controls.Add(this.groupBoxServicio);
			this.groupBoxConsulta.Controls.Add(this.groupBoxNuevoProducto);
			this.groupBoxConsulta.Controls.Add(this.groupBoxProductos);
			this.groupBoxConsulta.Location = new System.Drawing.Point(8, 208);
			this.groupBoxConsulta.Name = "groupBoxConsulta";
			this.groupBoxConsulta.Size = new System.Drawing.Size(856, 256);
			this.groupBoxConsulta.TabIndex = 2;
			this.groupBoxConsulta.TabStop = false;
			this.groupBoxConsulta.Text = "Consulta";
			// 
			// groupBoxServicio
			// 
			this.groupBoxServicio.Controls.Add(this.textBoxServicioPrecio);
			this.groupBoxServicio.Controls.Add(this.textBoxServicio);
			this.groupBoxServicio.Controls.Add(this.labelServicioPrecio);
			this.groupBoxServicio.Location = new System.Drawing.Point(8, 144);
			this.groupBoxServicio.Name = "groupBoxServicio";
			this.groupBoxServicio.Size = new System.Drawing.Size(368, 104);
			this.groupBoxServicio.TabIndex = 1;
			this.groupBoxServicio.TabStop = false;
			this.groupBoxServicio.Text = "Servicio realizado";
			// 
			// textBoxServicioPrecio
			// 
			this.textBoxServicioPrecio.Location = new System.Drawing.Point(256, 72);
			this.textBoxServicioPrecio.Name = "textBoxServicioPrecio";
			this.textBoxServicioPrecio.TabIndex = 2;
			this.textBoxServicioPrecio.Text = "";
			this.textBoxServicioPrecio.Validating += new System.ComponentModel.CancelEventHandler(this.textBoxServicioPrecio_Validating);
			this.textBoxServicioPrecio.Leave += new System.EventHandler(this.textBoxServicioPrecio_Leave);
			// 
			// textBoxServicio
			// 
			this.textBoxServicio.Location = new System.Drawing.Point(8, 16);
			this.textBoxServicio.Multiline = true;
			this.textBoxServicio.Name = "textBoxServicio";
			this.textBoxServicio.Size = new System.Drawing.Size(352, 48);
			this.textBoxServicio.TabIndex = 0;
			this.textBoxServicio.Text = "";
			// 
			// labelServicioPrecio
			// 
			this.labelServicioPrecio.ForeColor = System.Drawing.SystemColors.ControlText;
			this.labelServicioPrecio.Location = new System.Drawing.Point(208, 77);
			this.labelServicioPrecio.Name = "labelServicioPrecio";
			this.labelServicioPrecio.Size = new System.Drawing.Size(40, 16);
			this.labelServicioPrecio.TabIndex = 1;
			this.labelServicioPrecio.Text = "Precio";
			// 
			// groupBoxNuevoProducto
			// 
			this.groupBoxNuevoProducto.Controls.Add(this.numericUpDownCantidad);
			this.groupBoxNuevoProducto.Controls.Add(this.labelCantidad);
			this.groupBoxNuevoProducto.Controls.Add(this.buttonAgregar);
			this.groupBoxNuevoProducto.Controls.Add(this.labelProductoPrecio);
			this.groupBoxNuevoProducto.Controls.Add(this.labelDecripcion);
			this.groupBoxNuevoProducto.Controls.Add(this.comboBoxProductos);
			this.groupBoxNuevoProducto.Location = new System.Drawing.Point(8, 16);
			this.groupBoxNuevoProducto.Name = "groupBoxNuevoProducto";
			this.groupBoxNuevoProducto.Size = new System.Drawing.Size(368, 120);
			this.groupBoxNuevoProducto.TabIndex = 0;
			this.groupBoxNuevoProducto.TabStop = false;
			this.groupBoxNuevoProducto.Text = "Nuevo producto";
			// 
			// numericUpDownCantidad
			// 
			this.numericUpDownCantidad.Location = new System.Drawing.Point(64, 88);
			this.numericUpDownCantidad.Minimum = new System.Decimal(new int[] {
																				  1,
																				  0,
																				  0,
																				  0});
			this.numericUpDownCantidad.Name = "numericUpDownCantidad";
			this.numericUpDownCantidad.ReadOnly = true;
			this.numericUpDownCantidad.Size = new System.Drawing.Size(64, 21);
			this.numericUpDownCantidad.TabIndex = 6;
			this.numericUpDownCantidad.Value = new System.Decimal(new int[] {
																				1,
																				0,
																				0,
																				0});
			// 
			// labelCantidad
			// 
			this.labelCantidad.ForeColor = System.Drawing.SystemColors.ControlText;
			this.labelCantidad.Location = new System.Drawing.Point(8, 93);
			this.labelCantidad.Name = "labelCantidad";
			this.labelCantidad.Size = new System.Drawing.Size(56, 16);
			this.labelCantidad.TabIndex = 4;
			this.labelCantidad.Text = "Cantidad";
			// 
			// buttonAgregar
			// 
			this.buttonAgregar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonAgregar.ForeColor = System.Drawing.Color.Navy;
			this.buttonAgregar.Image = ((System.Drawing.Image)(resources.GetObject("buttonAgregar.Image")));
			this.buttonAgregar.ImageAlign = System.Drawing.ContentAlignment.BottomLeft;
			this.buttonAgregar.Location = new System.Drawing.Point(264, 72);
			this.buttonAgregar.Name = "buttonAgregar";
			this.buttonAgregar.Size = new System.Drawing.Size(96, 40);
			this.buttonAgregar.TabIndex = 3;
			this.buttonAgregar.Text = "Agregar";
			this.buttonAgregar.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonAgregar.Click += new System.EventHandler(this.buttonAgregar_Click);
			// 
			// labelProductoPrecio
			// 
			this.labelProductoPrecio.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelProductoPrecio.ForeColor = System.Drawing.Color.Navy;
			this.labelProductoPrecio.Location = new System.Drawing.Point(144, 93);
			this.labelProductoPrecio.Name = "labelProductoPrecio";
			this.labelProductoPrecio.Size = new System.Drawing.Size(96, 16);
			this.labelProductoPrecio.TabIndex = 2;
			this.labelProductoPrecio.Text = "Precio";
			// 
			// labelDecripcion
			// 
			this.labelDecripcion.ForeColor = System.Drawing.Color.Navy;
			this.labelDecripcion.Location = new System.Drawing.Point(8, 48);
			this.labelDecripcion.Name = "labelDecripcion";
			this.labelDecripcion.Size = new System.Drawing.Size(248, 40);
			this.labelDecripcion.TabIndex = 1;
			this.labelDecripcion.Text = "Descripcin";
			// 
			// comboBoxProductos
			// 
			this.comboBoxProductos.Location = new System.Drawing.Point(8, 16);
			this.comboBoxProductos.Name = "comboBoxProductos";
			this.comboBoxProductos.Size = new System.Drawing.Size(352, 21);
			this.comboBoxProductos.TabIndex = 0;
			this.comboBoxProductos.SelectedIndexChanged += new System.EventHandler(this.comboBoxProductos_SelectedIndexChanged);
			// 
			// groupBoxProductos
			// 
			this.groupBoxProductos.Controls.Add(this.buttonEliminar);
			this.groupBoxProductos.Controls.Add(this.dataGridProductos);
			this.groupBoxProductos.Location = new System.Drawing.Point(384, 8);
			this.groupBoxProductos.Name = "groupBoxProductos";
			this.groupBoxProductos.Size = new System.Drawing.Size(464, 240);
			this.groupBoxProductos.TabIndex = 2;
			this.groupBoxProductos.TabStop = false;
			this.groupBoxProductos.Text = "Productos y servicios";
			// 
			// buttonEliminar
			// 
			this.buttonEliminar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonEliminar.ForeColor = System.Drawing.Color.Navy;
			this.buttonEliminar.Image = ((System.Drawing.Image)(resources.GetObject("buttonEliminar.Image")));
			this.buttonEliminar.ImageAlign = System.Drawing.ContentAlignment.BottomLeft;
			this.buttonEliminar.Location = new System.Drawing.Point(360, 192);
			this.buttonEliminar.Name = "buttonEliminar";
			this.buttonEliminar.Size = new System.Drawing.Size(96, 40);
			this.buttonEliminar.TabIndex = 1;
			this.buttonEliminar.Text = "Eliminar";
			this.buttonEliminar.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonEliminar.Click += new System.EventHandler(this.buttonEliminar_Click);
			// 
			// dataGridProductos
			// 
			this.dataGridProductos.DataMember = "";
			this.dataGridProductos.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.dataGridProductos.Location = new System.Drawing.Point(8, 16);
			this.dataGridProductos.Name = "dataGridProductos";
			this.dataGridProductos.PreferredColumnWidth = 120;
			this.dataGridProductos.ReadOnly = true;
			this.dataGridProductos.Size = new System.Drawing.Size(448, 168);
			this.dataGridProductos.TabIndex = 0;
			// 
			// pictureBoxMedico
			// 
			this.pictureBoxMedico.Image = ((System.Drawing.Image)(resources.GetObject("pictureBoxMedico.Image")));
			this.pictureBoxMedico.Location = new System.Drawing.Point(424, 8);
			this.pictureBoxMedico.Name = "pictureBoxMedico";
			this.pictureBoxMedico.Size = new System.Drawing.Size(48, 48);
			this.pictureBoxMedico.TabIndex = 3;
			this.pictureBoxMedico.TabStop = false;
			// 
			// groupBoxTiempo
			// 
			this.groupBoxTiempo.Controls.Add(this.labelCliente);
			this.groupBoxTiempo.Controls.Add(this.labelHoraInicio);
			this.groupBoxTiempo.Controls.Add(this.labelTiempoDuracion);
			this.groupBoxTiempo.Controls.Add(this.labelInicio);
			this.groupBoxTiempo.Controls.Add(this.labelDuracion);
			this.groupBoxTiempo.Location = new System.Drawing.Point(496, 8);
			this.groupBoxTiempo.Name = "groupBoxTiempo";
			this.groupBoxTiempo.Size = new System.Drawing.Size(296, 96);
			this.groupBoxTiempo.TabIndex = 3;
			this.groupBoxTiempo.TabStop = false;
			// 
			// labelCliente
			// 
			this.labelCliente.Font = new System.Drawing.Font("Tahoma", 10F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelCliente.ForeColor = System.Drawing.Color.Navy;
			this.labelCliente.Location = new System.Drawing.Point(8, 72);
			this.labelCliente.Name = "labelCliente";
			this.labelCliente.Size = new System.Drawing.Size(280, 16);
			this.labelCliente.TabIndex = 4;
			this.labelCliente.Text = "Cliente";
			this.labelCliente.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// labelHoraInicio
			// 
			this.labelHoraInicio.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelHoraInicio.ForeColor = System.Drawing.Color.Navy;
			this.labelHoraInicio.Location = new System.Drawing.Point(184, 32);
			this.labelHoraInicio.Name = "labelHoraInicio";
			this.labelHoraInicio.Size = new System.Drawing.Size(96, 24);
			this.labelHoraInicio.TabIndex = 3;
			this.labelHoraInicio.Text = "99:99";
			this.labelHoraInicio.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// labelTiempoDuracion
			// 
			this.labelTiempoDuracion.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelTiempoDuracion.ForeColor = System.Drawing.Color.Navy;
			this.labelTiempoDuracion.Location = new System.Drawing.Point(16, 32);
			this.labelTiempoDuracion.Name = "labelTiempoDuracion";
			this.labelTiempoDuracion.Size = new System.Drawing.Size(120, 24);
			this.labelTiempoDuracion.TabIndex = 1;
			this.labelTiempoDuracion.Text = "240 minutos";
			this.labelTiempoDuracion.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// labelInicio
			// 
			this.labelInicio.Location = new System.Drawing.Point(184, 16);
			this.labelInicio.Name = "labelInicio";
			this.labelInicio.Size = new System.Drawing.Size(96, 16);
			this.labelInicio.TabIndex = 2;
			this.labelInicio.Text = "Hora de inicio";
			this.labelInicio.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// labelDuracion
			// 
			this.labelDuracion.Location = new System.Drawing.Point(16, 16);
			this.labelDuracion.Name = "labelDuracion";
			this.labelDuracion.Size = new System.Drawing.Size(120, 16);
			this.labelDuracion.TabIndex = 0;
			this.labelDuracion.Text = "Duracin estimada";
			this.labelDuracion.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// buttonFinalizar
			// 
			this.buttonFinalizar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonFinalizar.ForeColor = System.Drawing.Color.Navy;
			this.buttonFinalizar.Image = ((System.Drawing.Image)(resources.GetObject("buttonFinalizar.Image")));
			this.buttonFinalizar.ImageAlign = System.Drawing.ContentAlignment.BottomLeft;
			this.buttonFinalizar.Location = new System.Drawing.Point(704, 480);
			this.buttonFinalizar.Name = "buttonFinalizar";
			this.buttonFinalizar.Size = new System.Drawing.Size(152, 40);
			this.buttonFinalizar.TabIndex = 6;
			this.buttonFinalizar.Text = "Finalizar consulta";
			this.buttonFinalizar.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonFinalizar.Click += new System.EventHandler(this.buttonFinalizar_Click);
			// 
			// groupBoxAgregarHistorial
			// 
			this.groupBoxAgregarHistorial.Controls.Add(this.textBoxAgregarHistorial);
			this.groupBoxAgregarHistorial.Location = new System.Drawing.Point(496, 104);
			this.groupBoxAgregarHistorial.Name = "groupBoxAgregarHistorial";
			this.groupBoxAgregarHistorial.Size = new System.Drawing.Size(296, 104);
			this.groupBoxAgregarHistorial.TabIndex = 5;
			this.groupBoxAgregarHistorial.TabStop = false;
			this.groupBoxAgregarHistorial.Text = "Agregar al historial";
			// 
			// textBoxAgregarHistorial
			// 
			this.textBoxAgregarHistorial.Location = new System.Drawing.Point(8, 16);
			this.textBoxAgregarHistorial.Multiline = true;
			this.textBoxAgregarHistorial.Name = "textBoxAgregarHistorial";
			this.textBoxAgregarHistorial.Size = new System.Drawing.Size(280, 80);
			this.textBoxAgregarHistorial.TabIndex = 0;
			this.textBoxAgregarHistorial.Text = "";
			// 
			// pictureBoxBotonera
			// 
			this.pictureBoxBotonera.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.pictureBoxBotonera.Image = ((System.Drawing.Image)(resources.GetObject("pictureBoxBotonera.Image")));
			this.pictureBoxBotonera.Location = new System.Drawing.Point(8, 472);
			this.pictureBoxBotonera.Name = "pictureBoxBotonera";
			this.pictureBoxBotonera.Size = new System.Drawing.Size(856, 56);
			this.pictureBoxBotonera.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
			this.pictureBoxBotonera.TabIndex = 39;
			this.pictureBoxBotonera.TabStop = false;
			// 
			// buttonHistorial
			// 
			this.buttonHistorial.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonHistorial.ForeColor = System.Drawing.Color.Navy;
			this.buttonHistorial.Image = ((System.Drawing.Image)(resources.GetObject("buttonHistorial.Image")));
			this.buttonHistorial.ImageAlign = System.Drawing.ContentAlignment.TopCenter;
			this.buttonHistorial.Location = new System.Drawing.Point(800, 120);
			this.buttonHistorial.Name = "buttonHistorial";
			this.buttonHistorial.Size = new System.Drawing.Size(64, 88);
			this.buttonHistorial.TabIndex = 4;
			this.buttonHistorial.Text = "Ver historial";
			this.buttonHistorial.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
			this.buttonHistorial.Click += new System.EventHandler(this.buttonHistorial_Click);
			// 
			// buttonPiezasDentales
			// 
			this.buttonPiezasDentales.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonPiezasDentales.ForeColor = System.Drawing.Color.Navy;
			this.buttonPiezasDentales.Image = ((System.Drawing.Image)(resources.GetObject("buttonPiezasDentales.Image")));
			this.buttonPiezasDentales.ImageAlign = System.Drawing.ContentAlignment.TopCenter;
			this.buttonPiezasDentales.Location = new System.Drawing.Point(800, 8);
			this.buttonPiezasDentales.Name = "buttonPiezasDentales";
			this.buttonPiezasDentales.Size = new System.Drawing.Size(64, 88);
			this.buttonPiezasDentales.TabIndex = 40;
			this.buttonPiezasDentales.Text = "Piezas dentales";
			this.buttonPiezasDentales.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
			this.buttonPiezasDentales.Click += new System.EventHandler(this.button1_Click);
			// 
			// FormCitas
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 14);
			this.ClientSize = new System.Drawing.Size(874, 536);
			this.Controls.Add(this.buttonPiezasDentales);
			this.Controls.Add(this.buttonHistorial);
			this.Controls.Add(this.buttonFinalizar);
			this.Controls.Add(this.pictureBoxBotonera);
			this.Controls.Add(this.groupBoxAgregarHistorial);
			this.Controls.Add(this.groupBoxTiempo);
			this.Controls.Add(this.pictureBoxMedico);
			this.Controls.Add(this.groupBoxConsulta);
			this.Controls.Add(this.groupBoxCita);
			this.Controls.Add(this.groupBoxMedico);
			this.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "FormCitas";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "Cita";
			this.Load += new System.EventHandler(this.FormCitas_Load);
			this.Closed += new System.EventHandler(this.FormCitas_Closed);
			this.groupBoxMedico.ResumeLayout(false);
			this.groupBoxCita.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.dataGridCita)).EndInit();
			this.groupBoxConsulta.ResumeLayout(false);
			this.groupBoxServicio.ResumeLayout(false);
			this.groupBoxNuevoProducto.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.numericUpDownCantidad)).EndInit();
			this.groupBoxProductos.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.dataGridProductos)).EndInit();
			this.groupBoxTiempo.ResumeLayout(false);
			this.groupBoxAgregarHistorial.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		private void FormCitas_Load(object sender, System.EventArgs e)
		{
			comboBoxMedico.Items.Clear();
			string comando ;
			comando  = "SELECT empleado FROM empleados WHERE numerocolegiado IS NOT NULL ";

			cns = new Consulta();	//Creo la consulta
			
			OdbcDataReader dr = cns.ExecR(comando);
			if (cns.gsConsulta >= 0)
			{
				while(dr.Read())
					comboBoxMedico.Items.Add(dr["empleado"].ToString());
					
				comboBoxMedico.SelectedIndex = 0;
			}
			else
				MessageBox.Show("Error al cargar los medicos", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
				
			dr.Close();

			groupBoxConsulta.Enabled = false;
			groupBoxAgregarHistorial.Enabled = false;
			groupBoxTiempo.Enabled = false;
			buttonAgregar.Enabled = false;
			buttonFinalizar.Enabled = false;
			buttonHistorial.Enabled = false;
			buttonRealizarConsulta.Enabled = false;
			buttonPiezasDentales.Enabled = false;
			labelDecripcion.Text = "";
			labelProductoPrecio.Text = "";
		}

		private void buttonHistorial_Click(object sender, System.EventArgs e)
		{
			FormHistorial historial = new FormHistorial();
			historial.gsCodigoCliente = codigoCliente;
			historial.ShowDialog();
		}

		private void buttonConfirmar_Click(object sender, System.EventArgs e)
		{
			string comando ;
			comando  = "SELECT hora as \"Hora\", ";	//Creo la consulta
			comando	+= "cliente as \"Cliente\", ";
			comando	+= "descripcion as \"Descripcion\" ";
			comando	+= "FROM citas INNER JOIN empleados USING (idempleado) ";
			comando += "INNER JOIN clientes USING (idcliente) ";
			comando += "WHERE empleado = '" + comboBoxMedico.Text.ToString() + "' ";
			comando += "AND realizada = false";
			
			DataSet ds = cns.ExecDS(comando);
			if (cns.gsConsulta >= 0)
			{
				dataGridCita.DataSource = ds;	//Carga el datagrid de clientes
				dataGridCita.DataMember = "consulta";
				
				if(dataGridCita.CurrentRowIndex >= 0)
				{
					comando  = "SELECT idcita " ;
					comando	+= "FROM citas INNER JOIN empleados USING (idempleado) ";
					comando += "INNER JOIN clientes USING (idcliente) ";
					comando += "WHERE hora = '" + dataGridCita[dataGridCita.CurrentRowIndex, 0].ToString() + "' ";
					comando += "AND cliente = '" + dataGridCita[dataGridCita.CurrentRowIndex, 1].ToString() + "' ";
				
					//comando += "WHERE cliente = '" + dataGridCita[dataGridCita.CurrentRowIndex, 1].ToString() + "' ";
				
					comando += "AND realizada = 'f' ";
					comando += "AND descripcion = '" + dataGridCita[dataGridCita.CurrentRowIndex, 2].ToString() + "' ";
					comando += "AND empleado = '" + comboBoxMedico.Text.ToString() + "'";


				
					OdbcDataReader dr = cns.ExecR(comando);
					if (cns.gsConsulta >= 0)
					{
						if(dr.Read())
							codigoCita = int.Parse(dr["idcita"].ToString());
					
						buttonRealizarConsulta.Enabled = true;
					}
					else
						MessageBox.Show("Error al cargar la cita", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
				
					dr.Close();
				}
				else
						MessageBox.Show("Error al cargar la cita", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}	
			else
			{
				MessageBox.Show("Error al cargar las citas", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
		}

		private void buttonRealizarConsulta_Click(object sender, System.EventArgs e)
		{
			Cliente cliente = new Cliente();
			cliente.CargarNombreDB(dataGridCita[dataGridCita.CurrentRowIndex, 1].ToString());
			Citas cita = new Citas();
			cita.cargarDB(codigoCita);

			codigoCliente = cliente.gsIdCliente;
			labelCliente.Text = cliente.gsNombre;
			labelTiempoDuracion.Text = cita.gsDuracionEstimada.ToString() + "minutos";
			labelHoraInicio.Text = DateTime.Now.ToShortTimeString();

			cargarProductos();

			groupBoxConsulta.Enabled = true;
			groupBoxAgregarHistorial.Enabled = true;
			groupBoxTiempo.Enabled = true;
			buttonAgregar.Enabled = true;
			buttonFinalizar.Enabled = true;
			buttonHistorial.Enabled = true;
			groupBoxMedico.Enabled = false;
			groupBoxCita.Enabled = false;
			dataGridCita.Enabled = false;
			numericUpDownCantidad.Enabled = true;
			buttonPiezasDentales.Enabled = true;
		}

		private void comboBoxProductos_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			Producto producto = new Producto();
			producto.CargarNombreDB(comboBoxProductos.Text.ToString());
			labelDecripcion.Text = producto.gsDescripcion;
			labelProductoPrecio.Text = producto.gsPrecio + "";
		}

		public void cargarProductos()
		{
			comboBoxProductos.Items.Clear();
			string comando ;
			comando  = "SELECT producto FROM productos WHERE cantidad > 0 ";
			
			OdbcDataReader dr = cns.ExecR(comando);
			if (cns.gsConsulta >= 0)
			{
				while(dr.Read())
				comboBoxProductos.Items.Add(dr["producto"].ToString());
					
				comboBoxProductos.SelectedIndex = 0;
				Producto producto = new Producto();

				producto.CargarNombreDB(comboBoxProductos.Text.ToString());
				labelDecripcion.Text = producto.gsDescripcion;
				labelProductoPrecio.Text = producto.gsPrecio + "";
			}
			else
				MessageBox.Show("Error al cargar los productos", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
				
			dr.Close();
		}

		private void buttonAgregar_Click(object sender, System.EventArgs e)
		{
			if (comboBoxProductos.Text.Equals(""))
			{
				MessageBox.Show("No hay productos a seleccionar", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
			else
			{
				DetalleCita detalleCita = new DetalleCita();
				Producto producto = new Producto();
				producto.CargarNombreDB(comboBoxProductos.Text.ToString());
			
				detalleCita.gsIdCita = codigoCita;
				detalleCita.gsIdProducto = producto.gsIdProducto;
				detalleCita.gsCantidad = int.Parse(numericUpDownCantidad.Value.ToString());
				detalleCita.gsPrecio = producto.gsPrecio;
				if(detalleCita.AgregarDB() < 0)
					MessageBox.Show("Error al cargar los detalles de cita", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);

				string comando ;
				comando  = "SELECT iddetallecita as \"Detalle\", ";	//Creo la consulta
				comando += "producto as \"Producto\", ";
				comando	+= "d.cantidad as \"Cantidad\", ";
				comando	+= "p.precio as \"Precio\" ";
				comando	+= "FROM detallescita d INNER JOIN productos p USING (idproducto) ";
				comando += "WHERE idcita = '" + codigoCita.ToString() + "' ";
				comando += "ORDER BY iddetallecita";
			
				DataSet ds = cns.ExecDS(comando);
				if (cns.gsConsulta >= 0)
				{
					dataGridProductos.DataSource = ds;	//Carga el datagrid de clientes
					dataGridProductos.DataMember = "consulta";
				}
				else
				{
					MessageBox.Show("Error al cargar los detalles de cita", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
				}
				numericUpDownCantidad.Value = 1;
				comboBoxProductos.SelectedIndex = 0;
				labelDecripcion.Text = "";
				labelProductoPrecio.Text = "";
			}
		}

		private void buttonFinalizar_Click(object sender, System.EventArgs e)
		{
			
			if(textBoxServicio.Text == "")
			{
				MessageBox.Show("Por favor, introduzca el servicio realizado", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
			else
			{
				if(float.Parse(textBoxServicioPrecio.Text) <= 0)
				{
					MessageBox.Show("Por favor, introduzca el precio del servicio", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
				}
				else
				{
					//Actualizo el historial
					Historial historial = new Historial();
					historial.CargarClienteDB(codigoCliente);
					historial.gsHistoriaDental = historial.gsHistoriaDental + "\n\n" + comboBoxMedico.Text + " " + DateTime.Now.ToShortDateString() + "\n" +textBoxAgregarHistorial.Text;
					if(!historial.ModificarDB())
						MessageBox.Show("Error al actualizar el historial", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			
					//Agrego el servicio a los productos
					Citas cita = new Citas();
					cita.cargarDB(codigoCita);
					cita.gsDescripcion = cita.gsDescripcion + " " + textBoxServicio.Text;
					cita.gsRealizada = true;
					if(!cita.ModificarDB())
						MessageBox.Show("Error al actualizar la cita", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);

					DetalleCita detalleCita = new DetalleCita();
					detalleCita.gsIdCita = codigoCita;
					detalleCita.gsIdProducto = 1;	//Producto = servicio
					detalleCita.gsCantidad = 1;
					detalleCita.gsPrecio = float.Parse(textBoxServicioPrecio.Text) ;
					if(detalleCita.AgregarDB() < 0)
						MessageBox.Show("Error al cargar el servicio", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);

					FacturaCliente factura = new FacturaCliente();
					factura.gsIdCita = codigoCita;
					factura.gsDescuento = 0;
					factura.gsEmitida = false;
					factura.gsPagada = false;
					if(factura.AgregarDB() <= 0)
						MessageBox.Show("Error al crear factura", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
					Close();
				}
			}
			cns.Cierre();
		}

		private void FormCitas_Closed(object sender, System.EventArgs e)
		{
			cns.Cierre();
		}

		private void buttonEliminar_Click(object sender, System.EventArgs e)
		{
			//Comprobamos si hay elementos
			if(dataGridProductos.CurrentRowIndex >= 0)
			{
				if(MessageBox.Show("Quieres borrar el registro?","Eliminar", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
				{
					DetalleCita detalleCita = new DetalleCita();
					int idDetalleCita = int.Parse(dataGridProductos[dataGridProductos.CurrentRowIndex, 0].ToString());
					if (!detalleCita.EliminarDB(idDetalleCita))
						MessageBox.Show("Error al eliminar el producto");
				
					//Vuelvo a cargar el grid
					string comando ;
					comando  = "SELECT iddetallecita as \"Detalle\", ";	//Creo la consulta
					comando += "producto as \"Producto\", ";
					comando	+= "d.cantidad as \"Cantidad\", ";
					comando	+= "p.precio as \"Precio\" ";
					comando	+= "FROM detallescita d INNER JOIN productos p USING (idproducto) ";
					comando += "WHERE idcita = '" + codigoCita.ToString() + "' ";
					comando += "ORDER BY iddetallecita";
			
					DataSet ds = cns.ExecDS(comando);
					if (cns.gsConsulta >= 0)
					{
						dataGridProductos.DataSource = ds;	//Carga el datagrid de clientes
						dataGridProductos.DataMember = "consulta";
					}
					else
					{
						MessageBox.Show("Error al cargar los detalles de cita", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
					}
				}
			}
			else
				MessageBox.Show("Error al elminar el producto, producto inexistente", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
		}

		private void textBoxServicioPrecio_Leave(object sender, System.EventArgs e)
		{
			textBoxServicioPrecio.Text = textBoxServicioPrecio.Text.Replace(".",",");
		}

		private void textBoxServicioPrecio_Validating(object sender, System.ComponentModel.CancelEventArgs e)
		{
			ExpresionesRegulares expresion = new ExpresionesRegulares();
			if(expresion.ERNumeroDecimal(textBoxServicioPrecio.Text) == false)	//Si el valor no es correcto
			{
				textBoxServicioPrecio.Clear();
				MessageBox.Show("Por favor, inserta de nuevo el campo", "Expresin no vlida", MessageBoxButtons.OK, MessageBoxIcon.Stop);
				textBoxServicioPrecio.Focus();
			}
		}

		private void button1_Click(object sender, System.EventArgs e)
		{
			FormDentadura formDentadura = new FormDentadura();
			formDentadura.gsCodigoCliente = codigoCliente;
			formDentadura.ShowDialog();
		}
	}
}
