using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data.Odbc;

namespace WindowsApplicationClinica
{
	/// <summary>
	/// Descripcin breve de FormLibroCitas.
	/// </summary>
	public class FormLibroCitas : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Label labelFecha;
		private System.Windows.Forms.Label labelHora;
		private System.Windows.Forms.MonthCalendar monthCalendar;
		private System.Windows.Forms.GroupBox groupBoxVista;
		private System.Windows.Forms.DataGrid dataGridVista;
		private System.Windows.Forms.GroupBox groupBoxNuevaCita;
		private System.Windows.Forms.Label labelNuevaHora;
		private System.Windows.Forms.Label labelNuevaDescripcion;
		private System.Windows.Forms.Label labelNuevaCliente;
		private System.Windows.Forms.Label labelNuevaDuracion;
		private System.Windows.Forms.NumericUpDown numericUpDownNuevaDuracion;
		private System.Windows.Forms.Label labelNuevaMinutos;
		private System.Windows.Forms.PictureBox pictureBox;
		private System.Windows.Forms.Label labelHoyEs;
		private System.Windows.Forms.Button buttonAceptar;
		private System.Windows.Forms.Button buttonCancelar;
		private System.Windows.Forms.Button buttonModificar;
		private System.Windows.Forms.Button buttonCerrar;
		private System.Windows.Forms.PictureBox pictureBoxBotonera;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.GroupBox groupBox1;
		private System.Windows.Forms.ComboBox comboBoxCitaMedico;
		private System.Windows.Forms.ComboBox comboBoxVistaMedico;
		private System.Windows.Forms.ComboBox comboBoxCitaCliente;
		/// <summary>
		/// Variable del diseador requerida.
		ClassLibraryClinica.Consulta consulta;
		private System.Windows.Forms.TextBox textBoxCitaDescripcion;
		private System.Windows.Forms.TextBox textBoxCitaHora;
		private System.Windows.Forms.Timer timer1;
		private System.ComponentModel.IContainer components;

		public FormLibroCitas()
		{
			//
			// Necesario para admitir el Diseador de Windows Forms
			//
			InitializeComponent();
			consulta = new ClassLibraryClinica.Consulta();
			//
			// TODO: agregar cdigo de constructor despus de llamar a InitializeComponent
			//
		}

		/// <summary>
		/// Limpiar los recursos que se estn utilizando.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Cdigo generado por el Diseador de Windows Forms
		/// <summary>
		/// Mtodo necesario para admitir el Diseador. No se puede modificar
		/// el contenido del mtodo con el editor de cdigo.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(FormLibroCitas));
			this.monthCalendar = new System.Windows.Forms.MonthCalendar();
			this.labelFecha = new System.Windows.Forms.Label();
			this.labelHora = new System.Windows.Forms.Label();
			this.groupBoxVista = new System.Windows.Forms.GroupBox();
			this.comboBoxVistaMedico = new System.Windows.Forms.ComboBox();
			this.label2 = new System.Windows.Forms.Label();
			this.buttonModificar = new System.Windows.Forms.Button();
			this.dataGridVista = new System.Windows.Forms.DataGrid();
			this.groupBoxNuevaCita = new System.Windows.Forms.GroupBox();
			this.textBoxCitaHora = new System.Windows.Forms.TextBox();
			this.comboBoxCitaMedico = new System.Windows.Forms.ComboBox();
			this.label1 = new System.Windows.Forms.Label();
			this.buttonAceptar = new System.Windows.Forms.Button();
			this.buttonCancelar = new System.Windows.Forms.Button();
			this.labelNuevaMinutos = new System.Windows.Forms.Label();
			this.numericUpDownNuevaDuracion = new System.Windows.Forms.NumericUpDown();
			this.labelNuevaDuracion = new System.Windows.Forms.Label();
			this.comboBoxCitaCliente = new System.Windows.Forms.ComboBox();
			this.labelNuevaCliente = new System.Windows.Forms.Label();
			this.labelNuevaDescripcion = new System.Windows.Forms.Label();
			this.textBoxCitaDescripcion = new System.Windows.Forms.TextBox();
			this.labelNuevaHora = new System.Windows.Forms.Label();
			this.pictureBox = new System.Windows.Forms.PictureBox();
			this.labelHoyEs = new System.Windows.Forms.Label();
			this.buttonCerrar = new System.Windows.Forms.Button();
			this.pictureBoxBotonera = new System.Windows.Forms.PictureBox();
			this.groupBox1 = new System.Windows.Forms.GroupBox();
			this.timer1 = new System.Windows.Forms.Timer(this.components);
			this.groupBoxVista.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.dataGridVista)).BeginInit();
			this.groupBoxNuevaCita.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.numericUpDownNuevaDuracion)).BeginInit();
			this.SuspendLayout();
			// 
			// monthCalendar
			// 
			this.monthCalendar.Location = new System.Drawing.Point(8, 72);
			this.monthCalendar.Name = "monthCalendar";
			this.monthCalendar.TabIndex = 0;
			this.monthCalendar.TodayDate = new System.DateTime(2006, 5, 31, 0, 0, 0, 0);
			this.monthCalendar.DateChanged += new System.Windows.Forms.DateRangeEventHandler(this.monthCalendar_DateChanged);
			// 
			// labelFecha
			// 
			this.labelFecha.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFecha.ForeColor = System.Drawing.Color.Navy;
			this.labelFecha.Location = new System.Drawing.Point(352, 16);
			this.labelFecha.Name = "labelFecha";
			this.labelFecha.Size = new System.Drawing.Size(312, 16);
			this.labelFecha.TabIndex = 1;
			this.labelFecha.Text = "Fecha";
			this.labelFecha.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.labelFecha.Click += new System.EventHandler(this.label7_Click);
			// 
			// labelHora
			// 
			this.labelHora.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelHora.ForeColor = System.Drawing.Color.Navy;
			this.labelHora.Location = new System.Drawing.Point(352, 40);
			this.labelHora.Name = "labelHora";
			this.labelHora.Size = new System.Drawing.Size(312, 16);
			this.labelHora.TabIndex = 2;
			this.labelHora.Text = "Hora";
			this.labelHora.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.labelHora.Click += new System.EventHandler(this.label7_Click_1);
			// 
			// groupBoxVista
			// 
			this.groupBoxVista.Controls.Add(this.comboBoxVistaMedico);
			this.groupBoxVista.Controls.Add(this.label2);
			this.groupBoxVista.Controls.Add(this.buttonModificar);
			this.groupBoxVista.Controls.Add(this.dataGridVista);
			this.groupBoxVista.Location = new System.Drawing.Point(8, 232);
			this.groupBoxVista.Name = "groupBoxVista";
			this.groupBoxVista.Size = new System.Drawing.Size(656, 240);
			this.groupBoxVista.TabIndex = 2;
			this.groupBoxVista.TabStop = false;
			this.groupBoxVista.Text = "Vista";
			// 
			// comboBoxVistaMedico
			// 
			this.comboBoxVistaMedico.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboBoxVistaMedico.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.comboBoxVistaMedico.ItemHeight = 13;
			this.comboBoxVistaMedico.Location = new System.Drawing.Point(56, 200);
			this.comboBoxVistaMedico.Name = "comboBoxVistaMedico";
			this.comboBoxVistaMedico.Size = new System.Drawing.Size(320, 21);
			this.comboBoxVistaMedico.TabIndex = 1;
			this.comboBoxVistaMedico.SelectedIndexChanged += new System.EventHandler(this.comboBoxVistaMedico_SelectedIndexChanged);
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(8, 205);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(48, 16);
			this.label2.TabIndex = 1;
			this.label2.Text = "Mdico";
			// 
			// buttonModificar
			// 
			this.buttonModificar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonModificar.ForeColor = System.Drawing.Color.Navy;
			this.buttonModificar.Image = ((System.Drawing.Image)(resources.GetObject("buttonModificar.Image")));
			this.buttonModificar.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.buttonModificar.Location = new System.Drawing.Point(552, 192);
			this.buttonModificar.Name = "buttonModificar";
			this.buttonModificar.Size = new System.Drawing.Size(96, 40);
			this.buttonModificar.TabIndex = 2;
			this.buttonModificar.Text = "Eliminar";
			this.buttonModificar.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonModificar.Click += new System.EventHandler(this.buttonModificar_Click);
			// 
			// dataGridVista
			// 
			this.dataGridVista.DataMember = "";
			this.dataGridVista.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.dataGridVista.Location = new System.Drawing.Point(8, 16);
			this.dataGridVista.Name = "dataGridVista";
			this.dataGridVista.PreferredColumnWidth = 140;
			this.dataGridVista.ReadOnly = true;
			this.dataGridVista.Size = new System.Drawing.Size(640, 168);
			this.dataGridVista.TabIndex = 0;
			this.dataGridVista.Navigate += new System.Windows.Forms.NavigateEventHandler(this.dataGridVista_Navigate);
			// 
			// groupBoxNuevaCita
			// 
			this.groupBoxNuevaCita.Controls.Add(this.textBoxCitaHora);
			this.groupBoxNuevaCita.Controls.Add(this.comboBoxCitaMedico);
			this.groupBoxNuevaCita.Controls.Add(this.label1);
			this.groupBoxNuevaCita.Controls.Add(this.buttonAceptar);
			this.groupBoxNuevaCita.Controls.Add(this.buttonCancelar);
			this.groupBoxNuevaCita.Controls.Add(this.labelNuevaMinutos);
			this.groupBoxNuevaCita.Controls.Add(this.numericUpDownNuevaDuracion);
			this.groupBoxNuevaCita.Controls.Add(this.labelNuevaDuracion);
			this.groupBoxNuevaCita.Controls.Add(this.comboBoxCitaCliente);
			this.groupBoxNuevaCita.Controls.Add(this.labelNuevaCliente);
			this.groupBoxNuevaCita.Controls.Add(this.labelNuevaDescripcion);
			this.groupBoxNuevaCita.Controls.Add(this.textBoxCitaDescripcion);
			this.groupBoxNuevaCita.Controls.Add(this.labelNuevaHora);
			this.groupBoxNuevaCita.Location = new System.Drawing.Point(192, 64);
			this.groupBoxNuevaCita.Name = "groupBoxNuevaCita";
			this.groupBoxNuevaCita.Size = new System.Drawing.Size(472, 168);
			this.groupBoxNuevaCita.TabIndex = 1;
			this.groupBoxNuevaCita.TabStop = false;
			this.groupBoxNuevaCita.Text = "Nueva Cita";
			// 
			// textBoxCitaHora
			// 
			this.textBoxCitaHora.Location = new System.Drawing.Point(80, 16);
			this.textBoxCitaHora.Name = "textBoxCitaHora";
			this.textBoxCitaHora.Size = new System.Drawing.Size(128, 21);
			this.textBoxCitaHora.TabIndex = 0;
			this.textBoxCitaHora.Text = "0";
			this.textBoxCitaHora.TextChanged += new System.EventHandler(this.textBoxCitaHora_TextChanged);
			// 
			// comboBoxCitaMedico
			// 
			this.comboBoxCitaMedico.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboBoxCitaMedico.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.comboBoxCitaMedico.ItemHeight = 13;
			this.comboBoxCitaMedico.Location = new System.Drawing.Point(80, 88);
			this.comboBoxCitaMedico.Name = "comboBoxCitaMedico";
			this.comboBoxCitaMedico.Size = new System.Drawing.Size(384, 21);
			this.comboBoxCitaMedico.TabIndex = 4;
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(8, 93);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(48, 16);
			this.label1.TabIndex = 9;
			this.label1.Text = "Mdico";
			// 
			// buttonAceptar
			// 
			this.buttonAceptar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonAceptar.ForeColor = System.Drawing.Color.Navy;
			this.buttonAceptar.Image = ((System.Drawing.Image)(resources.GetObject("buttonAceptar.Image")));
			this.buttonAceptar.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.buttonAceptar.Location = new System.Drawing.Point(264, 120);
			this.buttonAceptar.Name = "buttonAceptar";
			this.buttonAceptar.Size = new System.Drawing.Size(96, 40);
			this.buttonAceptar.TabIndex = 5;
			this.buttonAceptar.Text = "Aceptar ";
			this.buttonAceptar.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonAceptar.Click += new System.EventHandler(this.buttonAceptar_Click);
			// 
			// buttonCancelar
			// 
			this.buttonCancelar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonCancelar.ForeColor = System.Drawing.Color.Navy;
			this.buttonCancelar.Image = ((System.Drawing.Image)(resources.GetObject("buttonCancelar.Image")));
			this.buttonCancelar.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.buttonCancelar.Location = new System.Drawing.Point(368, 120);
			this.buttonCancelar.Name = "buttonCancelar";
			this.buttonCancelar.Size = new System.Drawing.Size(96, 40);
			this.buttonCancelar.TabIndex = 6;
			this.buttonCancelar.Text = "Cancelar";
			this.buttonCancelar.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonCancelar.Click += new System.EventHandler(this.buttonCancelar_Click);
			// 
			// labelNuevaMinutos
			// 
			this.labelNuevaMinutos.ForeColor = System.Drawing.Color.DimGray;
			this.labelNuevaMinutos.Location = new System.Drawing.Point(408, 16);
			this.labelNuevaMinutos.Name = "labelNuevaMinutos";
			this.labelNuevaMinutos.Size = new System.Drawing.Size(56, 16);
			this.labelNuevaMinutos.TabIndex = 4;
			this.labelNuevaMinutos.Text = "(minutos)";
			// 
			// numericUpDownNuevaDuracion
			// 
			this.numericUpDownNuevaDuracion.Increment = new System.Decimal(new int[] {
																						 30,
																						 0,
																						 0,
																						 0});
			this.numericUpDownNuevaDuracion.Location = new System.Drawing.Point(296, 16);
			this.numericUpDownNuevaDuracion.Maximum = new System.Decimal(new int[] {
																					   450,
																					   0,
																					   0,
																					   0});
			this.numericUpDownNuevaDuracion.Minimum = new System.Decimal(new int[] {
																					   30,
																					   0,
																					   0,
																					   0});
			this.numericUpDownNuevaDuracion.Name = "numericUpDownNuevaDuracion";
			this.numericUpDownNuevaDuracion.ReadOnly = true;
			this.numericUpDownNuevaDuracion.Size = new System.Drawing.Size(104, 21);
			this.numericUpDownNuevaDuracion.TabIndex = 1;
			this.numericUpDownNuevaDuracion.Value = new System.Decimal(new int[] {
																					 30,
																					 0,
																					 0,
																					 0});
			// 
			// labelNuevaDuracion
			// 
			this.labelNuevaDuracion.Location = new System.Drawing.Point(232, 21);
			this.labelNuevaDuracion.Name = "labelNuevaDuracion";
			this.labelNuevaDuracion.Size = new System.Drawing.Size(56, 16);
			this.labelNuevaDuracion.TabIndex = 2;
			this.labelNuevaDuracion.Text = "Duracin";
			// 
			// comboBoxCitaCliente
			// 
			this.comboBoxCitaCliente.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboBoxCitaCliente.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.comboBoxCitaCliente.ItemHeight = 13;
			this.comboBoxCitaCliente.Location = new System.Drawing.Point(80, 64);
			this.comboBoxCitaCliente.Name = "comboBoxCitaCliente";
			this.comboBoxCitaCliente.Size = new System.Drawing.Size(384, 21);
			this.comboBoxCitaCliente.TabIndex = 3;
			// 
			// labelNuevaCliente
			// 
			this.labelNuevaCliente.Location = new System.Drawing.Point(8, 69);
			this.labelNuevaCliente.Name = "labelNuevaCliente";
			this.labelNuevaCliente.Size = new System.Drawing.Size(48, 16);
			this.labelNuevaCliente.TabIndex = 7;
			this.labelNuevaCliente.Text = "Cliente";
			// 
			// labelNuevaDescripcion
			// 
			this.labelNuevaDescripcion.Location = new System.Drawing.Point(8, 45);
			this.labelNuevaDescripcion.Name = "labelNuevaDescripcion";
			this.labelNuevaDescripcion.Size = new System.Drawing.Size(64, 16);
			this.labelNuevaDescripcion.TabIndex = 5;
			this.labelNuevaDescripcion.Text = "Descripcin";
			// 
			// textBoxCitaDescripcion
			// 
			this.textBoxCitaDescripcion.Location = new System.Drawing.Point(80, 40);
			this.textBoxCitaDescripcion.Name = "textBoxCitaDescripcion";
			this.textBoxCitaDescripcion.Size = new System.Drawing.Size(384, 21);
			this.textBoxCitaDescripcion.TabIndex = 2;
			this.textBoxCitaDescripcion.Text = "";
			// 
			// labelNuevaHora
			// 
			this.labelNuevaHora.Location = new System.Drawing.Point(8, 21);
			this.labelNuevaHora.Name = "labelNuevaHora";
			this.labelNuevaHora.Size = new System.Drawing.Size(56, 16);
			this.labelNuevaHora.TabIndex = 0;
			this.labelNuevaHora.Text = "Hora";
			// 
			// pictureBox
			// 
			this.pictureBox.AccessibleRole = System.Windows.Forms.AccessibleRole.TitleBar;
			this.pictureBox.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox.Image")));
			this.pictureBox.Location = new System.Drawing.Point(24, 8);
			this.pictureBox.Name = "pictureBox";
			this.pictureBox.Size = new System.Drawing.Size(56, 48);
			this.pictureBox.TabIndex = 35;
			this.pictureBox.TabStop = false;
			// 
			// labelHoyEs
			// 
			this.labelHoyEs.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelHoyEs.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(0)), ((System.Byte)(0)));
			this.labelHoyEs.Location = new System.Drawing.Point(96, 24);
			this.labelHoyEs.Name = "labelHoyEs";
			this.labelHoyEs.Size = new System.Drawing.Size(72, 16);
			this.labelHoyEs.TabIndex = 0;
			this.labelHoyEs.Text = "Hoy es:";
			this.labelHoyEs.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// buttonCerrar
			// 
			this.buttonCerrar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonCerrar.ForeColor = System.Drawing.Color.Navy;
			this.buttonCerrar.Image = ((System.Drawing.Image)(resources.GetObject("buttonCerrar.Image")));
			this.buttonCerrar.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.buttonCerrar.Location = new System.Drawing.Point(568, 488);
			this.buttonCerrar.Name = "buttonCerrar";
			this.buttonCerrar.Size = new System.Drawing.Size(88, 40);
			this.buttonCerrar.TabIndex = 3;
			this.buttonCerrar.Text = "Cerrar";
			this.buttonCerrar.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonCerrar.Click += new System.EventHandler(this.buttonCerrar_Click);
			// 
			// pictureBoxBotonera
			// 
			this.pictureBoxBotonera.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.pictureBoxBotonera.Image = ((System.Drawing.Image)(resources.GetObject("pictureBoxBotonera.Image")));
			this.pictureBoxBotonera.Location = new System.Drawing.Point(8, 480);
			this.pictureBoxBotonera.Name = "pictureBoxBotonera";
			this.pictureBoxBotonera.Size = new System.Drawing.Size(656, 56);
			this.pictureBoxBotonera.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
			this.pictureBoxBotonera.TabIndex = 38;
			this.pictureBoxBotonera.TabStop = false;
			// 
			// groupBox1
			// 
			this.groupBox1.Location = new System.Drawing.Point(8, 56);
			this.groupBox1.Name = "groupBox1";
			this.groupBox1.Size = new System.Drawing.Size(656, 8);
			this.groupBox1.TabIndex = 3;
			this.groupBox1.TabStop = false;
			// 
			// timer1
			// 
			this.timer1.Enabled = true;
			this.timer1.Tick += new System.EventHandler(this.timer1_Tick);
			// 
			// FormLibroCitas
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 14);
			this.ClientSize = new System.Drawing.Size(672, 542);
			this.Controls.Add(this.groupBox1);
			this.Controls.Add(this.buttonCerrar);
			this.Controls.Add(this.pictureBoxBotonera);
			this.Controls.Add(this.pictureBox);
			this.Controls.Add(this.groupBoxNuevaCita);
			this.Controls.Add(this.groupBoxVista);
			this.Controls.Add(this.labelHora);
			this.Controls.Add(this.labelFecha);
			this.Controls.Add(this.monthCalendar);
			this.Controls.Add(this.labelHoyEs);
			this.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "FormLibroCitas";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "Libro de Citas";
			this.Closing += new System.ComponentModel.CancelEventHandler(this.FormLibroCitas_Closing);
			this.Load += new System.EventHandler(this.FormLibroCitas_Load);
			this.groupBoxVista.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.dataGridVista)).EndInit();
			this.groupBoxNuevaCita.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.numericUpDownNuevaDuracion)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		private void label7_Click(object sender, System.EventArgs e)
		{
		
		}

		private void FormLibroCitas_Load(object sender, System.EventArgs e)
		{
			

			OdbcDataReader drCliente = consulta.ExecR(
				"select cliente from clientes order by cliente; "
			);
			comboBoxCitaCliente.Items.Clear();
			if (consulta.gsConsulta >= 0)
			{
				while(drCliente.Read())
					comboBoxCitaCliente.Items.Add(drCliente["cliente"].ToString());
			}
			else MessageBox.Show("Error al cargar clientes", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			drCliente.Close();

			OdbcDataReader drEmpleado = consulta.ExecR(
				"select empleado from empleados where numerocolegiado is not null order by empleado; "
			);
			comboBoxCitaMedico.Items.Clear();
			comboBoxVistaMedico.Items.Clear();
			if (consulta.gsConsulta >= 0)
			{
				while(drEmpleado.Read())
				{
					comboBoxCitaMedico.Items.Add(drEmpleado["empleado"].ToString());
					comboBoxVistaMedico.Items.Add(drEmpleado["empleado"].ToString());
				}
			}
			else MessageBox.Show("Error al cargar mdicos", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			drEmpleado.Close();
			
			comboBoxCitaMedico.SelectedIndex = -1;
			comboBoxVistaMedico.SelectedIndex = 0;
		}

		private void label7_Click_1(object sender, System.EventArgs e)
		{
		
		}

		private void buttonCerrar_Click(object sender, System.EventArgs e)
		{
			Close();
		}

		private void comboBoxNuevaHora_SelectedIndexChanged(object sender, System.EventArgs e)
		{
		
		}

		private void comboBoxVistaMedico_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			string sql = "";
			sql += "select idcita as \"Nmero de cita\", hora as \"Hora\", duracionestimada as \"Duracin estimada\", descripcion as \"Descripcin\" ";
			sql += "from citas where idempleado = (select idempleado from empleados where empleado = '" + comboBoxVistaMedico.Text + "') ";
			sql += "and fecha = '" + monthCalendar.SelectionStart.Year.ToString() + "-" + monthCalendar.SelectionStart.Month.ToString() + "-" + monthCalendar.SelectionStart.Day.ToString() + "' ";
			sql += "and not realizada ";
			sql += "order by hora; ";
			dataGridVista.DataSource = consulta.ExecDS(sql);
			dataGridVista.DataMember = "consulta";
		}

		private void FormLibroCitas_Closing(object sender, System.ComponentModel.CancelEventArgs e)
		{
			consulta.Cierre();
		}

		private void buttonCancelar_Click(object sender, System.EventArgs e)
		{
			textBoxCitaHora.Clear();
			textBoxCitaDescripcion.Clear();
			comboBoxCitaCliente.SelectedIndex = -1;
			comboBoxCitaMedico.SelectedIndex = -1;
			numericUpDownNuevaDuracion.Value = 30;
		}

		private void buttonAceptar_Click(object sender, System.EventArgs e)
		{
			string sql = "";
			sql += "insert into citas (idcliente, idempleado, fecha, hora, duracionestimada, descripcion) ";
			sql += "values (";
			sql += "(select idcliente from clientes where lower(cliente) = lower('" + comboBoxCitaCliente.Text + "')), ";
			sql += "(select idempleado from empleados where lower(empleado) = lower('" + comboBoxCitaMedico.Text + "')), ";
			sql += "'" + monthCalendar.SelectionStart.Year.ToString() + "-" + monthCalendar.SelectionStart.Month.ToString() + "-" + monthCalendar.SelectionStart.Day.ToString() + "', ";
			sql += "'" + textBoxCitaHora.Text + "', ";
			sql += numericUpDownNuevaDuracion.Value.ToString() + ", ";
			sql += "'" + textBoxCitaDescripcion.Text + "'";
			sql += ")";
			if (consulta.ExecNQ(sql) > 0)
			{
				MessageBox.Show("Cita agregada correctamente", "Nueva cita", MessageBoxButtons.OK, MessageBoxIcon.Information);
				buttonCancelar_Click(this, null);
			}
			comboBoxVistaMedico_SelectedIndexChanged(this, null);
		}

		private void monthCalendar_DateChanged(object sender, System.Windows.Forms.DateRangeEventArgs e)
		{
			comboBoxVistaMedico_SelectedIndexChanged(this, null);
		}

		private void dataGridVista_Navigate(object sender, System.Windows.Forms.NavigateEventArgs ne)
		{
		
		}

		private void buttonModificar_Click(object sender, System.EventArgs e)
		{
			if (dataGridVista.CurrentRowIndex >= 0)
			{
				if(MessageBox.Show("Quieres borrar el registro?","Eliminar", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
				{	
					string sql = "delete from citas where idcita = " + (dataGridVista[dataGridVista.CurrentRowIndex, 0].ToString().Equals("")? "0" : dataGridVista[dataGridVista.CurrentRowIndex, 0].ToString());
					if (consulta.ExecNQ(sql) > 0)
					{
						MessageBox.Show("Cita eliminada correctamente", "Eliminacin de cita", MessageBoxButtons.OK, MessageBoxIcon.Information);
					}
					comboBoxVistaMedico_SelectedIndexChanged(this, null);
				}
			}
		}

		private void timer1_Tick(object sender, System.EventArgs e)
		{
			labelFecha.Text = DateTime.Today.Date.ToLongDateString();
			labelHora.Text = DateTime.Now.ToShortTimeString() + " horas";		
		}

		private void textBoxCitaHora_TextChanged(object sender, System.EventArgs e)
		{
		
		}
	}










}
