using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.Data.Odbc;
using ClassLibraryClinica;

namespace WindowsApplicationClinica
{
	/// <summary>
	/// Descripcin breve de FormClientes.
	/// </summary>
	public class FormMailing : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Button buttonCerrar;
		private System.Windows.Forms.PictureBox pictureBoxBotonera;
		private System.Windows.Forms.Label labelFechaAlta;
		private System.Windows.Forms.TabControl tabControlMailing;
		private System.Windows.Forms.TabPage tabTipoMailing;
		private System.Windows.Forms.TabPage tabDetalleTipoMailing;
		private System.Windows.Forms.GroupBox groupBoxTipoMailingTipos;
		private System.Windows.Forms.GroupBox groupBoxTipoMailingNuevo;
		private System.Windows.Forms.TextBox textBoxTipoMailingNuevo;
		private System.Windows.Forms.Button buttonTipoMailingAceptar;
		private System.Windows.Forms.Button buttonTipoMailingCancelar;
		private System.Windows.Forms.GroupBox groupBoxDetallesMailingTipo;
		private System.Windows.Forms.ComboBox comboBoxDetallesMailingTipo;
		private System.Windows.Forms.DataGrid dataGridTipoMailing;
		private System.Windows.Forms.Button buttonTipoMailingModificar;
		private System.Windows.Forms.Button buttonTipoMailingEliminar;
		private System.Windows.Forms.GroupBox groupBoxDetallesMailingDetalles;
		private System.Windows.Forms.Button buttonDetallesMailingModificar;
		private System.Windows.Forms.Button buttonDetallesMailingEliminar;
		private System.Windows.Forms.DataGrid dataGridDetallesMailing;
		private System.Windows.Forms.GroupBox groupBoxDetallesMailingNuevo;
		private System.Windows.Forms.Button buttonDetallesMailingAceptar;
		private System.Windows.Forms.Button buttonDetallesMailingCancelar;
		private System.Windows.Forms.TextBox textBoxDetallesMailingAsunto;
		private System.Windows.Forms.Label labelDetallesMailingAsunto;
		private System.Windows.Forms.Label labelDetallesMailingTexto;
		private System.Windows.Forms.TextBox textBoxDetallesMailingTexto;
		/// <summary>
		/// Variable del diseador requerida.
		public int estadoSolapa1;	//0 Proceso de alta; 1 Proceso de modificacion
		public int estadoSolapa2;	//0 Proceso de alta; 1 Proceso de modificacion

		public int codigoTipoMailing;
		public int codigoDetalleTipoMailing;
		/// </summary>
		private System.ComponentModel.Container components = null;

		public FormMailing()
		{
			//
			// Necesario para admitir el Diseador de Windows Forms
			//
			InitializeComponent();

			//
			// TODO: agregar cdigo de constructor despus de llamar a InitializeComponent
			//
		}

		/// <summary>
		/// Limpiar los recursos que se estn utilizando.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Cdigo generado por el Diseador de Windows Forms
		/// <summary>
		/// Mtodo necesario para admitir el Diseador. No se puede modificar
		/// el contenido del mtodo con el editor de cdigo.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(FormMailing));
			this.tabControlMailing = new System.Windows.Forms.TabControl();
			this.tabTipoMailing = new System.Windows.Forms.TabPage();
			this.groupBoxTipoMailingNuevo = new System.Windows.Forms.GroupBox();
			this.buttonTipoMailingAceptar = new System.Windows.Forms.Button();
			this.buttonTipoMailingCancelar = new System.Windows.Forms.Button();
			this.textBoxTipoMailingNuevo = new System.Windows.Forms.TextBox();
			this.groupBoxTipoMailingTipos = new System.Windows.Forms.GroupBox();
			this.buttonTipoMailingModificar = new System.Windows.Forms.Button();
			this.buttonTipoMailingEliminar = new System.Windows.Forms.Button();
			this.dataGridTipoMailing = new System.Windows.Forms.DataGrid();
			this.tabDetalleTipoMailing = new System.Windows.Forms.TabPage();
			this.groupBoxDetallesMailingNuevo = new System.Windows.Forms.GroupBox();
			this.labelDetallesMailingTexto = new System.Windows.Forms.Label();
			this.textBoxDetallesMailingTexto = new System.Windows.Forms.TextBox();
			this.labelDetallesMailingAsunto = new System.Windows.Forms.Label();
			this.buttonDetallesMailingAceptar = new System.Windows.Forms.Button();
			this.buttonDetallesMailingCancelar = new System.Windows.Forms.Button();
			this.textBoxDetallesMailingAsunto = new System.Windows.Forms.TextBox();
			this.groupBoxDetallesMailingDetalles = new System.Windows.Forms.GroupBox();
			this.buttonDetallesMailingModificar = new System.Windows.Forms.Button();
			this.buttonDetallesMailingEliminar = new System.Windows.Forms.Button();
			this.dataGridDetallesMailing = new System.Windows.Forms.DataGrid();
			this.groupBoxDetallesMailingTipo = new System.Windows.Forms.GroupBox();
			this.comboBoxDetallesMailingTipo = new System.Windows.Forms.ComboBox();
			this.labelFechaAlta = new System.Windows.Forms.Label();
			this.buttonCerrar = new System.Windows.Forms.Button();
			this.pictureBoxBotonera = new System.Windows.Forms.PictureBox();
			this.tabControlMailing.SuspendLayout();
			this.tabTipoMailing.SuspendLayout();
			this.groupBoxTipoMailingNuevo.SuspendLayout();
			this.groupBoxTipoMailingTipos.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.dataGridTipoMailing)).BeginInit();
			this.tabDetalleTipoMailing.SuspendLayout();
			this.groupBoxDetallesMailingNuevo.SuspendLayout();
			this.groupBoxDetallesMailingDetalles.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.dataGridDetallesMailing)).BeginInit();
			this.groupBoxDetallesMailingTipo.SuspendLayout();
			this.SuspendLayout();
			// 
			// tabControlMailing
			// 
			this.tabControlMailing.Controls.Add(this.tabTipoMailing);
			this.tabControlMailing.Controls.Add(this.tabDetalleTipoMailing);
			this.tabControlMailing.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.tabControlMailing.Location = new System.Drawing.Point(8, 8);
			this.tabControlMailing.Multiline = true;
			this.tabControlMailing.Name = "tabControlMailing";
			this.tabControlMailing.Padding = new System.Drawing.Point(60, 6);
			this.tabControlMailing.SelectedIndex = 0;
			this.tabControlMailing.Size = new System.Drawing.Size(568, 384);
			this.tabControlMailing.TabIndex = 0;
			this.tabControlMailing.SelectedIndexChanged += new System.EventHandler(this.tabControlMailing_SelectedIndexChanged);
			// 
			// tabTipoMailing
			// 
			this.tabTipoMailing.Controls.Add(this.groupBoxTipoMailingNuevo);
			this.tabTipoMailing.Controls.Add(this.groupBoxTipoMailingTipos);
			this.tabTipoMailing.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.tabTipoMailing.ForeColor = System.Drawing.SystemColors.WindowText;
			this.tabTipoMailing.Location = new System.Drawing.Point(4, 28);
			this.tabTipoMailing.Name = "tabTipoMailing";
			this.tabTipoMailing.RightToLeft = System.Windows.Forms.RightToLeft.No;
			this.tabTipoMailing.Size = new System.Drawing.Size(560, 352);
			this.tabTipoMailing.TabIndex = 0;
			this.tabTipoMailing.Text = "Tipo de Mailing";
			// 
			// groupBoxTipoMailingNuevo
			// 
			this.groupBoxTipoMailingNuevo.Controls.Add(this.buttonTipoMailingAceptar);
			this.groupBoxTipoMailingNuevo.Controls.Add(this.buttonTipoMailingCancelar);
			this.groupBoxTipoMailingNuevo.Controls.Add(this.textBoxTipoMailingNuevo);
			this.groupBoxTipoMailingNuevo.Location = new System.Drawing.Point(8, 248);
			this.groupBoxTipoMailingNuevo.Name = "groupBoxTipoMailingNuevo";
			this.groupBoxTipoMailingNuevo.Size = new System.Drawing.Size(544, 96);
			this.groupBoxTipoMailingNuevo.TabIndex = 1;
			this.groupBoxTipoMailingNuevo.TabStop = false;
			this.groupBoxTipoMailingNuevo.Text = "Nuevo / Modificar";
			// 
			// buttonTipoMailingAceptar
			// 
			this.buttonTipoMailingAceptar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonTipoMailingAceptar.ForeColor = System.Drawing.Color.Navy;
			this.buttonTipoMailingAceptar.Image = ((System.Drawing.Image)(resources.GetObject("buttonTipoMailingAceptar.Image")));
			this.buttonTipoMailingAceptar.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.buttonTipoMailingAceptar.Location = new System.Drawing.Point(336, 48);
			this.buttonTipoMailingAceptar.Name = "buttonTipoMailingAceptar";
			this.buttonTipoMailingAceptar.Size = new System.Drawing.Size(96, 40);
			this.buttonTipoMailingAceptar.TabIndex = 1;
			this.buttonTipoMailingAceptar.Text = "Aceptar ";
			this.buttonTipoMailingAceptar.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonTipoMailingAceptar.Click += new System.EventHandler(this.buttonTipoMailingAceptar_Click);
			// 
			// buttonTipoMailingCancelar
			// 
			this.buttonTipoMailingCancelar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonTipoMailingCancelar.ForeColor = System.Drawing.Color.Navy;
			this.buttonTipoMailingCancelar.Image = ((System.Drawing.Image)(resources.GetObject("buttonTipoMailingCancelar.Image")));
			this.buttonTipoMailingCancelar.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.buttonTipoMailingCancelar.Location = new System.Drawing.Point(440, 48);
			this.buttonTipoMailingCancelar.Name = "buttonTipoMailingCancelar";
			this.buttonTipoMailingCancelar.Size = new System.Drawing.Size(96, 40);
			this.buttonTipoMailingCancelar.TabIndex = 2;
			this.buttonTipoMailingCancelar.Text = "Cancelar";
			this.buttonTipoMailingCancelar.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonTipoMailingCancelar.Click += new System.EventHandler(this.buttonTipoMailingCancelar_Click);
			// 
			// textBoxTipoMailingNuevo
			// 
			this.textBoxTipoMailingNuevo.Location = new System.Drawing.Point(8, 16);
			this.textBoxTipoMailingNuevo.Name = "textBoxTipoMailingNuevo";
			this.textBoxTipoMailingNuevo.Size = new System.Drawing.Size(528, 21);
			this.textBoxTipoMailingNuevo.TabIndex = 0;
			this.textBoxTipoMailingNuevo.Text = "";
			// 
			// groupBoxTipoMailingTipos
			// 
			this.groupBoxTipoMailingTipos.Controls.Add(this.buttonTipoMailingModificar);
			this.groupBoxTipoMailingTipos.Controls.Add(this.buttonTipoMailingEliminar);
			this.groupBoxTipoMailingTipos.Controls.Add(this.dataGridTipoMailing);
			this.groupBoxTipoMailingTipos.Location = new System.Drawing.Point(8, 8);
			this.groupBoxTipoMailingTipos.Name = "groupBoxTipoMailingTipos";
			this.groupBoxTipoMailingTipos.Size = new System.Drawing.Size(544, 240);
			this.groupBoxTipoMailingTipos.TabIndex = 0;
			this.groupBoxTipoMailingTipos.TabStop = false;
			this.groupBoxTipoMailingTipos.Text = "Tipos";
			// 
			// buttonTipoMailingModificar
			// 
			this.buttonTipoMailingModificar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonTipoMailingModificar.ForeColor = System.Drawing.Color.Navy;
			this.buttonTipoMailingModificar.Image = ((System.Drawing.Image)(resources.GetObject("buttonTipoMailingModificar.Image")));
			this.buttonTipoMailingModificar.ImageAlign = System.Drawing.ContentAlignment.TopCenter;
			this.buttonTipoMailingModificar.Location = new System.Drawing.Point(464, 16);
			this.buttonTipoMailingModificar.Name = "buttonTipoMailingModificar";
			this.buttonTipoMailingModificar.Size = new System.Drawing.Size(72, 56);
			this.buttonTipoMailingModificar.TabIndex = 1;
			this.buttonTipoMailingModificar.Text = "Modificar";
			this.buttonTipoMailingModificar.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
			this.buttonTipoMailingModificar.Click += new System.EventHandler(this.buttonTipoMailingModificar_Click);
			// 
			// buttonTipoMailingEliminar
			// 
			this.buttonTipoMailingEliminar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonTipoMailingEliminar.ForeColor = System.Drawing.Color.Navy;
			this.buttonTipoMailingEliminar.Image = ((System.Drawing.Image)(resources.GetObject("buttonTipoMailingEliminar.Image")));
			this.buttonTipoMailingEliminar.ImageAlign = System.Drawing.ContentAlignment.TopCenter;
			this.buttonTipoMailingEliminar.Location = new System.Drawing.Point(464, 80);
			this.buttonTipoMailingEliminar.Name = "buttonTipoMailingEliminar";
			this.buttonTipoMailingEliminar.Size = new System.Drawing.Size(72, 56);
			this.buttonTipoMailingEliminar.TabIndex = 2;
			this.buttonTipoMailingEliminar.Text = "Eliminar";
			this.buttonTipoMailingEliminar.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
			this.buttonTipoMailingEliminar.Click += new System.EventHandler(this.buttonTipoMailingEliminar_Click);
			// 
			// dataGridTipoMailing
			// 
			this.dataGridTipoMailing.DataMember = "";
			this.dataGridTipoMailing.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.dataGridTipoMailing.Location = new System.Drawing.Point(8, 16);
			this.dataGridTipoMailing.Name = "dataGridTipoMailing";
			this.dataGridTipoMailing.PreferredColumnWidth = 408;
			this.dataGridTipoMailing.ReadOnly = true;
			this.dataGridTipoMailing.Size = new System.Drawing.Size(448, 216);
			this.dataGridTipoMailing.TabIndex = 0;
			// 
			// tabDetalleTipoMailing
			// 
			this.tabDetalleTipoMailing.Controls.Add(this.groupBoxDetallesMailingNuevo);
			this.tabDetalleTipoMailing.Controls.Add(this.groupBoxDetallesMailingDetalles);
			this.tabDetalleTipoMailing.Controls.Add(this.groupBoxDetallesMailingTipo);
			this.tabDetalleTipoMailing.Location = new System.Drawing.Point(4, 28);
			this.tabDetalleTipoMailing.Name = "tabDetalleTipoMailing";
			this.tabDetalleTipoMailing.Size = new System.Drawing.Size(560, 352);
			this.tabDetalleTipoMailing.TabIndex = 1;
			this.tabDetalleTipoMailing.Text = "Detalles del Tipo de Mailing";
			// 
			// groupBoxDetallesMailingNuevo
			// 
			this.groupBoxDetallesMailingNuevo.Controls.Add(this.labelDetallesMailingTexto);
			this.groupBoxDetallesMailingNuevo.Controls.Add(this.textBoxDetallesMailingTexto);
			this.groupBoxDetallesMailingNuevo.Controls.Add(this.labelDetallesMailingAsunto);
			this.groupBoxDetallesMailingNuevo.Controls.Add(this.buttonDetallesMailingAceptar);
			this.groupBoxDetallesMailingNuevo.Controls.Add(this.buttonDetallesMailingCancelar);
			this.groupBoxDetallesMailingNuevo.Controls.Add(this.textBoxDetallesMailingAsunto);
			this.groupBoxDetallesMailingNuevo.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.groupBoxDetallesMailingNuevo.Location = new System.Drawing.Point(8, 200);
			this.groupBoxDetallesMailingNuevo.Name = "groupBoxDetallesMailingNuevo";
			this.groupBoxDetallesMailingNuevo.Size = new System.Drawing.Size(544, 144);
			this.groupBoxDetallesMailingNuevo.TabIndex = 2;
			this.groupBoxDetallesMailingNuevo.TabStop = false;
			this.groupBoxDetallesMailingNuevo.Text = "Nuevo / Modificar";
			// 
			// labelDetallesMailingTexto
			// 
			this.labelDetallesMailingTexto.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelDetallesMailingTexto.Location = new System.Drawing.Point(8, 48);
			this.labelDetallesMailingTexto.Name = "labelDetallesMailingTexto";
			this.labelDetallesMailingTexto.Size = new System.Drawing.Size(40, 16);
			this.labelDetallesMailingTexto.TabIndex = 2;
			this.labelDetallesMailingTexto.Text = "Texto";
			// 
			// textBoxDetallesMailingTexto
			// 
			this.textBoxDetallesMailingTexto.Location = new System.Drawing.Point(64, 48);
			this.textBoxDetallesMailingTexto.Multiline = true;
			this.textBoxDetallesMailingTexto.Name = "textBoxDetallesMailingTexto";
			this.textBoxDetallesMailingTexto.Size = new System.Drawing.Size(368, 88);
			this.textBoxDetallesMailingTexto.TabIndex = 3;
			this.textBoxDetallesMailingTexto.Text = "";
			// 
			// labelDetallesMailingAsunto
			// 
			this.labelDetallesMailingAsunto.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelDetallesMailingAsunto.Location = new System.Drawing.Point(8, 21);
			this.labelDetallesMailingAsunto.Name = "labelDetallesMailingAsunto";
			this.labelDetallesMailingAsunto.Size = new System.Drawing.Size(48, 16);
			this.labelDetallesMailingAsunto.TabIndex = 0;
			this.labelDetallesMailingAsunto.Text = "Asunto";
			// 
			// buttonDetallesMailingAceptar
			// 
			this.buttonDetallesMailingAceptar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonDetallesMailingAceptar.ForeColor = System.Drawing.Color.Navy;
			this.buttonDetallesMailingAceptar.Image = ((System.Drawing.Image)(resources.GetObject("buttonDetallesMailingAceptar.Image")));
			this.buttonDetallesMailingAceptar.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.buttonDetallesMailingAceptar.Location = new System.Drawing.Point(440, 48);
			this.buttonDetallesMailingAceptar.Name = "buttonDetallesMailingAceptar";
			this.buttonDetallesMailingAceptar.Size = new System.Drawing.Size(96, 40);
			this.buttonDetallesMailingAceptar.TabIndex = 4;
			this.buttonDetallesMailingAceptar.Text = "Aceptar ";
			this.buttonDetallesMailingAceptar.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonDetallesMailingAceptar.Click += new System.EventHandler(this.buttonDetallesMailingAceptar_Click);
			// 
			// buttonDetallesMailingCancelar
			// 
			this.buttonDetallesMailingCancelar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonDetallesMailingCancelar.ForeColor = System.Drawing.Color.Navy;
			this.buttonDetallesMailingCancelar.Image = ((System.Drawing.Image)(resources.GetObject("buttonDetallesMailingCancelar.Image")));
			this.buttonDetallesMailingCancelar.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.buttonDetallesMailingCancelar.Location = new System.Drawing.Point(440, 96);
			this.buttonDetallesMailingCancelar.Name = "buttonDetallesMailingCancelar";
			this.buttonDetallesMailingCancelar.Size = new System.Drawing.Size(96, 40);
			this.buttonDetallesMailingCancelar.TabIndex = 5;
			this.buttonDetallesMailingCancelar.Text = "Cancelar";
			this.buttonDetallesMailingCancelar.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonDetallesMailingCancelar.Click += new System.EventHandler(this.buttonDetallesMailingCancelar_Click);
			// 
			// textBoxDetallesMailingAsunto
			// 
			this.textBoxDetallesMailingAsunto.Location = new System.Drawing.Point(64, 16);
			this.textBoxDetallesMailingAsunto.Name = "textBoxDetallesMailingAsunto";
			this.textBoxDetallesMailingAsunto.Size = new System.Drawing.Size(472, 21);
			this.textBoxDetallesMailingAsunto.TabIndex = 1;
			this.textBoxDetallesMailingAsunto.Text = "";
			// 
			// groupBoxDetallesMailingDetalles
			// 
			this.groupBoxDetallesMailingDetalles.Controls.Add(this.buttonDetallesMailingModificar);
			this.groupBoxDetallesMailingDetalles.Controls.Add(this.buttonDetallesMailingEliminar);
			this.groupBoxDetallesMailingDetalles.Controls.Add(this.dataGridDetallesMailing);
			this.groupBoxDetallesMailingDetalles.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.groupBoxDetallesMailingDetalles.Location = new System.Drawing.Point(8, 56);
			this.groupBoxDetallesMailingDetalles.Name = "groupBoxDetallesMailingDetalles";
			this.groupBoxDetallesMailingDetalles.Size = new System.Drawing.Size(544, 144);
			this.groupBoxDetallesMailingDetalles.TabIndex = 1;
			this.groupBoxDetallesMailingDetalles.TabStop = false;
			this.groupBoxDetallesMailingDetalles.Text = "Detalles";
			// 
			// buttonDetallesMailingModificar
			// 
			this.buttonDetallesMailingModificar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonDetallesMailingModificar.ForeColor = System.Drawing.Color.Navy;
			this.buttonDetallesMailingModificar.Image = ((System.Drawing.Image)(resources.GetObject("buttonDetallesMailingModificar.Image")));
			this.buttonDetallesMailingModificar.ImageAlign = System.Drawing.ContentAlignment.TopCenter;
			this.buttonDetallesMailingModificar.Location = new System.Drawing.Point(464, 16);
			this.buttonDetallesMailingModificar.Name = "buttonDetallesMailingModificar";
			this.buttonDetallesMailingModificar.Size = new System.Drawing.Size(72, 56);
			this.buttonDetallesMailingModificar.TabIndex = 1;
			this.buttonDetallesMailingModificar.Text = "Modificar";
			this.buttonDetallesMailingModificar.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
			this.buttonDetallesMailingModificar.Click += new System.EventHandler(this.buttonDetallesMailingModificar_Click);
			// 
			// buttonDetallesMailingEliminar
			// 
			this.buttonDetallesMailingEliminar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonDetallesMailingEliminar.ForeColor = System.Drawing.Color.Navy;
			this.buttonDetallesMailingEliminar.Image = ((System.Drawing.Image)(resources.GetObject("buttonDetallesMailingEliminar.Image")));
			this.buttonDetallesMailingEliminar.ImageAlign = System.Drawing.ContentAlignment.TopCenter;
			this.buttonDetallesMailingEliminar.Location = new System.Drawing.Point(464, 80);
			this.buttonDetallesMailingEliminar.Name = "buttonDetallesMailingEliminar";
			this.buttonDetallesMailingEliminar.Size = new System.Drawing.Size(72, 56);
			this.buttonDetallesMailingEliminar.TabIndex = 2;
			this.buttonDetallesMailingEliminar.Text = "Eliminar";
			this.buttonDetallesMailingEliminar.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
			this.buttonDetallesMailingEliminar.Click += new System.EventHandler(this.buttonDetallesMailingEliminar_Click);
			// 
			// dataGridDetallesMailing
			// 
			this.dataGridDetallesMailing.DataMember = "";
			this.dataGridDetallesMailing.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.dataGridDetallesMailing.Location = new System.Drawing.Point(8, 16);
			this.dataGridDetallesMailing.Name = "dataGridDetallesMailing";
			this.dataGridDetallesMailing.PreferredColumnWidth = 400;
			this.dataGridDetallesMailing.ReadOnly = true;
			this.dataGridDetallesMailing.Size = new System.Drawing.Size(448, 120);
			this.dataGridDetallesMailing.TabIndex = 0;
			// 
			// groupBoxDetallesMailingTipo
			// 
			this.groupBoxDetallesMailingTipo.Controls.Add(this.comboBoxDetallesMailingTipo);
			this.groupBoxDetallesMailingTipo.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.groupBoxDetallesMailingTipo.Location = new System.Drawing.Point(8, 8);
			this.groupBoxDetallesMailingTipo.Name = "groupBoxDetallesMailingTipo";
			this.groupBoxDetallesMailingTipo.Size = new System.Drawing.Size(544, 48);
			this.groupBoxDetallesMailingTipo.TabIndex = 0;
			this.groupBoxDetallesMailingTipo.TabStop = false;
			this.groupBoxDetallesMailingTipo.Text = "Tipos";
			// 
			// comboBoxDetallesMailingTipo
			// 
			this.comboBoxDetallesMailingTipo.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboBoxDetallesMailingTipo.Location = new System.Drawing.Point(8, 17);
			this.comboBoxDetallesMailingTipo.Name = "comboBoxDetallesMailingTipo";
			this.comboBoxDetallesMailingTipo.Size = new System.Drawing.Size(528, 21);
			this.comboBoxDetallesMailingTipo.TabIndex = 0;
			this.comboBoxDetallesMailingTipo.SelectedIndexChanged += new System.EventHandler(this.comboBoxDetallesMailingTipo_SelectedIndexChanged);
			// 
			// labelFechaAlta
			// 
			this.labelFechaAlta.AllowDrop = true;
			this.labelFechaAlta.Font = new System.Drawing.Font("Microsoft Sans Serif", 14.25F, ((System.Drawing.FontStyle)((System.Drawing.FontStyle.Bold | System.Drawing.FontStyle.Italic))), System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelFechaAlta.ForeColor = System.Drawing.SystemColors.Highlight;
			this.labelFechaAlta.ImageAlign = System.Drawing.ContentAlignment.TopCenter;
			this.labelFechaAlta.Location = new System.Drawing.Point(80, 240);
			this.labelFechaAlta.Name = "labelFechaAlta";
			this.labelFechaAlta.Size = new System.Drawing.Size(528, 224);
			this.labelFechaAlta.TabIndex = 0;
			this.labelFechaAlta.Text = "sdfadsfadfamm jammmmmmmmmmmmmmmmmmmmmmmmmmmmmmmmma mmmmmmmmmmmmmmmmmmmammmmmmmmmm" +
				"mmmmmmmma mmmmmmmmmmmm";
			// 
			// buttonCerrar
			// 
			this.buttonCerrar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonCerrar.ForeColor = System.Drawing.Color.Navy;
			this.buttonCerrar.Image = ((System.Drawing.Image)(resources.GetObject("buttonCerrar.Image")));
			this.buttonCerrar.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.buttonCerrar.Location = new System.Drawing.Point(480, 408);
			this.buttonCerrar.Name = "buttonCerrar";
			this.buttonCerrar.Size = new System.Drawing.Size(88, 40);
			this.buttonCerrar.TabIndex = 1;
			this.buttonCerrar.Text = "Cerrar";
			this.buttonCerrar.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonCerrar.Click += new System.EventHandler(this.buttonCerrar_Click);
			// 
			// pictureBoxBotonera
			// 
			this.pictureBoxBotonera.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.pictureBoxBotonera.Image = ((System.Drawing.Image)(resources.GetObject("pictureBoxBotonera.Image")));
			this.pictureBoxBotonera.Location = new System.Drawing.Point(8, 400);
			this.pictureBoxBotonera.Name = "pictureBoxBotonera";
			this.pictureBoxBotonera.Size = new System.Drawing.Size(568, 56);
			this.pictureBoxBotonera.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
			this.pictureBoxBotonera.TabIndex = 2;
			this.pictureBoxBotonera.TabStop = false;
			// 
			// FormMailing
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 14);
			this.ClientSize = new System.Drawing.Size(584, 464);
			this.Controls.Add(this.buttonCerrar);
			this.Controls.Add(this.pictureBoxBotonera);
			this.Controls.Add(this.tabControlMailing);
			this.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "FormMailing";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
			this.Text = "Mantenimiento de Mailing";
			this.Load += new System.EventHandler(this.FormMailing_Load);
			this.tabControlMailing.ResumeLayout(false);
			this.tabTipoMailing.ResumeLayout(false);
			this.groupBoxTipoMailingNuevo.ResumeLayout(false);
			this.groupBoxTipoMailingTipos.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.dataGridTipoMailing)).EndInit();
			this.tabDetalleTipoMailing.ResumeLayout(false);
			this.groupBoxDetallesMailingNuevo.ResumeLayout(false);
			this.groupBoxDetallesMailingDetalles.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.dataGridDetallesMailing)).EndInit();
			this.groupBoxDetallesMailingTipo.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		private void FormMailing_Load(object sender, System.EventArgs e)
		{
			tabControlMailing.SelectedIndex = 0;
			estadoSolapa1 = 0;
			estadoSolapa2 = 0;

			string comando ;
			comando  = "SELECT tipomailing AS \"Tipo\" FROM tiposmailings ";

			ClassLibraryClinica.Consulta cns = new ClassLibraryClinica.Consulta();	//Creo la consulta
			
			DataSet ds = cns.ExecDS(comando);
			if (cns.gsConsulta >= 0)
			{
				dataGridTipoMailing.DataSource = ds;	//Carga el datagrid de empleados
				dataGridTipoMailing.DataMember = "consulta";
			}
			else
			{
				MessageBox.Show("Error al cargar tipos de mailings", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
			
			cns.Cierre();
		}
		
		private void buttonTipoMailingModificar_Click(object sender, System.EventArgs e)
		{
			//Comprobamos si hay elementos
			if(dataGridTipoMailing.CurrentRowIndex >= 0)
			{
				estadoSolapa1 = 1; //modificacin
		
				ClassLibraryClinica.TipoMailing tipoMailing = new ClassLibraryClinica.TipoMailing();
				tipoMailing.CargarTipoMailing(dataGridTipoMailing[dataGridTipoMailing.CurrentRowIndex, 0].ToString());

				codigoTipoMailing = tipoMailing.gsIdTipoMailing;
				textBoxTipoMailingNuevo.Text = tipoMailing.gsTipoMailing;
				textBoxTipoMailingNuevo.Focus();
			}
			else
				MessageBox.Show("Error al modificar el tipo de mailing, tipo de mailing inexistente", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);

		}

		private void buttonTipoMailingAceptar_Click(object sender, System.EventArgs e)
		{
			ClassLibraryClinica.TipoMailing tipoMailing = new ClassLibraryClinica.TipoMailing();

			tipoMailing.gsTipoMailing = textBoxTipoMailingNuevo.Text;
			
			if(estadoSolapa1 == 0)	//Nuevo
			{
				if (tipoMailing.AgregarDB() <= 0)
				{
					MessageBox.Show("Error al insertar el tipo de mailing", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
				}
			}
			else	//Modificacin
			{
				tipoMailing.gsIdTipoMailing = codigoTipoMailing;

				if (!tipoMailing.ModificarDB())
				{
					MessageBox.Show("Errror al modificar el tipo de mailing", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
				}
			}
			estadoSolapa1 = 0;	//si entra de nuevo, sera un "Nuevo"
			textBoxTipoMailingNuevo.Clear();

			//Actualizo el datagrid
			string comando ;
			comando  = "SELECT tipomailing AS \"Tipo\" FROM tiposmailings ";
			ClassLibraryClinica.Consulta cns = new ClassLibraryClinica.Consulta();	//Creo la consulta
			
			DataSet ds = cns.ExecDS(comando);
			if (cns.gsConsulta >= 0)
			{
				dataGridTipoMailing.DataSource = ds;	//Carga el datagrid de empleados
				dataGridTipoMailing.DataMember = "consulta";
			}
			else
			{
				MessageBox.Show("Error al cargar tipos de mailings", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
			cns.Cierre();
		}

		private void buttonCerrar_Click(object sender, System.EventArgs e)
		{
			Close();
		}

		private void buttonTipoMailingCancelar_Click(object sender, System.EventArgs e)
		{
			textBoxTipoMailingNuevo.Clear();
			dataGridTipoMailing.Focus();
			estadoSolapa1 = 0;
		}

		private void tabControlMailing_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			estadoSolapa2 = 0;
			if(tabControlMailing.SelectedIndex == 1)
			{
				comboBoxDetallesMailingTipo.Items.Clear();
				string comando ;
				comando  = "SELECT tipomailing FROM tiposmailings ";

				ClassLibraryClinica.Consulta cns = new ClassLibraryClinica.Consulta();	//Creo la consulta
			
				OdbcDataReader dr = cns.ExecR(comando);
				if (cns.gsConsulta >= 0)
				{
					while(dr.Read())
						comboBoxDetallesMailingTipo.Items.Add(dr["tipomailing"].ToString());
					
					comboBoxDetallesMailingTipo.SelectedIndex = 0;
				}
				else
					MessageBox.Show("Error al cargar tipos de mailings", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
				
				dr.Close();
				cns.Cierre();
			}
		}

		private void comboBoxDetallesMailingTipo_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			string comando ;
			comando  = "SELECT asunto AS \"Asunto\" ";
			comando += " FROM detallestipomailing JOIN tiposmailings USING (idtipomailing) ";
			comando += " WHERE tipomailing = '" + comboBoxDetallesMailingTipo.Text.ToString() + "' ";

			Consulta cns = new Consulta();	//Creo la consulta
			DataSet ds = cns.ExecDS(comando);

			if (cns.gsConsulta >= 0)
			{
				dataGridDetallesMailing.DataSource = ds;	//Carga el datagrid de empleados
				dataGridDetallesMailing.DataMember = "consulta";
			}
			else
			{
				MessageBox.Show("Error al cargar detalles de tipos de mailings", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
			
			cns.Cierre();
		}

		private void buttonDetallesMailingModificar_Click(object sender, System.EventArgs e)
		{
			//Comprobamos si hay elementos
			if(dataGridDetallesMailing.CurrentRowIndex >= 0)
			{
				estadoSolapa2 = 1; //modificacin
		
				ClassLibraryClinica.DetalleTipoMailing detalleTipoMailing = new ClassLibraryClinica.DetalleTipoMailing();
				detalleTipoMailing.CargarAsuntoDB(dataGridDetallesMailing[dataGridDetallesMailing.CurrentRowIndex, 0].ToString());

				codigoDetalleTipoMailing = detalleTipoMailing.gsIdDetalleTipoMailing;

				codigoDetalleTipoMailing = detalleTipoMailing.gsIdDetalleTipoMailing;
				textBoxDetallesMailingAsunto.Text = detalleTipoMailing.gsAsunto;
				textBoxDetallesMailingTexto.Text = detalleTipoMailing.gsTexto;
			}
			else
				MessageBox.Show("Error al modificar el detalle de tipo de mailing, detalle de tipo de mailing inexistente", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
		}

		private void buttonDetallesMailingAceptar_Click(object sender, System.EventArgs e)
		{
			//Revisar esta parte MessageBox.Show("Ha olvidado introducir el asunto, quiere continuar?","Ausnto" MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes
			if(textBoxDetallesMailingAsunto.Text.Equals("") || textBoxDetallesMailingTexto.Text.Equals(""))
			{
				MessageBox.Show("No ha rellenado todos los campos obligatorios", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
			else
			{
			
				DetalleTipoMailing detalleTipoMailing = new DetalleTipoMailing();

				detalleTipoMailing.gsAsunto = textBoxDetallesMailingAsunto.Text;
				detalleTipoMailing.gsTexto = textBoxDetallesMailingTexto.Text;
			
				if(estadoSolapa2 == 0) //nuevo
				{
					TipoMailing tipoMailing = new TipoMailing();

					string comando; //Recojo el idtipomailing del tipomailing seleccionado
					comando  = "SELECT idtipomailing FROM tiposmailings ";
					comando += "WHERE tipomailing = '" + comboBoxDetallesMailingTipo.Text.ToString() + "' ";

					Consulta cns = new Consulta();
					int idTipoMailing = cns.ExecS(comando);
			
					detalleTipoMailing.gsIdTipoMailing = idTipoMailing;

					if (detalleTipoMailing.AgregarDB() <= 0)
					{
						MessageBox.Show("Error al insertar el detalle del tipo de mailing", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
					}
					cns.Cierre();
				}
				else	//modificacion
				{
					detalleTipoMailing.gsIdDetalleTipoMailing = codigoDetalleTipoMailing;

					if (!detalleTipoMailing.ModificarDB())
					{
						MessageBox.Show("Error al modificar el detalle del tipo de mailing", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
					}
				}
			
				textBoxDetallesMailingAsunto.Clear();
				textBoxDetallesMailingTexto.Clear();
			
				int numTipoMailing = comboBoxDetallesMailingTipo.SelectedIndex; //guardo el tipoMailing donde estoy
				FormMailing_Load(this, null);
				tabControlMailing.SelectedIndex = 1;

				comboBoxDetallesMailingTipo.SelectedIndex = numTipoMailing;
				dataGridDetallesMailing.Focus();//Pongo el foco en el datagrid
			}
		}

		private void buttonTipoMailingEliminar_Click(object sender, System.EventArgs e)
		{
			//Comprobamos si hay elementos
			if(dataGridTipoMailing.CurrentRowIndex >= 0)
			{
				if(MessageBox.Show("Quieres borrar el registro?","Eliminar", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
				{
					TipoMailing tipoMailing = new TipoMailing();
					string nombre = dataGridTipoMailing[dataGridTipoMailing.CurrentRowIndex, 0].ToString();
					if (!tipoMailing.EliminarDB(nombre))
						MessageBox.Show("Error al eliminar el tipo de mailing");

					FormMailing_Load(this, null);
				}
			}
			else
				MessageBox.Show("Error al eliminar el tipo de mailing, tipo de mailing inexistente", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
		}

		private void buttonDetallesMailingCancelar_Click(object sender, System.EventArgs e)
		{
			textBoxDetallesMailingAsunto.Clear();
			textBoxDetallesMailingTexto.Clear();
			dataGridDetallesMailing.Focus();
		}

		private void buttonDetallesMailingEliminar_Click(object sender, System.EventArgs e)
		{
			//Comprobamos si hay elementos
			if(dataGridDetallesMailing.CurrentRowIndex >= 0)
			{
				if(MessageBox.Show("Quieres borrar el registro?","Eliminar", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
				{
					DetalleTipoMailing detalleTipoMailing  = new DetalleTipoMailing();
					string nombre = dataGridDetallesMailing[dataGridDetallesMailing.CurrentRowIndex, 0].ToString();
					if (!detalleTipoMailing.EliminarDB(nombre))
						MessageBox.Show("Error al eliminar el detalle del tipo de mailing");

					FormMailing_Load(this, null);
					tabControlMailing.SelectedIndex = 1;
				}
			}
			else
				MessageBox.Show("Error al eliminar el detalle de tipo de mailing, detalle de tipo de mailing inexistente", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
		}

	}
}
