using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data.Odbc;
using System.Data;
using ClassLibraryClinica;

namespace WindowsApplicationClinica
{
	/// <summary>
	/// Descripcin breve de FormPedidos.
	/// </summary>
	public class FormNuevoPedido : System.Windows.Forms.Form
	{
		private System.Windows.Forms.PictureBox pictureBoxBotonera;
		private System.Windows.Forms.TabControl tabControlPedido;
		private System.Windows.Forms.GroupBox groupBoxLinPedido;
		private System.Windows.Forms.Button buttonEliminar;
		private System.Windows.Forms.Button buttonAgregar;
		private System.Windows.Forms.GroupBox groupBoxLinPedidoNueva;
		private System.Windows.Forms.Label labelCantidad;
		private System.Windows.Forms.Label labelProducto;
		private System.Windows.Forms.ComboBox comboBoxProducto;
		private System.Windows.Forms.Label labelPrecioUnitario;
		private System.Windows.Forms.NumericUpDown numericUpDownCantidad;
		private System.Windows.Forms.PictureBox pictureBox1;
		private System.Windows.Forms.GroupBox groupBoxLaboratorio;
		private System.Windows.Forms.GroupBox groupBoxLaboratorioDatos;
		private System.Windows.Forms.Label labelLaboratorioEmail;
		private System.Windows.Forms.Label labelLaboratorioFax;
		private System.Windows.Forms.Label labelLaboratorioTelefono;
		private System.Windows.Forms.Label labelLaboratorioPoblacion;
		private System.Windows.Forms.Label labelLaboratorioDireccion;
		private System.Windows.Forms.Label labelLaboratorioCIF;
		private System.Windows.Forms.ComboBox comboBoxLaboratorio;
		private System.Windows.Forms.TabPage tabPageLineaPedidos;
		private System.Windows.Forms.TabPage tabPagePedidos;
		private System.Windows.Forms.GroupBox groupBoxNumero;
		private System.Windows.Forms.Label labelNumero;
		private System.Windows.Forms.Button buttonCerrar;
		private System.Windows.Forms.Button buttonImprimir;
		/// <summary>
		/// Variable del diseador requerida.
		Consulta cns;
		private System.Windows.Forms.DataGrid dataGridLineas;
		private System.Windows.Forms.GroupBox groupBoxPedidos;
		private System.Windows.Forms.Button buttonEliminarPedido;
		private System.Windows.Forms.DataGrid dataGridPedidos;
		private System.Windows.Forms.Button buttonNuevoPedido;
		private System.Windows.Forms.Button button2;
		private System.Windows.Forms.Label labelLaboratorioNombre;
		private System.Windows.Forms.Label labelNombre;
		private System.Windows.Forms.Label labelCif;
		private System.Windows.Forms.Label labelDireccion;
		private System.Windows.Forms.Label labelEmail;
		private System.Windows.Forms.Label labelFax;
		private System.Windows.Forms.Label labelTelefono;
		private System.Windows.Forms.TextBox textBoxPrecioUnitario;
		private System.Windows.Forms.Label labelEuro; 
		
		/// </summary>
		private System.ComponentModel.Container components = null;

		public FormNuevoPedido()
		{
			//
			// Necesario para admitir el Diseador de Windows Forms
			//
			InitializeComponent();

			//
			// TODO: agregar cdigo de constructor despus de llamar a InitializeComponent
			//

			// Creamos la consuta
			cns = new Consulta();
		}

		/// <summary>
		/// Limpiar los recursos que se estn utilizando.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Cdigo generado por el Diseador de Windows Forms
		/// <summary>
		/// Mtodo necesario para admitir el Diseador. No se puede modificar
		/// el contenido del mtodo con el editor de cdigo.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(FormNuevoPedido));
			this.pictureBoxBotonera = new System.Windows.Forms.PictureBox();
			this.tabControlPedido = new System.Windows.Forms.TabControl();
			this.tabPagePedidos = new System.Windows.Forms.TabPage();
			this.groupBoxPedidos = new System.Windows.Forms.GroupBox();
			this.buttonEliminarPedido = new System.Windows.Forms.Button();
			this.dataGridPedidos = new System.Windows.Forms.DataGrid();
			this.buttonNuevoPedido = new System.Windows.Forms.Button();
			this.button2 = new System.Windows.Forms.Button();
			this.pictureBox1 = new System.Windows.Forms.PictureBox();
			this.groupBoxLaboratorio = new System.Windows.Forms.GroupBox();
			this.groupBoxLaboratorioDatos = new System.Windows.Forms.GroupBox();
			this.labelTelefono = new System.Windows.Forms.Label();
			this.labelFax = new System.Windows.Forms.Label();
			this.labelEmail = new System.Windows.Forms.Label();
			this.labelDireccion = new System.Windows.Forms.Label();
			this.labelCif = new System.Windows.Forms.Label();
			this.labelNombre = new System.Windows.Forms.Label();
			this.labelLaboratorioEmail = new System.Windows.Forms.Label();
			this.labelLaboratorioFax = new System.Windows.Forms.Label();
			this.labelLaboratorioTelefono = new System.Windows.Forms.Label();
			this.labelLaboratorioPoblacion = new System.Windows.Forms.Label();
			this.labelLaboratorioDireccion = new System.Windows.Forms.Label();
			this.labelLaboratorioCIF = new System.Windows.Forms.Label();
			this.labelLaboratorioNombre = new System.Windows.Forms.Label();
			this.comboBoxLaboratorio = new System.Windows.Forms.ComboBox();
			this.tabPageLineaPedidos = new System.Windows.Forms.TabPage();
			this.groupBoxLinPedido = new System.Windows.Forms.GroupBox();
			this.buttonImprimir = new System.Windows.Forms.Button();
			this.buttonEliminar = new System.Windows.Forms.Button();
			this.buttonAgregar = new System.Windows.Forms.Button();
			this.groupBoxLinPedidoNueva = new System.Windows.Forms.GroupBox();
			this.labelEuro = new System.Windows.Forms.Label();
			this.groupBoxNumero = new System.Windows.Forms.GroupBox();
			this.labelNumero = new System.Windows.Forms.Label();
			this.labelCantidad = new System.Windows.Forms.Label();
			this.textBoxPrecioUnitario = new System.Windows.Forms.TextBox();
			this.labelProducto = new System.Windows.Forms.Label();
			this.comboBoxProducto = new System.Windows.Forms.ComboBox();
			this.labelPrecioUnitario = new System.Windows.Forms.Label();
			this.numericUpDownCantidad = new System.Windows.Forms.NumericUpDown();
			this.dataGridLineas = new System.Windows.Forms.DataGrid();
			this.buttonCerrar = new System.Windows.Forms.Button();
			this.tabControlPedido.SuspendLayout();
			this.tabPagePedidos.SuspendLayout();
			this.groupBoxPedidos.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.dataGridPedidos)).BeginInit();
			this.groupBoxLaboratorio.SuspendLayout();
			this.groupBoxLaboratorioDatos.SuspendLayout();
			this.tabPageLineaPedidos.SuspendLayout();
			this.groupBoxLinPedido.SuspendLayout();
			this.groupBoxLinPedidoNueva.SuspendLayout();
			this.groupBoxNumero.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.numericUpDownCantidad)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.dataGridLineas)).BeginInit();
			this.SuspendLayout();
			// 
			// pictureBoxBotonera
			// 
			this.pictureBoxBotonera.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.pictureBoxBotonera.Image = ((System.Drawing.Image)(resources.GetObject("pictureBoxBotonera.Image")));
			this.pictureBoxBotonera.Location = new System.Drawing.Point(8, 384);
			this.pictureBoxBotonera.Name = "pictureBoxBotonera";
			this.pictureBoxBotonera.Size = new System.Drawing.Size(528, 56);
			this.pictureBoxBotonera.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
			this.pictureBoxBotonera.TabIndex = 4;
			this.pictureBoxBotonera.TabStop = false;
			// 
			// tabControlPedido
			// 
			this.tabControlPedido.Controls.Add(this.tabPagePedidos);
			this.tabControlPedido.Controls.Add(this.tabPageLineaPedidos);
			this.tabControlPedido.Location = new System.Drawing.Point(8, 8);
			this.tabControlPedido.Name = "tabControlPedido";
			this.tabControlPedido.SelectedIndex = 0;
			this.tabControlPedido.Size = new System.Drawing.Size(528, 368);
			this.tabControlPedido.TabIndex = 0;
			this.tabControlPedido.SelectedIndexChanged += new System.EventHandler(this.tabControlPedido_SelectedIndexChanged);
			// 
			// tabPagePedidos
			// 
			this.tabPagePedidos.Controls.Add(this.groupBoxPedidos);
			this.tabPagePedidos.Controls.Add(this.pictureBox1);
			this.tabPagePedidos.Controls.Add(this.groupBoxLaboratorio);
			this.tabPagePedidos.Location = new System.Drawing.Point(4, 22);
			this.tabPagePedidos.Name = "tabPagePedidos";
			this.tabPagePedidos.Size = new System.Drawing.Size(520, 342);
			this.tabPagePedidos.TabIndex = 1;
			this.tabPagePedidos.Text = "Pedidos";
			this.tabPagePedidos.Click += new System.EventHandler(this.tabPagePedidos_Click);
			// 
			// groupBoxPedidos
			// 
			this.groupBoxPedidos.Controls.Add(this.buttonEliminarPedido);
			this.groupBoxPedidos.Controls.Add(this.dataGridPedidos);
			this.groupBoxPedidos.Controls.Add(this.buttonNuevoPedido);
			this.groupBoxPedidos.Controls.Add(this.button2);
			this.groupBoxPedidos.Location = new System.Drawing.Point(16, 8);
			this.groupBoxPedidos.Name = "groupBoxPedidos";
			this.groupBoxPedidos.Size = new System.Drawing.Size(496, 208);
			this.groupBoxPedidos.TabIndex = 0;
			this.groupBoxPedidos.TabStop = false;
			this.groupBoxPedidos.Text = "Pedidos";
			// 
			// buttonEliminarPedido
			// 
			this.buttonEliminarPedido.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonEliminarPedido.ForeColor = System.Drawing.Color.Navy;
			this.buttonEliminarPedido.Image = ((System.Drawing.Image)(resources.GetObject("buttonEliminarPedido.Image")));
			this.buttonEliminarPedido.ImageAlign = System.Drawing.ContentAlignment.TopCenter;
			this.buttonEliminarPedido.Location = new System.Drawing.Point(424, 80);
			this.buttonEliminarPedido.Name = "buttonEliminarPedido";
			this.buttonEliminarPedido.Size = new System.Drawing.Size(64, 56);
			this.buttonEliminarPedido.TabIndex = 2;
			this.buttonEliminarPedido.Text = "Eliminar";
			this.buttonEliminarPedido.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
			this.buttonEliminarPedido.Click += new System.EventHandler(this.buttonEliminarPedido_Click);
			// 
			// dataGridPedidos
			// 
			this.dataGridPedidos.DataMember = "";
			this.dataGridPedidos.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.dataGridPedidos.Location = new System.Drawing.Point(8, 16);
			this.dataGridPedidos.Name = "dataGridPedidos";
			this.dataGridPedidos.PreferredColumnWidth = 84;
			this.dataGridPedidos.ReadOnly = true;
			this.dataGridPedidos.Size = new System.Drawing.Size(408, 184);
			this.dataGridPedidos.TabIndex = 0;
			this.dataGridPedidos.DoubleClick += new System.EventHandler(this.dataGridPedidos_DoubleClick);
			// 
			// buttonNuevoPedido
			// 
			this.buttonNuevoPedido.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonNuevoPedido.ForeColor = System.Drawing.Color.Navy;
			this.buttonNuevoPedido.Image = ((System.Drawing.Image)(resources.GetObject("buttonNuevoPedido.Image")));
			this.buttonNuevoPedido.ImageAlign = System.Drawing.ContentAlignment.TopCenter;
			this.buttonNuevoPedido.Location = new System.Drawing.Point(424, 16);
			this.buttonNuevoPedido.Name = "buttonNuevoPedido";
			this.buttonNuevoPedido.Size = new System.Drawing.Size(64, 56);
			this.buttonNuevoPedido.TabIndex = 251;
			this.buttonNuevoPedido.Text = "Agregar";
			this.buttonNuevoPedido.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
			this.buttonNuevoPedido.Click += new System.EventHandler(this.buttonNuevoPedido_Click);
			// 
			// button2
			// 
			this.button2.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.button2.ForeColor = System.Drawing.Color.Navy;
			this.button2.Image = ((System.Drawing.Image)(resources.GetObject("button2.Image")));
			this.button2.ImageAlign = System.Drawing.ContentAlignment.TopCenter;
			this.button2.Location = new System.Drawing.Point(424, 144);
			this.button2.Name = "button2";
			this.button2.Size = new System.Drawing.Size(64, 56);
			this.button2.TabIndex = 3;
			this.button2.Text = "Imprimir";
			this.button2.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
			this.button2.Click += new System.EventHandler(this.button2_Click);
			// 
			// pictureBox1
			// 
			this.pictureBox1.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox1.Image")));
			this.pictureBox1.Location = new System.Drawing.Point(448, 256);
			this.pictureBox1.Name = "pictureBox1";
			this.pictureBox1.Size = new System.Drawing.Size(56, 48);
			this.pictureBox1.TabIndex = 18;
			this.pictureBox1.TabStop = false;
			// 
			// groupBoxLaboratorio
			// 
			this.groupBoxLaboratorio.Controls.Add(this.groupBoxLaboratorioDatos);
			this.groupBoxLaboratorio.Controls.Add(this.comboBoxLaboratorio);
			this.groupBoxLaboratorio.Location = new System.Drawing.Point(16, 216);
			this.groupBoxLaboratorio.Name = "groupBoxLaboratorio";
			this.groupBoxLaboratorio.Size = new System.Drawing.Size(416, 120);
			this.groupBoxLaboratorio.TabIndex = 1;
			this.groupBoxLaboratorio.TabStop = false;
			this.groupBoxLaboratorio.Text = "Laboratorio";
			// 
			// groupBoxLaboratorioDatos
			// 
			this.groupBoxLaboratorioDatos.Controls.Add(this.labelTelefono);
			this.groupBoxLaboratorioDatos.Controls.Add(this.labelFax);
			this.groupBoxLaboratorioDatos.Controls.Add(this.labelEmail);
			this.groupBoxLaboratorioDatos.Controls.Add(this.labelDireccion);
			this.groupBoxLaboratorioDatos.Controls.Add(this.labelCif);
			this.groupBoxLaboratorioDatos.Controls.Add(this.labelNombre);
			this.groupBoxLaboratorioDatos.Controls.Add(this.labelLaboratorioEmail);
			this.groupBoxLaboratorioDatos.Controls.Add(this.labelLaboratorioFax);
			this.groupBoxLaboratorioDatos.Controls.Add(this.labelLaboratorioTelefono);
			this.groupBoxLaboratorioDatos.Controls.Add(this.labelLaboratorioPoblacion);
			this.groupBoxLaboratorioDatos.Controls.Add(this.labelLaboratorioDireccion);
			this.groupBoxLaboratorioDatos.Controls.Add(this.labelLaboratorioCIF);
			this.groupBoxLaboratorioDatos.Controls.Add(this.labelLaboratorioNombre);
			this.groupBoxLaboratorioDatos.Location = new System.Drawing.Point(8, 40);
			this.groupBoxLaboratorioDatos.Name = "groupBoxLaboratorioDatos";
			this.groupBoxLaboratorioDatos.Size = new System.Drawing.Size(400, 72);
			this.groupBoxLaboratorioDatos.TabIndex = 1;
			this.groupBoxLaboratorioDatos.TabStop = false;
			// 
			// labelTelefono
			// 
			this.labelTelefono.Location = new System.Drawing.Point(8, 48);
			this.labelTelefono.Name = "labelTelefono";
			this.labelTelefono.Size = new System.Drawing.Size(48, 16);
			this.labelTelefono.TabIndex = 7;
			this.labelTelefono.Text = "Telfono";
			// 
			// labelFax
			// 
			this.labelFax.Location = new System.Drawing.Point(128, 48);
			this.labelFax.Name = "labelFax";
			this.labelFax.Size = new System.Drawing.Size(24, 16);
			this.labelFax.TabIndex = 9;
			this.labelFax.Text = "Fax";
			// 
			// labelEmail
			// 
			this.labelEmail.Location = new System.Drawing.Point(216, 48);
			this.labelEmail.Name = "labelEmail";
			this.labelEmail.Size = new System.Drawing.Size(40, 16);
			this.labelEmail.TabIndex = 11;
			this.labelEmail.Text = "E-mail";
			// 
			// labelDireccion
			// 
			this.labelDireccion.Location = new System.Drawing.Point(8, 32);
			this.labelDireccion.Name = "labelDireccion";
			this.labelDireccion.Size = new System.Drawing.Size(56, 16);
			this.labelDireccion.TabIndex = 4;
			this.labelDireccion.Text = "Direccin";
			// 
			// labelCif
			// 
			this.labelCif.Location = new System.Drawing.Point(288, 16);
			this.labelCif.Name = "labelCif";
			this.labelCif.Size = new System.Drawing.Size(32, 16);
			this.labelCif.TabIndex = 2;
			this.labelCif.Text = "C.I.F.";
			// 
			// labelNombre
			// 
			this.labelNombre.Location = new System.Drawing.Point(8, 16);
			this.labelNombre.Name = "labelNombre";
			this.labelNombre.Size = new System.Drawing.Size(48, 15);
			this.labelNombre.TabIndex = 0;
			this.labelNombre.Text = "Nombre";
			// 
			// labelLaboratorioEmail
			// 
			this.labelLaboratorioEmail.ForeColor = System.Drawing.Color.Navy;
			this.labelLaboratorioEmail.Location = new System.Drawing.Point(264, 48);
			this.labelLaboratorioEmail.Name = "labelLaboratorioEmail";
			this.labelLaboratorioEmail.Size = new System.Drawing.Size(128, 16);
			this.labelLaboratorioEmail.TabIndex = 12;
			this.labelLaboratorioEmail.Text = "Email";
			this.labelLaboratorioEmail.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// labelLaboratorioFax
			// 
			this.labelLaboratorioFax.ForeColor = System.Drawing.Color.Navy;
			this.labelLaboratorioFax.Location = new System.Drawing.Point(152, 48);
			this.labelLaboratorioFax.Name = "labelLaboratorioFax";
			this.labelLaboratorioFax.Size = new System.Drawing.Size(64, 16);
			this.labelLaboratorioFax.TabIndex = 10;
			this.labelLaboratorioFax.Text = "Fax";
			// 
			// labelLaboratorioTelefono
			// 
			this.labelLaboratorioTelefono.ForeColor = System.Drawing.Color.Navy;
			this.labelLaboratorioTelefono.Location = new System.Drawing.Point(64, 48);
			this.labelLaboratorioTelefono.Name = "labelLaboratorioTelefono";
			this.labelLaboratorioTelefono.Size = new System.Drawing.Size(64, 16);
			this.labelLaboratorioTelefono.TabIndex = 8;
			this.labelLaboratorioTelefono.Text = "Tlefono";
			// 
			// labelLaboratorioPoblacion
			// 
			this.labelLaboratorioPoblacion.ForeColor = System.Drawing.Color.Navy;
			this.labelLaboratorioPoblacion.Location = new System.Drawing.Point(312, 32);
			this.labelLaboratorioPoblacion.Name = "labelLaboratorioPoblacion";
			this.labelLaboratorioPoblacion.Size = new System.Drawing.Size(80, 16);
			this.labelLaboratorioPoblacion.TabIndex = 6;
			this.labelLaboratorioPoblacion.Text = "Poblacin";
			this.labelLaboratorioPoblacion.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// labelLaboratorioDireccion
			// 
			this.labelLaboratorioDireccion.ForeColor = System.Drawing.Color.Navy;
			this.labelLaboratorioDireccion.Location = new System.Drawing.Point(64, 32);
			this.labelLaboratorioDireccion.Name = "labelLaboratorioDireccion";
			this.labelLaboratorioDireccion.Size = new System.Drawing.Size(240, 16);
			this.labelLaboratorioDireccion.TabIndex = 5;
			this.labelLaboratorioDireccion.Text = "Direccin";
			// 
			// labelLaboratorioCIF
			// 
			this.labelLaboratorioCIF.ForeColor = System.Drawing.Color.Navy;
			this.labelLaboratorioCIF.Location = new System.Drawing.Point(328, 16);
			this.labelLaboratorioCIF.Name = "labelLaboratorioCIF";
			this.labelLaboratorioCIF.Size = new System.Drawing.Size(64, 16);
			this.labelLaboratorioCIF.TabIndex = 3;
			this.labelLaboratorioCIF.Text = "C.I.F.";
			this.labelLaboratorioCIF.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// labelLaboratorioNombre
			// 
			this.labelLaboratorioNombre.ForeColor = System.Drawing.Color.Navy;
			this.labelLaboratorioNombre.Location = new System.Drawing.Point(64, 16);
			this.labelLaboratorioNombre.Name = "labelLaboratorioNombre";
			this.labelLaboratorioNombre.Size = new System.Drawing.Size(200, 16);
			this.labelLaboratorioNombre.TabIndex = 1;
			this.labelLaboratorioNombre.Text = "Nombre";
			// 
			// comboBoxLaboratorio
			// 
			this.comboBoxLaboratorio.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboBoxLaboratorio.Location = new System.Drawing.Point(8, 16);
			this.comboBoxLaboratorio.Name = "comboBoxLaboratorio";
			this.comboBoxLaboratorio.Size = new System.Drawing.Size(400, 21);
			this.comboBoxLaboratorio.TabIndex = 0;
			this.comboBoxLaboratorio.SelectedIndexChanged += new System.EventHandler(this.comboBoxLaboratorio_SelectedIndexChanged);
			// 
			// tabPageLineaPedidos
			// 
			this.tabPageLineaPedidos.Controls.Add(this.groupBoxLinPedido);
			this.tabPageLineaPedidos.Location = new System.Drawing.Point(4, 22);
			this.tabPageLineaPedidos.Name = "tabPageLineaPedidos";
			this.tabPageLineaPedidos.Size = new System.Drawing.Size(520, 342);
			this.tabPageLineaPedidos.TabIndex = 0;
			this.tabPageLineaPedidos.Text = "Linea de pedidos";
			// 
			// groupBoxLinPedido
			// 
			this.groupBoxLinPedido.Controls.Add(this.buttonImprimir);
			this.groupBoxLinPedido.Controls.Add(this.buttonEliminar);
			this.groupBoxLinPedido.Controls.Add(this.buttonAgregar);
			this.groupBoxLinPedido.Controls.Add(this.groupBoxLinPedidoNueva);
			this.groupBoxLinPedido.Controls.Add(this.dataGridLineas);
			this.groupBoxLinPedido.Location = new System.Drawing.Point(8, 8);
			this.groupBoxLinPedido.Name = "groupBoxLinPedido";
			this.groupBoxLinPedido.Size = new System.Drawing.Size(504, 328);
			this.groupBoxLinPedido.TabIndex = 0;
			this.groupBoxLinPedido.TabStop = false;
			this.groupBoxLinPedido.Text = "Lneas de Pedido";
			// 
			// buttonImprimir
			// 
			this.buttonImprimir.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonImprimir.ForeColor = System.Drawing.Color.Navy;
			this.buttonImprimir.Image = ((System.Drawing.Image)(resources.GetObject("buttonImprimir.Image")));
			this.buttonImprimir.ImageAlign = System.Drawing.ContentAlignment.TopCenter;
			this.buttonImprimir.Location = new System.Drawing.Point(432, 264);
			this.buttonImprimir.Name = "buttonImprimir";
			this.buttonImprimir.Size = new System.Drawing.Size(64, 56);
			this.buttonImprimir.TabIndex = 3;
			this.buttonImprimir.Text = "Imprimir";
			this.buttonImprimir.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
			this.buttonImprimir.Click += new System.EventHandler(this.buttonImprimir_Click);
			// 
			// buttonEliminar
			// 
			this.buttonEliminar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonEliminar.ForeColor = System.Drawing.Color.Navy;
			this.buttonEliminar.Image = ((System.Drawing.Image)(resources.GetObject("buttonEliminar.Image")));
			this.buttonEliminar.ImageAlign = System.Drawing.ContentAlignment.TopCenter;
			this.buttonEliminar.Location = new System.Drawing.Point(432, 200);
			this.buttonEliminar.Name = "buttonEliminar";
			this.buttonEliminar.Size = new System.Drawing.Size(64, 56);
			this.buttonEliminar.TabIndex = 2;
			this.buttonEliminar.Text = "Eliminar";
			this.buttonEliminar.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
			this.buttonEliminar.Click += new System.EventHandler(this.buttonEliminar_Click);
			// 
			// buttonAgregar
			// 
			this.buttonAgregar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonAgregar.ForeColor = System.Drawing.Color.Navy;
			this.buttonAgregar.Image = ((System.Drawing.Image)(resources.GetObject("buttonAgregar.Image")));
			this.buttonAgregar.ImageAlign = System.Drawing.ContentAlignment.TopCenter;
			this.buttonAgregar.Location = new System.Drawing.Point(432, 136);
			this.buttonAgregar.Name = "buttonAgregar";
			this.buttonAgregar.Size = new System.Drawing.Size(64, 56);
			this.buttonAgregar.TabIndex = 2;
			this.buttonAgregar.Text = "Agregar";
			this.buttonAgregar.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
			this.buttonAgregar.Click += new System.EventHandler(this.buttonAgregar_Click);
			// 
			// groupBoxLinPedidoNueva
			// 
			this.groupBoxLinPedidoNueva.Controls.Add(this.labelEuro);
			this.groupBoxLinPedidoNueva.Controls.Add(this.groupBoxNumero);
			this.groupBoxLinPedidoNueva.Controls.Add(this.labelCantidad);
			this.groupBoxLinPedidoNueva.Controls.Add(this.textBoxPrecioUnitario);
			this.groupBoxLinPedidoNueva.Controls.Add(this.labelProducto);
			this.groupBoxLinPedidoNueva.Controls.Add(this.comboBoxProducto);
			this.groupBoxLinPedidoNueva.Controls.Add(this.labelPrecioUnitario);
			this.groupBoxLinPedidoNueva.Controls.Add(this.numericUpDownCantidad);
			this.groupBoxLinPedidoNueva.Location = new System.Drawing.Point(8, 16);
			this.groupBoxLinPedidoNueva.Name = "groupBoxLinPedidoNueva";
			this.groupBoxLinPedidoNueva.Size = new System.Drawing.Size(488, 72);
			this.groupBoxLinPedidoNueva.TabIndex = 0;
			this.groupBoxLinPedidoNueva.TabStop = false;
			// 
			// labelEuro
			// 
			this.labelEuro.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelEuro.Location = new System.Drawing.Point(328, 45);
			this.labelEuro.Name = "labelEuro";
			this.labelEuro.Size = new System.Drawing.Size(8, 16);
			this.labelEuro.TabIndex = 5;
			this.labelEuro.Text = "";
			// 
			// groupBoxNumero
			// 
			this.groupBoxNumero.Controls.Add(this.labelNumero);
			this.groupBoxNumero.Location = new System.Drawing.Point(8, 16);
			this.groupBoxNumero.Name = "groupBoxNumero";
			this.groupBoxNumero.Size = new System.Drawing.Size(120, 48);
			this.groupBoxNumero.TabIndex = 0;
			this.groupBoxNumero.TabStop = false;
			this.groupBoxNumero.Text = "Nmero de pedido";
			// 
			// labelNumero
			// 
			this.labelNumero.Font = new System.Drawing.Font("Tahoma", 14F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelNumero.ForeColor = System.Drawing.Color.Navy;
			this.labelNumero.Location = new System.Drawing.Point(8, 16);
			this.labelNumero.Name = "labelNumero";
			this.labelNumero.Size = new System.Drawing.Size(104, 24);
			this.labelNumero.TabIndex = 0;
			this.labelNumero.Text = "9999";
			this.labelNumero.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// labelCantidad
			// 
			this.labelCantidad.Location = new System.Drawing.Point(352, 45);
			this.labelCantidad.Name = "labelCantidad";
			this.labelCantidad.Size = new System.Drawing.Size(48, 16);
			this.labelCantidad.TabIndex = 6;
			this.labelCantidad.Text = "Cantidad";
			// 
			// textBoxPrecioUnitario
			// 
			this.textBoxPrecioUnitario.Location = new System.Drawing.Point(224, 40);
			this.textBoxPrecioUnitario.Name = "textBoxPrecioUnitario";
			this.textBoxPrecioUnitario.Size = new System.Drawing.Size(96, 21);
			this.textBoxPrecioUnitario.TabIndex = 4;
			this.textBoxPrecioUnitario.Text = "";
			this.textBoxPrecioUnitario.Validating += new System.ComponentModel.CancelEventHandler(this.textBoxPrecioUnitario_Validating);
			this.textBoxPrecioUnitario.Leave += new System.EventHandler(this.textBoxPrecioUnitario_Leave);
			// 
			// labelProducto
			// 
			this.labelProducto.ForeColor = System.Drawing.SystemColors.ControlText;
			this.labelProducto.Location = new System.Drawing.Point(136, 21);
			this.labelProducto.Name = "labelProducto";
			this.labelProducto.Size = new System.Drawing.Size(56, 16);
			this.labelProducto.TabIndex = 1;
			this.labelProducto.Text = "Producto";
			// 
			// comboBoxProducto
			// 
			this.comboBoxProducto.Location = new System.Drawing.Point(224, 16);
			this.comboBoxProducto.Name = "comboBoxProducto";
			this.comboBoxProducto.Size = new System.Drawing.Size(256, 21);
			this.comboBoxProducto.TabIndex = 2;
			// 
			// labelPrecioUnitario
			// 
			this.labelPrecioUnitario.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelPrecioUnitario.ForeColor = System.Drawing.SystemColors.ControlText;
			this.labelPrecioUnitario.Location = new System.Drawing.Point(136, 45);
			this.labelPrecioUnitario.Name = "labelPrecioUnitario";
			this.labelPrecioUnitario.Size = new System.Drawing.Size(88, 16);
			this.labelPrecioUnitario.TabIndex = 3;
			this.labelPrecioUnitario.Text = "Precio unitario";
			// 
			// numericUpDownCantidad
			// 
			this.numericUpDownCantidad.Location = new System.Drawing.Point(408, 40);
			this.numericUpDownCantidad.Name = "numericUpDownCantidad";
			this.numericUpDownCantidad.Size = new System.Drawing.Size(72, 21);
			this.numericUpDownCantidad.TabIndex = 7;
			this.numericUpDownCantidad.Value = new System.Decimal(new int[] {
																				1,
																				0,
																				0,
																				0});
			// 
			// dataGridLineas
			// 
			this.dataGridLineas.DataMember = "";
			this.dataGridLineas.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.dataGridLineas.Location = new System.Drawing.Point(8, 96);
			this.dataGridLineas.Name = "dataGridLineas";
			this.dataGridLineas.PreferredColumnWidth = 94;
			this.dataGridLineas.ReadOnly = true;
			this.dataGridLineas.Size = new System.Drawing.Size(416, 224);
			this.dataGridLineas.TabIndex = 1;
			// 
			// buttonCerrar
			// 
			this.buttonCerrar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonCerrar.ForeColor = System.Drawing.Color.Navy;
			this.buttonCerrar.Image = ((System.Drawing.Image)(resources.GetObject("buttonCerrar.Image")));
			this.buttonCerrar.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.buttonCerrar.Location = new System.Drawing.Point(440, 392);
			this.buttonCerrar.Name = "buttonCerrar";
			this.buttonCerrar.Size = new System.Drawing.Size(88, 40);
			this.buttonCerrar.TabIndex = 1;
			this.buttonCerrar.Text = "Cerrar";
			this.buttonCerrar.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonCerrar.Click += new System.EventHandler(this.buttonCerrar_Click);
			// 
			// FormNuevoPedido
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 14);
			this.ClientSize = new System.Drawing.Size(546, 447);
			this.Controls.Add(this.buttonCerrar);
			this.Controls.Add(this.tabControlPedido);
			this.Controls.Add(this.pictureBoxBotonera);
			this.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.ForeColor = System.Drawing.SystemColors.ControlText;
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "FormNuevoPedido";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "Nuevo Pedido";
			this.Load += new System.EventHandler(this.FormNuevoPedido_Load);
			this.tabControlPedido.ResumeLayout(false);
			this.tabPagePedidos.ResumeLayout(false);
			this.groupBoxPedidos.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.dataGridPedidos)).EndInit();
			this.groupBoxLaboratorio.ResumeLayout(false);
			this.groupBoxLaboratorioDatos.ResumeLayout(false);
			this.tabPageLineaPedidos.ResumeLayout(false);
			this.groupBoxLinPedido.ResumeLayout(false);
			this.groupBoxLinPedidoNueva.ResumeLayout(false);
			this.groupBoxNumero.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.numericUpDownCantidad)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.dataGridLineas)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		private void buttonCancelar_Click(object sender, System.EventArgs e)
		{
			Close();
		}

		private void buttonImprimir_Click(object sender, System.EventArgs e)
		{
			FormReporte reporte = new FormReporte();
			reporte.gsRutaListado = "..\\..\\CrystalReportPedidos.rpt";
			reporte.ShowDialog();

		}

		private void buttonEliminar_Click(object sender, System.EventArgs e)
		{
			//Comprobamos si hay elementos a borrar
			if(dataGridLineas.CurrentRowIndex >= 0)
			{
				if(MessageBox.Show("Quieres borrar el registro?","Eliminar", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
				{				
				
					DetallePedido detallepedido  = new DetallePedido();

					int id = int.Parse(dataGridLineas[dataGridLineas.CurrentRowIndex, 0].ToString());
				
					if (!detallepedido.EliminarDB(id))
						MessageBox.Show("Error al eliminar la linea de pedido", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);

					FormNuevoPedido_Load(this, null);

					//Foco en la pestaa 2
					tabControlPedido.SelectedIndex = 1;
				
				}
			}
			else
				MessageBox.Show("Error al eliminar la linea de pedido", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
				
		}
		

		private void tabControlPedido_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			if(tabControlPedido.SelectedIndex == 1)
			{
				//Pestaa 2

				//Cargamos los productos
				//Limpiamos el comboBox
				comboBoxProducto.Items.Clear();
				//Limpiamos el label
				labelNumero.Text = "";
			
				string comando  = "SELECT producto AS \"Producto\" FROM productos";			

				OdbcDataReader dr = cns.ExecR(comando);

				//Comprobamos error
				if (cns.gsConsulta >= 0)
				{
					while(dr.Read())	//Recorremos los resultados 
						comboBoxProducto.Items.Add(dr["producto"].ToString());

					comboBoxProducto.SelectedIndex = 0;					
				}
				else
					MessageBox.Show("Error al cargar productos", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);

				dr.Close();
	

				if(dataGridPedidos.CurrentRowIndex >= 0)
				{
					//Asignamos el nmero del pedido activo
					labelNumero.Text = dataGridPedidos[dataGridPedidos.CurrentRowIndex, 0].ToString();
			
					//Cargamos las lineas del pedido activo

					comando  = "SELECT iddetallepedido AS \"Id\", producto AS \"Producto\", ";
					comando += "CASE WHEN preciounitario IS null THEN '' ELSE cast(preciounitario AS varchar) END AS \"Precio Unitario\", ";
					comando += "CASE WHEN d.cantidadpedida IS null THEN '' ELSE cast(d.cantidadpedida AS varchar) END AS \"Cantidad\" ";			
					comando += " FROM detallespedidos d JOIN productos using(idproducto)";
					comando += " WHERE idpedido = " + labelNumero.Text ;

					DataSet ds = cns.ExecDS(comando);
					if (cns.gsConsulta >= 0)
					{
						dataGridLineas.DataSource = ds;
						dataGridLineas.DataMember = "consulta";
					}
					else
					{
						MessageBox.Show("Error al cargar las lineas de pedido", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
					}			
					
				}
				else
				{
					MessageBox.Show("Error al cargar las lineas de pedido, no existe pedido", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
					labelNumero.Text = "";	
					dataGridLineas.DataSource = null;
				}
			}
		}

		private void tabPagePedidos_Click(object sender, System.EventArgs e)
		{
		
		}

		private void FormNuevoPedido_Load(object sender, System.EventArgs e)
		{
			//Foco en la pestaa 1
			tabControlPedido.SelectedIndex = 0;

			string comando ;	//Se crea la sentencia
			
			//Pestaa 1
			//Cargamos los laboratorios
			//Limpiamos el comboBox
			comboBoxLaboratorio.Items.Clear();
			
			comando  = "SELECT laboratorio AS \"Laboratorio\" FROM laboratorios";			

			OdbcDataReader dr = cns.ExecR(comando);

			//Comprobamos error
			if (cns.gsConsulta >= 0)
			{
				while(dr.Read())	//Recorremos los resultados 
					comboBoxLaboratorio.Items.Add(dr["laboratorio"].ToString());

				comboBoxLaboratorio.SelectedIndex = 0;					
			}
			else
				MessageBox.Show("Error al cargar laboratorios", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);

			dr.Close();	
	
			//Cargamos los pedidos

			comando  = "SELECT idpedido AS \"Id\", laboratorio AS \"Laboratorio\", ";
			comando += "CASE WHEN fechasolicitud IS null THEN '' ELSE cast(fechasolicitud AS varchar) END AS \"Fecha solicitud\", ";
			comando += "CASE WHEN fecharecepcion IS null THEN '' ELSE cast(fecharecepcion AS varchar) END AS \"Fecha recepcin\" ";			
			comando += " FROM pedidos JOIN laboratorios using(idlaboratorio)";

			DataSet ds = cns.ExecDS(comando);
			if (cns.gsConsulta >= 0)
			{
				dataGridPedidos.DataSource = ds;
				dataGridPedidos.DataMember = "consulta";
			}
			else
			{
				MessageBox.Show("Error al cargar los pedidos", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}		
	
		}

		private void buttonCerrar_Click(object sender, System.EventArgs e)
		{
			cns.Cierre();
			Close();
		
		}

		private void comboBoxLaboratorio_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			string comando ;
			comando  = "SELECT  laboratorio AS \"Laboratorio\", cif AS \"CIF\", ";
			comando	+= "CASE WHEN direccion IS null THEN '' ELSE direccion END AS \"Direccion\", ";
			comando	+= "CASE WHEN poblacion IS null THEN '' ELSE poblacion END AS \"Poblacin\", ";
			comando	+= "CASE WHEN telefono IS null THEN '' ELSE telefono END AS \"Telfono\", ";
			comando	+= "CASE WHEN fax IS null THEN '' ELSE fax END AS \"Fax\", ";
			comando	+= "CASE WHEN email IS null THEN '' ELSE email END AS \"E-Mail\"";		
			comando += " FROM laboratorios";
			comando += " WHERE laboratorio = '" + comboBoxLaboratorio.Text.ToString() + "' ";

			Consulta cns = new Consulta();	//Creo la consulta
			OdbcDataReader dr = cns.ExecR(comando);

			if (cns.gsConsulta >= 0 && dr.Read())
			{
				//Mostramos los datos del laboratorio
				
				labelLaboratorioNombre.Text = dr.GetString(0);;
				labelLaboratorioCIF.Text = dr.GetString(1);
				labelLaboratorioDireccion.Text = dr.GetString(2);
				labelLaboratorioPoblacion.Text = dr.GetString(3);
				labelLaboratorioTelefono.Text = dr.GetString(4);
				labelLaboratorioFax.Text = dr.GetString(5);
				labelLaboratorioEmail.Text = dr.GetString(6);  
			}
			else
			{
				MessageBox.Show("Error al cargar los datos del laboratorio", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}			
		
		}

		
		private void buttonNuevoPedido_Click(object sender, System.EventArgs e)
		{

			//Creamos el pedido
			Pedido pedido = new Pedido();

			//Le asignamos el id del laboratorio
			string comando = "SELECT idlaboratorio FROM laboratorios WHERE laboratorio = '" + comboBoxLaboratorio.Text.ToString() + "'";
			
			pedido.gsIdLaboratorio = cns.ExecS(comando);

			if (pedido.AgregarDB() <= 0)
			{
				MessageBox.Show("Error al insertar el pedido", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}


			//Actualizo el datagrid

			comando  = "SELECT idpedido AS \"Id\", laboratorio AS \"Laboratorio\", ";
			comando += "CASE WHEN fechasolicitud IS null THEN '' ELSE cast(fechasolicitud AS varchar) END AS \"Fecha solicitud\", ";
			comando += "CASE WHEN fecharecepcion IS null THEN '' ELSE cast(fecharecepcion AS varchar) END AS \"Fecha recepcin\" ";			
			comando += " FROM pedidos JOIN laboratorios using(idlaboratorio)";

			DataSet ds = cns.ExecDS(comando);
			if (cns.gsConsulta >= 0)
			{
				dataGridPedidos.DataSource = ds;
				dataGridPedidos.DataMember = "consulta";
			}
			else
			{
				MessageBox.Show("Error al cargar los pedidos", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
			
		}

		private void buttonEliminarPedido_Click(object sender, System.EventArgs e)
		{
			//Comprobamos si hay elementos a borrar
			if(dataGridPedidos.CurrentRowIndex >= 0)
			{
				if(MessageBox.Show("Quieres borrar el registro?","Eliminar", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
				{				
					Pedido pedido = new Pedido();
					int id = int.Parse(dataGridPedidos[dataGridPedidos.CurrentRowIndex, 0].ToString());
					if (!pedido.EliminarDB(id))
						MessageBox.Show("Error al eliminar el pedido", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);

					FormNuevoPedido_Load(this, null);
				}
			}
			else
				MessageBox.Show("Error al eliminar el pedido, pedido inexistente", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
		}

		private void dataGridPedidos_DoubleClick(object sender, System.EventArgs e)
		{
			string comando;

			//Cargamos los datos en la pestaa 2

			//Asignamos el nmero del pedido activo
			labelNumero.Text = dataGridPedidos[dataGridPedidos.CurrentRowIndex, 0].ToString();

			//Cargamos los productos
			//Limpiamos el comboBox
			comboBoxProducto.Items.Clear();
			
			comando  = "SELECT producto AS \"Producto\" FROM productos";			

			OdbcDataReader dr = cns.ExecR(comando);

			//Comprobamos error
			if (cns.gsConsulta >= 0)
			{
				while(dr.Read())	//Recorremos los resultados 
					comboBoxProducto.Items.Add(dr["producto"].ToString());

				comboBoxProducto.SelectedIndex = 0;					
			}
			else
				MessageBox.Show("Error al cargar productos", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);

			dr.Close();

	
			//Cargamos las lineas del pedido activo

			comando  = "SELECT iddetallepedido AS \"Id\", producto AS \"Producto\", ";
			comando += "CASE WHEN preciounitario IS null THEN '' ELSE cast(preciounitario AS varchar) END AS \"Precio Unitario\", ";
			comando += "CASE WHEN d.cantidadpedida IS null THEN '' ELSE cast(d.cantidadpedida AS varchar) END AS \"Cantidad\" ";			
			comando += " FROM detallespedidos d JOIN productos using(idproducto)";
			comando += " WHERE idpedido = '" + labelNumero.Text + "'";

			DataSet ds = cns.ExecDS(comando);
			if (cns.gsConsulta >= 0)
			{
				dataGridLineas.DataSource = ds;
				dataGridLineas.DataMember = "consulta";
			}
			else
			{
				MessageBox.Show("Error al cargar las lineas de pedido", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}

			//Foco en la pestaa 2
			tabControlPedido.SelectedIndex = 1;
		
		}

		private void buttonAgregar_Click(object sender, System.EventArgs e)
		{
			if(labelNumero.Text.Equals(""))
			{
				MessageBox.Show("No hay ningn pedido seleccionado", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
			else if(textBoxPrecioUnitario.Text.Equals(""))
			{
				MessageBox.Show("Por favor, inserte el campo precio unitario", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
			else
			{
				//Creamos la linea de pedido
				DetallePedido detallepedido = new DetallePedido();

				//Asignamos el id del pedido
				detallepedido.gsIdPedido = int.Parse(labelNumero.Text);			
			
				//asignamos el id del producto producto
			
				string comando = "SELECT idproducto FROM productos WHERE producto = '" + comboBoxProducto.Text.ToString() + "'";
			
				detallepedido.gsIdProducto = cns.ExecS(comando);

				//Asignamos el precio unitario
				detallepedido.gsPrecioUnitario = float.Parse(textBoxPrecioUnitario.Text);

				//Asignamos la cantidad
				detallepedido.gsCantidadPedida = int.Parse(numericUpDownCantidad.Value.ToString());

				//Insertamos en la base de datos controlando errores
				if (detallepedido.AgregarDB() <= 0)
				{
					MessageBox.Show("Error al insertar la linea de pedido pedido", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
				}
			
				//Actualizo el datagrid
				comando  = "SELECT iddetallepedido AS \"Id\", producto AS \"Producto\", ";
				comando += "CASE WHEN preciounitario IS null THEN '' ELSE cast(preciounitario AS varchar) END AS \"Precio Unitario\", ";
				comando += "CASE WHEN d.cantidadpedida IS null THEN '' ELSE cast(d.cantidadpedida AS varchar) END AS \"Cantidad\" ";			
				comando += " FROM detallespedidos d JOIN productos using(idproducto)";
				comando += " WHERE idpedido = " + labelNumero.Text ;

				DataSet ds = cns.ExecDS(comando);
				if (cns.gsConsulta >= 0)
				{
					dataGridLineas.DataSource = ds;
					dataGridLineas.DataMember = "consulta";
				}
				else
				{
					MessageBox.Show("Error al cargar las lineas de pedido", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
				}

				//Limpiamos los campos
				textBoxPrecioUnitario.Text = "";
				numericUpDownCantidad.Value = 1;

			}
		}

		private void textBoxPrecioUnitario_Validating(object sender, System.ComponentModel.CancelEventArgs e)
		{
				ExpresionesRegulares expresion = new ExpresionesRegulares();
				if(expresion.ERNumeroDecimal(textBoxPrecioUnitario.Text) == false)	//Si el valor no es correcto
				{
					textBoxPrecioUnitario.Clear();
					MessageBox.Show("Por favor, inserta de nuevo el campo", "Expresin no vlida", MessageBoxButtons.OK, MessageBoxIcon.Stop);
					textBoxPrecioUnitario.Focus();
				}
		}

		private void textBoxPrecioUnitario_Leave(object sender, System.EventArgs e)
		{
			textBoxPrecioUnitario.Text = textBoxPrecioUnitario.Text.Replace(".",",");
		}

		private void button2_Click(object sender, System.EventArgs e)
		{
			FormReporte reporte = new FormReporte();
			reporte.gsRutaListado = "..\\..\\CrystalReportPedidos.rpt";
			reporte.ShowDialog();
		}		
	}
}

		

		