using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.Data.Odbc;
using ClassLibraryClinica;

namespace WindowsApplicationClinica
{
	/// <summary>
	/// Descripcin breve de FormArticulos.
	/// </summary>
	public class FormProductos : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Button buttonEliminar;
		private System.Windows.Forms.Button buttonModificar;
		private System.Windows.Forms.Button buttonAceptar;
		private System.Windows.Forms.Button buttonCancelar;
		private System.Windows.Forms.Button buttonCerrar;
		private System.Windows.Forms.PictureBox pictureBoxBotonera;
		private System.Windows.Forms.GroupBox groupBoxVista;
		private System.Windows.Forms.DataGrid dataGridVista;
		private System.Windows.Forms.GroupBox groupBoxBusqueda;
		private System.Windows.Forms.TextBox textBoxBusqueda;
		private System.Windows.Forms.GroupBox groupBoxNuevoProducto;
		private System.Windows.Forms.PictureBox pictureBoxProductos;
		private System.Windows.Forms.TextBox textBoxPuntoReposicion;
		private System.Windows.Forms.Label labelPuntoReposicion;
		private System.Windows.Forms.TextBox textBoxPrecio;
		private System.Windows.Forms.Label labelPrecio;
		private System.Windows.Forms.TextBox textBoxProducto;
		private System.Windows.Forms.Label labelProducto;
		/// <summary>
		/// Variable del diseador requerida.
		/// </summary>
		ClassLibraryClinica.Consulta cns;
		private int estado;
		public int codigo;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label labelEuro;
		private System.ComponentModel.Container components = null;

		public FormProductos()
		{
			//
			// Necesario para admitir el Diseador de Windows Forms
			//
			InitializeComponent();
			cns = new Consulta();
			//
			// TODO: agregar cdigo de constructor despus de llamar a InitializeComponent
			//
		}

		/// <summary>
		/// Limpiar los recursos que se estn utilizando.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Cdigo generado por el Diseador de Windows Forms
		/// <summary>
		/// Mtodo necesario para admitir el Diseador. No se puede modificar
		/// el contenido del mtodo con el editor de cdigo.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(FormProductos));
			this.groupBoxVista = new System.Windows.Forms.GroupBox();
			this.dataGridVista = new System.Windows.Forms.DataGrid();
			this.groupBoxBusqueda = new System.Windows.Forms.GroupBox();
			this.label1 = new System.Windows.Forms.Label();
			this.textBoxBusqueda = new System.Windows.Forms.TextBox();
			this.buttonEliminar = new System.Windows.Forms.Button();
			this.groupBoxNuevoProducto = new System.Windows.Forms.GroupBox();
			this.labelEuro = new System.Windows.Forms.Label();
			this.textBoxPuntoReposicion = new System.Windows.Forms.TextBox();
			this.labelPuntoReposicion = new System.Windows.Forms.Label();
			this.textBoxPrecio = new System.Windows.Forms.TextBox();
			this.labelPrecio = new System.Windows.Forms.Label();
			this.textBoxProducto = new System.Windows.Forms.TextBox();
			this.labelProducto = new System.Windows.Forms.Label();
			this.buttonCancelar = new System.Windows.Forms.Button();
			this.buttonAceptar = new System.Windows.Forms.Button();
			this.buttonModificar = new System.Windows.Forms.Button();
			this.buttonCerrar = new System.Windows.Forms.Button();
			this.pictureBoxBotonera = new System.Windows.Forms.PictureBox();
			this.pictureBoxProductos = new System.Windows.Forms.PictureBox();
			this.groupBoxVista.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.dataGridVista)).BeginInit();
			this.groupBoxBusqueda.SuspendLayout();
			this.groupBoxNuevoProducto.SuspendLayout();
			this.SuspendLayout();
			// 
			// groupBoxVista
			// 
			this.groupBoxVista.Controls.Add(this.dataGridVista);
			this.groupBoxVista.Location = new System.Drawing.Point(8, 8);
			this.groupBoxVista.Name = "groupBoxVista";
			this.groupBoxVista.Size = new System.Drawing.Size(376, 216);
			this.groupBoxVista.TabIndex = 0;
			this.groupBoxVista.TabStop = false;
			this.groupBoxVista.Text = "Vista";
			// 
			// dataGridVista
			// 
			this.dataGridVista.DataMember = "";
			this.dataGridVista.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.dataGridVista.Location = new System.Drawing.Point(8, 16);
			this.dataGridVista.Name = "dataGridVista";
			this.dataGridVista.PreferredColumnWidth = 160;
			this.dataGridVista.ReadOnly = true;
			this.dataGridVista.Size = new System.Drawing.Size(360, 192);
			this.dataGridVista.TabIndex = 0;
			// 
			// groupBoxBusqueda
			// 
			this.groupBoxBusqueda.Controls.Add(this.label1);
			this.groupBoxBusqueda.Controls.Add(this.textBoxBusqueda);
			this.groupBoxBusqueda.Location = new System.Drawing.Point(8, 224);
			this.groupBoxBusqueda.Name = "groupBoxBusqueda";
			this.groupBoxBusqueda.Size = new System.Drawing.Size(456, 48);
			this.groupBoxBusqueda.TabIndex = 3;
			this.groupBoxBusqueda.TabStop = false;
			this.groupBoxBusqueda.Text = "Bsqueda";
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(8, 21);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(56, 16);
			this.label1.TabIndex = 0;
			this.label1.Text = "Producto";
			// 
			// textBoxBusqueda
			// 
			this.textBoxBusqueda.Location = new System.Drawing.Point(64, 16);
			this.textBoxBusqueda.MaxLength = 100;
			this.textBoxBusqueda.Name = "textBoxBusqueda";
			this.textBoxBusqueda.Size = new System.Drawing.Size(384, 21);
			this.textBoxBusqueda.TabIndex = 1;
			this.textBoxBusqueda.Text = "";
			this.textBoxBusqueda.TextChanged += new System.EventHandler(this.textBoxBusqueda_TextChanged);
			// 
			// buttonEliminar
			// 
			this.buttonEliminar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonEliminar.ForeColor = System.Drawing.Color.Navy;
			this.buttonEliminar.Image = ((System.Drawing.Image)(resources.GetObject("buttonEliminar.Image")));
			this.buttonEliminar.ImageAlign = System.Drawing.ContentAlignment.TopCenter;
			this.buttonEliminar.Location = new System.Drawing.Point(392, 80);
			this.buttonEliminar.Name = "buttonEliminar";
			this.buttonEliminar.Size = new System.Drawing.Size(72, 56);
			this.buttonEliminar.TabIndex = 2;
			this.buttonEliminar.Text = "Eliminar";
			this.buttonEliminar.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
			this.buttonEliminar.Click += new System.EventHandler(this.buttonEliminar_Click);
			// 
			// groupBoxNuevoProducto
			// 
			this.groupBoxNuevoProducto.Controls.Add(this.labelEuro);
			this.groupBoxNuevoProducto.Controls.Add(this.textBoxPuntoReposicion);
			this.groupBoxNuevoProducto.Controls.Add(this.labelPuntoReposicion);
			this.groupBoxNuevoProducto.Controls.Add(this.textBoxPrecio);
			this.groupBoxNuevoProducto.Controls.Add(this.labelPrecio);
			this.groupBoxNuevoProducto.Controls.Add(this.textBoxProducto);
			this.groupBoxNuevoProducto.Controls.Add(this.labelProducto);
			this.groupBoxNuevoProducto.Controls.Add(this.buttonCancelar);
			this.groupBoxNuevoProducto.Controls.Add(this.buttonAceptar);
			this.groupBoxNuevoProducto.Location = new System.Drawing.Point(8, 272);
			this.groupBoxNuevoProducto.Name = "groupBoxNuevoProducto";
			this.groupBoxNuevoProducto.Size = new System.Drawing.Size(456, 120);
			this.groupBoxNuevoProducto.TabIndex = 4;
			this.groupBoxNuevoProducto.TabStop = false;
			this.groupBoxNuevoProducto.Text = "Nuevo / Modificar";
			this.groupBoxNuevoProducto.Enter += new System.EventHandler(this.groupBoxNuevoProducto_Enter);
			// 
			// labelEuro
			// 
			this.labelEuro.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelEuro.Location = new System.Drawing.Point(160, 45);
			this.labelEuro.Name = "labelEuro";
			this.labelEuro.Size = new System.Drawing.Size(24, 16);
			this.labelEuro.TabIndex = 4;
			this.labelEuro.Text = "";
			// 
			// textBoxPuntoReposicion
			// 
			this.textBoxPuntoReposicion.Location = new System.Drawing.Point(320, 40);
			this.textBoxPuntoReposicion.MaxLength = 6;
			this.textBoxPuntoReposicion.Name = "textBoxPuntoReposicion";
			this.textBoxPuntoReposicion.Size = new System.Drawing.Size(128, 21);
			this.textBoxPuntoReposicion.TabIndex = 6;
			this.textBoxPuntoReposicion.Text = "";
			this.textBoxPuntoReposicion.Validating += new System.ComponentModel.CancelEventHandler(this.textBoxPuntoReposicion_Validating);
			// 
			// labelPuntoReposicion
			// 
			this.labelPuntoReposicion.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelPuntoReposicion.Location = new System.Drawing.Point(192, 45);
			this.labelPuntoReposicion.Name = "labelPuntoReposicion";
			this.labelPuntoReposicion.Size = new System.Drawing.Size(120, 16);
			this.labelPuntoReposicion.TabIndex = 5;
			this.labelPuntoReposicion.Text = "Punto de reposicin";
			// 
			// textBoxPrecio
			// 
			this.textBoxPrecio.Location = new System.Drawing.Point(64, 40);
			this.textBoxPrecio.MaxLength = 10;
			this.textBoxPrecio.Name = "textBoxPrecio";
			this.textBoxPrecio.Size = new System.Drawing.Size(96, 21);
			this.textBoxPrecio.TabIndex = 3;
			this.textBoxPrecio.Text = "";
			this.textBoxPrecio.Validating += new System.ComponentModel.CancelEventHandler(this.textBoxPrecio_Validating);
			this.textBoxPrecio.Leave += new System.EventHandler(this.textBoxPrecio_Leave);
			// 
			// labelPrecio
			// 
			this.labelPrecio.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelPrecio.Location = new System.Drawing.Point(8, 45);
			this.labelPrecio.Name = "labelPrecio";
			this.labelPrecio.Size = new System.Drawing.Size(40, 16);
			this.labelPrecio.TabIndex = 2;
			this.labelPrecio.Text = "Precio";
			// 
			// textBoxProducto
			// 
			this.textBoxProducto.Location = new System.Drawing.Point(64, 16);
			this.textBoxProducto.MaxLength = 100;
			this.textBoxProducto.Name = "textBoxProducto";
			this.textBoxProducto.Size = new System.Drawing.Size(384, 21);
			this.textBoxProducto.TabIndex = 1;
			this.textBoxProducto.Text = "";
			// 
			// labelProducto
			// 
			this.labelProducto.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelProducto.Location = new System.Drawing.Point(8, 21);
			this.labelProducto.Name = "labelProducto";
			this.labelProducto.Size = new System.Drawing.Size(56, 16);
			this.labelProducto.TabIndex = 0;
			this.labelProducto.Text = "Producto";
			// 
			// buttonCancelar
			// 
			this.buttonCancelar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonCancelar.ForeColor = System.Drawing.Color.Navy;
			this.buttonCancelar.Image = ((System.Drawing.Image)(resources.GetObject("buttonCancelar.Image")));
			this.buttonCancelar.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.buttonCancelar.Location = new System.Drawing.Point(352, 72);
			this.buttonCancelar.Name = "buttonCancelar";
			this.buttonCancelar.Size = new System.Drawing.Size(96, 40);
			this.buttonCancelar.TabIndex = 8;
			this.buttonCancelar.Text = "Cancelar";
			this.buttonCancelar.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonCancelar.Click += new System.EventHandler(this.buttonCancelar_Click);
			// 
			// buttonAceptar
			// 
			this.buttonAceptar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonAceptar.ForeColor = System.Drawing.Color.Navy;
			this.buttonAceptar.Image = ((System.Drawing.Image)(resources.GetObject("buttonAceptar.Image")));
			this.buttonAceptar.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.buttonAceptar.Location = new System.Drawing.Point(248, 72);
			this.buttonAceptar.Name = "buttonAceptar";
			this.buttonAceptar.Size = new System.Drawing.Size(96, 40);
			this.buttonAceptar.TabIndex = 7;
			this.buttonAceptar.Text = "Aceptar ";
			this.buttonAceptar.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonAceptar.Click += new System.EventHandler(this.buttonAceptar_Click);
			// 
			// buttonModificar
			// 
			this.buttonModificar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonModificar.ForeColor = System.Drawing.Color.Navy;
			this.buttonModificar.Image = ((System.Drawing.Image)(resources.GetObject("buttonModificar.Image")));
			this.buttonModificar.ImageAlign = System.Drawing.ContentAlignment.TopCenter;
			this.buttonModificar.Location = new System.Drawing.Point(392, 16);
			this.buttonModificar.Name = "buttonModificar";
			this.buttonModificar.Size = new System.Drawing.Size(72, 56);
			this.buttonModificar.TabIndex = 1;
			this.buttonModificar.Text = "Modificar";
			this.buttonModificar.TextAlign = System.Drawing.ContentAlignment.BottomCenter;
			this.buttonModificar.Click += new System.EventHandler(this.buttonModificar_Click);
			// 
			// buttonCerrar
			// 
			this.buttonCerrar.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.buttonCerrar.ForeColor = System.Drawing.Color.Navy;
			this.buttonCerrar.Image = ((System.Drawing.Image)(resources.GetObject("buttonCerrar.Image")));
			this.buttonCerrar.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.buttonCerrar.Location = new System.Drawing.Point(368, 408);
			this.buttonCerrar.Name = "buttonCerrar";
			this.buttonCerrar.Size = new System.Drawing.Size(88, 40);
			this.buttonCerrar.TabIndex = 7;
			this.buttonCerrar.Text = "Cerrar";
			this.buttonCerrar.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.buttonCerrar.Click += new System.EventHandler(this.buttonCerrar_Click);
			// 
			// pictureBoxBotonera
			// 
			this.pictureBoxBotonera.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.pictureBoxBotonera.Image = ((System.Drawing.Image)(resources.GetObject("pictureBoxBotonera.Image")));
			this.pictureBoxBotonera.Location = new System.Drawing.Point(8, 400);
			this.pictureBoxBotonera.Name = "pictureBoxBotonera";
			this.pictureBoxBotonera.Size = new System.Drawing.Size(456, 56);
			this.pictureBoxBotonera.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
			this.pictureBoxBotonera.TabIndex = 11;
			this.pictureBoxBotonera.TabStop = false;
			// 
			// pictureBoxProductos
			// 
			this.pictureBoxProductos.Image = ((System.Drawing.Image)(resources.GetObject("pictureBoxProductos.Image")));
			this.pictureBoxProductos.Location = new System.Drawing.Point(392, 144);
			this.pictureBoxProductos.Name = "pictureBoxProductos";
			this.pictureBoxProductos.Size = new System.Drawing.Size(72, 72);
			this.pictureBoxProductos.TabIndex = 12;
			this.pictureBoxProductos.TabStop = false;
			// 
			// FormProductos
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 14);
			this.ClientSize = new System.Drawing.Size(474, 463);
			this.Controls.Add(this.pictureBoxProductos);
			this.Controls.Add(this.buttonCerrar);
			this.Controls.Add(this.pictureBoxBotonera);
			this.Controls.Add(this.buttonModificar);
			this.Controls.Add(this.groupBoxNuevoProducto);
			this.Controls.Add(this.buttonEliminar);
			this.Controls.Add(this.groupBoxBusqueda);
			this.Controls.Add(this.groupBoxVista);
			this.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "FormProductos";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "Mantenimiento de Productos";
			this.TopMost = true;
			this.Closing += new System.ComponentModel.CancelEventHandler(this.FormProductos_Closing);
			this.Load += new System.EventHandler(this.FormProductos_Load);
			this.groupBoxVista.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.dataGridVista)).EndInit();
			this.groupBoxBusqueda.ResumeLayout(false);
			this.groupBoxNuevoProducto.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		private void FormProductos_Load(object sender, System.EventArgs e)
		{
			estado = 0; //insercin

			string comando ;
			comando  = "SELECT producto AS \"Producto\", ";	//Creo la consulta
			comando	+= "precio AS \"Precio\" ";
			comando	+= "FROM productos ";
			
			
			DataSet ds = cns.ExecDS(comando);
			if (cns.gsConsulta >= 0)
			{
				dataGridVista.DataSource = ds;	//Carga el datagrid de clientes
				dataGridVista.DataMember = "consulta";
			}
			else
			{
				MessageBox.Show("Error al cargar clientes", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
			
			
		}

		private void buttonCerrar_Click(object sender, System.EventArgs e)
		{
			Close();
		}

		private void buttonEliminar_Click(object sender, System.EventArgs e)
		{
			//Comprobamos si hay elementos a borrar
			if(dataGridVista.CurrentRowIndex >= 0)
			{
				if(MessageBox.Show("Quieres borrar el registro?","Eliminar", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
				{
					ClassLibraryClinica.Producto producto = new ClassLibraryClinica.Producto();
					string nombre = dataGridVista[dataGridVista.CurrentRowIndex, 0].ToString();
					if (!producto.EliminarDB(nombre))
						MessageBox.Show("Error al eliminar el producto");

					FormProductos_Load(this, null);
				}
			}
			else
				MessageBox.Show("Error al eliminar el producto, producto inexistente", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
		}

		private void buttonModificar_Click(object sender, System.EventArgs e)
		{	
			//Comprobamos si hay elementos a borrar
			if(dataGridVista.CurrentRowIndex >= 0)
			{
				estado = 1; //modificacin

				ClassLibraryClinica.Producto producto = new ClassLibraryClinica.Producto();
				producto.CargarNombreDB(dataGridVista[dataGridVista.CurrentRowIndex, 0].ToString());

				codigo = producto.gsIdProducto;

				textBoxProducto.Text = producto.gsNombre;
				textBoxPrecio.Text = producto.gsPrecio.ToString();
				textBoxPuntoReposicion.Text = producto.gsPuntoReposicion.ToString();			
			}
			else
				MessageBox.Show("Error al modificar el producto, producto inexistente", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);

		}

		private void buttonCancelar_Click(object sender, System.EventArgs e)
		{
			textBoxBusqueda.Clear();			
			textBoxProducto.Clear();
			textBoxPrecio.Clear();
			textBoxPuntoReposicion.Clear();
						
			estado = 0; //insercin
		}

		private void buttonAceptar_Click(object sender, System.EventArgs e)
		{
			//Comprobamos que esten los campos obligatorios
			if(textBoxProducto.Text.Equals("") || textBoxPrecio.Text.Equals("") || textBoxPuntoReposicion.Text.Equals(""))
			{
				MessageBox.Show("No ha rellenado todos los campos obligatorios", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
			else
			{
				//Creamos un producto
				ClassLibraryClinica.Producto producto = new ClassLibraryClinica.Producto();

				producto.gsNombre = textBoxProducto.Text;
				producto.gsPrecio = float.Parse(textBoxPrecio.Text);
				producto.gsPuntoReposicion = int.Parse(textBoxPuntoReposicion.Text);

				if(estado == 0) //Nuevo
				{
					producto.gsCantidad = 0;
					if (producto.AgregarDB() <= 0)
					{
						MessageBox.Show("Error al insertar el producto", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
					}
				}
				else	//Modificar
				{
					producto.gsIdProducto = codigo;
					if (!producto.ModificarDB())
					{
						MessageBox.Show("Error al modificar el producto", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
					}
				}

				textBoxBusqueda.Clear();			
				textBoxProducto.Clear();
				textBoxPrecio.Clear();
				textBoxPuntoReposicion.Clear();
						
				estado = 0; //insercin
			
				FormProductos_Load(this, null);
			}
		}

		private void textBoxBusqueda_TextChanged(object sender, System.EventArgs e)
		{
			string condicion = "";
			condicion += (textBoxBusqueda.Text.Equals(""))? "" : "lower(producto) like lower('" + textBoxBusqueda.Text + "%')";

			string comando = "";
			comando  = "SELECT producto AS \"Producto\", ";	//Creo la consulta
			comando	+= "precio AS \"Precio\" ";
			comando	+= "FROM productos ";
			comando += (!condicion.Equals(""))? "WHERE " + condicion : "";
  			
			try
			{
		
				dataGridVista.DataSource = cns.ExecDS(comando);
				dataGridVista.DataMember = "consulta";
			
			}
			catch
			{
				MessageBox.Show("Error de caracter incorrecto", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
		}

		private void textBoxPuntoReposicion_Validating(object sender, System.ComponentModel.CancelEventArgs e)
		{
			if(textBoxPuntoReposicion.Text != "")
			{
				ExpresionesRegulares expresion = new ExpresionesRegulares();
				if(expresion.ERNumero(textBoxPuntoReposicion.Text) == false)	//Si el valor no es correcto
				{
					textBoxPuntoReposicion.Clear();
					MessageBox.Show("Por favor, inserta de nuevo el campo", "Expresin no vlida", MessageBoxButtons.OK, MessageBoxIcon.Stop);
					textBoxPuntoReposicion.Focus();
				}
			}
		}

		private void textBoxPrecio_Leave(object sender, System.EventArgs e)
		{
			textBoxPrecio.Text = textBoxPrecio.Text.Replace(".",",");
		}

		private void textBoxPrecio_Validating(object sender, System.ComponentModel.CancelEventArgs e)
		{
			if(textBoxPrecio.Text != "")
			{
				ExpresionesRegulares expresion = new ExpresionesRegulares();
				if(expresion.ERNumeroDecimal(textBoxPrecio.Text) == false)	//Si el valor no es correcto
				{
					textBoxPrecio.Clear();
					MessageBox.Show("Por favor, inserta de nuevo el campo", "Expresin no vlida", MessageBoxButtons.OK, MessageBoxIcon.Stop);
					textBoxPrecio.Focus();
				}
			}
		}

		private void groupBoxNuevoProducto_Enter(object sender, System.EventArgs e)
		{
		
		}

		private void FormProductos_Closing(object sender, System.ComponentModel.CancelEventArgs e)
		{
			cns.Cierre();			
		}
		
	}
}
