using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using CrystalDecisions.CrystalReports.Engine;
using CrystalDecisions.Shared;

namespace WindowsApplicationClinica
{
	/// <summary>
	/// Descripcin breve de FormReporte.
	/// </summary>
	public class FormReporte : System.Windows.Forms.Form
	{
		public CrystalDecisions.Windows.Forms.CrystalReportViewer crystalReportViewerListado;
		/// <summary>
		/// Variable del diseador requerida.
		private string rutaListado;
		/// </summary>
		private System.ComponentModel.Container components = null;

		public FormReporte()
		{
			//
			// Necesario para admitir el Diseador de Windows Forms
			//
			InitializeComponent();
			rutaListado = "";
			//
			// TODO: agregar cdigo de constructor despus de llamar a InitializeComponent
			//
		}

		/// <summary>
		/// Limpiar los recursos que se estn utilizando.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Cdigo generado por el Diseador de Windows Forms
		/// <summary>
		/// Mtodo necesario para admitir el Diseador. No se puede modificar
		/// el contenido del mtodo con el editor de cdigo.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(FormReporte));
			this.crystalReportViewerListado = new CrystalDecisions.Windows.Forms.CrystalReportViewer();
			this.SuspendLayout();
			// 
			// crystalReportViewerListado
			// 
			this.crystalReportViewerListado.ActiveViewIndex = -1;
			this.crystalReportViewerListado.Dock = System.Windows.Forms.DockStyle.Fill;
			this.crystalReportViewerListado.Location = new System.Drawing.Point(0, 0);
			this.crystalReportViewerListado.Name = "crystalReportViewerListado";
			this.crystalReportViewerListado.ReportSource = "C:\\Documents and Settings\\Paula\\Escritorio\\clinica\\SolucionClinica\\WindowsApplica" +
				"tionClinica\\CrystalReportPedidos.rpt";
			this.crystalReportViewerListado.Size = new System.Drawing.Size(528, 374);
			this.crystalReportViewerListado.TabIndex = 0;
			// 
			// FormReporte
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 14);
			this.ClientSize = new System.Drawing.Size(528, 374);
			this.Controls.Add(this.crystalReportViewerListado);
			this.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "FormReporte";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
			this.Text = "Listado";
			this.WindowState = System.Windows.Forms.FormWindowState.Maximized;
			this.Load += new System.EventHandler(this.FormReporte_Load);
			this.ResumeLayout(false);

		}
		#endregion

		private void FormReporte_Load(object sender, System.EventArgs e)
		{
			crystalReportViewerListado.ReportSource = rutaListado;
			crystalReportViewerListado.Zoom(2);
		}

		public string gsRutaListado
		{
			get	{ return rutaListado; }
			set	{ rutaListado = value; }
		}
	}
}
